Microsoft Internet Explorer Administration Kit Help

Microsoft Internet Explorer Administrators Kit
internet explorer icon

Administration Kit

banner banner

You can deliver "the Web the way you want it." Browse Help to find out how.

Explore the Index.
Perform a full-text search.
Print topics.

© 1999-2001 Microsoft Corporation. All rights reserved.


What's New in the Internet Explorer Administration Kit

You can harness the power of the Internet Explorer 6 Customization Wizard and the IEAK Profile Manager, both included in the IEAK, to customize, deploy, and maintain Microsoft Internet Explorer. For more information about the contents of the IEAK, see What's Included in the Microsoft IEAK.

New features in IEAK 6

  • Get started with the IEAK faster than ever using the Integrated license agreement. This eliminates the need for you to receive and utilize a license keycode to run the IEAK.
  • Create custom Internet Explorer packages using Streamlined wizard pages designed to provide a better experience than in previous versions of the IEAK.
  • Personalize the look of your Internet Explorer package using Toolbar Customizations. Create and use your own bitmap images for toolbar backgrounds and button icons. You can control the scripts or executable files linked to your custom buttons as well.
  • Use the power of the IEAK to plan browser policies before deploying your Internet Explorer custom package using the new Resultant Set of Policies feature.

Related Topics


What's Included in the IEAK

The IEAK contains programs and tools to help you customize and administer Microsoft Internet Explorer.

You can:

  • Tailor the browser and other Internet components to fit your organization's or users' needs. For example, you can customize the Links bar and Favorites list to promote your organization or provide helpful information.
  • Configure settings before you install, so you don't need to set options on each computer.
  • Customize Setup so that it requires less intervention and installs your custom programs.
  • Control which settings your employees can change, so that if you're a corporate administrator, you can ensure that security, connection, and other important settings adhere to corporate standards.

Before using the IEAK, you should determine which settings you want to customize, prepare any graphics or custom files you'll need, and plan your distribution method. You'll also want to familiarize yourself with the programs and tools in the IEAK.

For more information about what is new in this version of the IEAK, see What's New in the IEAK.

Tools in the IEAK

Internet Explorer 6 Customization Wizard

The Customization wizard provides five stages of step-by-step screens that help you create customized Internet Explorer packages.

IEAK Profile Manager

The Profile Manager enables you to change your users' settings and restrictions automatically, after Internet Explorer is already installed. For more information, see Understanding the IEAK Profile Manager.

IEAK Toolkit

The IEAK Toolkit contains helpful tools, programs, and sample files, such as the IExpress wizard, sample sign-up and add-on files, artwork, and other tools. These items are located in the \Toolkit folder within your IEAK installation.

IEAK Help

Use the Index, Table of Contents, and full-text Search to find topics that address your needs. From the Table of Contents, you can print a "book" or a group of related topics.


Hardware and System Requirements

banner

Requirements for Internet Explorer

For hardware and system requirements for a specific version of Microsoft Internet Explorer, see the Readme file for that version.

Additional hardware requirements for creating custom packages

Before you start the Internet Explorer 6 Customization Wizard, check the amount of disk space available on the destination drive where you will build your customized package. The destination drive can be on the same computer from which you are running the customization wizard, but this is not a requirement.

Before you build IEAK packages, add the following to the system requirements for Internet Explorer:

  • Depending on the number of components you download to include in an installation package, you will need up to 100 MB of disk space.
  • For every custom package you build, you might need up to an additional 100 MB of disk space. When you build a package for a different media type, such as CD-ROM, it is considered to be a separate package.

IEAK requirements

You must build the IEAK packages from a computer running Internet Explorer 6 and any Windows 32-bit operating system (except Windows NT 3.51).

Windows NT 4.0 computers must also be running Service Pack 3 or later.

This version of the IEAK only builds custom browser packages for 32-bit Windows platforms. If you want to build a custom package for 16-bit Windows or for the UNIX platform, use the IEAK 5.x. If you want to build a custom package for the Macintosh, use the IEAK for the Macintosh.

You can run both the 5.5 and 6 versions of the IEAK on the same machine; simply install each program into a different directory.

Requirements for your users

If your users are running Windows NT, Windows 2000, or Windows XP, you must have administrative privileges on that machine the first time users start their computers after installing or uninstalling Internet Explorer from your IEAK package.


Redistributing Internet Explorer

The IEAK can help you redistribute Microsoft Internet Explorer as part of the setup process for another program. For example, if you're an independent software vendor (ISV), you might want to customize the Internet Explorer installation so that your custom program, instead of Internet Explorer, provides Setup choices and feedback to the user.

To redistribute Internet Explorer, use the Internet Explorer 6 Customization Wizard to create an IEAK package. Choose the Content Provider/Developer option in Stage 1 of the Internet Explorer 6 Customization Wizard.

You can customize the appearance and functionality of the browser and Windows Update Setup, if permitted by your license agreement. You can also use the following to control the functionality and user experience of Windows Update Setup:

  • Running Setup in Batch Mode
  • Internet Explorer Batch-mode Setup Switches
  • IExpress Batch-mode Setup Switches
  • Working with Setup Information (.inf) Files


Deployment Guide Overview

The Deployment Guide provides comprehensive information about deploying custom installations of Microsoft Internet Explorer using the IEAK 6, one of the fastest and most powerful ways to deliver the benefits of Internet Explorer to your users. This guide helps you:

  • Prepare for deployment by conducting a successful pilot rollout and performing other tasks.
  • Centrally manage Internet Explorer 6 installations after deployment.
  • Create custom packages, using the best practices and advice found in the IEAK 6.

Administrative management of Web browsing technologies is becoming more critical as corporate intranets and extranets take on more significance. Most Information Technology departments now place browsers on the same strategic level as operating systems, productivity, and line-of-business applications (which are themselves often Web-based). Most companies include a browser on their users' standard desktop.

You can deploy customized browsers to help your users:

  • Increase productivity. You populate the browser proxy settings, Favorites list, security settings, and digital certificates. By deploying customized browsers, you give users access to key intranet and Internet applications, ensure that all browsers have the same functionality, and make user support easier.
  • Increase manageability and reliability. By creating custom packages, you can test components with key line-of-business applications to maximize reliability and reduce the cost of deployments, support, and upgrades. You can centrally and dynamically manage your users' desktop browser components. And you can efficiently upgrade e-mail clients, for example, without upgrading other components.


Automated Deployment Options

To automate the deployment of your customized browser, use one of the following options:

  • Disk image copying

    • Disk image copying, sometimes called cloning, is one of the fastest ways you can set up new desktops. It creates an image of a standard desktop and then copies that image onto both new and existing computers. Your custom browser settings are configured as part of the standard desktop image.

    Disk image copying is generally fast and cost-effective because you complete the setup without users' interaction. Nearly every component can be configured, including the operating system, applications, and desktop customizations.

    Disk image copying is not appropriate for every situation and environment. Images work only on identical or very similarly configured hardware. If you are upgrading an existing computer, all user settings and data must be temporarily stored in another location, such as on a server, because disk imaging overwrites any existing files on the computer.

  • Electronic software distribution

    Electronic software distribution (ESD) uses specialized applications to install software on desktops across a network. Unlike other deployment methods, ESD is generally a component of more comprehensive enterprise management suites available from such companies as Hewlett Packard, Intel, Microsoft, and Tivoli.

    ESD often relies on the same installation scripts used to install the operating system, although some ESD solutions provide a more extensive graphical environment for creating these scripts and stronger integration with application setup languages. You can use ESD solutions to generate reports on the progress and success of your deployments.

  • IEAK

    You can use enterprise management suites to manage the deployment process, for example when you need to schedule remote installations for improved use of network bandwidth. Ultimately, however, ESD is more complex than disk image copying. For example, building infrastructure for ESD is more time consuming than creating and copying images, and some ESD solutions depend on the presence of hardware technologies.


Key IEAK Capabilities

IEAK 6 provides many enhanced and new capabilities over earlier versions. The best way to become familiar with the features is to go through the kit in demonstration mode and explore each wizard page. The following are some of the highlights and key capabilities.

  • Distribution media options

    With several distribution media options to choose from, you can specify how you want to distribute Microsoft Internet Explorer. Your choices include Web download, CD-ROM, single-disk branding, and LAN deployment. Single-disk branding enables configuration of Internet Explorer settings without installing code on your client computers. Single-disk branding is available only for computers running Internet Explorer 4.01 SP1 or later.

  • Custom components and add-on applications

    You can include up to 10 self-extracting executable (.exe) files, and cabinet (.cab) files can be installed along with Internet Explorer 6. Custom components include in-house applications, shareware, and other programs that you may want to distribute.

  • Installation conditions

    One possible condition is to install components before installing Internet Explorer 6. This is particularly useful for utilities that prepare computers for a browser installation. For example, you can run registry-cleaning utilities before installing Internet Explorer so that browser-created registry keys are affected.

  • User experience during installation

    Set the level of user interaction during the installation. You choose between interactive, hands-free, and completely silent installations. During interactive installations, users can customize components. Hands-free installation displays error and progress messages but does not prompt your users for information. Completely silent installations are hidden from your users, so they can install without the need to customize components or view progress messages.

  • Installation options

    You specify up to 10 installation options, each including a specific set of components. IEAK 6 includes minimum, standard, and full installation types, which you can keep, remove, or customize. You use installation options to create and distribute a single package that can be tailored for multiple groups of users.

  • Installation directory

    You can customize the Internet Explorer 6 installation directory, and you can prevent users from changing this location. Enforcing a standard location for Internet Explorer 6 can improve administration and troubleshooting, and improve the accuracy of versioning, metering, and inventory software.

  • Web deployment

    Web installations can be configured to use up to 10 download sites. If a connectivity problem occurs, the installation program can switch to another site. Internet Explorer 6 Setup can also resume an interrupted download. This helps ensure that your users experience as smooth an installation process as possible.

  • Versioning

    IEAK 6 automatically versions every package, and it can be configured to save or overwrite older versions of the package. Individual Internet Explorer 6 components are also versioned and can be updated without reinstallation of all of your components. You use versioning to update packages and ensure standardization across your organization.

  • Web download

    Optimize your installation with Web downloads. Internet Explorer 6 setup can detect Microsoft components that are already on your users' computers. Existing components are not downloaded again. For example, dynamic HTML data binding is not installed again even if it is included in your custom package. Web download optimization saves bandwidth usage and time and is particularly helpful for users downloading through a slow connection. You can disable Web downloads to create a uniformly homogeneous environment, ensuring that each computer has precisely the same version of each component.

  • Automatic installation

    Distribute components only when your users require them by using automatic installation. For example, if Internet Explorer 6 detects that your users need Microsoft virtual machine, Internet Explorer automatically finds the distribution point (a LAN share, for example) and installs the necessary components. This helps minimize the time and disk space used by installing components users never need.

  • Automatic digital signing

    • Internet Explorer 6 packages can be digitally signed for distribution. By including a digital signature, you guarantee that the package has not been changed and that the source is known.


Browser Customization Options

Using the Internet Explorer Customization Wizard, you can customize the browser in the following areas:

  • Browser title
  • Toolbar customizations
  • Custom logo and animated bitmaps
  • Important URLs
  • Favorites and links
  • Welcome page
  • User agent string
  • Connection settings
  • Security, including certificates and Authenticode security
  • Security settings, including security zones and content ratings


Other Key Capabilities

You can customize not only the browser itself using the IEAK, but also settings in the following key areas.

  • Administrator-approved ActiveX controls

    Specify the controls to run while locking out all others. This helps you maintain a consistent version of Microsoft Internet Explorer throughout your organization, reducing overhead and troubleshooting issues. The approved set of Microsoft ActiveX controls can be enabled and administered dynamically by using the System Policies and Restrictions features in the IEAK Profile Manager.

  • IEAK 6 features

    Show only the features needed for your custom package. For example, if you are customizing only Favorites, all other pages of the wizard are hidden to save time and reduce complexity.

  • Single-disk branding

    For computers that are currently running Internet Explorer 4.01 SP1 or later, you can use the Customization Wizard to create a single floppy disk containing your custom text and logo information.

  • Automatic configuration

    Browser and component settings, in addition to system policies and restrictions, can be updated automatically at regular intervals or every time the browser is started. This feature provides an easy way to configure and distribute not only Internet Explorer 6 settings but also Windows Profile settings to groups of users throughout your enterprise.

  • Outlook Express

    Microsoft Outlook Express is available with Internet Explorer 6, and you can use it to populate mail and news server settings. In addition, you can create a welcoming e-mail message and a customized InfoPane. Additional Outlook Express customization options include newsgroup population, message rules, and view options. These capabilities make it easier for you to set up new computers or users with mail and ensure a standard mail client throughout your corporation.

  • Office Custom Installation Wizard (OCIW) mode

    To make it easy to deploy Internet Explorer 6 at the same time as Microsoft Office XP, the IEAK is featured as an Office Toolkit and is readily accessible through the OCIW.


Customization Overview

Creating and deploying custom Microsoft Internet Explorer packages follows the same process as upgrading or changing any desktop component. Microsoft recommends the following steps for a properly planned deployment:

  1. Gather information and make decisions.

    Use the custom build checklists to gather necessary information and files. The checklists also help you make decisions about deployment such as your distribution type and the components that you want to include.

  2. Learn how to use the IEAK.

    Build a pilot deployment package by using the IEAK. Step through the Customization Wizard to pull together a test package. Doing so gives you the opportunity to view all the available options and gives you a sense of the process of building a custom package.

  3. Do your first trial deployment.

    First, test the pilot deployment package on nonproduction computers in a lab. Instructions and guidelines for how to conduct a test lab are included in Creating a Pilot Program. You should test the installation process and browser configuration for all platforms and types of installation media.

  4. Do your second trial deployment.

    After the initial trial deployment, update your deployment package with any changes incorporated from the test results, and assign a version number to your browser package. Test the final deployment on nonproduction computers in a lab. It is unsafe to assume that changes, regardless of how small, have no effect on the deployment.

  5. Do your final deployment.

    After testing and approving the final version of your package, deploy it to your organization.

This iterative process of planning, developing, and testing could entail a single cycle or many cycles before your package is ready for final deployment.


Custom Package Checklists

You can use the following checklists to gather the information required to build your custom Microsoft Internet Explorer package.

  • File Location and Distribution
  • Custom Components
  • CD Autorun Customization
  • Title Bar and Bitmaps Customization
  • User Experience
  • Installation Options
  • Web Distribution
  • Component Download
  • Installation Directory
  • Connection Manager Customization
  • Digital Signatures
  • Browser Customization
  • Certificate Customization
  • URLs to Collect
  • User Agent String
  • Automatic Connection
  • Outlook Express Customization
  • LDAP Address Server

You can type your information into the checklists and then print each one individually. If you want to print all the checklists at once, in the Table of Contents, click the book Deployment Guide, right-click the book Custom Package Checklists, click Print, and then select Print the selected heading and all subtopics.


File Location and Distribution Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the information called for in this checklist.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

File Location

Custom Element | Location
Destination folder |

Distribution Methods

Use | Distribution Medium
 | Download
 | CD-ROM
 | Flat (all files in one directory)
 | Single-disk branding


Custom Components Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Component

Custom Element | Your Information
Name |
Location |
Command (.exe file name, for .cab files only) |
Globally unique identifier (GUID) |
Description |
Parameter |
Uninstall key |
Version |

Note

  • If your component is a .cab file, you must enter the .exe file name in the Command box on the Custom Components page of the wizard during customization.

You can add up to ten custom components.

Installation Timing

Check | Install (select one)
 | Before Internet Explorer
 | After Internet Explorer
 | After system restarts

Condition for Installation

Check | Condition
 | Install only if Internet Explorer is installed successfully.

As you work with the IEAK, you can specify that your custom components should be installed only after Internet Explorer has been successfully installed.


CD Autorun Customization Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

CD Autorun Options

Custom Element | Your Information
Title bar text |
Custom background bitmap location |
Standard text color (select one) |
Highlight text color (select one) |

Button Style

You can choose one style for the buttons that appear during the installation.

Check | Button Style (select one)
 | Standard beveled buttons
 | 3D bitmap buttons
 | Custom button bitmap

Note

  • If you use a custom button bitmap, you must specify the location of the bitmap file.

More CD Options

Custom Element | Your Information
More information text file |
Kiosk mode start page |

If you are not opening the browser in kiosk mode, the kiosk mode start page is not used.


Title Bar and Bitmaps Customization Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Setup Wizard Titles and Bitmaps

The following titles and bitmaps appear when your users run the Windows Update Setup Wizard to install your custom package.

Custom Element | Your Information
Setup Wizard title bar text |
Left-side bitmap path (first page) |
Top banner bitmap path (all pages except first) |
Custom components installation title |


User Experience Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

The information below affects the level of interaction required by your users during their browser installation. You determine whether they participate in the installation fully, partially, or not at all.

Check | Type of Installation (select one)
 | Interactive
 | Hands-free
 | Completely silent


Installation Options Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet for each custom option you build and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Minimal Installation

Minimal installation includes the Web browser. Other components are installed on demand.

Typical Installation

Typical installation includes the Web browser, Outlook Express, Windows Media Player, and other multimedia enhancements.

Full Installation

Full installation includes the Web browser, Outlook Express, Windows Media Player, Microsoft virtual machine, additional Web fonts, and other multimedia enhancements.

Custom Installation

You can build up to ten of your own installation options. Your users choose one of these ten options during installation.

Check | Installation Option (select one)
 | Minimal
 | Typical
 | Full
 | Custom


Web Distribution Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Download Site

Your users can download your custom package from your Web site.

Custom Element | Your Information
Site name |
Site URL |
Site region |

Sample Download Site

The following is an example of Web distribution information.

Custom Element | Your Information
Site name | Microsoft
Site URL | http://www.microsoft.com/
Site region | North America


Component Download Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Windows Update Options

Check | Windows Update Option (select one)
 | Remove the Windows Update option from the Tools menu
 | Use the default URL for the Windows Update
 | Use a custom add-on URL and menu text

Note

  • If you use a custom add-on URL and menu text, the Custom URL and Menu Item information is required.

Custom URL and Menu Item

You must provide this information if you are using a custom add-on URL and menu text to access the Windows Update Setup Wizard.

Custom Element | Your Information
Menu text for add-on component |
URL of add-on component page |


Installation Directory Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Check | Custom Element
 | Allow the user to choose the installation directory.
 | Install in the specified folder within the Program Files folder.
 | Specify the full path of a custom folder.

Note

  • If Internet Explorer is already installed on the user's computer, the new version is installed over the existing version. Your custom package is not installed in the custom location you specify.
Custom Element | Your Custom Information
Path to your custom package |


Connection Manager Customization Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Custom Element | Your Information
Use specified custom profile |
Path to custom profile |

Note

  • The path to the custom profile is required only if you specify that you are using a custom profile.


Digital Signatures Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Custom Element | Your Information
Company name on certificate |
Software publishing certificates (.spc) path |
Private key (.pvk) path |
Description text |
More information URL |
Time stamp URL |


Browser Customization Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Custom bitmaps are not required. You can use the default Internet Explorer logos and images.

Custom Element | Your Information
Title bar text |
Toolbar background bitmap location |
Toolbar button bitmap locations |
Static logo bitmap (small bitmap) location |
Static logo bitmap (large bitmap) location |
Animated logo bitmap (small bitmap) location |
Animated logo bitmap (large bitmap) location |


Certificate Customization Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Root certificates provide a level of trust that certificates lower in the hierarchy can inherit. Each certificate is inspected for a parent certificate until the root certificate is reached.

Custom Element | Your Information
New root certificate path |


URLs to Collect Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Custom Element | Your Information
Home page URL |
Search bar URL |
Online support page URL |
Favorite URL #1 (up to 200) |
Favorite URL #2 (up to 200) |
Favorite URL #3 (up to 200) |
Product update page URL |
Custom Welcome page URL |


User Agent String Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Custom Element | Your Information
Text to add to user agent string |

Note

  • An example of a user agent string is: Mozilla/4.0(compatible;MSIE 6;Windows NT;Your custom text)


Automatic Connection Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

The sign-up files required are based on the sign-up method. You may need to copy one or more of the following files to your working directory:

  • ICWSign.htm
  • Signup.htm
  • Internet sign-up (.isp) file
  • Internet settings (.ins) file

Sign-up Files

Custom Element | Your Information
Path to sign-up files |

Sign-up Server Information

Custom Element | Your Information
Connection name |
File name |
Area code/Phone number for connection |
Country code/ID |
User name |
Password |
URL of the first online sign-up page |

You can also customize the following advanced sign-up server options:

Custom Element | Your Information
Static DNS address (primary) |
Static DNS address (secondary) |

Internet Settings File

Custom Element | Your Information
Connection name |
File name |
Area code/Phone number |
Country code/ID |
User name |
Password |

If users connect to your server to sign up or you are using a serverless sign-up, you can apply your brand information to the Internet Settings (.ins) file. If you do so, your brand appears during sign-up. For your brand information to appear, you need the following information:

Custom Element | Your Information
Branding cabinet (.cab) file name |
URL to the branding .cab file |


Outlook Express Customization Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Outlook Express Accounts

Custom Element | Your Information
Incoming mail server |
Outgoing mail (SMTP) server |
Internet news (NNTP) server |

Outlook Express Custom Content

Custom Element | Your Information
InfoPane URL |
Local HTML file for InfoPane |
Welcome message HTML file path |
Welcome message sender |
Welcome message reply-to name |

Outlook Express Custom Settings

Custom Element | Your Information
Newsgroup #1 |
Newsgroup #2 |
Newsgroup #3 |
Service name for additional mail accounts |
Service URL for additional mail accounts |


LDAP Address Server Checklist

Before you use the IEAK to create and deploy your custom package, you should have on hand the following information.

You can print this worksheet and then fill in the blanks with your own information. As you work with the IEAK, you can use the worksheet to enter your data.

Address Book Directory Service

Custom Element | Your Information
Service name (friendly) |
Service name (LDAP) |
Service Web site |
Search base |
Service bitmap file path |


Understanding the IEAK Profile Manager

Before installing Microsoft Internet Explorer, you can use the Internet Explorer 6 Customization Wizard to put automatic configuration and automatic detection into your custom package. With these features, you can automatically update your users' computers through the auto-configuration .ins file (which is maintained on your server). You specify the interval at which browser configuration settings are updated.

After Internet Explorer is installed, you can use the IEAK Profile Manager to maintain browser configuration settings on your users' computers. With the IEAK Profile Manager, you can open any auto-configuration .ins file and change settings, such as those for digital signatures and security zones.

You can also use the IEAK Profile Manager to enable automatic configuration if you did not set up this feature before installation. You can let the automatic detection feature locate the updated auto-configuration .ins file, or you can manually set the automatic configuration on client computers.

If you are a corporate administrator, the IEAK Profile Manager can help you maintain your versions of Internet Explorer by providing quick access to system settings from a central location. To use automatic configuration, you must create a profile consisting of an .ins file and any cabinet (.cab) files generated by the Profile Manager. The profile contains information that is used to configure browsers. After creating the profile, you store it on a server.

When you run the Internet Explorer 6 Customization Wizard, you type the server path for the .ins file. If you need to change settings later, edit the .ins file. The next time your users start the browser, or on a schedule that you specify, the changes take effect on each user's computer.

To run the IEAK Profile Manager

  1. Click Start, point to All Programs, point to Microsoft IEAK 6, and then click IEAK Profile Manager.
  2. On the File menu, click Open, and then open the .ins file that you want to modify, or click New to create a new .ins file.
  3. Click the desired category under either Wizard Settings or System Policies and Restrictions.
  4. Edit the settings that you want to change.
  5. On the File menu, click Save as.
  6. Type the path to your .ins file, the URL where your .cab files are stored, and the names of your .cab files if they differ from the defaults provided.

Notes

  • You must run the Internet Explorer 6 Customization Wizard at least once before starting the Profile Manager.
  • The default location for saving the auto-configuration .ins file is the folder: \build directory\Ins\operating system\language\. For example, you could save an English version of the .ins file created for the Windows 32-bit edition in the folder \Build1\Ins\Win32\En\.
  • Before updating the configuration settings on your users' computers, you should copy the auto-configuration .ins file and the companion .cab files generated by the IEAK Profile Manager to a working directory and test the configuration. After you validate the changes, copy the new auto-configuration .ins file to your production server. Automatic configuration then updates the configuration settings on your users' computers.
  • If the version number of the .ins file does not change, new .cab files are not downloaded. The version number combines the date the .ins file was modified and the number of times the file was revised.
  • If you are familiar with .adm files, you can use the policies and restrictions set up in your own .adm files by clicking Policy and then clicking Import.
  • If you are using automatic configuration, and you are supporting both Internet Explorer 5 or later and Internet Explorer 4.0 with the same automatic configuration file, some settings that differ between these versions are not configured in Internet Explorer 4.0.


Updating Browser Configuration Settings

The Internet Explorer Customization Wizard creates an auto-configuration .ins file for each custom package that you build. By default, this file is named Install.ins, but you can rename it for each custom package.

After you install the browser, you can use the IEAK Profile Manager to update configuration settings by opening the auto-configuration .ins file, changing settings, and then saving the file. The IEAK Profile Manager also keeps the companion files current each time you save the auto-configuration .ins file.

You can change wizard settings as well as policies and restrictions.

Wizard Settings

Wizard settings correspond to browser and component options that you initially configured in Stages 2 through 5 of the Internet Explorer Customization Wizard. Some of the settings you can change are:

  • Browser title
  • Digital signatures
  • Favorites
  • User agent string
  • Connection settings
  • Important URLs
  • Outlook Express accounts

Policies and Restrictions

Policies and restrictions settings correspond to options that you initially configured on the Policies and Restrictions screen in Stage 5 of the Internet Explorer Customization Wizard. Some of the settings you can change are:

  • Microsoft NetMeeting
  • Internet settings
  • Identity manager
  • Corporate restrictions
  • Microsoft chat
  • Web desktop
  • Corporate settings

To change wizard settings, using the IEAK Profile Manager

  1. Click Start, point to All Programs, point to Microsoft IEAK 6, and then click IEAK Profile Manager.
  2. On the File menu, do one of the following:
    • Click Open, and then open the .ins file that you want to modify.
    • Click New to create a new .ins file.
  3. Under Wizard Settings, click a setting, and then edit the information that you want to change.
  4. On the File menu, click Save as, and then in the .INS file full path and filename box, specify the full path of the .ins file.

To change system policies and restrictions, using the IEAK Profile Manager

  1. Click Start, point to All Programs, point to Microsoft IEAK 6, and then click IEAK Profile Manager.
  2. On the File menu, do one of the following:
    • Click Open, and then open the .ins file that you want to modify.
    • Click New to create a new .ins file.
  3. Double-click a folder, and then click a policy or restriction.
  4. Edit the information that you want to change.
  5. On the File menu, click Save as, and then in the .INS file full path and filename box, specify the full path of the .ins file.
  6. In the URL Path of cabinet (.CAB) filename box, specify the full path to the .cab file.

Notes

  • When you save your changes, the .ins file that you specify is used to create the .cab file name in the Configuration cabinet (.CAB) filename box. You can edit this file name if necessary.


Managing Automatic Configuration

You can use an automatic configuration URL to automatically point your users' browsers to the IEAK profile. You can either specify the .ins file or create and specify an Active Server Page (.asp) file that generates an .ins file automatically.

You can also specify script files in .js, .jvs, or .pac format that enable you to configure and maintain advanced proxy settings. If you specify URLs for both automatic configuration and automatic proxy (autoproxy), the autoproxy URL is incorporated into the .ins file. The correct form for the URL is http://share/test.ins.

To enable automatic configuration

  1. Click Start, point to All Programs, point to Microsoft IEAK 6, and then click IEAK Profile Manager.
  2. On the File menu, do one of the following:
    • Click Open, and then open the .ins file that you want to modify.
    • Click New to create a new .ins file.
  3. Under Wizard Settings, click Automatic Browser Configuration.
  4. Select the Enable Automatic Configuration check box.
  5. Type the URL for the .ins file in the Auto-config URL (.INS) file box.
  6. Type the URL for the autoproxy script in the Auto-proxy URL (.JS, .JVS, or .PAC file) box.

Note

  • You can set an update interval in the Automatically configure every nn box. You specify here the number of minutes between updates. If you do not specify an update interval, the browser is updated whenever users open the browser and navigate to a Web page.


Changing the Location of an Auto-configuration .ins File

If you need to move the auto-configuration .ins file to a different production server, you can use the IEAK Profile Manager to update the URL for automatic browser configuration. If you set the auto-configuration .ins file to make updates at a specified interval, after updating the URL for automatic browser configuration, you must allow two intervals before the change takes effect.

To update the URL for automatic browser configuration

  1. Click Start, point to All Programs, point to Microsoft IEAK, and then click IEAK Profile Manager.
  2. On the File menu, click Open, and then click the auto-configuration .ins file from your custom package.
  3. Under Wizard Settings, click Automatic Browser Configuration.
  4. Select the Enable Automatic Configuration check box.
  5. In the Auto-config URL (.INS File) box, type the new server path.
  6. On the File menu, click Save as, and then, in the .INS file full path and filename box, type a name for the file, keeping its .ins extension.

Important

  • You must copy any .cab files that have been created in the build folder to the folder that contains your .ins file.

Note

  • Leave the old .ins file on your server until you are sure that all of your users' configuration settings are updated. When users start their browsers and the configuration settings are scheduled to be updated, the URL for automatic browser configuration is updated on their computers. At this point, the browser is still using the settings from the original auto-configuration .ins file (for example, http://existing path/Default.ins/).

    When users start their browsers a second time and the configuration settings are scheduled to be updated again, the browser reads the new auto-configuration .ins file (for example, http://new path/Default.ins/). Once you are sure that the settings on all users' computers have been updated, you can remove the old copy of the auto-configuration .ins file from its original location


Generating Files with the IEAK Profile Manager

When you update and save your configuration settings, the IEAK Profile Manager generates the following files:

Type of file | Purpose
Auto-configuration installation (.ins) | Contains the browser and component settings that Microsoft Internet Explorer uses to update the browser configuration on users' computers. You can specify these settings in the Wizard Settings section of the IEAK Profile Manager.
Cabinet (.cab) | Contains the installation files that are downloaded to users' computers. You should digitally sign the .cab files created by the IEAK Profile Manager. For more information about signing your .cab files, see Signing Your Programs. The auto-configuration .cab files also contain information (.inf) files.
Information (.inf) | Contains the system policies and restrictions that the operating system uses to update the system configuration on users' computers. You can specify these settings in the Policies and Restrictions section of the IEAK Profile Manager. Each .inf file also contains version information. When you change configuration settings, the IEAK Profile Manager updates the affected .inf files and their version information and repackages the companion .cab files.

Internet Explorer downloads and processes the contents of the auto-configuration .ins file and makes the necessary configuration changes on users' computers. Internet Explorer also downloads and unpacks the companion .cab files for the operating system to process. If the version number of the auto-configuration .ins file does not change, new .cab files are not downloaded. The version number consists of the date the .ins file was modified and the number of times the file has been revised.


Creating Unique Configurations for Different Groups of Users

If you have users with different needs or if you want to change some users' configuration settings independently of others, you can create multiple auto-configuration .ins files. You can use the IEAK Profile Manager to specify different configuration settings for each group and save them as individual usergroup.ins files, where usergroup is a unique name for each user group. The IEAK Profile Manager automatically generates the companion .cab files. For example, you could specify a unique configuration for the Finance Department and save the configuration as Finance.ins. The IEAK Profile Manager would then generate the necessary companion .cab files.

Note

  • If you create multiple auto-configuration .ins files, make sure that your custom packages are configured to use the correct file. You can also use an automated server solution, which enables you to use multiple .ins files without rebuilding your custom packages.


Using Custom Policy Templates

The IEAK Profile Manager uses a default set of Windows policy template, or administration (.adm), files to define the rules for system policies and restrictions. The .adm and system policies and restrictions files are standard features of Windows 32-bit and Windows 16-bite editions. If you are familiar with .adm files, you can create your own templates to define additional restrictions. For more information, see your Windows documentation.

Using the IEAK Profile Manager, you can import your own custom .adm files and include them with your updated configuration settings. The IEAK Profile Manager generates an associated .inf file, using the file prefix for the custom .adm file that you import. For example, if you import a file named Custom.adm, a Custom.inf file is generated and added to the companion .cab files. For more information about using custom .adm files, see Understanding Settings and Restrictions.


Managing Windows 2000 Systems with the Profile Manager

banner

Managing Windows 2000 Systems with Profile Manager

If you are using unattended Setup to deploy Microsoft Internet Explorer on Windows 2000, you can use the IEAK Profile Manager to specify custom Internet Explorer settings. These settings will be configured when unattended Setup is run. The Profile Manager enables you to create .ins files, and if needed, cabinet (.cab) files. The .ins file is specified in the [Branding] section of the Unattend.txt file. For more information, consult the Windows 2000 Setup documentation.

To specify Windows 2000 as your platform, click the Platform menu, and then click Windows 2000. Under Wizard Settings, click the items you want to customize.

Restrictions, which determine which settings users can change, are not available for Windows 2000 in the IEAK Profile Manager. To set restrictions for Windows 2000, use Group Policy. For more information, search on "Group Policy" in Windows 2000 Help.

Options for digital certificates are not available for Windows 2000 in the IEAK Profile Manager, because Windows 2000 provides advanced certificate management features. For more information, search for "digital certificates" in Windows 2000 Help.


Creating a Pilot Program

You need to create a test version of your custom package, install it on a few lab computers, test and evaluate the performance, then update your package with any changes you want to make. It is good practice to prepare a test plan and checklists for lab tests, and then use the test checklists to record satisfactory completion of tasks and note all problems with the process. Also, prepare a checklist to test each deployment and distribution strategy.

Identify and select pilot groups and prepare them for your pilot program. If your organization is large, or has groups with vastly different computing environments, you should run a pilot program for each unique environment or group. Locate groups that are representative of the users throughout your organization. To maximize your success, make sure volunteers have enough time in their schedules to fully participate in your pilot program.

The following are procedures you can use to run a pilot program. These procedures are intended to be guidelines because every environment is unique.

To prepare a pilot program for deployment

Identify the tasks and resources necessary to conduct the pilot program. Before you deploy Microsoft Internet Explorer 6 to the organization, use your lab clients to test and refine deployment strategies and configurations. To plan the pilot program:

  1. Select the appropriate pilot groups.
  2. Document the resources and tasks needed for the pilot program.
  3. Develop a user-training plan.
  4. Develop a user-support plan.

To create a test package for your pilot program

You should create a test package for your pilot program.

  1. Install Internet Explorer 6 on your test computer.
  2. Install the IEAK 6, and then start the Configuration Wizard.
  3. Build a custom test package.
  4. Configure the automatic-configuration files (.ins, .js, .pac).
  5. Configure download sites and install the distribution files.
  6. Copy distribution files to compact discs and floppy disks.

To deploy a pilot program to lab clients

Use the appropriate distribution methods to deploy your custom test packages of Internet Explorer to your lab computers. For example, send e-mail messages to users telling them how to download the custom package.

Alternately, attach batch files to the e-mail messages instructing users to double-click the batch file and install the custom package. If your custom packages are being distributed on compact discs or floppy disks, distribute them to the users and provide installation instructions.

  1. Distribute your custom test package using various distribution methods.
  2. Use Internet Explorer Setup to install the custom test package on each client.
  3. Start Internet Explorer on each client to ensure that your installation was a success.

To test your pilot program on lab clients

Set aside a physical space for each lab and acquire a mix of computers that accurately reflects your hardware and software environments. If you use portable computers that dial in from remote locations, or if additional servers or mainframe computers for business data are needed, give the lab computers an analog phone line and appropriate access to the network.

Configure lab clients and servers to represent typical business and user configurations. Be sure to include all operating system and business application configurations, in addition to Internet and browser configurations. In addition, document the lab setup and maintain a record of any changes made to the setup.

Maintain a record of all issues and problems encountered. These records will help you design solutions to correct problems.

  1. Run Internet Explorer 6 to test all add-ins and features.
  2. Run business applications to check for satisfactory operation.
  3. Perform all deployment tasks using the test plan checklists.
  4. Identify problems with the deployment process and migration issues.
  5. Revise the deployment plan based on test feedback.

To uninstall the pilot program from lab clients

  1. Uninstall Internet Explorer 6 and your add-ins.
  2. Verify that Internet Explorer 6 components were removed.
  3. Test the desktop and business applications.

Caution

  • Certain settings can inhibit or prevent uninstalling Internet Explorer 6 and your custom components. You should review the related topics to ensure that you understand the custom elements that can help you streamline uninstalling from your lab clients.

Related Topics

To develop a user training plan

Develop a training plan that meets your users' needs. Use the training plan as the basis for the final deployment of your custom package. Revise the plan based on feedback from the pilot program, and use it to train users for the final deployment.

  1. Identify the training staff and resources.
  2. Include Internet Explorer 6 instruction for new users.
  3. Separate training for administrators from end-user training.
  4. Train administrators on the IEAK and Profile Manager.
  5. Train end users to access and navigate Help.

To develop a user support plan

Develop a support plan that meets the needs of your users.

  1. Identify the support staff and their resources.
  2. Include online support for deployment using a custom Web page on your intranet.
  3. Set up a Help desk to provide administrative support to your end users.

To beta test your pilot program

After a successful lab pilot program, you need to beta test your custom package. This ensures that many beta users can work with the settings and customizations in your package. It also gives you a chance to change your mind about some of your settings without impacting all of your users.

  1. Prepare custom packages for deployment.
  2. Deploy custom packages to pilot users.
  3. Monitor and support users as they install and use Internet Explorer 6.

To create your custom package

Install Internet Explorer 6 and the IEAK 6 when you are ready to create your custom package. Configuring your work computer streamlines your customization because in many areas you can import your current settings into your custom package.

  1. Install Internet Explorer 6 on your production computer.
  2. Install the IEAK 6 on your production computer.
  3. Sign on as the administrator, and then run the IEAK Customization Wizard.
  4. Build your required custom packages.
  5. Configure download sites and install the distribution files.
  6. Copy the distribution files to compact discs and floppy disks, if necessary.


Using CMAK for Connections

You can use the Connection Manager Administration Kit (CMAK) to create and administer profiles for Microsoft Connection Manager. Connection Manager is part of Internet Connection Point Services for RAS, which is included in the Windows NT Option Pack.

Connection Manager is a client application similar to Dial-Up Networking. It supports multiple phone numbers per Connection Manager profile, and gives you the ability to run applications automatically before, during, and after a connection occurs. It also lets you set up a virtual private network.

If you integrate Connection Manager with Connection Point Services for Windows NT, which consists of a phone book administrator and a phone book service, you can automatically configure, administer, and dynamically update connection numbers to a client Connection Manager profile.

There are four major advantages to creating automatic connections with CMAK. They are:

  • Using multiple phone numbers per Connection Manager profile
  • Running applications automatically before, during, and after a connection is made
  • Dynamically updating Connection Manager phone books when your access numbers change
  • Customizing Connection Manager profiles with bitmaps, specific license agreements, Help files, and command-line parameters.

Note

  • The Connection Manager Administration Kit (CMAK) is not included in IEAK 6. CMAK is available in Windows 2000 Server or later, as well as in the Windows 2000 Administration Pack. An older version of CMAK is available in IEAK 5.0.


Importing a Connection

Importing a connection involves copying the Dial-Up Networking (DUN) settings from your IEAK workstation, and then saving the connection settings in your custom package. Importing a connection in this way creates a common DUN entry on all users' workstations. Dial-up, protocol, and proxy settings for each connection are also imported.

If you import more than one DUN entry, the default connection on the IEAK workstation becomes the default connection on the users' workstations. The primary advantage to this approach is that it is simple. You can import DUN entries and use them in conjunction with users' existing DUN entries, such as a personal ISP.

Using the IEAK to create DUN settings works well in situations where a Dial-Up Point of Presence (such as a RAS server) has a single dial-up number that is not likely to change. One disadvantage of importing existing connections is the static nature of a DUN entry. If users require more than a few dial-up numbers or your RAS numbers tend to change often, then you spend a prohibitive amount of time importing separate DUN entries.

There are some situations where you should use CMAK to create DUN settings:

  • Remote users connect to multiple numbers
  • Packages are distributed to multiple groups of users whose connection phone numbers differ from one another


Customization for Internet Content Providers

The IEAK enables Internet content providers (ICPs) and independent software vendors (ISVs) to create a custom browser for customers who already have Internet accounts.

As an ICP, you can also create a custom browser if you plan to use the Microsoft Referral Server as part of your custom package. This referral server, which provides information about Internet service providers in your area, is maintained by Microsoft. You can link to sign-up servers using this referral server.

Customizing the Setup program

  • Customize the appearance of the Windows Update Setup program and configure installation modes (such as the Standard and Minimal installations).
  • Point users to Internet servers to access the latest product versions.
  • Specify the language version of Microsoft Internet Explorer to include in the installation package. You must run the Internet Explorer 6 Customization Wizard once for each language version you want to create.

Customizing the browser

  • Set home, Search, and support pages.
  • Load links and folders into the Favorites list.
  • Change the title bar and logos of the browser and Outlook Express. The Outlook Express title bar is updated if you distribute Outlook Express as part of your package, or if it is already installed on your user's computer.

Using the Internet Explorer logo

In accordance with the terms of the license agreement, you must display the Internet Explorer logo on your packaging and promotional goods, as well as on your Web site. Visit the IEAK Web site for logo information, camera-ready art information, and examples.

For an illustration of how branding is applied to your customized browser, see How Customization Works.

Important

  • Some features may not be available, depending on your license agreement. For more information, consult your contract.


ICP: Preparing to Run the Wizard

banner

Preparing to Run the Wizard

Before running the Internet Explorer 6 Customization Wizard, you should gather the information you will need and create custom bitmaps.

Determining the initial platform requirements

  • Verify that the computer you build your package from and the computers you install your package on meet the hardware and system requirements.
  • Determine the encryption levels for your browser packages. For information about encryption of Microsoft Internet Explorer, see the IEAK Web site.

Deciding on your distribution method

Decide how you are distributing your custom package. After the Internet Explorer 6 Customization Wizard builds your package, you will need to move the files to the selected media. If you build a downloadable package, you must move the package to the appropriate place on your server.

If you decide to publish your custom package to an Internet server, you need to know the path to the server and the URL from which the files are downloaded. Then create a folder on the Web server, such as CIE, to publish all the files and folders associated with your custom package. For example, you might create a server path of C:\Inetpub\Wwwroot\Cie\. If computername is the virtual root for this web server, the corresponding URL would be http://computername/Cie/.

Obtaining a digital certificate

Make initial preparations for signing certain files, such as customization files created by the Internet Explorer 6 Customization Wizard and any custom components, if you distribute files over the Internet or an intranet that is not especially configured. With browser security features, users are warned about or prevented from downloading files that are not signed. Digital signatures identify the source of programs and guarantee that the code has not changed since it was signed.

The Internet Explorer 6 Customization Wizard can sign your files if you have a publishing certificate from a certification authority. To prepare certificates for use with the IEAK, you can import them onto your computer by using the Certificate Manager Import wizard. If you have received a file with an .spc extension, you can start the Certificate Manager Import wizard by double-clicking the .spc file in Windows Explorer or My Computer.

You can also open the Certificate Manager from Internet Explorer. To do so, click the Tools menu, click Internet Options, click the Content tab, and then click Certificates. Click Import to start the Certificate Manager Import wizard, and then follow the steps in the wizard.

Creating the structure on your build machine

Folder name | Description
\CIE | Parent root for all files built by the IEAK or referenced in your custom package
\CIE\Bitmaps | Custom bitmap files (graphic files needed for your custom browser)

Creating the appropriate graphics

You have the option of customizing the following bitmaps in your browser. Place the bitmaps in the \CIE\Bitmaps\ folder before you run the Internet Explorer 6 Customization Wizard.

The custom backgrounds and buttons are displayed only on computers with 256-color (8-bit) display capabilities. On computers with 16-color (4-bit) display capabilities, a standard low-resolution background bitmap and button set are displayed.

  • One background bitmap for the CD-ROM Autorun screen (if you create a CD-ROM package).

    If you plan to distribute your custom browser on a compact disc, you need to create bitmaps as part of the Autorun splash screen that is displayed after the user has inserted the compact disc.

  • Custom images for the CD-ROM buttons (if you create a CD-ROM package).
  • Two custom bitmaps for the Windows Update Setup wizard (if you want to customize its appearance): a 162-by-312 pixel bitmap for the left side of the first wizard screen and a 496-by-56 pixel bitmap for the top of the remaining wizard screens.
  • A custom toolbar bitmap (that displays as a background for the buttons and menus).
  • Two static 256-color bitmap images (one 38-by-38 pixels and the other 22-by-22 pixels), which are used to brand the Internet Explorer browser with your logo.
  • Two animated 256-color bitmap images (one 38-by-38 pixels and the other 22-by-22 pixels), which are used to brand the Internet Explorer browser with your animated logo.

    Two tools are included with the IEAK to help you create and preview customized animated bitmaps for your browser.

Gathering the URLs for Home, Search, and Support pages

It is a good idea to create a support page that appears if your users encounter problems when installing the browser. You are prompted for the URLs of these pages when you run the Internet Explorer 6 Customization Wizard.

Notes

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.


ICP: Wizard Stage 1: Gathering Information

banner

Wizard Stage 1: Gathering Information

In the first stage of the Internet Explorer 6 Customization Wizard, content providers and independent software vendors (ISVs) are prompted for the following information:

  • The file locations for creating your customized browser package.
  • The language of the browser package you are creating. You will need to run the Internet Explorer 6 Customization Wizard for each international version you want to create.
  • The distribution media you plan to use, such as CD-ROM or downloading.
  • The features you plan to customize. For example, if you are making only minor modifications to the browser, you will not need to view all of the IEAK wizard screens.

Note

  • The Internet Explorer 6 Customization Wizard does not work correctly if Internet Explorer 6 is not installed. For more information, see Hardware and System Requirements.


ICP: Wizard Stage 2: Specifying Setup Parameters

banner

Wizard Stage 2: Specifying Setup Parameters

In this stage of the Internet Explorer 6 Customization Wizard, content providers are prompted to:

  • Download or update any Microsoft components with Automatic Version Synchronization (AVS). You must download Microsoft Internet Explorer, but you can choose which other Internet Explorer components to download.
  • Select any custom components you want to include.

    You can also specify up to 16 additional components, which can be self-extracting executable (.exe) files or compressed cabinet (.cab) files.


ICP: Wizard Stage 3: Customizing Setup

banner

Wizard Stage 3: Customize Setup

In this stage of the Internet Explorer 6 Customization Wizard, content providers can determine the way Windows Update Setup appears and works:

  • Customize the CD-ROM Autorun screen, if you are creating a CD-ROM package.
  • Customize additional CD-ROM options, if you are creating a CD-ROM package.
  • Customize Windows Update Setup Wizard for Internet Explorer and Other Internet Tools. These settings affect how Setup appears to the user.
  • Specify up to 10 unique installation options and determine which components are included with each option.
  • Specify up to 10 sites from which your package is downloaded.
  • Specify how users will receive updates to their components.
  • Specify that Setup detects whether a component exists and fine-tune which components users can customize.
  • Determine whether components you have downloaded, but have not added to all packages, are made available to users through Internet Explorer's Install on Demand feature.
  • Specify certification authority information, if you have a digital certificate, so you can sign programs as you build your IEAK package.

Notes

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.
  • For a flowchart of what happens when you use the Internet Explorer 6 Customization Wizard to create your customized package, see How the IEAK Generates Custom Packages.


ICP: Wizard Stage 4: Customizing the Browser

banner

Wizard Stage 4: Customize the Browser

In this stage of the Internet Explorer 6 Customization Wizard, content providers can customize the:

  • Browser title bar. Your custom browser title appears in both Microsoft Internet Explorer and Outlook Express, if distributed with your package or already installed on your users' computers.
  • Browser toolbar background and buttons. You can add custom toolbar buttons to run scripts and programs.
  • Internet Explorer logo in the upper right corner of the browser.
  • Home, search, and online support pages for the browser.
  • Favorites, Favorites folders, and links for the Links bar.
  • Welcome page that your users see when they start their browser for the first time.
  • User agent string. A user agent identifier is optional; it's a way to track the usage of your customized browser.

Note

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.


banner

Internet Content Provider

Wizard Stage 5: Customize Components

In this stage of the Internet Explorer 6 Customization Wizard, content providers can customize the following:

  • Default program settings, such as the specific programs to use for electronic mail and for editing Hypertext Markup Language (HTML).
  • System policies and settings, to preset Internet options.


ICP: Distributing Your Browser Package

banner

Internet Content Provider

Distributing Your Browser Package

By default, the Internet Explorer 6 Customization Wizard creates files for users to download from the Internet. You can also distribute a custom package on CD-ROM.

Downloadable files

If you created the custom package on an Internet or intranet server, you need to set up your Web site so that users can download the files. For example, you might create a page where you post download information and a link to the install engine, IE6setup.exe.

If you created the browser package on your hard disk or network drive, you need to move the following items to an Internet or intranet server:

  • The folder that contains the language version you are posting and the folder contents. For example, the folder for the English version is named EN, so you need to move the EN folder and the files it contains. This folder is in the folders for your media type, such as Download, and platform. The only platform designation in the IEAK 6 is "Win32"; for UNIX and 16-bit Windows clients, use the IEAK 5.x.
  • The file named Ie6sites.dat. This file points to the download site (or sites) you specified when you ran the Internet Explorer 6 Customization Wizard.

Notes

  • For an illustration, see How to Set Up Files for Distribution.
  • For a flowchart of the files the Internet Explorer 6 Customization Wizard creates, see How the IEAK Generates Custom Packages.

Signing your custom packages

Web browsers have security features that help protect users from downloading harmful programs. Depending on the security level and the platform, the user can be prevented from or warned against downloading programs that are not digitally signed.

The custom .cab files created by the Internet Explorer 6 Customization Wizard should be signed, unless you preconfigure the Local intranet zone with a Low security setting. Any custom components you distribute with your browser package for these platforms should also be signed. If you have a digital certificate, the Internet Explorer 6 Customization Wizard can sign these files automatically.

Notes

  • Signing the cabinet files and custom programs requires two steps: obtaining a digital certificate, and specifying the certificate information when you run the Internet Explorer 6 Customization Wizard. For more information, see Signing Your Programs.
  • You might need to change the case of file names for files posted on a UNIX FTP server. Below are the conventions you should use for specific UNIX operating systems:
    • Solaris UNIX

      If you are using a case-sensitive UNIX FTP server, you must make sure your cab folder name is not capitalized, but the following file names are capitalized: BRANDING.CAB, CUSTOM.CIF, DESKTOP.CAB, IE.CIF, IECIF.CAB, and IE6SITES.DAT.

    • AT&T UNIX

      All file names must be capitalized on an AT&T UNIX FTP server.

    • IRIX UNIX (Silicon Graphics)

      The following file names must be capitalized: BRANDING.CAB, CUSTOM.CIF, DESKTOP.CAB, IE.CIF, IECIF.CAB, and IE6SITES.DAT. You should also use a text editor to modify the file names listed in IE.CIF to match the case of the files.

CD-ROM

If you distribute your custom package for Windows 95 and Windows 98 users, a CD Autorun screen program appears when the user inserts the compact disc. This program offers users the choice of installing your custom browser or viewing more information. If the current version of Microsoft Internet Explorer is already installed, the Autorun program detects it. The browser appears in what is known as Kiosk mode with the Start.htm file loaded.


Customization for Internet Service Providers

The IEAK enables Internet service providers (ISPs) to create a custom browser and Internet service sign-up package for their customers.

Customizing the Setup program

  • Customize the appearance of the Windows Update Setup program and configure installation modes (such as the Standard and Minimal installations).
  • Point users to Internet servers to access the latest product versions.
  • Roll out additional programs, custom scripts, or maintenance scripts with Microsoft Internet Explorer.
  • Specify which language of Internet Explorer to include in the installation package. You must run the Internet Explorer 6 Customization Wizard once for each language version you want to create.

Customizing the browser

  • Set home, Search, and support pages.
  • Load links and folders into the Favorites list.
  • Change the title bar and logos of the browser and Outlook Express. The Outlook Express title bar is updated if Outlook Express is distributed as part of your package, or if it is already installed on your users' computers.

Note

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.

Controlling how customers sign up for your service

  • Implement a Sign-up Server Package: If a user has not already signed up with your service, you can provide a user with a fully active account by using a simple-to-implement, HTML-based sign-up server.
  • Implement a Non-Server-Based Package: If a user already has an account with your service or another service, you can update the user's site with a custom browser by using a simplified process without a server. This type of package requires the user to specify some final settings at installation time.

Note

  • For an illustration of the sign-up process, see ISP Sign-up Process.

Using the Internet Explorer logo

In accordance with the terms of the license agreement, you must display the Internet Explorer logo on your packaging and promotional goods, as well as on your Web site. The artwork for your Web site, packaging, and promotional goods is located in the \<IEAK program folder>\Toolkit\Graphics\Samples\ folder.

Important

  • Some features may not be available, depending on your license agreement. For more information, consult your contract.


ISP: Preparing to Run the Wizard

banner

Prepare to Run the Wizard

Before running the Internet Explorer 6 Customization Wizard, you should gather the information you will need and create custom bitmaps.

Determining the initial platform requirements

  • Verify that the computer you will build your package from and the computers you will install your package on meet the hardware and system requirements.
  • Determine the encryption levels for your browser packages. For information about encryption of Microsoft Internet Explorer, see the IEAK Web site.

Deciding on your distribution method

Decide how you will distribute your custom package (CD, download, local area network, or floppy disk). After the Internet Explorer 6 Customization Wizard builds your package, you will need to move the files to the selected media. If you build a downloadable package, you must move the package to the appropriate place on your server.

If you decide to publish your browser package to an Internet server, you need to know the path to the server and the URL from which the files are downloaded. Then create a folder on the Web server, such as CIE, to publish all the files and folders associated with your custom browser. For example, you might create a server path of C:\Inetpub\Wwwroot\Cie. If computername is the virtual root for this web server, the corresponding URL would be http://computername/Cie/.

Obtaining a digital certificate

Make initial preparations for signing certain files, such as customization files created by the Internet Explorer 6 Customization Wizard and any custom components, if you distribute files over the Internet or an intranet that is not especially configured. With browser security features, users are warned about or prevented from downloading files that are not signed. Digital signatures identify the source of programs and guarantee that the code has not changed since it was signed.

The Internet Explorer 6 Customization Wizard can sign your files if you have a publishing certificate from a certification authority. To prepare certificates for use by the IEAK, you can import them onto your computer by using the Certificate Manager Import Wizard. If you have received a file with an .spc extension, you can start the Certificate Manager Import Wizard by double-clicking the .spc file in Windows Explorer or My Computer.

You can also open the Certificate Manager from Internet Explorer. To do so, click the Tools menu, click Internet Options, click the Content tab, and then click Certificates. Click Import to start the Certificate Manager Import Wizard, and then follow the steps in the wizard.

Creating the structure on your build machine

Create the following folder structure:

Folder name | Description
\CIE | Parent root for all files built by the IEAK or referenced in your custom package
\CIE\Custom | Custom files (such as Signup.isp, Signup.htm, Icwsign.htm, Install.ins, and Cancel.ins, depending on your sign-up method) for server-based sign-up
\CIE\Dist | Destination directory for the files (this folder is needed only if you are creating your browser package on a hard disk or network drive)
\CIE\Bitmaps | Custom bitmap files (graphic files needed for your custom browser)

To copy the necessary sign-up files to this structure

  1. Select all the files contained in the following subfolders where the IEAK is installed: \<IEAK program folder>\Toolkit\Isp\Servless for serverless Internet sign-up, or \<IEAK program folder>\Toolkit\Isp\Server\ for server-based Internet sign-up.
  2. Copy these files to CIE\Custom.

Choosing a sign-up method and customizing the sign-up files

In your custom package, you can specify how new users will sign up with your service and connect to the Internet. You can select a server-based or serverless sign-up process, or disable the sign-up feature altogether (for distributing software updates to existing users). Sample files are provided in the IEAK toolkit for the HTML pages required to support each sign-up method.

Note

  • For an illustration of the sign-up process, see ISP Sign-up Process.

Creating the appropriate graphics

You have the option of customizing the following bitmaps in your browser. Place the bitmaps in the \CIE\Bitmaps folder before you run the Internet Explorer 6 Customization Wizard.

The custom backgrounds and buttons are displayed only on computers with 256-color (8-bit) display capabilities. On computers with 16-color (4-bit) display capabilities, a standard low-resolution background bitmap and button set are displayed.

  • One background bitmap for the CD-ROM Autorun screen (if you create a CD-ROM package).

    If you plan to distribute your custom browser on a compact disc, you will need to create bitmaps as part of the Autorun splash screen that is displayed after the user has inserted the compact disc. To create this bitmap, see Create a Bitmap for the Autorun Splash Screen.

  • A custom image for the CD-ROM buttons (if you create a CD-ROM package).
  • Two custom bitmaps for the Windows Update Setup Wizard (if you want to customize its appearance): a 162-by-312 pixel bitmap for the left side of the first wizard screen and a 496-by-56 pixel bitmap for the top of the remaining wizard screens.
  • A custom toolbar bitmap (that displays as a background for the buttons and menus).
  • Two static 256-color bitmap images (one 38-by-38 pixels and the other 22-by-22 pixels), which are used to brand the Internet Explorer browser with your logo.
  • Two animated 256-color bitmap images (one 38-by-38 pixels and the other 22-by-22 pixels), which are used to brand the Internet Explorer browser with your animated logo.

    Two tools are included with the IEAK to help you create and preview customized animated bitmaps for your browser.

Gathering the URLs for Home, Search, and Support pages

It is a good idea to create a support page that appears if your users encounter problems when installing the browser. You are prompted for the URLs for these pages when you run the Internet Explorer 6 Customization Wizard.

Note

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.


ISP: Internet Sign-up Options

banner

Internet Sign-up Options

An Internet sign-up server (ISS) automates the task of adding new customers to an ISP's customer database. The Internet sign-up server collects information from each new customer, adds the information to the ISP's customer database, and then passes a configuration packet back to the customer's desktop computer. The configuration packet contains information that is used to configure the customer's Internet browser for subsequent connection to the ISP's services.

To add a new customer to the ISP's database, the Internet sign-up server:

  • Causes the client computer to establish an HTTP connection with the sign-up server.
  • Collects sign-up information from the customer.
  • Handles the customer's acceptance or refusal of the ISP's services.

When using the IEAK, three options are available for performing Internet sign-up:

  • Server-based sign-up by using the Internet Connection Wizard (ICW)
  • Server-based sign-up by using the browser in Kiosk mode
  • Serverless sign-up

Server-based sign-up is preferred, unless you cannot provide a sign-up server, because settings are easier to change on the server than on the client. Of the two server-based options, the ICW method is recommended, because it uses a standard wizard interface that can be customized to fit your needs. If you are an ISP, you can specify the ICW as the tool that customers use to sign up for Internet services and configure their computers.

Important

  • If you are using single-disk branding, do not use ICW sign-up if you anticipate that some of your users are using Internet Explorer 4.01 Service Pack 1 (or earlier versions); instead, create a separate package using Kiosk mode sign-up for these customers.

Sample code in the IEAK Toolkit

Customizable solutions for Internet sign-up are located in the IEAK Toolkit. The code is provided in Active Server Pages as well as in Perl format, allowing you to build an ICW sign-up process for Web servers on different platforms with a minimum of effort. If you use the sample code, the only work you need to do is to integrate the sign-up server with your registration and billing systems. If you are participating in the Windows Referral Server Program, the sign-up server code is similar for both IEAK sign-up and Referral Server registrations.

Note

  • Because the IEAK solution includes multiple Internet sign-up (.isp) files for different customer needs, you must also include the Dynamic HTML Data Binding component in your custom package.

Creating multiple customized versions of Internet Explorer

If you are creating multiple customized versions of Internet Explorer and have many settings that stay the same across several or all versions, you can simplify the process. For more information, see Creating Multiple Versions of the Browser.


ISP: Implementing a Server-Based Sign-up Package

banner

Implementing a Server-Based Sign-up Process

The server-based sign-up process automates the registration and set-up tasks for new and existing users. This process uses an Internet sign-up server (ISS) to collect information from each user. The sign-up server adds the data to your customer database and then sends a configuration packet back to the user's computer. This packet configures the browser for subsequent connections to your Internet services.

The following server-based sign-up methods are available to ISPs:

  • Internet Connection Wizard (ICW): Using the Internet Explorer 6 Customization Wizard, you can specify the ICW as the tool that customers will use to sign up and configure their computers for Internet services. This is the recommended method because it uses a standard wizard interface that you can customize to fit the needs of your organization and its users. The ICW automatic configuration feature also enables you to configure settings for users that already have Internet accounts.
  • Full-screen Kiosk mode: Using the Internet Explorer 6 Customization Wizard, you can specify that the sign-up process screens you create are displayed in full-screen Kiosk mode.

Note

  • For an illustration of the sign-up process, see ISP Sign-up Process.

Creating a Custom Package with a Server-Based Sign-up Method

To create a custom browser package that includes a server-based sign-up method, specify the following in Stage 4 of the Internet Explorer 6 Customization Wizard:

  • Either Server-based sign-up using the Internet Connection Wizard or Server-based sign-up using full-screen Kiosk mode as your sign-up method.
  • The path of the working folder that contains your custom sign-up files. These files enable users to configure their computers to connect to your sign-up server.
  • The sign-up server information, including dial-up networking parameters that enable users to establish a connection to your sign-up server and the URL of the first online sign-up page.
  • The ICW customization information, including your title bar and custom images (if you selected Server-based sign-up using the Internet Connection Wizard).

To ensure that your package installs correctly, the folder that contains your custom sign-up files must include the following:

  • Signup.htm. This HTML page provides information about your Internet services and must include a link to an appropriate HTML page on the sign-up server. You can customize the sample Signup.htm file, which is located in the IEAK \Reskit\ISP\Server\Client folder. For example, you can add technical support data or include links to Internet sign-up (.isp) files.
  • Signup.isp. This Internet sign-up file is used to dial your sign-up server and is referenced in Signup.htm. This file should also contain a link to the URL of the server script that generates your Internet settings (.ins) files. Using the Internet Explorer 6 Customization Wizard, you can edit the parameters contained in this sign-up file. The Internet Explorer 6 Customization Wizard also generates other .isp files for the sign-up process.
  • All other sign-up files. All related files, including .gif and .jpg graphics files, must be saved in the same folder with your custom sign-up files. For example, you might want to include your own customized versions of the Install.gif file.

Distributing a Custom Package with a Server-Based Sign-up Method

If you use a server-based sign-up method, the sign-up process for your custom browser package occurs in three steps:

  1. The user's computer establishes a connection with the sign-up server.
  2. An HTML/HTTP-based dialog box collects information from the user and adds the customer information to your customer database.
  3. The sign-up server passes a configuration packet back to the customer's computer. The packet includes information about configuration and branding. It also includes the local phone number so the customer can access the Internet service provider.

    4. Note that if the user's security options are set to High, the sign-up server does not work because the necessary files cannot be downloaded to the user's machine.

Establishing a Connection with the Sign-up Server

The user opens the sign-up program, which starts Microsoft Internet Explorer, dials the sign-up server, and posts an initial connection request. Then, the sign-up server does the following:

  • Accepts the request from the user's computer (the HTTP client) and establishes an HTTP connection.
  • Creates a local data store for accumulating the information that the user enters.
  • Assigns a unique session handle that is embedded in all subsequent HTTP transactions with the client.

HTTP is a sessionless protocol; however, the sign-up server operates in a session-oriented mode and uses the session handle to identify all transactions associated with the sign-up process for a particular user. For example, the session handle could be an automatically generated number sequence assigned to this transaction by your database.

Collecting the User's Sign-up Information

The sign-up server collects user information from a sequence of HTML pages that walk the user through the sign-up process, much like a wizard in a Windows-based program. The sign-up server uploads the pages, on demand, to the user's computer. The sign-up process concludes when the user clicks the appropriate button on the final HTML page to either accept or decline the sign-up agreement.

You can choose your own content and format for the HTML pages. Typically, each HTML page includes the following:

  • A form for the user to fill out.
  • Navigation buttons that the user can click to move forward or backward between pages.
  • A button that the user can click to cancel the sign-up session.

Each HTML form includes controls for collecting input text, navigating between pages, and identifying the session. The form gathers information from the user and passes it to the sign-up server when the user clicks a navigation button. Also, the sign-up server can validate the data and post an edit page to the user's computer if the data is not acceptable.

Note

  • Make sure that you save the HTML file in the correct folder on the sign-up server; the Signup.isp file includes a link to server files for Windows 32-bit versions, and the Signup.htm file includes a link to server files for Windows 16-bit versions.

Passing a Configuration Packet Back to the User's Computer

If the user accepts the sign-up agreement, the sign-up server builds a configuration packet with an .ins file (generated by the Internet Explorer 6 Customization Wizard) that includes information about the user and your Internet services. The .ins file can contain only connection settings, or it can contain connection, browser, and mail settings that include graphics.

The sign-up server passes the configuration packet back to the user's computer by using the .ins file, which can be generated on the fly, or simply redirected to the client computer. Then, the user's computer can continue the process of installing the custom browser package. If the user declines or quits the sign-up agreement, the sign-up server redirects the user's computer to a file that cancels the sign-up process.

The configuration packet includes the following information:

  • Data for configuring Internet connections
  • Capabilities of the user's account (including e-mail and newsreaders)
  • Branding information, which customizes the appearance of the sign-up pages for your organization
  • The local phone number, so the user can access your Internet services

The first two types of data are created as part of the sign-up server. The Internet Explorer 6 Customization Wizard prepares the .ins file for branding. Some settings, such as Entry, User, Phone, Device, Server, and TCP/IP, cannot be specified in the wizard; you must assign these settings manually in the .ins file.

If you want to provide a variety of custom "private-branded" versions of Internet Explorer for different user groups, you can maintain multiple sets of branding information that the sign-up server downloads in the .ins file. For example, you might want to customize versions with different logos, title bars, favorites, search pages, start pages, special links, or locations for online assistance. All of the compact discs that you distribute to users are the same, but they are branded differently when the users sign up for Internet services.

Sign-up Server Considerations for Internet Information Services

If you are using Internet Information Services (IIS) as your sign-up server, you must configure the Internet sign-up server to provide a DHCP IP address to the client when the client connects to the server. Because the sign-up process is relatively short, the expiration time for the IP address lease can be small, possibly only a few minutes.

The sign-up processing is intended to be used over a point-to-point dial-up connection, so the IP addresses allocated for the DHCP server need not be formally assigned IP addresses. It is your responsibility to determine whether the DHCP IP addresses are valid Internet addresses or arbitrary addresses.

Registering the .ins file MIME type

For the client to process the .ins file automatically, you must register a MIME type for the .ins file with the sign-up server. This MIME type is designated "application/x-Internet-signup." When the client requests an .ins file, the sign-up server responds with this MIME type, which starts the associated installation application on the client side.

You must manually edit MIME types in the registry. To add the .ins file MIME type, use regedit.exe to add the following information:

Under this key:
HKEY_LOCAL_MACHINE\system32\CurrentControlSet\Services\InetInfo\Parameters\MimeMap

Add this value:
application/x-internet-signup,ins,,5

This value does not have a string associated with it. For more details about setting MIME types, you can also refer to the IIS Help documentation.

Note

  • To cause these registry settings to take effect, it is necessary to shut down all IIS services after adding the new MIME type. It is not sufficient to simply stop and restart the Web publishing service. (In practice, the FTP and Gopher services are not likely to be running in the sign-up server configuration.)


ISP: Setting Up a Sign-up Server for Full-Screen Kiosk Mode

banner

Setting Up a Sign-up Server for Full-Screen Kiosk Mode

An Internet sign-up server (ISS) is a Hypertext Transfer Protocol (HTTP) server that automates the task of adding new customers to an Internet service provider's (ISP) customer database. The ISS collects information from each new customer, adds the information to the ISP's customer database, and then passes data back to the customer's computer. This packet of information configures the customer's Internet browser to use the ISP's services.

Note

  • For an illustration of the sign-up process, see ISP Sign-up Process.

To add a new customer to the ISP's database

The ISS adds a new customer to the ISP's database by:

  1. Establishing an HTTP connection with a customer's desktop computer.
  2. Collecting sign-up information from the customer.
  3. Handling the customer's acceptance or refusal of the ISP's services.

To handle these tasks, you can adapt the sample code given for Internet sign-up using the Internet Connection Wizard. This code is located in the IEAK Toolkit, in the \<IEAK program folder>\Toolkit\ISP\Server\ICW\ folder and its subfolders.

The following topics describe how to develop a sign-up process for the Internet Connection Wizard. Although these topics describe a tested, comprehensive sign-up solution, which is recommended in most cases, you can customize the sign-up process to meet the needs of your organization.

  • Internet Sign-up with the Internet Connection Wizard
  • Coding Requirements for Internet Connection Wizard Screens
  • Working with the ICW Sample Sign-up Files
  • Creating Icwsign.htm, Error Pages, and the Finish Page for ICW Sign-up
  • Creating the ICW Sign-up Screens


Internet Sign-up with the Internet Connection Wizard

If you're an ISP, you can specify the Internet Connection Wizard (ICW) as the tool that customers use to sign up and configure their computers for using your Internet services. You can create server-based solutions that exchange information with the screens of the ICW. This feature is not available for the serverless sign-up method.

Customizable solutions for Internet sign-up are located in the IEAK Toolkit, in the \<IEAK program folder>\Toolkit\ISP\Server\ICW\ folder and its subfolders. The code is provided in Active Server Pages as well as Perl format, thus allowing you to build an ICW sign-up server for Web servers on different platforms with a minimum of effort. If you use the sample code, the only work you need to do is to integrate the sign-up server with your registration and billing systems.

Notes

  • If you are participating in the Windows Referral Server Program, the sign-up server code is similar for both IEAK sign-up and Referral Server registrations.
  • For an illustration of the sign-up process, see ISP Sign-up Process.

The following topics describe how to develop a sign-up process for the ICW. Although these topics describe a tested, comprehensive sign-up solution, which is recommended in most cases, you can customize the sign-up process to meet the needs of your organization.

  • Coding Requirements for Internet Connection Wizard Screens
  • Working with the ICW Sample Sign-up Files
  • Creating Icwsign.htm, Error Pages, and the Finish Page for ICW Sign-up
  • Creating the ICW Sign-up Screens
  • Using ICW Auto-Configuration for ISP Sign-up

Important

  • If you are using single-disk branding, do not use Internet Connection Wizard mode sign-up if you anticipate that some of your users are using Internet Explorer 4.01 Service Pack 1 or earlier; instead, create a separate package using Kiosk mode sign-up for these customers.


Working with the Internet Connection Wizard Sample Sign-up Files

If you want to simulate the sign-up process before creating your own files, you can use the sample files from the IEAK Toolkit, in the \<IEAK program folder>\Toolkit\ISP\Server\ICW\ folder. The sample files can give you a general idea of how the sign-up process works and the type of information that you need to provide.

To use sample files to simulate the sign-up process

  1. Create a directory named Signup in the wwwroot directory on your server.
  2. Copy the files from the IEAK ToolKit to the Signup directory.
  3. In the files, change all the references to point to your sign-up server.
  4. In the HTML code of the sign-up server pages, change all the references from Acme ISP to your organization's name.
  5. Modify the last sign-up server page to reflect your .ins settings.


Coding and Accessibility Requirements for Internet Connection Wizard Sign-up

banner

Coding Requirements for Internet Connection Wizard Screens

The Internet Connection Wizard (ICW) sign-up mechanism in the IEAK is based on the idea that an Internet sign-up server should behave like a standard Windows wizard. Although the ICW uses the power and flexibility of Hypertext Markup Language (HTML), it does not use the same formatting as HTML.

HTML pages in the ICW use the Windows system colors and fonts and they also must meet accessibility requirements. Unless otherwise specified, the wizard HTML pages cannot contain any special HTML formatting such as tables with visible borders, images, or anchors. Only plain text and form elements (where required) are allowed. Tables with invisible borders can be used for layout.

To match the user's system colors, all HTML pages except the Icwsign.htm page should contain no color or font attributes unless otherwise specified. The parent wizard defines font styles and colors to match the user's system.

The only requirement for implementing forms within the HTML pages is that the forms use the NAME parameters in the <FORM> elements defined in the specification. You can specify token names for all other elements in your HTML pages and these elements are posted to your sign-up server.

Back and Next button functionality

ICW-mode sign-up has specific requirements that must be met in order for the Back and Next buttons in the Internet Connection Wizard to work correctly.

The sample sign-up server code included in the IEAK already conforms to these requirements.

Back button

For the Back button to work properly, you must add a FORM element to the sign-up server page that specifies the URL of the Back button. To retain the data previously collected in the sign-up process, you must append all data that you would like to retain to the URL used for the Back button.

The following is the FORM element required for the Back button to send the user to the previous page of the sign-up process. Note the data is appended to the URL in name/value pairs:

<FORM NAME="BACK"
 ACTION="http://myserver/page2.asp"?firstname=bob&lastname=smith&address=...">
</FORM>

Note

  • The NAME element and its value must be in all caps because the ICW is case-sensitive.

Next button

For the Next button to work properly, you must add a FORM element to the sign-up server page that specifies the URL of the Next button. For the collected data to be passed to the next page in the sign-up process, you must add hidden form fields on each of your sign-up server pages that contain the data elements collected on this and all previous screens. The URL you reference must contain code that collects the data from the previous page and displays the next page of the sign-up process.

The following is the FORM element required for the Next button to send the user to the next page of the signup process:

<FORM NAME="NEXT"
 ACTION="http://myserver/page2.asp">
</FORM>

Accessibility requirements

To ensure that the elements on the page are accessible by using only the keyboard, each form element must meet the following requirements:

  • An access key (hot key) must be associated with the form element. Use the Internet Explorer ACCESSKEY= parameter in the <INPUT> tag. The access key character should be highlighted with an underline using the <U> tag. The letters b, f, g, n, and o are reserved for the ICW and cannot be used as access keys. For more information about the ACCESSKEY parameter, see the MSDN Online Web Workshop.
  • Each element on the page must be part of the ICW TAB-key order. To be included in the ICW TAB-key order, the element must have a unique ID in the <INPUT> tag.
  • Each element should have a label associated with it. To associate a label for the different HTML form input types, use the Internet Explorer LABEL= parameter.

Example

The following option button form element meets the ICW accessibility requirements:

<INPUT ID="option2"
 TYPE="radio"
 NAME="billing"
 VALUE="hour"
 ACCESSKEY="h"
 CHECKED
>
<LABEL for="option2">
 5 <U>H</U>ours per month for $10.
</LABEL>

HTML and design requirements

Each page of the Internet Connection Wizard should have the following design elements and adhere to the following design conventions.

Important

  • Only text and HTML form elements are allowed. No images, hyperlinks, or scroll bars are allowed.

Style sheet

Do not specify any font style or color attributes. The parent wizard sets these attributes. If you use a <TABLE> tag in your error pages, the tag must include the following style:

<TABLE style="font: 8pt 'ms sans serif' buttontext"> </TABLE>

Required form elements

This page must include four HTML <FORM> elements to specify different page properties:

Element | Requirements
The unique PAGEID for the page | The NAME of the form must be "PAGEID" (case sensitive). The ACTION attribute of the form must be a unique ID that does not match the PAGEID of any other page in the ISP section of the wizard (for example, <FORM NAME="PAGEID" ACTION="page4"></FORM>).
The Back button function | The NAME for the form must be "BACK" (case sensitive). The ACTION attribute for this form should be the absolute URL for the previous page (for example, ACTION="HTTP://signup/bin/page1.cgi"); however, no data is posted to this page.
The characteristics of the page | The form is identified with the NAME "PAGETYPE" (case sensitive). Because this is a standard frame where the ISP defines the entire space, the form's ACTION attribute must be an empty string (for example, ACTION="").
The Next button function | The NAME for the form must be "NEXT" (case sensitive). This is the form that contains the actual form elements to be sent back to the ISP's sign-up server. There are no restrictions on the token names for the <INPUT> elements within the form. The ACTION attribute for the form should be the absolute URL where the form information should be posted. The URL that you post to on your server should contain a script that receives the data and then displays the next HTML page of the wizard.


Using Internet Connection Wizard Auto-Configuration for ISP Sign-up

ICW automatic configuration enables users who buy a new computer to configure the machine to use the existing Internet Service account that they had on a previous computer, or on a computer at work. It also helps users whose Internet settings become corrupted. The auto-configuration feature restores users settings, and the user needs to know only the user ID, password, and POP server.

In a custom version of Internet Explorer, the user reaches the automatic configuration server from the Internet Explorer CD by clicking a link on the Icwsign.htm page. This link connects the user to the auto-configuration registration server. After the user is connected to your sign-up server, you can ask for the user name, password, and POP server. With this information, you can send an .ins file to the user's computer to reconfigure the user's account.

Two methods for supporting ICW auto-configuration

There are two models you can use to restore user accounts using auto-configuration:

  • Ask the user for the user name, password, and POP server. This should be sufficient information for you to recreate the .ins file, send it to the user, and reconfigure the account. If you are concerned about abuse of this feature, you might want to ask for the user's credit card number and run a check against the registration database.
  • Store .ins files with the rest of the user's account information. When a user connects to the auto-configuration server, they can obtain the .ins file by providing only the user name and password. The auto-configuration server would then look up the user's account and deliver a copy of the user's original .ins file. As with the previous model, if you are concerned about abuse of this feature, you might want to ask for the user's credit card number and run a check against the registration database.

To set up ICW auto-configuration

  • Follow the Coding Requirements for Internet Connection Wizard screens and design the ISP account login/e-mail page, the ISP POP selection page, and the ISP finish page.


ISP: Implement a Serverless Sign-up Package

banner

Implement a Serverless Sign-up Package

The serverless sign-up process enables users to install your customized Microsoft Internet Explorer browser by compact disc, floppy disk, or downloading files. The installation process requires the users to enter only their user name, password, and connection information to set up an account and connect to the Internet by using your customized browser. ISPs can customize user settings without using a sign-up server. Because configuration information is distributed with the IEAK package, and therefore becomes local to the user's computer, the process is not as dynamic as server-based sign-up.

You cannot use the serverless sign-up method to customize the Internet Connection Wizard.

Creating a Custom Package with a Serverless Sign-up Method

To create a customized browser package that includes a serverless sign-up method, specify the following in Stage 4 of the Internet Explorer 6 Customization Wizard:

  • Serverless sign-up as your sign-up method.
  • The path of the folder that contains your custom sign-up files. These files enable users to configure their computers for Internet services.
  • The dial-up networking parameters that enable users to establish a connection for Internet services.

To ensure that your package installs correctly, the folder that contains your custom sign-up files must include the following:

  • Signup.htm. This HTML page provides information about your Internet service and must include a link to the .ins file, which contains the configuration settings for your custom browser package.
  • All other sign-up files. All related files, including .gif and .jpg graphic files, must be saved in the same folder with your custom sign-up files. For example, you might want to include your own customized versions of the Install.gif and Logohere.gif files.

Distributing a Custom Package with a Serverless Sign-up Method

Your custom package includes a configuration file, named Install.ins, that contains the settings you specified for your custom browser. Unlike the Internet sign-up server method, this .ins file contains no user-specific configuration information. When the user starts the sign-up program, a link from the local HTML page starts the .ins file. The user provides the user name, password, and connection information. Then, the .ins file configures the user's account to connect to the Internet using the customized browser.

Drawbacks to Using a Serverless Sign-up Process

Because the configuration file is distributed with the IEAK package, you cannot dynamically change user settings on the sign-up server.

The regular sign-up server gathers information about a user and then prepares a custom configuration file that is downloaded to the user's desktop computer. Software in the Internet Explorer installation package uses the configuration file to configure the desktop computer.

In the serverless version, the configuration file is created before the package is shipped, and it is included in the installation package. Therefore, the configuration file contains no user-specific configuration information. The configuration file, Install.ins, is invoked as a link from the local HTML page and configures most aspects of Internet Explorer. Because the configuration file is included in the installation package, it becomes local to the user's computer.

To compensate for this drawback, the advanced option in the serverless sign-up process uses an ActiveX control (installx.exe) to quickly generate an .ins file that incorporates the user's information. Internet Explorer then uses the file generated by the ActiveX control to configure the user's settings.


ISP: Wizard Stage 1: Gathering Information

banner

Wizard Stage 1: Gathering Information

In the first stage of the Internet Explorer 6 Customization Wizard, Internet Service Providers (ISPs) are prompted for the following information:

  • The file locations for creating your customized browser package.
  • The language of the browser package you are creating. You will need to run the Internet Explorer 6 Customization Wizard for each international version you want to create.
  • The distribution media you plan to use, such as CD-ROM or downloading.
  • The features you plan to customize. For example, if you are making only minor modifications to the browser, you will not need to view all of the IEAK wizard screens.

Note

  • The Internet Explorer 6 Customization Wizard does not work correctly if Microsoft Internet Explorer 6 is not installed. For more information, see Hardware and System Requirements.


ISP: Wizard Stage 2: Specifying Setup Parameters

banner

Wizard Stage 2: Specifying Setup Parameters

In this stage of the Internet Explorer 6 Customization Wizard, Internet service providers are prompted to:

  • Download or update any Microsoft components with Automatic Version Synchronization. You must download Internet Explorer, but you can choose which other Internet Explorer components to download.
  • Select any custom components you want to include.

    You can also specify up to 16 additional components, which can be self-extracting executable (.exe) files or compressed cabinet (.cab) files.


ISP: Wizard Stage 3: Customize Setup

banner

Wizard Stage 3: Customize Setup

In this stage of the Internet Explorer 6 Customization Wizard, Internet service providers can determine the way Windows Update Setup appears and works:

  • Customize the CD-ROM Autorun screen, if you are creating a CD-ROM package.
  • Customize additional CD-ROM options if you are creating a CD-ROM package.
  • Customize Windows Update Setup Wizard for Internet Explorer and Other Internet Tools. These settings affect how Setup appears to the user.
  • Specify up to 10 unique installation options and determine which components are included with each option.
  • Specify up to 10 sites from which your package is downloaded.
  • Specify how users will receive updates to their components.
  • Specify that Setup detects whether a component exists and fine-tune which components users can customize.
  • Determine whether components you have downloaded, but have not added to all packages, are made available to users through Internet Explorer's Install on Demand feature.
  • Import a custom profile from the Connection Manager Administration Kit.
  • Specify certification authority information, if you have a digital certificate, so you can sign programs as you build your IEAK package.

Notes

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.
  • For a flowchart of what happens when you use the Internet Explorer 6 Customization Wizard to create your customized package, see How the IEAK Generates Custom Packages.


ISP: Wizard Stage 4: Customize the Browser

banner

Wizard Stage 4: Customize the Browser

In this stage of the Internet Explorer 6 Customization Wizard, Internet service providers can customize the:

  • Browser title bar. Your custom browser title appears in both Internet Explorer and outlook Express, if distributed with your package or already installed on your user's computer.
  • Browser toolbar background and buttons. You can add custom toolbar buttons to run scripts and programs.
  • Internet Explorer logo in the upper right corner of the browser.
  • Home, search, and online support pages for the browser.
  • Favorites, Favorites folders, and links for the Links bar.
  • Welcome page that your users see when they start their browser for the first time.
  • User agent string. A user agent identifier is optional; it's a way to track the usage of your customized browser.
  • User's connection settings by customizing the settings, importing your settings, or deleting the user's existing settings.
  • Proxy settings.
  • Root certificate.
  • Method of user sign-up.
  • Sign-up files. You can specify the path of the folder that contains the sign-up files, and specify whether you want to edit these files.
  • Parameters for the dial-up networking connection and Internet settings files that customers will use to connect to your Internet sign-up server.
  • Internet Connection Wizard settings, if your users will use the wizard to sign up for your services.

Note

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.


ISP: Wizard Stage 5: Customize Components

banner

Internet Service Provider

Wizard Stage 5: Customize Components

In this stage of the Internet Explorer 6 Customization Wizard, Internet service providers can customize the following:

  • Default program settings, such as the specific programs to use for electronic mail and for editing HTML.
  • Your users' news and mail servers, if you are including Outlook Express in your customized package.
  • IMAP e-mail server settings for your users, if you are deploying Outlook Express and have an IMAP server.
  • Outlook Express custom content, by adding your own welcome e-mail message to welcome users and customizing the InfoPane that appears when users start the program.
  • Outlook Express custom settings, such as setting default mail and news clients, providing assistance to users who need to obtain additional mail accounts, and creating a default message rules file for your users.
  • Outlook Express user interface settings, such as whether the Folder bar, Folder list, Status bar, or Outlook bar are displayed.
  • Outlook Express compose settings, if you want to provide a corporate disclaimer or signature with Internet newsgroup or e-mail messages.
  • Windows Address Book directory service, if you want to provide Internet directory services to your users and customize Lightweight Directory Access Protocol (LDAP) servers.
  • System policies and settings, to preset Internet options.


ISP: Distribute Your Browser Package

banner

Internet Service Provider

Distribute Your Browser Package

By default, the Internet Explorer 6 Customization Wizard creates files for users to download from the Internet. You can also distribute a custom browser package on CD-ROM. For a complete list of all distribution media, see Media Selection.

Downloadable files

Internet service providers (ISPs) can distribute a single file to users that contains the install engine, which will then download application components from an Internet server.

If you created the browser package on an Internet server, you need to set up your Web site so that users can download the files. For example, you might create a page where you post download information and a link to the install engine, IE6setup.exe.

If you created the browser package on your hard disk or network drive, you need to move the following items to your Internet server:

  • The folder that contains the language version you are posting and the folder contents. For example, the folder for the English version is named EN, so you need to move the EN folder and the files it contains. This folder is located in folders for your media type, such as Download, and platform. The only platform designation in the IEAK 6 is "Win32"; for UNIX and 16-bit Windows clients, use the IEAK 5.x.
  • The file named Ie6sites.dat. This file points to the download site (or sites) you specified when you ran the Internet Explorer 6 Customization Wizard.

    For an illustration, see How to Set Up Files for Distribution.

    For a flowchart of the files the Internet Explorer 6 Customization Wizard creates, see How the IEAK Generates Custom Packages.

Signing your custom packages

Web browsers have security features that help protect users from downloading harmful programs. Depending on the security level and the platform, the user may be prevented from or warned against downloading programs that are not digitally signed.

The custom .cab files created by the Internet Explorer 6 Customization Wizard should be signed, unless you preconfigure the Local intranet zone with a Low security setting. Any custom components you distribute with your browser package for these platforms should also be signed. If you have a digital certificate, the Internet Explorer 6 Customization Wizard can sign these files automatically.

Notes

  • Signing the cabinet files and custom programs requires two steps: obtaining a digital certificate, and specifying the certificate information when you run the Internet Explorer 6 Customization Wizard. For more information, see Signing Your Programs.
  • You might need to change the case of file names for files posted on a UNIX FTP server. Below are the conventions you should use for specific UNIX operating systems.
    • Solaris UNIX. If you are using a case-sensitive UNIX FTP server, you must make sure your cab folder is not capitalized, but the following file names are capitalized: BRANDING.CAB, CUSTOM.CIF, DESKTOP.CAB, IE.CIF, IECIF.CAB, and IE6SITES.DAT.
    • AT&T UNIX. All file names must be capitalized on an AT&T UNIX FTP server.
    • IRIX UNIX (Silicon Graphics). The following file names must be capitalized: BRANDING.CAB, CUSTOM.CIF, DESKTOP.CAB, IE.CIF, IECIF.CAB, and IE6SITES.DAT. You should also use a text editor to modify the file names listed in IE.CIF to match the case of the files.

CD-ROM

If you distribute your custom browser for Windows 95 users, a splash screen Autorun program appears when the user inserts the compact disc. This program offers users the choice of installing your custom browser or viewing more information. If the current version of Internet Explorer is already installed, the Autorun program detects it. The browser appears in what is known as Kiosk mode with the Start.htm file loaded.

Note

  • For an illustration of the download process, see Windows Update Setup for Internet Explorer and Other Internet Tools.

    • Related Topics


Customization for Corporate Administrators

The IEAK enables you to create a customized hands-free installation of Microsoft Internet Explorer that fits the needs of your organization.

Customizing the Setup program

  • Customize the appearance of the Windows Update Setup program and configure installation modes (such as the Standard and Minimal installations).
  • Point users to Internet or intranet servers to access the latest product versions.
  • Roll out internal programs, custom scripts, or maintenance scripts when your users install Internet Explorer.
  • Specify the language version of Internet Explorer to include in the installation package. You must run the Internet Explorer 6 Customization Wizard once for each language version you want to create.

Customizing the browser and Windows Desktop Update

  • Specify the home, Search, and support pages you want to use.
  • Load links and folders into the Favorites list.
  • Change the title bar and logos of the browser and Outlook Express. The Outlook Express title bar is updated if you distribute Outlook Express as part of your package, or if it is already installed on your users' computers.
  • Create a default desktop for your organization and determine which settings a user can change.

For an illustration of how branding is applied to your customized browser, see How Customization Works.

Managing security and ratings

  • Install certificates on a user's computer and block users from downloading other certificates.
  • Set your users' rating configurations to adhere to your organization's policies.
  • Set a corporate standard disclaimer for any Install postings created by users in your organization.
  • Use security zones to establish different levels of security and zones of trust.
  • Specify proxy settings for addresses and ports.

Important

  • Some features may not be available, depending on your license agreement. For more information, consult your contract.


Corp. Admin.: Prepare to Run the Wizard

banner

Prepare to Run the Wizard

Before running the Internet Explorer 6 Customization Wizard, you should gather the information you will need and create custom bitmaps.

Determining the initial platform requirements

  • Verify that the computer you will build your package from and the computers you will install your package on meet the hardware and system requirements.
  • Determine the encryption levels for your browser packages. For information about encryption of Internet Explorer, see the IEAK Web site.

Deciding on your distribution method

Decide how you will distribute your custom package (CD, download, local area network, or floppy disk). After the Internet Explorer 6 Customization Wizard builds your package, you will need to move the files to the selected media. If you build a downloadable package, you must move the package to the appropriate place on your server.

If you decide to publish your custom package to an Internet server, you need to know the path to the server and the URL from which the files are downloaded. Then create a folder on the Web server, such as CIE, to publish all the files and folders associated with your custom browser. For example, you might create a server path of C:\Inetpub\Wwwroot\Cie\. If computername is the virtual root for this web server, the corresponding URL would be http://computername/Cie/.

Obtaining a digital certificate

Make initial preparations for signing certain files, such as customization files created by the Internet Explorer 6 Customization Wizard and any custom components, if you distribute files over the Internet or an intranet that is not specially configured. With browser security features, users are warned about or prevented from downloading files that are not signed. Digital signatures identify the source of programs and guarantee that the code has not changed since it was signed.

The Internet Explorer 6 Customization Wizard can sign your files if you have a publishing certificate from a certification authority. To prepare certificates for use by the IEAK, you can import them onto your computer by using the Certificate Manager Import Wizard. If you have received a file with an .spc extension, you can start the Certificate Manager Import Wizard by double-clicking the .spc file in Windows Explorer or My Computer.

You can also open the Certificate Manager from Internet Explorer. To do so, click the Tools menu, click Internet Options, click the Content tab, and then click Certificates. Click Import to start the Certificate Manager Import Wizard, and then follow the steps on the screen.

Deciding whether to configure the Windows Desktop Update for your organization.

Creating the structure on your build machine

Folder name | Description
\CIE | Parent root for all files built by the IEAK or referenced in your custom package
\CIE\Bitmaps | Custom bitmap files (graphic files needed for your custom browser)

Creating the appropriate graphics

You have the option of customizing the following bitmaps in your browser. Place the bitmaps in the \CIE\Bitmaps\ folder before you run the Internet Explorer 6 Customization Wizard.

The custom backgrounds and buttons are displayed only on computers with 256-color (8-bit) display capabilities. On computers with 16-color (4-bit) display capabilities, a standard low-resolution background bitmap and button set are displayed.

  • One background bitmap for the CD-ROM Autorun screen (if you create a CD-ROM package).

    If you plan to distribute your custom browser on a compact disc, you will need to create bitmaps as part of the Autorun splash screen that is displayed after the user has inserted the compact disc.

  • One custom image for the CD-ROM buttons (if you create a CD-ROM package).
  • Two custom bitmaps for the Windows Update Setup Wizard (if you want to customize its appearance): a 162-by-312 pixel bitmap for the left side of the first wizard screen and a 496-by-56 pixel bitmap for the top of the remaining wizard screens.
  • One custom toolbar bitmap (that displays as a background for the buttons and menus).
  • Two static 256-color bitmap images (one 38-by-38 pixels and the other 22-by-22 pixels), which are used to brand the Internet Explorer browser with your logo.
  • Two animated 256-color bitmap images (one 38-by-38 pixels and the other 22-by-22 pixels), which are used to brand the Internet Explorer browser with your animated logo.

    Two tools are included with the IEAK to help you create and preview customized animated bitmaps for your browser.

Gathering the URLs for Home, Search, and Support pages

It is a good idea to create a support page that appears if your users encounter problems when installing the browser. You are prompted for the URLs for these pages when you run the Internet Explorer 6 Customization Wizard.

Planning your security and Windows Desktop Update strategies

You can customize and control many user options, such as security and the Windows Desktop Update. You should plan your strategy before you run the Internet Explorer 6 Customization Wizard.

Note

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.


Corp. Admin.: Wizard Stage 1: Gather Information

banner

Wizard Stage 1: Gather Information

In this stage of the Internet Explorer 6 Customization Wizard, corporate administrators are prompted for the:

  • File locations for creating your customized browser package.
  • Language of the browser package you are creating. You will need to run the Customization wizard for each international version you want to create.
  • Distribution media you plan to use, such as CD-ROM or downloading from an intranet or the Internet.
  • Features you plan to customize. For example, if you are making only minor modifications to the browser, you will not need to view all of the IEAK wizard screens.

Note

  • The Customization Wizard does not work correctly if Internet Explorer 6 is not installed. For more information, see Hardware and System Requirements.


Corp. Admin.: Wizard Stage 2: Specify Setup Parameters

banner

Wizard Stage 2: Specify Setup Parameters

In this stage of the Internet Explorer 6 Customization Wizard, corporate administrators are prompted to:

  • Download or update any Microsoft components with Automatic Version Synchronization (AVS). You must download Internet Explorer, but you can choose which other Internet Explorer components to download.
  • Select any custom components you want to include.

    You can also specify up to 16 additional components, which can be self-extracting executable (.exe) files or compressed cabinet (.cab) files.


Corp. Admin.: Wizard Stage 3: Customize Setup

banner

Wizard Stage 3: Customize Setup

In this stage of the Internet Explorer 6 Customization Wizard, corporate administrators can determine the way Windows Update Setup appears and works:

  • Customize the CD-ROM Autorun screen if you are creating a CD-ROM package.
  • Customize additional CD-ROM options if you are creating a CD-ROM package.
  • Customize Windows Update Setup Wizard for Internet Explorer and Other Internet Tools. These settings affect how Setup appears to the user.
  • Determine whether you want to install the package "silently," with few or no prompts to the user.
  • Specify up to 10 unique installation options and determine which components are included with each option.
  • Specify up to 10 sites from which your package is downloaded. You can specify up to 10 sites, unless you are a corporate administrator performing a silent installation.
  • Specify how users will receive updates to their components.
  • Specify where you want Internet Explorer to be installed on your users' computers and whether users can change the installation location.
  • Determine whether users can customize Setup, whether uninstall information is installed, whether Internet Explorer can be installed side-by-side with a previous version, and whether Internet Explorer is the default browser.
  • Specify that Windows Update Setup detects whether a component exists and fine-tune which components users can customize.
  • Determine whether components you have downloaded, but have not added to all packages, are made available to users through Internet Explorer's Install on Demand feature.
  • Specify whether you want to integrate Web browser functionality into your desktop and folders. This functionality is integrated into Windows 98.
  • Specify whether you customized the Connection Manager dialer using the Connection Manager Administration Kit (CMAK).
  • Specify certification authority information, if you have a digital certificate, so you can sign programs as you build your IEAK package.

Notes

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.
  • For a flowchart of what happens when you use the Internet Explorer 6 Customization Wizard to create your customized package, see How the IEAK Generates Custom Packages.


Corp. Admin.: Wizard Stage 4: Customize the Browser

banner

Wizard Stage 4: Customize the Browser

In this stage of the Internet Explorer 6 Customization Wizard, corporate administrators can customize the:

  • Browser title bar. Your custom browser title appears in both Internet Explorer and Outlook Express, if distributed with your package or already installed on your user's computer.
  • Browser toolbar background and buttons. You can add custom toolbar buttons to run scripts and programs.
  • Internet Explorer logo in the upper right corner of the browser.
  • Home, search, and online support pages for the browser.
  • Favorites, Favorites folders, and links for the Links bar.
  • Welcome page that your users see when they start the browser for the first time.
  • User agent string. A user agent identifier is optional; it's a way to track the usage of your customized browser.
  • User's connection settings by customizing the settings, importing your settings, or deleting the user's existing settings.
  • Automatic configuration. You can provide a path to files that automatically configure your browser.
  • Proxy settings.
  • Settings for security certificates and Authenticode.
  • Settings for security zones and ratings.

Note

  • For an illustration of how branding is applied to your customized browser, see How Customization Works.


banner

Corporate Administrator

Wizard Stage 5: Customize Components

In this stage of the Internet Explorer 6 Customization Wizard, corporate administrators can customize the following:

  • Default program settings, such as the specific programs to use for electronic mail and for editing Hypertext Markup Language (HTML).
  • Your users' news and mail servers, if you are including Outlook Express in your customized package.
  • IMAP e-mail server settings for your users, if you are deploying Outlook Express and have an IMAP server.
  • Outlook Express custom content, by adding your own welcome e-mail message to welcome users and customizing the InfoPane that appears when users start the program.
  • Outlook Express custom settings, such as setting default mail and news clients, providing assistance to users who need to obtain additional mail accounts, and creating a default message rules file for your users.
  • Outlook Express user interface settings, such as whether the Folder bar, Folder list, Status bar, or Outlook bar are displayed.
  • Outlook Express compose settings, if you want to provide a corporate disclaimer or signature with Internet newsgroup or e-mail messages.
  • Windows Address Book directory service, if you want to provide Internet directory services to your users and customize Lightweight Directory Access Protocol (LDAP) servers.
  • Targeting particular system policies and restrictions, depending on which operating system your users are running. If your users are running Windows NT, Windows 2000, or Windows XP, some policies and restrictions must be managed through Windows NT Policy Editor, Windows 2000, or Windows XP Group Policy respectively, rather than the Internet Explorer 6 Customization Wizard or the IEAK Profile Manager.
  • System policies and settings, to preset or control settings, including options for the browser, e-mail, security, and the desktop.


banner

Corporate Administrator

Distribute Your Browser Package

By default, the Internet Explorer 6 Customization Wizard creates files for users to download from the Internet. You can change the media you distribute your package on if necessary.

Downloadable files

If you created the browser package on an Internet or intranet server, you need to set up your Web site so that users can download the files. For example, you might create a page where you post download information and a link to the install engine, IE6setup.exe.

If you created the browser package on your hard disk or network drive, you need to move the following items to your Internet or intranet server:

  • The folder that contains the language version you are posting and the folder contents. For example, the folder for the English version is named EN, so you need to move the EN folder and the files it contains. This folder is located in folders for your media type, such as Download, and platform. The only platform designation in the IEAK 6 is "Win32"; for UNIX and 16-bit Windows clients, use the IEAK 5.0x.
  • The file named Ie6sites.dat. This file points to the download site (or sites) you specified when you ran the Internet Explorer 6 Customization Wizard.

Your users install the browser by clicking IE6setup.exe. This file is located in the folder for your language and platform version within the \Download folder, such as \Download\Win32\En for English.

Signing your custom packages

Web browsers have security features that help protect users from downloading harmful programs. Depending on the security level and the operating system, the user may be prevented from or warned against downloading programs that are not digitally signed.

The custom .cab files created by the Internet Explorer 6 Customization Wizard should be signed, unless you preconfigure the Local intranet zone with a Low security setting. Any custom components you distribute with your browser package for these operating systems should also be signed. If you have a digital certificate, the Internet Explorer 6 Customization Wizard can sign these files automatically.

Notes

  • Signing the cabinet files and custom programs requires two steps: obtaining a digital certificate and specifying the certificate information when you run the Customization wizard.
  • You might need to change the case of file names for files posted on a UNIX FTP server. Below are the conventions you should use for specific UNIX operating systems.
    • Solaris UNIX
      If you are using a case-sensitive UNIX FTP server, you must make sure your cab folder is not capitalized, but the following file names are capitalized: BRANDING.CAB, CUSTOM.CIF, DESKTOP.CAB, IE.CIF, IECIF.CAB, and IE6SITES.DAT.
    • AT&T UNIX
      All file names must be capitalized on an AT&T UNIX FTP server.
    • IRIX UNIX (Silicon Graphics)
      The following file names must be capitalized: BRANDING.CAB, CUSTOM.CIF, DESKTOP.CAB, IE.CIF, IECIF.CAB, and IE6SITES.DAT. You should also use a text editor to modify the file names listed in IE.CIF to match the case of the files.

CD-ROM

If you distribute your customized browser for Windows 95 or Windows 98 users, a splash screen Autorun program appears when the user inserts the compact disc. This program offers users the choice of installing your custom browser or viewing more information. If the current version of Internet Explorer is already installed, the Autorun program detects it. The browser appears in what is known as Kiosk mode with the Start.htm file loaded.

With the Windows Update Setup wizard, you can post all your files to an intranet or Internet server. You can also create CD-ROM versions for users who do not initially have Internet access.

Note

  • For an illustration of the download process, see the Windows Update Setup for Internet Explorer and Other Internet Tools illustration.
  • For an illustration, see How to Set Up Files for Distribution.
  • For a flowchart of the files the Internet Explorer 6 Customization Wizard creates, see How the IEAK Generates Custom Packages.


Managing User Settings

After the user options are set and the browser is distributed, administrators can still manage these settings. By storing a master .ins file on the server and downloading it each time they log on to the network, administrators can adjust user option settings on an ongoing basis. By tying into existing logon scripts, administrators can manage and regularly update user settings from a centralized server.

Using the IEAK Profile Manager, you can easily administer configuration files. The Profile Manager lets you open any .ins file and make changes to settings, such as proxy, home page, Search bar, and Lightweight Directory Access Protocol (LDAP) information.

For systems running Windows 2000 and Windows XP, you can also use Group Policy to manage some user settings.

After installation, administrators can remotely manage all allowed publisher (and site) certificates by adding certificates to or removing certificates from the allowed list.


Using the Resultant Set of Policy Snap-in

You can use the Resultant Set of Policy (RSoP) snap-in to browse through policy information that is set up for computers and users. When working with the RSoP Wizard, you can choose either the logging mode or the planning mode. The logging mode accesses the policy information for an existing computer and user, while the planning mode generates policy information based on the Active Directory. The information you can browse through, in both cases, includes software settings, window settings, and administrative templates.

When you work with the Resultant Set of Policy Wizard, you decide whether you want to work with computer information, user information, or both. The wizard configures the list of folders that contain the settings you can view. Browsing the information can help you plan your policies. After completing your planning, you can use the Internet Explorer 6 Customization Wizard or the Internet Explorer Profile Manager to set your policies. Once you deploy the policies, you can use the RSoP snap-in to review the policies that are in place.

Notes

  • Windows 2000 and Windows XP users can use the Group Policy snap-in to browse policies, and Windows NT users can use the Policy Editor. In addition, you can still use the Internet Explorer 6 Customization Wizard or the Internet Explorer Profile Manager to set policies you want to customize.
  • Use the Internet Explorer 6 Customization Wizard to set and deploy policies in your custom Internet Explorer package.
  • Use the Internet Explorer Profile Manager to set policies for specific computers or individual users.

In planning mode, you are working with new policies that were not set on any computer or for any user. Therefore, the RSoP snap-in must generate the Group Policy information. In logging mode, however, the information exists on the computers where your group policies were applied.

Using the RSoP snap-in is a two-step process. First, you run the wizard to indicate what information you want to view. You then open the folders in the Console window that contain the settings you want to view.

To start the Resultant Set of Policy Wizard

  1. Click Start, and then click Run.
  2. In the Open box, type mmc, and then click OK.
  3. On the File menu, click Add/Remove Snap-in.
  4. Click Add on the Stand-alone tab.

To use Resultant Set of Policy to review Internet Explorer settings

  1. In Resultant Set of Policy, click User Configuration.
  2. Click Windows Settings, and then click Internet Explorer Maintenance.
  3. Click the icon for the feature area you want to review.
  4. Double-click the title of the feature you want to review.


Security Options in the IEAK

Much of the information regarding security options in the IEAK is available by clicking Help in the Internet Explorer 6 Customization Wizard. You can preview that information by reading the following:

  • Security
  • Security Settings
  • Policies and Restrictions
  • User Experience
  • Outlook Express Accounts

Note

  • To find a particular page while reading these wizard pages, click Next until you reach it.


File Types

File type | Description
.adm | An administration (.adm) file defines the system policies and restrictions for the desktop, shell, and security. You can customize and restrict the settings in an .adm file by using the IEAK or the Windows System Policy Editor. For a list of system policies and restrictions that you can set from standard .adm files, see Understanding the IEAK Profile Manager
.asp | If you distribute Internet Explorer from a Web server, you can include Active Server Page (.asp) files in your custom browser package. By using .asp files, you can embed script within your HTML pages to create dynamic, interactive Web content. For example, you can create sign-up pages that enable users to download the browser and register for Internet services. You can point to .asp files in the Internet Explorer 6 Customization Wizard or the IEAK Profile Manager. The Resource Kit CD-ROM includes sample .asp files.
.bat | An ASCII text file containing a sequence of operating-system commands, possibly including parameters and operators supported by the batch command language. When the user types the name of the batch file at the command prompt, the computer processes the commands sequentially.
.bmp, .gif, .jpeg, .jpg | Internet Explorer can include static and animated graphics that use .bmp, .gif, .jpeg, or .jpg file formats. In addition to using graphics files supplied with the IEAK, you can create your own and include them with your custom browser package. For example, you can replace the Internet Explorer logo or AutoRun splash screen with your own static or animated graphic files. The IEAK includes two tools to help you create customized animated graphics. For more information about the requirements for graphics that you customize, see Creating Customized Graphics.
.cab | Cabinet (.cab) files organize and store compressed installation files that are copied to the user's computer. Windows Update Setup (IE5Setup.exe) downloads the .cab files necessary for Internet Explorer installation to the user's computer. These .cab files can contain both browser and custom components. After the files are downloaded successfully, Windows Update Setup is complete. The IEAK contains a set of tools that can help you build .cab files for custom components.
.cif | A component information (.cif) file named IESetup.cif identifies the components that you can install with Internet Explorer, including any new components or component updates. In the .cif file, each component has an associated ComponentID. Windows Update Setup reads the .cif file to determine whether a component with a specific ComponentID is already installed and whether a newer version is available for installation.
.cmp | Connection profile (.cmp) files are generated by CMAK and contain information specified by the user. Do not edit the .cmp files because any changes you make can be overwritten by the user.
.cms | Service provider (.cms) files are generated by CMAK and specify the configuration of the phone book and most of the other functions of your service profiles. Most advanced customization for a service profile is done by editing the .cms file for that service profile.
.exe | An executable (.exe) file named IE5Setup.exe is the installation program that controls the setup process. This .exe file downloads the .cab files that install your custom browser package on users' computers. Those .cab files can, in turn, include additional self-extracting .exe files for browser and custom components.
.htt | The HTML template (.htt) files provide customizable templates for My Computer (Mycomp.htt), Control Panel (Controlp.htt), Printers (Printers.htt), and the default Web view for folders (Folder.htt). Using a text or HTML editor, you can customize these files with special instructions, logos, or links to Web sites. You can include Mycomp.htt and Controlp.htt in your custom browser package. You need to customize the Printers.htt and Folder.htt templates directly on your users' computers.
.inf | Typically, each Internet Explorer .cab file contains an associated information (.inf) file, which provides further installation information. The .inf file can reference files in the .cab file, as well as files at other URLs.
.ins | Windows Update Setup contains an Internet settings (.ins) file, which configures the browser and its components. You can create multiple versions of your browser package by customizing copies of this .ins file. The IEAK Profile Manager also enables you to create, save, and load .ins files for updating Internet Explorer configuration settings.
.isp | If you are implementing a sign-up process with your custom browser package, an Internet sign-up (.isp) file named Signup.isp provides dial-up information for your Internet services. Using the Internet Explorer 6 Customization Wizard, you can edit the parameters contained in the Internet sign-up file. For a server-based sign-up method, this sign-up file also contains a link to the URL of the server script that generates your .ins configuration file.
.pac, .js, .jvs | You can use a text editor to create an auto-proxy script file for your custom browser package. An auto-proxy script file can be a JScript (.js), JavaScript (.jvs), or proxy auto-configuration (.pac) file. When an auto-proxy script file is specified, Internet Explorer uses the script to determine dynamically whether it should connect directly to a host or use a proxy server. In Stage 4 of the Internet Explorer 6 Customization Wizard, you can specify an auto-proxy URL for configuring and maintaining advanced proxy settings.
.pdf | If you use Microsoft Systems Management Server to distribute Internet Explorer, your custom browser package consists of a folder of installation files and a package definition file (.pdf) file. This file, named IE5.pdf, contains a setup program, installation options, and command-line syntax for automatically installing Internet Explorer on your server or users' computers. This .pdf file enables the installation to occur without administrative or user intervention.
.pvk | A private key file, that contains the private key associated with a digital signature.
.pwl | File containing the Windows password of a user of this computer.
.sed | Connection profile (.sed) files are generated by CMAK and contain the instructions for building a self-extracting executable (.exe) file for your service profiles. Do not edit any .sed files.
.spc | A software publishing certificate file. Certificates contain the name and other information identifying the owner of the certificate, the public key associated with the certificate, a serial number, a validity period for the certificate, and the digital signature of the certification authority that issued the certificate.


Internet Explorer Security

Microsoft Internet Explorer allows you to control security in several ways: through site certificates, Authenticode publishers, and security zones. You can preinstall certificates on users' computers and block users from downloading other certificates. You can also set ratings for the content your users view.

Corporate administrators can specify security settings and ratings in Stage 4 and Stage 5 of the Internet Explorer 6 Customization Wizard.

Security zones

The Internet Explorer security options enable you to assign specific Web sites to various zones, depending on how much you trust the content of the Web site.

When you install Internet Explorer, the following security zones are set up:

  • An Internet zone that by default contains all Internet sites
  • A Local Intranet zone for computers connected to a local network
  • A Trusted Sites zone, to which you can assign sites you trust
  • A Restricted Sites zone, to which you can assign sites you don not trust
  • A My Computer zone, which contains the files on the local computer

The following four default security settings can be applied to these zones: High, Medium, Medium-low, and Low. In addition, you can set custom security levels for each zone.

You can view all the security settings by clicking the Internet icon in Control Panel and then clicking the Security tab. For specific information about these options and how they interact, see Internet Explorer Security Options.

Remember, security on the Internet is as good as your settings. Internet Explorer provides you with the information you need to make good security decisions and with flexible tools to implement those decisions.

You can preset security options when you run the Internet Explorer 6 Customization Wizard, and you can determine whether or not users can change these settings. If you do not preset the security options, then you might want to recommend the optimum security level for your users, based on your organization's needs and your users' level of expertise.

Notes

  • If the language of the package of the Internet Explorer browser that you are building differs from the browser on your computer, and you import your security zones, some unrecognizable characters may appear in the security zones interface of the browsers that you build.
  • You can configure the My Computer zone only from the IEAK; these settings are not available in the browser interface. It is recommended that you generally use the default settings for this zone unless your organization has a specific requirement. Lower security settings could result in security risk, whereas higher security settings could impair functionality.

Setting up the Internet zone

The Internet zone consists of all sites not included in any of the other zones. By default, the Internet zone is set to the Medium security level. If you are concerned about possible security problems while browsing the Internet, you might want to change the setting to High. If you raise the security setting, some Web pages do not perform certain potentially hazardous operations, although this might prevent some useful functionality from working and some pages may appear not to be working properly.

You can choose custom settings so that you can control each individual security decision for the zone. To do this, click the Internet icon in Control Panel, click the Security tab, and then click Custom Level.

Adding sites to the Trusted Sites and Restricted Sites zones

There are two zones available to which you can assign specific Web sites that you trust more or less than those in the Internet zone or the Local Intranet zone. To add sites to these zones, first choose the zone, and then click Sites.

The Trusted Sites zone is assigned a Low security setting by default. It is intended for highly trusted sites, such as companies that you frequently do business with, sometimes known as an "extranet." If you assign a site to the Trusted Sites zone, the site is allowed to perform more powerful operations. Also, Internet Explorer will ask you to make fewer security decisions. Add a site to this zone only if you trust all of its content never to do anything harmful to your computer. For the Trusted Sites zone, we strongly recommend that you use the HTTPS: protocol or otherwise ensure that connections to the site are secure.

The Restricted Sites zone is assigned a High security setting by default. If you assign a site to the Restricted Sites zone, the site is allowed to perform only minimal, very safe operations. This zone is for the rare case of a site that you do not trust. To ensure a high level of security for content that is not trusted, many pages in this zone do not function properly.

Setting up the Local Intranet zone (for network administrators)

To be secure, the Local Intranet zone must be set up in conjunction with the proxy server and firewall. All sites in the zone should be "inside the firewall," and proxy servers should be configured so that they do not allow an external DNS name to be resolved to this zone. Configuring the client zone security requires a detailed knowledge of the existing network configuration, proxy servers, and secure firewalls. If you do not know this information, contact your network administrator.

By default, the Local Intranet zone consists of local domain names and those set in proxy override on the Connections tab. You can configure these settings on the Connection Settings screen of the Internet Explorer 6 Customization Wizard. Note that multiple connection settings can now be configured for each user. The network administrator should confirm that these settings are indeed secure for the installation or adjust the settings to be secure.

When setting up the zone, you can specify which categories of URLs should be considered. You can also add specific sites to the zone.

To specify categories of URLs to include in the zone from the browser

  1. On the Tools menu in Internet Explorer, click Internet Options, and then click the Security tab.
  2. Click the Local Intranet zone, and then click Sites.
  3. Select the following check boxes that apply:

    Include all local (intranet) sites not listed in other zones
    Include all sites that bypass the proxy server
    Include all network paths (UNCs)

Notes

  • To add a specific site to this zone, click Advanced, type the URL, and then click Add. To require that server verification be used, select the Require server verification (https:) for all sites in this zone check box.
  • To specify categories of URLs for your IEAK packages, click Customize Security Zones settings on the Security Settings screen of the Internet Explorer 6 Customization Wizard, and then click Modify Settings.

The following rules apply to the Local Intranet zone options. Note that adding a site to any zone takes precedence over the following rules:

  • Include all local (intranet) sites not listed in other zones. Intranet sites have names that do not include dots (for example, http://local). A site name such as http://www.microsoft.com is not local because it contains dots. This site would be assigned to the Internet zone. The intranet site name rule applies to file: as well as http: URLs.
  • Include all sites that bypass the proxy server. Typical intranet configurations use a proxy server to access the Internet with a direct connection to intranet servers. This setting uses this kind of configuration information to distinguish intranet from Internet content for purposes of zones. If the proxy server is otherwise configured, you should clear this option and use other options to designate files that are assigned to the Local Intranet zone. In systems that do not have a proxy server, this setting has no effect.
  • Include all network paths (UNCs). Network paths (for example, \\local\file.txt) are typically used for local network content that should be included in the Local Intranet zone. If there are network paths that should not be in the Local Intranet zone, you should clear this option and use other options to designate files that are assigned to the Local Intranet zone. For example, in certain Common Internet File System (CIFS) configurations, it is possible for a network path to reference Internet content.

After the Local Intranet zone is confirmed secure, consider changing the zone's security level to Medium-Low or Low to enable a wider range of powerful operations to be performed. It is also possible to adjust individual security settings in the Custom Settings dialog box.

If there are parts of your intranet that are less secure or otherwise not trustworthy, they can be excluded from this zone by assigning them to the Restricted Sites zone.

The Local Intranet zone is intended to be configured via the IEAK, although you can also use the options on the Security tab in the Internet Properties dialog box.

Working with domain name suffixes

If you want to be able to reference a Web server by using a shorter version of its address that does not include the domain, you can use a domain name suffix. For example, a Web server named sample.microsoft.com can be referenced as sample; the same content can also be accessed by entering http://sample.microsoft.com or http://sample.

To set this up, you must add the domain suffix to the TCP/IP properties domain suffix search order by carrying out the following steps:

  1. Right-click the My Network Places icon, and then click Properties.
  2. Click TCP/IP, and then click Properties.
  3. Click the DNS Configuration tab, and then in the Domain Suffix Search Order area, add the information you want.

It is important to set up security zones correctly for this configuration. By default, the URL without dots (http://sample) is considered to be in the Local Intranet zone, while the URL with dots (http://sample.microsoft.com) is considered to be in the Internet zone. Therefore, when you use such a configuration and there is no proxy server bypass to clearly assign the content to the proper zone, you need to change the zone settings.

Depending on whether the content accessed by the domain suffix is intranet or Internet content, you need to assign the ambiguous site URLs to the appropriate zones. To assign URLs such as http://sample to the Internet zone, clear the Include all local (intranet) sites not listed in other zones check box for the Local Intranet zone, and include the site in the site list for the zone.

Understanding security that applies to all zones

Web content can be addressed either via Domain Name System (DNS) name or by Internet Protocol (IP) address. For sites that use both, it is important to configure both references to the same zone. In the common cases, the Local Intranet sites are identifiable by either local name or by IP address in the proxy bypass list; all other names and IP addresses would be mapped to the Internet zone. However, if a site name is entered into the Trusted Sites or Restricted Sites zone list but its IP address range is not, then the site may be treated as part of the Internet zone if it is accessed by the IP address.

It is important to understand that a user could copy content from one zone to another, potentially increasing or decreasing the level of security intended for the content.

If you are using automatic configuration, and you are supporting both Internet Explorer 5 (or later) and Internet Explorer 4 with the same automatic configuration file, some security settings that differ between the versions are not configured on Internet Explorer 4.


Internet Explorer Security Options

With Internet Explorer security zones, you can specify security options for Web content. A zone is a collection of Web sites to which you assign the same level of trust. You add a Web site to a specific zone and then set the appropriate security options for that zone.

You can adjust the Internet Explorer default settings to best match the security features of your system. For a secure intranet, for example, you can usually adjust the security setting to Low or an appropriate custom setting (after the Local intranet zone is configured to match the firewall).

All security options apply to the Internet Explorer browser; they are not system-wide. Other Internet programs may or may not respect these options.

To set corporate security options, you must modify the settings by using the IEAK. The user views security options in the browser by clicking the Tools menu, clicking Internet Options, and then clicking the Security tab. To see custom settings, the user selects a security zone and then clicks Custom Level.

ActiveX controls and plug-ins

These options control how ActiveX controls and plug-ins are administrator-approved, downloaded, run, and scripted. For more information about managing and approving ActiveX controls, see Managing ActiveX Controls.

When a user downloads an ActiveX control from a site different than the site the control is used on, Internet Explorer uses the more restrictive of the two sites' zone settings. For example, if a user is viewing a Web page within a zone that is set to allow (Enable) a download, but the code is downloaded from another zone that is set to prompt the user first, then the prompt setting is used.

Script ActiveX controls marked safe for scripting
This option determines whether an ActiveX control marked safe for scripting can interact with a script. Note that safe-for-initialization controls loaded with PARAM tags are not affected by this option. This option is ignored when Initialize and script ActiveX controls not marked as safe is set to Enable because the setting bypasses all object safety. You cannot script unsafe controls while blocking the scripting of the safe ones.
Initialize and script ActiveX controls not marked as safe
ActiveX controls are classified as being either safe or unsafe. This option controls whether or not a script is allowed to interact with unsafe controls. Unsafe controls are not meant for use on Internet Web pages, but in some cases may be used with pages that can absolutely be trusted not to use the controls in a malicious way. Object safety should be enforced unless all ActiveX controls and scripts that might interact with pages in this zone can be trusted. The settings are as follows:
Run ActiveX controls and plug-ins
This option determines whether ActiveX controls and plug-ins can be run on pages from the specified zone. Disabling this option prevents running any ActiveX controls or plug-ins; therefore, the other ActiveX settings are ignored. Downloading, running, and scripting ActiveX controls are three distinct steps with options that apply to each separate step. Downloading options distinguish between signed and unsigned controls. Scripting options can be set for safe and unsafe controls separately. Whether a control is safe for scripting (or initialization) is determined by the control author and should not be confused with signing; signing and safety are independent. For more information, see the MSDN Online Web Workshop.
Download signed ActiveX controls
This option allows users to download signed ActiveX controls from pages in this zone. The settings are as follows:
  • Enable lets users silently download any signed controls.
  • Prompt displays a warning before users download controls signed by publishers that are not trusted. This setting still enables users to download trusted publisher-signed code silently.
  • Deny prevents users from downloading any signed controls.
Download unsigned ActiveX controls
This option allows users to download unsigned ActiveX controls from pages in this zone. This kind of code is potentially dangerous, especially when coming from an untrusted zone.
  • Enable overrides object safety. ActiveX controls are run, loaded with parameters, and scripted without setting object safety for untrusted data or scripts. This setting is not recommended except for secure and administered zones. This setting causes both unsafe and safe controls to be initialized and scripted, ignoring the Script ActiveX controls marked safe for scripting option.
  • Prompt attempts to enforce object safety. However, if the ActiveX control cannot be made safe for untrusted data or scripts, then the user is given the option of allowing the control to be loaded with parameters or scripted.
  • Disable enforces object safety for untrusted data or scripts. ActiveX controls that cannot be made safe are not loaded with parameters or scripted.

Understanding Java

Java permissions

You must have the Microsoft virtual machine (Microsoft VM) installed before the Java options are available.

These options control the downloading and running of Java within the zone. For Java downloads, if a control is downloaded from a different site than the page it is used on, the more restrictive setting of the two sites' zone settings is used. For example, if a user is accessing a Web page within a zone that is set to allow a download, but the code is downloaded from another zone that is set to prompt a user first, then the prompt setting is used.

Each option setting determines the following:

  • The maximum permission level silently granted to signed applets downloaded from the zone
  • The permissions granted to unsigned applets downloaded from the zone
  • The permissions granted to scripts on pages in the zone that call into applets

The five options are:

  • Custom controls permissions settings individually. In the Custom Permissions dialog box, the Unsigned tab specifies the permissions for both unsigned applets and for scripts calling Java. The Allowed Without Warning tab specifies the threshold up to which applets will silently be granted permissions.
  • Low Safety enables applets to perform all operations unhindered.
  • Medium Safety enables applets to run in their sandbox, an area in memory outside of which the program cannot make calls. It also enables capabilities like scratch space (a safe and secure storage area on the client computer) and user-controlled file Input/Output.
  • High Safety enables applets to run in their sandbox.
  • Disable Java does not allow any applets to run.

Understanding scripting

Active scripting
This option determines whether script code on pages in this zone is run.
Scripting of Java applets
This option determines whether scripts within the zone are allowed to use objects that exist within Java applets, allowing the script on the page to interact with the Java applet.

Understanding downloads

File Download
This option controls whether file downloads are permitted from within this zone. This option is determined by the zone of the page that contains the download link, not the zone from which the file is delivered.
Font download
This option determines whether users can download HTML fonts from pages within this zone.

Understanding user authentication

Logon
HTTP authentication honors the zone security policy for Logon credentials, which may have one of four values:
  • Automatic logon only in intranet zone. Prompts for user ID and password in other zones. After the user is prompted, this value can be used silently for the remainder of the session.
  • Anonymous Logon. Disables HTTP authentication; uses guest account only for Common Internet File System (CIFS).
  • Prompt for username and password. Prompts for user ID and password. After the user is prompted, this value may be used silently for the remainder of the session.
  • Automatic logon with current username and password. The logon credential may be tried silently by Windows NT Challenge response (NTLM), an authentication protocol between an end-user client and application server, before prompting.

Understanding miscellaneous information

Access data sources across domains
This option specifies whether components that connect to data sources should be allowed to connect to a different server to obtain data. This applies only to data binding, such as active data objects. The settings are as follows:
  • Enable allows database access to any source, even other domains.
  • Prompt prompts users before allowing database access to any source in other domains.
  • Disable allows database access only to the same domain as the page.
Submit non-encrypted form data
This option specifies whether HTML pages in the zone can submit forms to or accept forms from servers in the zone. Forms sent with Secure Sockets Layer(SSL) encryption are always allowed; this setting affects only non-SSL form data submission.
Launching applications and files in an IFrame
This option controls whether users can launch applications and files from an IFRAME tag (containing a directory of a folder) in Web pages within this zone.
Installation of desktop items
This option controls whether users can install desktop items from Web pages within this zone.
Drag-and-drop or copy and paste files
This option controls whether users can drag or copy files from Web pages within this zone.
Software permissions
The settings are as follows:
  • Low safety allows:
  • E-mail notification
  • Auto download
  • Auto installation
  • Medium safety allows:
  • E-mail notification
  • Auto download
  • High safety allows:
  • None of the software distribution features

Understanding cookies

Allow per-session cookies (not stored)
Determines the settings for cookies, text files that store the user's preferences, that are used by a Web site while the user is visiting the site. For example, this setting would determine whether a "virtual shopping cart" could be created while a user is shopping online. Per-session cookies do not remain on the hard disk.

The settings are as follows:

  • Enable means that cookies are automatically accepted.
  • Prompt means that users receive a prompt before a cookie is created.
  • Disable means that no cookies can be created. If you disable per-session cookies, some Web sites may not work properly.
Allow cookies that are stored on your computer
Determines the settings for cookies that are stored on the user's hard drive for future browsing sessions. For example, this setting would determine whether a list of preferences or a user's name was retained for the user's next visit.

The settings are as follows:

  • Enable means that persistent cookies are automatically accepted.
  • Prompt means that users receive a prompt before a persistent cookie is created.
  • Disable means that no persistent cookies can be created. If you disable persistent cookies, some Web sites do not retain their settings when the user returns to the site.

Security options that cannot be configured

The following options are fixed and cannot be set by the user. High, Medium, Medium-low, and Low zone settings do not change the behavior of these options.

Launch From Webview
This option controls whether users can start programs and files from a folder viewed as a Web page. This setting applies to Windows 98 users and to users who upgraded from Internet Explorer 4 and are using the Windows Desktop Update. The zone of the customizing Web content, not the zone of the folder itself, determines the setting:
My Computer | Local Intranet | Trusted Sites | Internet | Restricted Sites
Enable | Enable | Enable | Prompt | Prompt


Managing ActiveX Controls

IEAK 5 introduced a new feature that enables you to specify exactly which ActiveX controls can run in a particular zone. There are two major scenarios within which this feature offers a higher degree of usage control of ActiveX controls and thus a higher degree of security.

Scenario 1: Limited Internet usage of ActiveX controls

Many organizations make extensive use of ActiveX controls on the local intranet, yet want to limit use of ActiveX controls outside the firewall (i.e., in the Internet zone). While local intranet content can be trusted not to attempt malicious use of any controls it uses, these controls are not appropriate for use by Internet Web pages. By specifying the set of generic controls the administrator approves for use on the Internet, sites that use controls can still be supported while preventing any inappropriate use of other controls in that zone.

For example, suppose as administrator you want to limit use of ActiveX controls yet still allow an important Internet site (such as that of a business partner or service provider) to work with ActiveX controls. Visit the site and see what ActiveX controls it uses by noting new entries in the Downloaded Program Files folder of the Windows folder. Carry out the procedure at the end of this topic to specify that the controls are administrator approved.

After this is configured, exactly those controls are permitted to run on the site. Attempts by any Internet page to use other controls such as those intended for the intranet are blocked.

Scenario 2: Restricted use of ActiveX controls

You can achieve a higher degree of control by listing all the approved ActiveX controls, and then allowing the browser to run only this approved set of controls. The cost of this additional degree of control is the extra effort to enumerate all the controls the administrator wants to allow to be used, so this approach is recommended where the total set of controls is relatively small.

Assess which controls are approved for use on any site. For zones that contain sites that are allowed to use these controls, carry out the procedure at the end of this topic to specify that the controls are administrator approved. For zones that contain sites that are not allowed to use these controls, select Disable in the Run ActiveX controls and plug-ins area. Now only the specified controls will run on Web pages and only in the allowed zones.

Choosing the ActiveX controls

Some common ActiveX controls are listed in the Active Control Administrator Approved file, Axaa.adm, which comes with the IEAK. This list is not a recommendation; it simply represents some of the commonly used ActiveX controls from the Web. As an administrator, you should assess which, if any, of these controls are appropriate to use within your organization. You can edit this file and add any new controls you want. By default, no controls are listed as approved. If you want to add more controls after your users install Internet Explorer, you can use automatic configuration.

To specify administrator-level controls

To specify that ActiveX controls must be approved by an administrator and to specify which controls you want to approve, carry out the following steps:

  1. Review the ActiveX control settings in the Axaa.adm file, which is located in the \Policies\<Language> subfolder of the IEAK folder. If you want to add more controls to this list, such as controls that your organization has created, use a text editor to edit the Axaa.adm file.

    It is recommended that you make a backup copy of this file in case you want to restore the original settings.

  2. On the Security Settings screen of the Internet Explorer 6 Customization Wizard, click Customize Security Zones settings, and then click Modify Settings.
  3. Select the content zone in which you want to manage ActiveX controls, and then click Custom Level.
  4. In the Run ActiveX controls and plug-ins area, click Administrator approved.
  5. Repeat the last two steps until you have set up all the zones you want.
  6. On the Policies and Restrictions page in Stage 5 of the Internet Explorer 6 Customization Wizard, click the Control Management category to expand its contents, and then select the check boxes for the controls you want to approve.


Signing Your Programs

You can use the IEAK to digitally sign your custom packages. Digital signatures show where programs come from and verify that they have not been altered. Signing your customized browser packages and any custom programs ensures that users do not receive warnings when installing the custom browser.

First, however, you need to obtain a digital certificate with which to sign your files. You designate the location of the certificate when you run the Internet Explorer 6 Customization Wizard, and it signs the files when the package is created. For information on obtaining a digital certificate, see the following section, "How do I obtain digital certificates?"

If you plan to distribute custom packages over the Internet, have the IEAK sign the custom cabinet (.cab) files that it creates. If you plan to distribute your custom packages over an intranet, sign the custom files or preconfigure the Local intranet zone with a Low security setting. The default security setting does not allow users to download unsigned programs or code. For more information about security zones, see Internet Explorer Security.

These custom files are signed:

Filename | Function of this file
Branding.cab | Branding information for Windows Update Setup
Desktop.cab | Windows Desktop Update
Iecif.cab | Identifies which Microsoft Internet components are installed as part of Windows Update Setup
IE5setup.exe | Windows Update Setup
Custom<n>.cab | Custom components installed after the system restarts. Each component is packaged into a separate, numbered .cab file.

For a flowchart of how the Internet Explorer 6 Customization Wizard creates these files, see How the IEAK Generates Custom Packages.

Notes

  • Users may be prevented from installing ActiveX controls and Java packages that are not signed.
  • You also need to sign any custom programs, in either .exe or .cab format, that you include in your browser package.
  • If you expect your organization to use Install on Demand over the Internet, you must sign the .cab files and specify in the security settings that the server hosting the .cab files is a trusted server, or for an intranet site only, set the security level to Low. For more information about this feature, see Managing Install on Demand.

To specify your network servers as trusted

If your intranet security level is set to Medium or higher, you must then specify your network servers as trusted servers. To do this, carry out the following steps:

  1. On the Security Settings page in the wizard, click Import the current security zone settings, and then click Modify Settings.
  2. Select the Local intranet zone, and then click Sites.
  3. Clear the Include all network paths (UNC) check box, and then click OK.
  4. Select the Trusted sites zone, click Sites, type the path for the download server, and then click Add.
  5. Repeat the previous step for every download server that you want to specify as trusted.

Obtaining digital certificates

Digital certificates are a part of Authenticode technology, which identifies where programs come from and verifies that programs have not changed. You can obtain certificates from a certification authority or a privately controlled certificate server. Certificates can be commercial or individual.

For more information about Authenticode and security, see the Microsoft Security Advisor Web site at http://www.microsoft.com/security/.

Signing cabinet files or custom programs

After obtaining a certificate, you will need to sign the code. Tools for signing code are available from the Microsoft Site Builder Network Workshop.

You will also need to know the public and private keys, which are a matched set of keys created by the software publisher for encryption and decryption. The keys are generated at the time the certificate is requested from a certification authority (CA). They are generated on your computer, and your private key is never sent to the CA or any other party.

Working with expiring certificates

The expiration of certificates provides an added measure of security. For example, if a university certifies all of its students with digital identifiers (IDs), it can set each ID to expire when the student leaves the university. Code that is signed with an expired certificate is invalid. After the certificate expires, the software publisher needs to resign the code and post new versions of it.

Software publishers can use a time stamp to sign code to prove that the certificate was valid at the time the code was signed. Then the signed code will remain valid even after the certificate expires.

Using Authenticode to control what users see

If you are a corporate administrator, you can preconfigure security zones, preset ratings, and customize certification authorities. You can also set system policies and restrictions to control whether users can modify their security settings. For information about specific settings, see Internet Explorer Security Options.

You can ensure that users receive warnings when they try to view potentially unsafe content. You can also prevent users from downloading unsigned ActiveX controls and Java packages.

Understanding what happens when you sign your code

The code-signing process is simple and quick. It is not necessary to know the technical details of how code-signing works to sign your code.

After developing and testing code, a software publisher signs the code file. The publisher uses a signing program, such as Signcode.exe, to hash the code, producing a "digest" of the file. Through the operating system layer, the program encrypts the digest with the private key and combines the digest with the name of the hash algorithm and CA certificate (containing the publisher name, public key, and so on) into a structure called a signature block. The program then embeds the block back into the code file, and the file is ready to be distributed over the Internet. Note that a .cab file that gets signed also contains a signature block.

When the user downloads the file from the Internet, the downloading application calls a verification function. As a result of that call, the operating system extracts the signature block, determines the CA who validated the certificate, and uses the public key to decrypt the digest. The system then uses the hash algorithm indicated in the signature block to create a second digest. If the code has not been modified since it was signed, the new digest should match the old one. If the two digests do not match, either the code was modified or the public and private keys are not a matched pair. In either case, the code becomes suspect and the user is warned.


Administering Microsoft Internet Explorer on Windows 2000 and Windows XP

You can use Group Policy to customize Microsoft Internet Explorer on Windows 2000 and Windows XP computers after deployment. For example, you can set the user's home page and customize the user's favorite links. Group Policy enables Windows 2000 and Windows XP administrators to control settings for users and computers across sites, domains, and organizational units.

The method for starting Group Policy depends on the type of group that you want to administer. For more information about starting Group Policy, see Group Policy online Help in Windows 2000 and Windows XP.

To use Group Policy to maintain and customize Internet Explorer

  1. In Group Policy, click User Configuration.
  2. Click Windows Settings, and then click Internet Explorer Maintenance.
  3. Click the icon for the feature area you want to change.
  4. Double-click the title of the feature you want to administer.
  5. Change the settings you want.

Notes

  • If you are using the IEAK Profile Manager to administer Internet Explorer on other platforms with automatic configuration, you might want to export your Group Policy settings to an .ins file, and if applicable, to cabinet (.cab) files. That way, if you configure settings on Windows 2000 or Windows XP, you do not need to configure the settings again for use with other platforms.
  • If you are using the OEM Preinstallation Kit, you can use the Internet Explorer 6 Customization Wizard to customize Windows 2000 or Windows XP before deployment.
  • If you are using the Windows 2000 or Windows XP unattended Setup, you can use the IEAK Profile Manager to generate files needed for branding the browser. For more information, consult your Windows 2000 or Windows XP documentation.

To export Group Policy settings for Internet Explorer

You can use Group Policy in Windows 2000 or Windows XP to export all of the Internet Explorer settings to an .ins file, and if necessary, to cabinet (.cab) files. These settings can then be used to automatically configure computers that run other operating systems.

To export Internet Explorer settings in Windows 2000 or Windows XP

  1. In Group Policy, click User Configuration.
  2. Click Windows Settings, and then right-click the Internet Explorer screen that contains the settings you want to export.
  3. Click Export Browser Settings.
  4. Type the name of the .ins file and, if applicable, the names of the .cab files where you want to export the settings.
  5. Type the URL where the files are located on the Web server.

Using Group Policy to configure features

You can customize and administer the following areas using Group Policy:

  • The user interface and the appearance of the browser
  • Connection settings, such as dial-up and local area network (LAN) connections, and user agent strings
  • Custom URLs, such as favorites, the search bar, and the home page
  • Security settings, such as security zones and content ratings
  • The default programs for common Internet tasks, such as reading e-mail and viewing newsgroups

Important

  • Regardless of the installation options you configure for your package, the Windows Update Setup presents only one installation option to users running the Windows 2000 or the Windows XP operating system. This installation option includes the full set of Microsoft Internet components, along with all custom components included in your package.


Managing Install on Demand

When users install Internet Explorer, they can choose just the components they want, so they can control how much hard disk space is used and limit download and installation time. However, as users browse the Web, they may find they need additional components.

When users visit a Web page that requires a program or component that is not already installed, Install on Demand prompts them to install the necessary components.

As a corporate administrator or ISP, you can control this feature by using the IEAK.

Note

  • If you expect your organization to use Install on Demand over the Internet, you must sign the .cab files and specify in the security settings that the server hosting the .cab files is a trusted server, or for an intranet site only, set the security level to Low. For more information, see Signing Your Programs.

To specify your network servers as trusted

If your intranet security level is Medium or higher, and you are specifying your network servers as trusted servers, you need to:

  1. On the Security Settings page in the wizard, click Customize Security Zones settings, and then click Modify Settings.
  2. Select the Local intranet zone, and then click Sites.
  3. Clear the Include all network paths (UNC) check box, and then click OK.
  4. Select the Trusted sites zone, click Sites, type the path for the download server, and then click Add.
  5. Repeat the previous step for every download server that you want to specify as trusted.


IEAK References

For background information about the IEAK, see the following topics:

  • Administering Microsoft Internet Explorer on Windows 2000 and Windows XP
  • Branding and Customized Graphics
  • Internet Explorer Security
  • Redistributing Internet Explorer
  • Running Setup in Batch Mode
  • Updating Users Periodically
  • Windows Update Setup for Internet Explorer and Other Internet Tools
  • Working with Setup Information (.inf) Files
  • File Types
  • Configuring Automatic Search
  • Customizing the Search Bar and the Search Assistant

Additional Resources

To check for the latest resources and updates to technology, visit the following Web sites:

  • The IEAK Web site
  • Microsoft Security Advisor Web site
  • MSDN Online Web Workshop
  • Corporate Windows Update Web site


Configuring Automatic Search

You can customize Automatic Search to enable users to type a conversational word into the Address box in Internet Explorer to search for frequently used pages. Users do not need to remember the URLs for the pages that you specify, so key information can be easier to find.

For example, you could enable a Web page about invoices to appear when a user types invoice into the Address box, even if the URL of the page doesn't contain this term. If you are a corporate administrator, the following topic shows you how you can customize automatic searching. If you are an Internet content provider or Internet service provider, then send e-mail to autosrch@microsoft.com for more information.

This feature is already enabled for the Internet. For instance, typing in certain distinct, popular terms into the Address box will cause a Web site associated with that term to appear. When a Web site cannot distinctly be associated with that term (for example, if there are several apparent matches), then a Web page showing top search results is displayed.

The Web site that appears does not necessarily contain the exact search term in its URL. If a Web site whose domain is the same as the term is not the best match for the search term (for example, if the search term is the same as the URL without "www." and ".com"), then the user is redirected to the site that is the best match for that term. By default, the user is prompted when a redirection occurs.

To set up Automatic Search

  1. Create a script (.ASP) file that conditionally checks for search terms and post it to an intranet server at the following location:

    http://ieautosearch/response.asp?MT=%1&srch=%2

    See Parameters for Configuring the Automatic Search URL (below) for a description of the parameters %1 and %2.

    If you are not using Internet Information Services (IIS), then you must remap this URL to the address where your script is located.

  2. If you are setting this option in the Internet Explorer 6 Customization Wizard, on the Policies and Restrictions screen in Stage 5, click Internet Settings.

    —OR—

    If you are setting this option in the Profile Manager, click Policies and Restrictions, and then click Internet Settings.

  3. Click Advanced Settings, and then under Searching, in the Search Provider Keyword box, type intranet.

Notes

  • You can use policies and restrictions to redirect users to another site rather than provide search results. To do this, click Advanced Settings. Under Searching, in the When searching from the address bar box, select Just go to the most likely site.
  • If you are a corporate administrator for an organization that does not have Internet access and you are not customizing search, you might want to use policies and restrictions to disable automatic searching. To do this, click Advanced Settings. Under Searching, in the When searching from the address bar box, select Never search from the address bar.

Parameters for Configuring the Automatic Search URL

Configure the Automatic Search URL http://ieautosearch/response.asp?MT=%1&srch=%2 by replacing the two parameters noted by the percent (%) sign. These two values must be part of the URL itself.

Parameter | Value
%1 | The string the user typed in the Address box.
%2 | Type of search chosen by the user.
 | 3 | Display the results and go to the most likely site.
 | 2 | Go to the most likely site.
 | 1 | Display the results in the main window.
 | 0 | Do not search from the Address box.

Sample .asp AutoSearch Script

<%@ Language=VBScript %>

<%
' search holds the words typed in the Address bar
' by the user, without the "go" or
' "find" or any delimiters like
' "+" for spaces.
' If the user typed
' "Apple pie," search = "Apple pie."
' If the user typed
' "find Apple pie," search = "Apple pie."
search = Request.QueryString("MT")
search = UCase(search)
searchOption = Request.QueryString("srch")

' This is a simple if/then/else
' to redirect the browser to the site
' of your choice based on what the
' user typed.
' Example: expense report is an intranet page
' about filling out an expense report
if (search = "NEW HIRE") then
Response.Redirect("http://admin/hr/newhireforms.htm")
elseif (search = "LIBRARY CATALOG") then
Response.Redirect("http://library/catalog")
elseif (search = "EXPENSE REPORT") then
Response.Redirect("http://expense")
elseif (search = "LUNCH MENU") then
Response.Redirect("http://cafe/menu/")
else
' If there is not a match, use the
' default IE autosearch server
Response.Redirect("http://auto.search.msn.com/response.asp?MT="
+ search + "&srch=" + searchOption +
"&prov=&utf8")
end if

%>


Customizing the Search Bar and the Search Assistant

The Search bar enables users to launch searches and view the results. When the user clicks the Search button, the Search bar appears to the left of the browser.

The Microsoft Windows Search Assistant opens in the Search bar and provides users with a single, unified search experience across different types of searches. It contains option buttons that allow users to specify the type of information they are looking for instead of the search engine they want to use.

The user can customize Internet Explorer so that the Search bar uses a single search engine. Alternatively, as an ISP or corporate administrator, you can customize the Search bar to suit the needs of your organization, using JScript (compatible with the ECMA 262 language specification), Visual Basic Scripting Edition (VBScript), ActiveX controls, Dynamic HTML, framesets, cascading style sheets (CSS), and other technologies compatible with the Internet Explorer browser. Specify the URL for the Search bar on the Important URLs screen in Stage 4 of the Internet Explorer 6 Customization Wizard.

Search results typically appear in the Search bar. It is critical for users to be able to easily use the results of any search service. You can use the Search bar functionality to store detailed information such as text abstracts, URLs, or file size. This information is displayed in ToolTips that appear when the mouse pointer hovers over a search result. ToolTips keep the results page simple while providing more detailed information to the user.

Guidelines for Customizing the Search Bar User Interface

Here are some guidelines you can follow when designing your own Search bar.

  • Results pages should always provide the ability to launch another search, with buttons for modifying and running the search in the top 20 percent of the content area.
  • Pages should fit within the 200-pixel width of the Search bar. If you use tables or other HTML layout elements, make sure they fit within the available width. Otherwise, you force the appearance of horizontal scroll bars, which take space away from your content and force the user to do more work. If you want to include more abstract or other information without consuming extra space, you can use ToolTips.
  • You can use Dynamic HTML, ActiveX technology, Java, and cascading style sheets to achieve dynamic effects and implement multimedia. Just remember that the space for the Search bar is limited.
  • The default size for the Search bar is 200 pixels wide and the full vertical size of the browser window, which is 430 pixels. This area may include advertisements or branding, as well as search information, depending on your requirements. The user is able to resize this area.
  • Because the Search bar is a tight space, you should prioritize your user interface. The basic rule of thumb is to provide the user with the best information without a lot of visual clutter or confusion. From the top of the page to the bottom, your interface should typically follow this order:
    • Your branding
    • Search query fields that can be refined
    • Search results
    • Ads or other services

    It is recommended that you place ads toward the bottom of the page, so users will not have to scroll beyond them to see their search results.

  • If your page requires the user to scroll, make sure that a significant number of actual results (not category results) are immediately visible.
  • The links for the Search results, or "hits," typically are displayed in the Search bar. When a user clicks any of these links, the Web page should appear in the main browser area. Avoid opening Web pages in the Search bar, because it does not contain Back and Forward buttons.

Techniques for customizing the Search Assistant

The Search Assistant can be customized to meet specific searching needs. For example, additional information about search results can be stored within ToolTips, and search results can be highlighted on a particular Web page.

Search hit highlighting

The NavigateAndFind method can be used to search Web pages for a word or phrase. This method loads a specified Web page and scans the document for a match to the provided string. If a match is made, the string in the document is highlighted.

Example

The following example opens the Microsoft Web site and searches for the words "Microsoft Corporation."

window.external.NavigateAndFind("http://www.microsoft.com","Microsoft Corporation");

ToolTips and link abstracts

To help conserve space in the browser window and to improve the readability of search results, Internet Explorer enables you to define the specific information about a given link that should be included in a ToolTip. You do this by defining the TITLE attribute of an HTML anchor tag.

Example

The following example provides more information about the link:

<A HREF="http://www.adventure-works.com/" TITLE="Latest sports news and scores,
updated hourly. Interviews with winning players.">Latest sports news</A>

Point to this link to see how the results would appear: Latest sports news

Forcing line breaks in ToolTips

The ToolTip automatically breaks lines at three inches and can contain at least a paragraph of text. However, no more than 1,024 characters are allowed within the ToolTip text. You can also force a new line or tab spaces in the abstract by using the reserved characters &#10; and &#13 for carriage return and line feed, and &#09 for tab spaces.

Example

The following example includes a carriage return and a line feed after line 1 of the ToolTip:

<A HREF="http://www.microsoft.com"
 TITLE="Text displayed on line1&#10;&#13;
 Text displayed on line2&#10;
 &#09;Text displayed on line3&#10;
 &#09;Text displayed on line4">
Using multiple lines in ToolTips</A>

Point to this link to see how the results would appear: Using multiple lines in ToolTips

For more information about scripting and Dynamic HTML, see the MSDN Online Web Workshop.


Creating Customized Graphics

Before preparing graphics for the logo, consult your license agreement to verify that the particular customization is legally available to you.

Windows Update Setup

Graphic | Size and type | Additional notes
Left vertical | 162-by-312 pixel 256-color .bmp file | The vertical icon appears on the first Windows Update Setup wizard page.
Top horizontal | 496-by-56 pixel 256-color .bmp file | The horizontal icon appears on all pages in the wizard after the first page. The top horizontal banner needs to be light, like a "watermark," to allow text in the user interface to be readable.

Internet Explorer Browser

For an illustration of where the various graphics appear in your customized browser, see How Customization Works.

Graphic | Size and type | Additional notes
Static logo 38-by-38 pixel and
22-by-22 pixel .bmp files 		Create two 256-color bitmaps (38-by-38 pixels and 22-by-22 pixels). Save the files in the custom bitmap folder (CIE\Bitmaps). When the browser is not active, the first frame of the animated logo is used as your static logo.
Animated logo 38-by-38 pixel and
22-by-22 pixel .bmp files for each animation frame 		For each animation frame, create two 256-color bitmaps (38-by-38 pixels and 22-by-22 pixels). Save the files in the custom bitmap folder (CIE\Bitmaps). When the browser is not active, the first frame of the animated logo is used as your static logo.

Use the IEAK animated bitmap tools to stack the bitmaps in the correct format and build the animated logo. The animated logo must contain a vertical stack of animation cell images that follow Internet Explorer animation rules.

Animation rules for the Intenet Explorer logo

  • Cells 1 through 4 are lead-in cells, which are played when Internet Explorer begins to browse.
  • Cells 5 through X, where X is the total number of cells, loop until the browse operation is complete.
Toolbar background | No specific dimensions | Background should be the size of the toolbar and light enough to show black text.
Browser toolbar button | Two icon files, with black-and-white and color images for active and inactive states | For more information, see Designing Toolbar Icons for Internet Explorer.
Icons for Favorites list | A 16-by-16 pixel .bmp file for each item you want to customize
Autorun splash screen (if you distribute your custom package on a CD) | 540-by-357 pixel bitmap, displayed when the user inserts the CD | Before you create the splash screen, you need to convert any 24-bit images to 256-color identity palette. See Create a Bitmap for the Autorun Splash Screen for more information.

Internet Connection Wizard, Internet Sign-up

Graphic | Size and type
Top image, appearing in the upper-right corner of the Internet Connection wizard | 49-by-49 pixel .bmp file
Vertical image, appearing on the left side of screens in the Internet Connection wizard | 164-by-458 pixel .bmp file

Note

  • The Internet Connection wizard is not available for serverless sign-up.

Windows Address Book directory service (used in Outlook Express)

Size and type | Additional notes
134-by-38 pixel .bmp file | Use the Windows 16-color palette.


Animated Bitmap Tools

Before preparing graphics for the logo, consult your license agreement to verify that this customization is legally available to you.

Two separate tools are included with the IEAK to help you create customized animated bitmaps for your browser:

  • The Animated Bitmap Creator takes a series of sequentially numbered bitmaps and stacks them into one bitmap with the correct form for animation.
  • The Animated Bitmap Previewer allows you to preview the animation of the bitmap. This tool can also be used to display any correctly formatted bitmap.

Be sure to use the correct size and format for the bitmaps. For more information, review Creating Customized Graphics.

Note

  • These tools are provided for the benefit of the administrator and are not for distribution as supported Microsoft products. Both tools are found in the \<IEAK program folder>\Toolkit\Graphics\Tools folder.

Animated Bitmap Creator (Makebmp.exe)

To run this tool, type the following at an MS-DOS command prompt:

makebmp basename numfiles outputname

Syntax Element | Meaning
makebmp | Name of the tool
basename | Root file name common to all the files (without numbers or the .bmp extension)
numfiles | Number of bitmaps to sequentially add to the animation file
outputname | File name of the output file (you must include the .bmp file extension)

Example

To combine files Bitmap0.bmp through Bitmap19.bmp, type the following:

makebmp bitmap 20 final.bmp

Note

  • Sequentially number the files beginning with 0. For example, Iebmp0.bmp Iebmp1.bmp Iebmp2.bmp ... Iebmp24.bmp. The basename of these 25 files is Iebmp.

Animated Bitmap Previewer (Animbmp.exe)

You can start the previewer either from an MS-DOS command prompt or from Windows Explorer. After Animbmp.exe is started, there are two ways to preview an animated bitmap: drag the file into the box, or click the File menu, and then click Open. The lead-in frames are shown only once, then the bitmap loops continuously.


Create a Bitmap for the Autorun Splash Screen

These instructions assume that you are starting with 24-bit RGB bitmap files. If your file is not a 24-bit RGB bitmap, you must convert it.

  1. Create a 256-color bitmap image (540-by-357 pixels).

    This bitmap should provide an introduction to the product and should contain labels for the two buttons: one for installing Internet Explorer and one for displaying more information.

  2. In your graphics program, create a working file for your palette. To do this, paste both your background and your button file into a single file. Make sure to paste the files side by side, not overlapping.
  3. Save the file as Palette.bmp.

Note

  • The dimensions of the bitmap are important, because the dialog box will resize to the bitmap dimensions. If the bitmap is not wide enough, text in the dialog box may appear clipped.


Designing Toolbar Icons for Internet Explorer

To create a toolbar icon, you will need to provide each image in two sizes for two toolbar states (grayscale for the default state and color for the active state, when the user's mouse is pointing to it), and in two color depths.

To Create your images

  1. After drawing your images in a graphics program, place the 16-color and 256-color images in separate files.
  2. Index each file to the appropriate palette, either the Windows 16-color palette or the Windows half-tone palette. Reserve a specific color to denote transparency.
  3. Save each file as a .bmp.

The following is a summary of the required images:

Icon State Size, in pixels Color Depth/Palette Border Appearance Example
Active 20-by-20 pixels 256-color Windows half-tone palette Icon-style border: color on the top and left edges, and black on the bottom and right edges
  • Color image
  • More shading and visual depth than 16-color image
  • A light source from the upper left and shading where appropriate
 Active state: 256-color, 20-by-20 pixels
20-by-20 pixels 16-color Windows palette Black, except when a border interferes with the readability of the icon
  • Color image
  • Little shading; flat appearance
 Active state: 16-color, 20-by-20 pixels
16-by-16 pixels 16-color Windows palette Black, except when a border interferes with the readability of the icon
  • Color image
  • Little shading; flat appearance
 Active state: 16-color, 16-by-16 pixels
Default 20-by-20 pixels 256-color Windows half-tone palette Icon-style border: grey tones on the top and left edges, and black on the bottom and right edges
  • Grayscale image
  • More shading and visual depth than 16-color image
  • A light source from the upper left and shading where appropriate
 Default state: 256-color, 20-by-20 pixels
20-by-20 pixels 16-color Windows palette Black, except when a border interferes with the readability of the icon
  • Grayscale image
  • Little shading; flat appearance
 Default state: 16-color, 20-by-20 pixels
16-by-16 pixels 16-color Windows palette Black, except when a border interferes with the readability of the icon
  • Grayscale image
  • Little shading; flat appearance
 Default state: 16-color, 16-by-16 pixels

Make sure the visual transitions between your default and active images are smooth. An easy way to test this is to create separate layers for the default and active images in a photo imaging program so that you can view the images on top of each other.

To Change the bitmap images into icons

You will need to create two .ico files for each icon:

  • The first .ico file contains the active images (color) in both sizes and color depths.
  • The second .ico file contains the default images (grayscale) in both sizes and color depths.

It is recommended that you use a graphics program to draw your icons and a development environment, such as Microsoft Visual C++ Development Studio, to create the .ico files.

Example

The two icon files for the Home icon contain the following images:

Active State | Default State
Icon for active state | Icon for default state

To create your icon files in Visual C++

  1. Open each .bmp file.
  2. On the File menu, click New, and then click Icon. By default, the icon window that opens displays a standard 32-by-32 pixel device image.
  3. In the Icon window, click New Device Image. Click Custom, and then create these image devices:
    • One 22-by-20 pixel 16-color image
    • One 22-by-20 pixel 256-color image
    • One 18-by-16 pixel 16-color image

    Note

    • The device images are two pixels wider than the images. Center your images in the device image area.
  4. Delete the default 32-by-32 pixel device image.
  5. Copy and paste the color images from your .bmp files into the appropriate device image size and color depth.
  6. To make the background transparent, select the transparent color in the color palette and fill the background of each image where you want transparency.
  7. Save the file as an .ico file.

To create your default (grayscale) .ico file, follow the same steps.


Including a User Agent String

Some companies track site statistics, such as how many times their content is accessed and by which types of Web browsers. User agent strings help to identify the browser type.

If you gather browser statistics and your information includes the user agent string, you can track the usage of your customized browser. In the Internet Explorer 6 Customization Wizard, you can add characters to the end of the user agent string to customize it.

Your customized string appears in any statistics that include the user agent string. Be aware that other companies that track statistics will see your customized string. Avoid using a string that you do not want others to see.

Example

Here is an example of a user agent string:

Mozilla/4.0(compatible; MSIE 6; WindowsNT; YourCustomString)

Note

  • The recommended maximum size for the user agent string is 200 characters.


Running Setup in Batch Mode

The Internet Explorer 6 Customization Wizard enables you to control functionality and user experience of Windows Update Setup. You can further control the setup process by using a batch file, command-line switches, or a combination of the two. You can use these methods whether Microsoft Internet Explorer is installed alone or with Microsoft Office.

In most cases, the batch-file method gives you more control over the installation of individual components and involves fewer steps. The command-line switches are provided for backwards compatibility and to support custom solutions.

Creating a Batch File

To create a batch file, use a text editor such as Microsoft Notepad, and name the file IEbatch.txt. If you plan to call the batch file with command-line switches, you can use a different name for the batch file, as long as you reference the correct file name in your command-line syntax. For more information, see Batch File Syntax. For an example, see Sample Setup Batch File.

Using the Batch File to Distribute Internet Explorer

If you distribute Internet Explorer over the Internet or an intranet, you can post the batch file to the site where users download Internet Explorer. If you distribute Internet Explorer on other media, such as a compact disc or floppy disk, you can add the batch file to the disk. Place it in the same folder as the IE5Setup.exe file.

You might want to keep the batch file in a separate location if the file was not available when you prepared your IEAK package, or if you want to temporarily or permanently change the setup options that you specified in your custom IEAK package.

Running Setup Using Command-line switches

If you are bundling Internet Explorer and any associated components with your product, you typically use command-line switches to install an IEAK package as part of your setup program. If you want to modify setup using command-line switches, you can use the IExpress Wizard, which is included with the IEAK, or you can use another program to package your setup files.

For more information, see Internet Explorer Batch-mode Setup Switches and IExpress Batch-mode Setup Switches.

Reasons for Running Setup from a Command Line or Batch File

Here are some reasons you might want to place additional controls on Windows Update Setup:

Implement hands-free installation

If you are a corporate administrator, you might want to distribute Internet Explorer to your users after standard working hours. Although the IEAK helps you set up a "silent" or "quiet" installation that requires little user interaction, perhaps you want to further control this process. By using settings in the batch text file or command-line switches, you can determine which messages the user sees and whether the computer restarts at the conclusion of setup.

Redistribute Internet Explorer

If you are an independent software vendor (ISV), you can host Internet Explorer within your application and install Internet Explorer without the icons or browser interface. To do so, use a batch file with the Redist option or the /X switch. For more information, see Internet Explorer Batch-mode Setup Switches.

Gain more control over specific components

Using a batch file enables you to install and control components, regardless of whether you included those components in your IEAK package. You can also restrict the setup modes (such as Standard or Minimal) available to your users. Use the ComponentID, a string such as NetMeeting, to identify components. You can find ComponentID information in the Iesetup.cif file.

Change setup options without rebuilding your IEAK package

Perhaps you need to set up Internet Explorer in a particular way, and you don't want to rebuild your IEAK package. You can use a batch file or switches to change settings you previously specified in the Internet Explorer 6 Customization Wizard when you built the package.


Batch File Syntax

You can use a batch file to further control the setup process and the Windows Update Setup Wizard for Internet Explorer and Internet Tools. The following table shows the sections and entries for the batch file. For more information about how to use a batch file, see Running Setup in Batch Mode. See Sample Setup Batch File for a complete sample file.

Sections in a batch file:

[Options]

[Welcome]

[SetupChoice]

[Custom]

[Download]

[DownloadSite]

[PrepareSetup]

[Diskspace]

[Progress]

[RebootPartial]

[Finish]

[Reboot]

[Upgrade]

[Options]
SaveUninstallInfo=[0,1]
ExtraSection=
Quiet=[A,C,U]
ShowErrors=[0,1]
Display=[0,1]

Entries in this section | Description
SaveUninstallInfo=[0,1] Determines whether or not information about removing components is stored.
  • 0 specifies that information is not stored. If you use this switch, you cannot uninstall Internet Explorer from Control Panel.
  • 1 (default) specifies that information is stored.
ExtraSection=section1[,section2,...] | Runs the sections specified in the Iesetup.inf file. Separate sections with commas (for example, section1,section2,section3).
Quiet=[A,C,U] Represents quiet mode, in which the installation is run with little or no input from the user.
  • A specifies administrative mode, in which Setup does not appear to the user and error checking is not performed.
  • C suppresses the Cancel button on the progress page.
  • U specifies that Setup does not appear to the user unless required input (e.g., download location) is not available.
ShowErrors=[0,1] Determines whether or not Setup errors are displayed to the user.
  • 0 specifies that Setup carries out the default action for each message with no user input.
  • 1 (default) specifies that Setup errors are displayed to the user.
Return to top

[Welcome]
Display=[0,1]

Entries in this section Description
Display=[0,1] Determines whether or not the initial Setup screen is displayed on the user's computer.
  • 0 specifies that the initial Setup screen is not displayed to the user.
  • 1 (default) specifies that the initial Setup screen is displayed to the user.
Return to top

[SetupChoice]
Display=[0,1]
SetupChoice=[0,1]

Entries in this section Description
Display=[0,1] Determines whether or not the screen on which users can choose the Setup option to customize Setup is displayed on the user's computer.
  • 0 specifies that the Setup type screen is not displayed to the user.
  • 1 (default) specifies that the Setup type screen is displayed to the user.
SetupChoice=[0,1] Determines which Setup option is chosen.
  • 0 (default) specifies Install now - Typical Setup of Components.
  • 1 specifies Custom Setup.
Return to top

[Custom]
Display=[0,1]
InstallDir=foldername
InstallDirRO=[0,1]
UseInfInstallDir=[0,1]
SetupMode=[0,1,2]
SetupModeRO=[0,1]
Component=[ComponentID_1, ComponentID_2, ...]
ComponentListRO=[0,1]
DownloadOnly=[0,1]
DownloadOnlyRO=[0,1]
IECompat=[0,1]
IECompatRO=[0,1]
IECompatShow=[0,1]
ShowAdvanced=[0,1]
IEDefault=[0,1]
IEDefaultRO=[0,1]

Entries in this section | Description
Display=[0,1] Determines whether or not the Component Options screen, in which users can select components and click Advanced to specify more options, is displayed on the user's computer.
  • 0 specifies that the Component Options screen is not displayed to the user.
  • 1 (default) specifies that the Component Options screen is displayed to the user.
InstallDir=foldername | Specifies the folder for installing files. If you do not include this setting, Setup uses the current settings in the Iesetup.inf file. If you have installed an earlier version of Internet Explorer, Setup installs into the same folder as the earlier version.
InstallDirRO=[0,1] Specifies whether or not the user can change the installation folder.
  • 0 (default) specifies that the user can change the installation folder.
  • 1 specifies that the user cannot change the installation folder.
UseInfInstallDir=[0,1] Specifies the folder into which Internet Explorer is installed.
  • 0 (default) specifies that Setup uses the default installation folder or the same folder in which an earlier version of Internet Explorer is already installed.
  • 1 specifies that the installation folder is the folder specified in the Iesetup.inf file.
SetupMode=[0,1,2] Specifies what kind of installation is performed.
  • 0 specifies a Minimal installation.
  • 1 (default) specifies a Typical installation.
  • 2 specifies a Full installation.
SetupModeRO=[0,1] Determines whether or not the user can change the Setup type.
  • 0 specifies that the user can change the Setup type.
  • 1 (default) specifies that the user cannot change the Setup type.
Component=[ComponentID1[,ComponentID2,...]] | Specifies that only the components specified in the Component= setting are installed. The ComponentID is a string that uniquely identifies a component; you can find the corresponding string in the component sections of the Iesetup.cif file. You can also find ComponentID information on the IEAK Web site.
ComponentListRO=[0,1] Determines whether or not the user can specify which components are installed (in addition to the components in the Setup type).
  • 0 (default) specifies that the user can change the list of components.
  • 1 specifies that the user cannot change the list of components.
DownloadOnly=[0,1] Determines whether or not Internet Explorer is just downloaded, or downloaded and installed.
  • 0 (default) specifies that the files are downloaded and then installed.
  • 1 specifies that the files are downloaded but not installed.
DownloadOnlyRO=[0,1] Determines whether or not the user can specify that files are downloaded or downloaded and installed.
  • 0 (default) specifies that the user can change this setting.
  • 1 specifies that the user cannot change this setting.
IECompat=[0,1] Determines whether or not Internet Explorer 5 (or later) is installed on the same computer as Internet Explorer 4, so that functionality from both programs is available.
  • 0 specifies that Internet Explorer 5 or later cannot be installed side-by-side with Internet Explorer 4.
  • 1 (default) specifies that Internet Explorer 5 or later can be installed so that it works with Internet Explorer 4 features.
IECompatRO=[0,1] Determines whether or not the user can specify if Internet Explorer 4 features can be used side-by-side with Internet Explorer 5 (or later).
  • 0 (default) specifies that the user can change this setting.
  • 1 specifies that the user cannot change this setting.
IECompatShow=[0,1] Determines whether or not the Compatibility check box, which enables users to run Internet Explorer 5 (or later) side-by-side with Internet Explorer 4, is displayed.
  • 0 specifies that the check box is not displayed in the wizard.
  • 1 (default) specifies that the check box is displayed in the wizard.
ShowAdvanced=[0,1] Determines whether or not the Advanced button is displayed on the Component Options screen in the Windows Update Setup Wizard. Clicking the Advanced button displays the Download only, Compatibility, and Don't associate file types options.
  • 0 specifies that the Advanced button is not displayed in the wizard.
  • 1 (default) specifies that the Advanced button is displayed in the wizard.
IEDefault=[0,1] Determines whether or not Internet Explorer is the default browser.
  • 0 specifies that Internet Explorer is not the default browser.
  • 1 (default) specifies that Internet Explorer is the default browser.
IEDefaultRO=[0,1] Specifies whether or not users can determine if Internet Explorer is their default browser.
  • 0 specifies that users can determine whether Internet Explorer is their default browser.
  • 1 (default) specifies that users cannot determine whether Internet Explorer is their default browser.
Return to top

[Download]
Display=[0,1]
DownloadDir=foldername
DownloadDirRO=[0,1]
DownloadOS=[0,1]
DownloadOSRO=[0,1]

Entries in this section | Description
Display=[0,1] Determines whether or not the option to download or install files is displayed on the user's computer.
  • 0 specifies that the option to download or install files is not displayed to the user.
  • 1 (default) specifies that the option to download or install files is displayed to the user.
DownloadDir=foldername | Specifies the folder for downloading files. If you do not include this setting, Setup creates a folder named Windows Update Setup Files on the drive that has the most disk space.
DownloadDirRO=[0,1] Specifies whether or not users can change the folder where their files are downloaded.
  • 0 (default) specifies that users can change the download folder.
  • 1 specifies that users cannot change the download folder.
DownloadOS=[0,1] Specifies that files for a specific operating system are downloaded; this setting is valid only if you are downloading but not installing files (DownloadOnly=1).
  • 0 (default) specifies the current operating system.
  • 1 specifies Windows 95, Windows 98, Windows Millennium Edition, Windows NT, Windows 2000, and Windows XP.
DownloadOSRO=[0,1] Determines whether or not users can specify the operating system of the files that are downloaded to their computer.
  • 0 (default) specifies that users can change this setting.
  • 1 specifies that users cannot change this setting.
Return to top

[DownloadSite]
Display=[0,1]
DownloadLocation=URL
DownloadSiteList=URL

Entries in this section | Description
Display=[0,1] Determines whether or not the download sites are displayed to the user.
  • 0 specifies that the download sites are not displayed to the user.
  • 1 (default) specifies that the download sites are displayed to the user.
DownloadLocation=URL | Specifies the address of the Web site that users download .cab files from, if you are distributing from the Web. If you used Display=0 for this section, or any switch that would result in this page not being displayed, you should enter a download site.
DownloadSiteList=URL | Specifies the location for the list of download sites; by default, this list is the Ie5sites.dat file. If you do not include this setting, Setup uses the current settings in the Iesetup.inf file.
Return to top

[PrepareSetup]
Display=[0,1]

Entries in this section Description
Display=[0,1] Determines whether or not the Preparing Setup screen is displayed on the user's computer.
  • 0 specifies that the Preparing Setup screen is not displayed to the user.
  • 1 (default) specifies that the Preparing Setup screen is displayed to the user.
Return to top

[Diskspace]
Display=[0,1]

Entries in this section Description
Display=[0,1] Specifies whether or not to display on the user's computer the amount of disk space needed.
  • 0 specifies that the amount of disk space needed is not displayed on the user's computer. If the user does not have enough disk space, Setup will close.
  • 1 (default) specifies that the amount of disk space needed is displayed on the user's computer.
Return to top

[Progress]
Display=[0,1]

Entries in this section Description
Display=[0,1] Specifies whether or not to display the installation progress to the user.
  • 0 specifies that the installation progress is not displayed to the user.
  • 1 (default) specifies that the installation progress is displayed to the user.
Return to top

[RebootPartial]
Display=[0,1]

Entries in this section Description
Display=[0,1] Determines whether or not the Installation Incomplete screen appears if a component fails to install.
  • 0 specifies that the Installation Incomplete screen does not appear if a component fails to install.
  • 1 (default) specifies that the Installation Incomplete screen appears if a component fails to install.
Return to top

[Finish]
Display=[0,1]

Entries in this section Description
Display=[0,1] Specifies whether or not to display the message that the computer is restarting after Setup.
  • 0 specifies not to display the message that the computer is restarting after Setup. If you plan to turn off restarting after installation, use 0.
  • 1 (default) specifies to display the message that the computer is restarting after Setup.
Return to top

[Reboot]
Reboot=[0,1]

Entries in this section Description
Reboot=[0,1] Specifies whether or not to restart the computer after Setup.
  • 0 specifies that you do not want to restart the computer after Setup. If you turn off restarting, your program should take care of restarting the computer. Internet Explorer is not configured correctly until the computer is restarted.
  • 1 (default) specifies that you do want to restart the computer after Setup.
Return to top

[Upgrade]
ReinstallAll=[0,1]

Entries in this section Description
ReinstallAll=[0,1] Specifies whether or not to reinstall all components if Setup is run a second time.
  • 0 (default) specifies not to run Setup again if all components are already installed.
  • 1 specifies to reinstall all components.
Return to top


IExpress Batch-mode Setup Switches

The IExpress Wizard helps you pass setup switches from one application to another. When using IExpress with Internet Explorer switches, the Internet Explorer switches are placed inside the IExpress expression as follows:

Ie5setup <IExpress switches> /c:" ie6wzd <Internet Explorer switches>"

IExpress Switches

The following are frequently used IExpress switches that control the extraction process during setup. These switches are not specific to Internet Explorer.

Switch | Action
/Q | Specifies quiet mode, or suppresses prompts, when files are being extracted. This switch does not suppress prompts when Windows Update Setup is running.
/Q:U | Specifies user-quiet mode, which presents some dialog boxes to the user.
/Q:A | Specifies administrator-quiet mode, which does not present any dialog boxes to the user.
/C:<UNC location> | Specifies the path and name of the Setup .inf or .exe file.
/R:N | Never restarts the computer after installation.
/R:A | Always restarts the computer after installation.
/R:S | Restarts the computer after installation without prompting the user.
/T:<directory path> | Specifies the target folder for extracting files.

For more information about IExpress, see IExpress Technology and the IExpress Wizard.


IExpress Technology and the IExpress Wizard

IExpress is a technology designed to simplify creation of a setup program. Using the step-by-step IExpress Wizard, you can create self-extracting files that automatically run the setup program contained inside. The setup program can be an .inf file or an executable program. IExpress technology automatically removes the setup files after installation, saving the user time and frustration.

The IExpress Wizard can help you carry out specialized installations of your customized browser package, such as determining whether the computer needs to be restarted after installation. You can find the IExpress Wizard (IExpress.exe) in the \<IEAK program folder>\Tools folder. Certain choices you make in the wizard correspond to particular batch-mode setup switches.

IExpress uses a Self-Extraction Directive (.sed) file to store information about your package. When you run the IExpress Wizard, you can start with an existing .sed file or create a new one by using the wizard. The .sed file contains information and instructions about the setup package.

If you are building a self-extracting file with IExpress and the language of this self-extracting file is different from the language of the Internet Explorer 6 Customization Wizard, copy the Wextract.exe and Advpack.dll files from the \<IEAK program folder>\Iebin\<lang>\Optional folder to the \<IEAK program folder>\Tools folder (where the Iexpress.exe, Makecab.exe, W95inf32.dll, and W95inf16.dll files are located). Include advpack.dll in your package.

Features of IExpress technology

  • Silent, hands-free installation of Internet Explorer
  • Support for upgrading without having to remove a previous installation
  • Support for refreshing, or installing over, the same build

Settings you can specify in .inf files used by IExpress

  • Determine whether the self-installing package is for administrators or general users.
  • Set multiple ways of running the embedded install command, such as normal or silent modes.
  • Determine whether the IExpress dynamic-link libraries (.dll files) on a user's computer are to be updated if they are older than the current ones.
  • Specify target versions, such as the operating system version range, the browser version range, or any application version range (identified by one or multiple file versions) that the package is compatible with.
  • Determine, in batch mode, whether to warn the user when another copy of the package is running, to block two packages from running at the same time, or to not do anything.
  • Update and add files to the IExpress package with the UPDFILE tool without having to rebuild the package.
  • Replace Runonce with RunOnceEx (if the newer version of Iernonce.dll exists), giving the author control over the job executing order and status display.
  • Provide a mechanism for corporate administrators to set up any necessary support for roaming users.
  • Enable ICPs and ISPs to generate packages that include preconfigured desktops that present custom content to the user.
  • Provide support for multiple download sites.
  • Provide support for internal and external development, customization, expandability, and enhanced debugging.
  • Save disk space through hard-disk cleanup (Recycle Bin, Occache, Wininet cache, Temp folder) during Setup, uninstall, and maintenance mode.
  • Provide support for the Non-SBCS extended character set.
  • Support using the .inf file format in downloading Internet components.

For more information, see Working with Setup Information (.inf) Files.


Internet Explorer Batch-mode Setup Switches

You might want to control the way that Windows Update Setup runs for your users. You can use command-line switches to choose the installation mode, specify a quiet mode (which removes or reduces the prompts the user receives), or control whether the computer is restarted after installation.

You can have users include these switches when they run Windows Update Setup, but a more typical scenario is packaging Internet Explorer using another program, such as IExpress, for a batch installation.

Internet Explorer Switches

You can use the following switches to control Internet Explorer Setup:

Switch | Action
/Q | Specifies a quiet "hands-free" mode. The user is prompted for information that is not specified.
/Q:A | Specifies a quiet mode with no user prompts.
/Q:C | Specifies a quiet mode with the Cancel button not displayed, so the user cannot cancel Setup. The Internet Explorer 6 Customization Wizard uses this switch if you select the Install package silently option when you are installing as a corporate administrator.
/B:filename | Specifies the batch script file to use.
/M[:{0|1|2|3...10}] Specifies the installation mode. For customized IEAK packages, 0 refers to the first installation choice, 1 refers to the second choice, and so on (for example, 0=minimal, 1=typical, 2=full). You can specify up to 10 installation modes in the IEAK.

If the /M switch is used without a number, Setup assumes no mode and installs only the specified components. If this switch is not used, Setup uses the default mode specified in the .inf file.
/E:ComponentID[, ...] | Specifies extra components to be installed regardless of the installation mode. Use this switch to specify components that are not a part of the installation type you specified in the Customization Wizard. This switch also overrides settings in the batch text file, if used. The ComponentID is a string that uniquely identifies a component; you can find the corresponding string in the component sections of the Iesetup.cif file.
/S:""#e"" Designates the source path of Ie5setup.exe. The ""#e"" refers to the full path and name of the .exe file.

Note

  • The path must be surrounded by two pairs of double quotation marks.
/R:N | Suppresses restarting the computer after installation. If you suppress restarting after the conclusion of Windows Update Setup, the installation of your custom component must restart the computer. Internet Explorer is not configured correctly until the computer is restarted.
/D | Specifies that you want to download only the files for the current operating system.
/D:1 | Specifies that you want to download files for Microsoft Windows and Windows NT operating systems.
/G:section[, ...] | Runs specified installation sections in Iesetup.inf. Separate sections with commas.
/X | Installs Internet Explorer without the shell, icons, or links. This option is useful for hosting browser controls in your own application.
/X:1 | Installs Internet Explorer with the shell, icons, or links, but does not take over default browser or http protocol associations.
/P | Reports the required component and disk space cost for an installation. This option enables you to see how much disk space is used based on the installation options selected. See Assessing the Installed Size of Internet Explorer later in this topic for more information.

Internet Explorer command-line switches used with IExpress

The IExpress Wizard helps you pass setup switches from one program to another. When using IExpress with Internet Explorer switches, the Internet Explorer switches are placed inside the IExpress expression as follows:

Ie5setup <IExpress switches> /c:" ie6wzd <Internet Explorer switches>"

For a complete list of IExpress setup switches, see IExpress Batch-mode Setup Switches.

Examples

Here are some example commands used to install Internet Explorer.

  • The following expression performs a quiet installation. It does not prompt the user, and the computer is not restarted after installation:

    ie5setup.exe /C:"ie6wzd /S:""#e"" /Q /R:N"

  • The following expression overrides the Ie5sites.dat site list and installs Internet Explorer from the specified location. It is a single expression, displayed using multiple lines of text to improve readability.

    ie5setup.exe
    /C:"ie6wzd
    /S:""\\yourserver.com\directory\ie5setup.exe"""

    This expreyoursession would be used to point users to another download location (for example, in another country or region) without rebuilding your IEAK package.

Assessing the Installed Size of Internet Explorer

You can use Internet Explorere batch-mode switches to pass information about Internet Explorer installation to your custom IEAK package. There are two key reasons to do this. One is to display the amount of disk space needed for installing Internet Explorer (dynamically, based on the options the user chooses), and the second is to provide progress information during installation.

When you use the /P switch, this information is stored in the registry during installation. Based on this information, Windows Update Setup returns the following additional information to the HKEY_LOCAL_MACHINE\Software\Microsoft\Active Setup\InstallInfo registry branch:

Subkey | Data Type | Value
InstallSize | String | Number of KB (The actual size of the installation.)
AdminRights | Binary | 1 or 0
EstimatedCopy | String | Number of KB This value is usually larger than InstallSize, because more size is needed for the installation process. Use as an estimate of how the progress information would appear in a "gas-gauge" style estimate.

Windows Update Setup Return Codes and Status

After an application is installed or its installation fails, Setup needs to report the outcome. Because IE6wzd.exe is packaged inside Ie5setup.exe, return codes cannot be passed back directly. Instead, after installation, Setup returns the information in the HKEY_LOCAL_MACHINE\Software\Microsoft\Active Setup\InstallInfo registry branch. Any Failed HResult in this branch means some sort of failure.

Subkey | Data Type | Value
Complete | String | DWORD reflecting the HRESULT from setup, as follows:
 |  | 0 | Success
 |  | 0x80100003 | Files are missing for the requested installation.
 |  | 0x80100001 | Setup succeeded partially. One or more components are not downloaded/installed. Check the FailedComponents subkey for the list of components.
 |  | 0x80100002 | Setup succeeded partially, but the user canceled Setup. One or more components are not downloaded/installed.

For items that were not successfully installed, Setup also returns the following information:

Subkey | Data Type | Value
FailedComponents | MultiSZ | <Name of Components from CIFID>null<Name of Component...>
InstallStatus | Binary | 0 | Install completed successfully.
 |  | 1 | Suspend Setup. The user canceled Setup and is asked to verify whether to cancel.
 |  | 2 | No, do not Cancel, resume Setup.
 |  | 3 | Yes, Cancel confirmed, quit Setup as soon as possible. In some cases, a task in progress, such as copying or extracting files, may need to be completed.


Updating Users Periodically

Your users can be notified automatically when a new version of Microsoft Internet Explorer is available. You can control whether Internet Explorer checks for this updated information and if it does, how often it checks.

Here's how it works:

  • When a new version of Internet Explorer is detected, the user's home, or start, page is temporarily replaced by an update notification page. From this page, users can upgrade their browser, add the page to their Favorites list, or cancel the update.
  • By default, the Microsoft Internet Explorer page for the Microsoft Windows Update is used as the update notification page. Or you can display a custom Web page instead that provides product update information or even company news. For example, you could create a Web page to notify users of new Internet Explorer releases, new server paths, and company news.

    The update notification page enables you to periodically distribute information to users in .htm format.

  • The next time the user starts the browser, the user's default home page is displayed.

You can specify the settings for the update notification page by carrying out the following steps:

  1. If you are changing this setting in the Internet Explorer 6 Customization Wizard, on the Policies and Restrictions screen in Stage 5, click Internet Settings.

    —OR—

    If you are changing this setting in the Profile Manager, click Policies and Restrictions, and then click Internet Settings.

  2. Select the Automatically check for Internet Explorer Updates check box.
  3. On the left side of the screen, click Component Updates.
  4. If you want to use the default Windows Update page, do not replace the default URL.

    If you want to use a custom page, type the address of the page in the URL to be displayed for updates box.

  5. Under Update check interval, specify the number of days between intervals to check for updated information.

If you decide to create a custom page for your organization, see the sample file ieupdate.htm in the \<IEAK program folder>\Toolkit folder.

Note

  • Under Internet Restrictions in both the Profile Manager and the Policies and Restrictions pages of the wizard, you can choose whether to do a periodic check for updates to Internet Explorer and Internet tools on the Component Updates screen.


Automatic Detection and Configuration of Browser Settings

You can configure your network so that Internet Explorer is automatically customized the first time it is started. This can help reduce administrative overhead and potentially reduce help desk calls about browser settings.

Automatic detection of browser settings, which is based on Web Proxy AutoDiscovery (WPAD), is supported by both Dynamic Host Configuration Protocol (DHCP) and Domain Name System (DNS). With the appropriate settings, DHCP and DNS servers can automatically detect and configure a browser's settings. This feature builds on existing automatic configuration technologies, in which a browser can be configured from a central location with an automatic configuration URL (.ins file) or a Javascript proxy configuration (.js, .jvs, or .pac) file.

With automatic detection, the browser can be automatically configured when it is started, even if it was not first customized by the administrator. For example, if a user were to download a noncustomized browser from the Internet, instead of installing a customized version from the corporate servers, automatic detection can automatically configure and customize the user's browser.

To specify in the IEAK that you want to set up automatic detection of browser settings, select Automatically detect settings on the Automatic Configuration screen of the Internet Explorer 6 Customization Wizard. For an illustration of automatic configuration, see How Automatic Configuration Works.

Automatic Detection of Browser Settings for DHCP and DNS

A DHCP server enables the administrator to centrally specify global and subnet-specific TCP/IP parameters, and to define parameters for clients by using reserved addresses. When a client computer moves between subnets, it is automatically reconfigured for TCP/IP when the computer is started.

Important

  • Your DHCP server must support the DHCPINFORM message, as does the DHCP server in Windows 2000 and Windows XP.

DNS is a set of protocols and services on a TCP/IP network that allow users to search for other computers using hierarchical user-friendly names, often known as "hosts," instead of numeric IP addresses.

Using DHCP with automatic detection works best for users connected to a local area network (LAN), while DNS enables the detection of settings for both LAN-based and dial-up users. Although DNS can handle network and dial-up users, DHCP provides faster access for LAN users and allows greater flexibility in specifying configuration files.

To enable automatic detection of browser settings, you need to configure specific settings on DNS servers, DHCP servers, or both.

For more information, see the following:

Enabling automatic detection of browser settings on DHCP

To set up automatic detection of browser settings on a DHCP server, you need to create a new option type with a code number of 252. For the value associated with the code, type the URL that points to your configuration file. This file can be a .pac, .jvs, .js, or .ins configuration file.

For specific information about configuring your DHCP server, consult your server documentation.

Examples

http://www.microsoft.com/webproxy.pac
http://marketing/config.ins
http://###.#.###.#/account.pac

Enabling automatic detection on DNS

To enable automatic detection of browser settings on DNS, you need to configure either the host record or CNAME "alias" record in the DNS database file.

Host Record

A host record is used to statically associate host (computer) names to IP addresses within a zone. A host record contains entries for all hosts that require static mappings, such as workstations, name servers, and mail servers.

The syntax is: <host name> IN A <ip address of host>

For example:

corserv | IN | A | 192.55.200.143
nameserver2 | IN | A | 192.55.200.2
mailserver1 | IN | A | 192.55.200.51

CNAME Record

These records are sometimes called "aliases" but are technically referred to as "Canonical Name" (CNAME) entries. These records allow you to use more than one name to point to a single host. Using canonical names makes it easy to do such things as host both an FTP server and a Web server on the same computer.

To configure a DNS database file for automatic detection of browser settings

  • In the DNS database file, enter a host record named wpad that points to the IP address of the Web server that contains the .pac, .jvs, .js, or .ins automatic configuration file.

    Or, enter a CNAME alias named wpad that points to the name (the resolved name, not the IP address) of the server that contains the .pac, .jvs, .js, or .ins automatic configuration file.

Notes

  • After the record is added and the database file is propagated to the server, the DNS name wpad.domain.com should resolve to the same computer name as your server that contains the automatic configuration file.
  • When using DNS, Internet Explorer constructs a default URL template based on the host name wpad.

    For example:

    http://wpad.domain.com/wpad.dat

    Therefore, on the Web server wpad, you must set up a file or redirection point named wpad.dat, which delivers the contents of your automatic configuration file.


Understanding Settings and Restrictions

System policies and restrictions for Internet Explorer are a powerful mechanism for improving the control and manageability of computers. System policies and restrictions, which are defined in a policy file, control user and computer access privileges by overriding default registry values when the user logs on.

You can use the Internet Explorer 6 Customization Wizard to define system policies and restrictions and to create a standard Internet Explorer configuration as part of your custom browser package. After the Internet Explorer installation, you can use the IEAK Profile Manager to centrally manage and update system policies and restrictions on your users' desktops. Also, if different groups of users have unique needs, you can use the IEAK Profile Manager to create separate policy (.ins) files for each group.

For example, you might want to implement system policies and restrictions to:

  • Determine the features that users can change, such as Internet Explorer toolbars.
  • Manage bandwidth and control the behavior and appearance of Internet Explorer.
  • Specify server lists for components, such as Microsoft NetMeeting, and set up a page to update your users periodically.
  • Determine which programs are used for electronic mail and for placing Internet calls.
  • Predetermine the user's connection settings. If you need to manage multiple connection settings, consider importing a custom profile from the Connection Manager Administration Kit (CMAK).

For an illustration of this feature, see System Policies and Settings.

Note

  • Settings for the new Internet Explorer 6 Image Toolbar feature include enabling image toolbar hovering, shrinking an image to the size of the screen, and automatically playing media files in the media bar. You can set these options in the Internet settings section of Policies and Restrictions.

Benefits of using system policies and restrictions

Organizations can realize the following benefits from implementing system policies and restrictions:

  • System policies and restrictions enable you to implement a standard Internet Explorer configuration. You can create a custom browser package for your users that includes common settings for browser features and functions.
  • You can restrict the features that users can access within Internet Explorer by using system policies and restrictions. For example, you can preset the NetMeeting options to control audio and video access. Also, you have the option to lock down features and functions, so they either don't appear or appear dimmed on users' desktops.
  • Setting system policies and restrictions enables you to change default registry values. You can use the settings in a policy file to change registry values on multiple computers, eliminating the need to specify settings individually on each user's computer.

Issues to consider before setting system policies and restrictions

Before implementing system policies and restrictions, you should consider the following issues:

  • What types of system policies and restrictions would you like to define and manage centrally? For example, do you want to limit access to NetMeeting features?
  • Do you want to use one set of standard system policies and restrictions for all users and computers, or do you want to create multiple policy files for groups of users? Different groups of users may have unique needs.
  • What types of security settings do you want to implement? You can choose to lock down all the settings, to control the settings but make them available for roaming users to download, or to customize the settings while allowing users to modify them.

    You should consider the impact of these settings, especially if you have roaming users who share computers with other people. For example, what are the implications of removing icons from the desktop or not allowing users to change their security settings? Make sure that your users understand which features they can access.

  • Do you want to store the policy files in a central location or on users' computers? You might want to store the file on a server so that roaming users can access the settings from computer to computer. This capability could be useful, for example, for a user who needs low security settings but who uses a computer that is operated by another person whose security settings are higher.

How to manage policies and restrictions for Windows NT, Windows 2000, and Windows XP

All the system policies and restrictions that you can set in the Internet Explorer 6 Customization Wizard and later manage in the IEAK Profile Manager can be configured for users running Windows 95, Windows 98, and Windows Millennium Edition operating systems.

However, you can only configure a subset of these system policies and restrictions for users without Administrator privileges on the Windows NT, Windows 2000, or Windows XP platforms. Instead, it is recommended that you use the Windows NT Policy Editor, Windows 2000, or Windows XP Group Policy to configure the remaining policies and restrictions for those users. For more information, see Administering Microsoft Internet Explorer on Windows 2000 and Windows XP.

Setting and managing policies and restrictions

You can set policies and restrictions in two ways:

  • In Stage 5 of the Internet Explorer 6 Customization Wizard.
  • In the Profile Manager, using automatic configuration.

To use the Profile Manager, create a new user profile or open an existing profile. Then, expand the folders until you see the setting or restriction that you want to change. You can find more information about each Policies and Restrictions category by clicking the folder for the category.

With automatic configuration, browser settings and restrictions are maintained at the location that you specify in the Internet Explorer 6 Customization Wizard or in the Internet Options dialog box.

To check the automatic configuration settings on your users' computers:

  1. Click the Tools menu in the browser.
  2. Click Internet Options.
  3. Click the Connections tab, and then click LAN Settings.
  4. Verify that the Use automatic configuration script option is selected, and check the path in the Address box.

Creating and managing policies for your custom programs

When using the Internet Explorer 6 Customization Wizard, you can use the policies and restrictions you have set up in your own .adm files by clicking Policy, and then clicking Import. You can find .adm files that you can customize in the appropriate language for the IEAK Policies folder.


Using Proxy Selection and Proxy Bypass Lists

Using a proxy server can allow the administrator to limit access to the Internet. You can specify the proxy server in the Internet Explorer 6 Customization Wizard, in the IEAK Profile Manager, and through the browser. You can also restrict the ability of the user to change the proxy settings using either the Policies and Restrictions page in the Internet Explorer 6 Customization Wizard or the Profile Manager.

For detailed instructions on configuring the proxy selection and proxy bypass settings using the IEAK, see Automatic Configuration and Proxy Settings screens in Stage 4 of the Internet Explorer 6 Customization Wizard.

Note

  • The proxy bypass feature may eliminate the need for using JavaScript or JScript to select a proxy.

To configure the proxy selection and proxy bypass settings in Internet Explorer

  1. Click the Tools menu in Internet Explorer, and then click Internet Options.
  2. Click the Connections tab, and then click LAN Settings.
  3. In the Proxy Server area, select the Use a proxy server check box.
  4. Click Advanced, and then fill in the proxy location and port number for each Internet protocol that is supported.

    Notes

    • In most cases, only a single proxy is used for all protocols. In those cases, enter the proxy location and port number for the HTTP setting, and then select the Use the same proxy server for all protocols check box.
    • The proxy locations that do not begin with a protocol (such as "http://" or "ftp://") are assumed to be a CERN-type HTTP proxy. For example, the entry "proxy" would be treated the same as the entry "http://proxy." For FTP gateways, such as the TIS FTP gateway and the WinGate Win95 Modem FTP proxy, the proxy should be listed with the protocol "ftp://" in front of the proxy name. For example, you would enter an FTP gateway "ftpproxy" as "ftp://ftpproxy."
  5. To bypass more complex addresses, type the addresses in the Do not use proxy server for addresses beginning with: box.

    A proxy bypass entry can begin with a protocol type, such as http://, https://, ftp://, or gopher://. If a protocol type is used, the exception entry applies only to requests for that protocol. Note that the protocol value is not case sensitive. Multiple entries should be separated by a semicolon (;).

    Next, an Internet address, an IP address, or domain name must be entered. If no protocol is specified, any request using the address is bypassed. If a protocol is specified, requests with the address are bypassed only if they are of the indicated protocol type. As with the protocol type, address entries are not case sensitive.

    Finally, a port number can be added. If it is used, the request is processed only if all previous requirements are met and the request uses the specified port number.

    The exception dialog box allows a wildcard character ( * ) to be used in the place of zero or more characters.

Examples of Wildcard Characters

You can use wildcards in the following situations:

  • Enter a wildcard at the beginning of an Internet address, IP address, or domain name to bypass servers with a common ending. For example, use "*.example.com" to bypass any entries ending in ".example.com" (such as "some.example.com" and "www.example.com").
  • Enter a wildcard in the middle of an Internet address, IP address, or domain name to bypass servers with a common beginning and ending. For example, the entry "www.*.com" matches any entry that starts with "www" and ends with "com" (such as "www.example.com," "www.department.example.com," and so on).
  • Enter a wildcard at the ending of an Internet address, IP address, or domain name to bypass servers with a common beginning. For example, use "www.example.*" to bypass any entries that begin with "www.example." (such as "www.example.com," "www.example.org," and "www.example.microsoft.com").
  • Use multiple wildcards to bypass addresses with similar patterns. For example, use "123.1*.66.*" to bypass addresses such as "123.144.66.12," "123.133.66.15," and "123.187.66.13."

Note

  • Although wildcards are powerful, they must be used carefully. For example the entry "www.*.com," will cause Internet Explorer to bypass the proxy for most Web sites.


Installing Internet Explorer with Microsoft Office

The Microsoft Office Custom Installation wizard (CIW) enables you to customize how you deploy Office programs to your users. To simplify the installation process, the IEAK is designed to work with the CIW.

If you plan to include Internet Explorer with your customized Office package, you have two choices:

  • If you do not plan to customize Internet Explorer, you can install Internet Explorer components using the CIW; you do not need to use the IEAK.
  • If you plan to distribute a customized version of Internet Explorer as part of your Office deployment, click the Customize button on the Customize IE 6 Installation Options screen in the Office Installation wizard. The Custom Installation wizard starts the IEAK.

Running the IEAK from within the Office Custom Installation Wizard

The Internet Explorer 6 Customization Wizard runs in corporate administrator mode with the following settings:

  • The distribution media is Flat (all files in one folder).
  • Two installation options are available. You cannot change the names of these options, but you can specify which components are installed with each installation option.
  • All of the .cab files and custom components that are created by the IEAK are placed in the same folder. The default name of this folder is IE6_CUST.

After you complete your customization package, the file name and path to the Windows Update Setup program (IE6Setup.exe) appears on the Customize IE 6 Installation Options screen.

To use the IEAK as part of the CIW, the required version of Internet Explorer and the IEAK must be installed on the computer where you are customizing your installation package.

Note

  • In an IEAK package built using the Office Custom Installation wizard, user options from Windows Update Setup for Internet Explorer are not displayed during Setup. The user interface for Windows Update Setup is determined by the Office Custom Installation wizard.


Switching from Other Versions or Products

Before your employees or customers install Internet Explorer, you'll want to identify and address any issues that might arise.

Upgrading from Internet Explorer 5.x

Internet Explorer Setup installs over an installed version of Internet Explorer 5.x and imports proxy settings, Favorites, and cookies from the previous version.

Upgrading from Internet Explorer 4

Internet Explorer Setup installs over an installed version of Internet Explorer 4 and imports proxy settings, Favorites, and cookies from the previous version. However, you must reinstall any plug-ins that you want to keep.

Internet Explorer 4 and Internet Explorer 5.x can run simultaneously on the same machine.

Upgrading from Internet Explorer 3

Internet Explorer Setup installs over an installed version of Internet Explorer 3 and imports proxy settings, Favorites, and cookies from the previous version. However, you must reinstall any plug-ins that you want to keep.

Migrating from Netscape Navigator 3 and 4

When you install Internet Explorer, you can import proxy settings, Favorites, and cookies from Netscape. However, you must reinstall any plug-ins that you want to keep. When Internet Explorer is installed, you can choose whether to make Internet Explorer your default browser.

Installing Internet Explorer with Microsoft Office

For more information about this feature, see Installing Internet Explorer with Microsoft Office.


Windows Update Setup for Internet Explorer and Other Internet Tools

The Windows Update Setup Wizard (IE6Setup.exe) makes it easier for administrators to distribute Microsoft Internet Explorer. It is also easier for users to install Internet Explorer and to recover failed installations.

The Setup Wizard is small and compact; it contains a bare minimum of code necessary to give the client Internet access and provide a basic level of file download capabilities.

You can use the IEAK to customize Windows Update Setup to meet the needs of your users.

Advantages of the Windows Update Setup Wizard

This package also allows Windows Update Setup to collect information about the host computer before download begins. Setup uses this information to intelligently manage the download of Internet Explorer .cab files and make installation as efficient and problem-free as possible. Downloading this small Setup package at the beginning of the process has many advantages, including the following:

  • Speed: It takes about two minutes to download IE6Setup.exe over a 28 KBps link.
  • Users receive feedback early in the Setup process if there is not enough disk space (rather than waiting until after a long download phase that may fail).
  • All user options are collected at the beginning, so users do not have to be present while the files are downloaded and installed.
  • If the link to a distribution server is not reliable and you need to reconnect, the download picks up where it failed previously. This process gets the user closer to a complete installation each time Setup is run, instead of starting over from the beginning.
  • When a link to a distribution server cannot be reestablished, Setup automatically tries other distribution servers.
  • Users receive useful progress information about the download (not just bytes per second, but how long in minutes they have before installation is complete).
  • When the current version of a component is already installed, the files are not reinstalled unnecessarily.
  • You can create and run a custom download package without rewriting Setup.
  • Unnecessary temporary files can be removed from the hard disk to free disk space for installation.

For an illustration, see the Windows Update Setup Wizard for Internet Explorer and Other Internet Tools diagram.

Installing other components with Internet Explorer

In addition to the Internet Explorer browser, you can include many Internet components from Microsoft and other companies in your customized version of Windows Update Setup. The Internet Explorer 6 Customization Wizard makes it easy for you to see the latest software that's available for downloading. The custom package makes it easy for users to install these components, along with other custom programs of your choice, when your users install the browser.

The Microsoft components range from Web authoring tools to multilanguage support. The set of available components is continually updated; the latest list appears in the Internet Explorer 6 Customization Wizard, as long as you have an Internet connection.

For information about the latest product updates, visit the Corporate Windows Update Web site.

How Windows Update Setup works

After IE6Setup.exe gathers all the needed information from the user and the computer, it downloads the necessary .cab files from one of the official Microsoft distribution servers on the Internet. Because Setup has already inventoried any existing Internet Explorer components on the computer and has already asked the user which components are desired, it does not download any unnecessary .cab files.

The next phase of the Setup Wizard uses the traditional setup program (ACME) used by many Microsoft products. At this point, the only difference between the Setup Wizard and traditional setup is that the .cab files are in a folder on the local hard drive rather than on a removable disk or network drive.

If you are an intranet administrator, you can create a custom setup package (also known as an IExpress package) without rewriting Windows Update Setup. To do that, you create a custom version of IE6Setup.exe using IExpress technology.

You can use additional command-line switches to fine-tune the installation process. For more information, see Internet Explorer Batch-mode Setup Switches.

Customizing Windows Update Setup

You can customize Windows Update Setup in several ways. You can add Internet Explorer components or create up to 10 different Setup options. This extends the Minimal, Typical, and Full options that come with default installations of Internet Explorer. Adding several Setup options can be helpful if your employees have different usage needs and varying disk-space limitations.

Important

  • Regardless of the installation options you configure for your package, the Windows Update Setup presents only one installation option to users running the Windows 2000 and Windows XP operating systems. This installation option includes the full set of Microsoft Internet components, along with all custom components included in your package.

Perhaps you want to reduce confusion by making certain choices in Setup for your users. You can configure Internet Explorer so that users can install it with little or no intervention. This type of setup is sometimes referred to as a "silent install."

Installations with limited intervention are often used for setting up Internet Explorer after hours, when employees are not at their desks. You can further adapt these types of installations by using command-line switches or batch files. Because you are making choices for the user, you can create only one "silent install" setup option.

If you suppress all user feedback, including error messages and status information, you should make sure your setup plan includes error handling. If you suppress restarting after installation, you'll need to handle restarting in your custom program or script to ensure that Internet Explorer is set up correctly. For more information on these options, see Silent Install.

You might find it convenient to install your own custom components (such as virus-checking programs or scripts) when you install Internet Explorer. You can include up to 10 custom components in your custom package.

You can also alter the appearance of the Setup program by adding your own bitmap and including custom descriptions for your different setup options.

For an illustration of how branding is applied to your customized browser, see How Customization Works. For a flowchart of what happens when you use the Internet Explorer 6 Customization Wizard to create your customized package, see How the IEAK Generates Custom Packages.

Log files that record setup problems

Enhanced logging features simplify user, administrator, and Microsoft troubleshooting of setup problems. The Setup Wizard creates the following two log files that help you pinpoint any issues that may occur. The log files appear in either the Windows or WinNT folder:

  • Active Setup Log.txt. Logs all actions during the Setup Wizard or component installation. Refer to this log if Internet Explorer components are not installed properly. For more information, see Error Log Information for Active Setup Log.txt.
  • RunOnceEx Log.txt. Logs all actions during Dynamic Link Library registration. Refer to this log if you receive a message stating that a specific .dll file did not register properly, or if any unexpected dialog box appears during the final phase of the setup process.


Making Add-on Components Available to Users

banner

Including Add-on Components in Your Package

After creating your customized browser package, you'll want to post it to sites where users can download it. You specify these sites in Stage 3 of the Internet Explorer 6 Customization Wizard. You can also specify where your users get any new components or component updates. These are called add-on components.

When the user clicks Tools and then clicks Windows Update, the browser opens the Add-on Component URL that you specify. This also happens when the user double-clicks Add or Remove Programs in Control Panel, clicks Internet Explorer and Internet Tools, clicks Add/Remove, and then selects Add a component.

Note

  • The Add-on Component URL you specify should be the full path to Addon.htm (for example, http://myserver/addons/addon.htm).

Sample Add-on Components Web pages

The IEAK Toolkit contains a sample Add-on Components Web page, Addon.htm, which you can customize. This page is located in the \<IEAK program folder>\Toolkit\Addons\HTML folder. This page also links to the files Head.htm, Main.htm, and Info.htm.

The following is a description of the four sample files in the \<IEAK program folder>\Toolkit\Addons\HTML folder:

  • Addon.htm. Frameset that references these two files:
    • Head.htm. Header frame for title
    • Main.htm. Main frame with install scripting and link to Info.htm
  • Info.htm. Information about all of the available components

You will make most of your changes in Main.htm, which has three parts:

  • Install scripting
  • Table of check boxes, component names, and sizes
  • Setup ActiveX control

Using the sample files

Copy all four sample files to your download location or to the location you specify, and then edit them using a text or HTML editor.

For the scripting to work properly, your files must be set up as follows:

  • The IEcif.cab file should be on a Web server.
  • In the <SCRIPT> section in Main.htm, the L_cab_Address= entry should point to the location of IEcif.cab.
  • The table in Main.htm should contain only the components you have downloaded from Microsoft and want to provide.

To add new components

  1. Make sure you have downloaded the components during Automatic Version Synchronization (AVS).
  2. Look up the correct name of the component in IESetup.cif.
  3. Add a check box with that name to Addon.htm.

Notes

  • There may be different names for consumer Windows and Windows NT components. This information can be found in IESetup.cif.
  • IESetup.cif automatically includes any new or updated components that you download by using Automatic Version Synchronization Updates.

If you are an expert Web-page author, you can choose not to use the template provided in the IEAK.

Information for expert Web-page authors

Two scripting languages are used in Main.htm: Microsoft JScript and Microsoft Visual Basic Scripting Edition (VBScript). The JScript code contains the function Install(). This function is called when the user clicks the Install button at the bottom of the page. It controls the flow of the install process. The Install() function makes calls to several VBScript subroutines.

The scripts use the name property (part of the input tag) of the check boxes to read the IESetup.cif file. This file is contained in the IEcif.cab file and is opened by the Window_onLoad() subroutine.

To find out whether a component is already installed, you can use the IsComponentInstalled() VBScript subroutine.

IsComponentInstalled(ComponentID)

ComponentID is the same as the check box name and the value in IESetup.cif.

Return Code | Meaning
0 | Component not installed
1 | Component already installed
2 | Component installed, but newer version available
3 | User security lockout: No status determined

When the first component is checked using this method, the ActiveX engine activates a security dialog box that requests permission to check the status of installed components on the user's computer. If the user chooses "No," then the return code for all components is 3.


Packaging Microsoft Updates into Custom Components

You might want to install a version of a Microsoft component other than the one available, by using Automatic Version Synchronization (AVS). For example, a patch (QFE) may be available on Windows Update that you want your users to have, but that patch is not available through AVS. Or your organization may have standardized on a different version of a Microsoft component included with Internet Explorer, such as Microsoft NetMeeting, and you want users to use that particular version rather than the version the IEAK wizard includes in your package.

In these cases, you can package these files into a custom component to include in your custom package.

Important

  • Before searching Windows Update for more recent components, check for any updated or new components available through AVS in the Internet Explorer 6 Customization Wizard. Windows Update Setup automatically installs any components downloaded through AVS that you choose to include in your package. In this case, you do not need to bundle the equivalent files from Windows Update into a custom component. See Automatic Version Synchronization (AVS) Updates for more information on this new feature.

To minimize the number of system restarts for your users, you can choose when to install this component relative to the other steps in the installation process. You can install the component before or after Internet Explorer is installed, or after the required system restart.


Uninstalling a Custom Component

Registering the uninstall program for your custom component during the setup of that component enables users to remove your program by clicking the Add or Remove Programs icon in Control Panel. For a sample uninstall file, see the Uncheck.inf file in the \<IEAK program folder>\Toolkit\Inf folder of the IEAK Toolkit.

To register your uninstall program so that it appears in Add or Remove Programs in Control Panel, during the component setup process your application must add the entries listed below to the following registry key:

HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Uninstall\ApplicationName

This registry key is also used by Windows Update Setup to verify if the component installed successfully.

Subkey | Data Type | Value
DisplayName | String | Friendly name of the application.
UninstallString | String | Complete command line (including path) for uninstalling the application. Do not use a batch file or a subprocess.

The value of ApplicationName must also match the value of Uninstall Key on the Add Custom Components screen in the Internet Explorer 6 Customization Wizard.


Extensions to Windows Setup

You can extend Windows Setup in three ways:

  • Execute Windows .inf files from the command line using Rundll.exe.
  • Install optional Windows software components from 32-bit program code as an alternative to the user installing software from the Add or Remove Programs dialog box in Control Panel.
  • Create an icon on the Windows desktop that the user can click to run an .inf file; this eliminates the need to develop installation program code.

Executing .inf files from a command line

You can use the Windows Rundll.exe or Rundll32.exe system commands to execute an Install section in an .inf file. The syntax of the command line is as follows:

RunDll setupx.dll,InstallHinfSection <section> <reboot-mode> <inf-name>

The <section> parameter is an Install section in the .inf file. For example, the following command line installs the Games optional component and, if Setup determines that restarting the computer is necessary, asks users if they want the computer to restart immediately after the installation is complete. (The meaning of the <reboot-mode> parameter values is described in "Using the reboot mode parameter," below.)

RunDll setupx.dll,InstallHinfSection games 4 applets.inf

Notes

  • This command assumes that the disk space required to install any files is available. It does not do any disk space checks.
  • Your installation application must not have any code to execute after the RUNDLL or RUNDLL32 call is made, because once Setupx.dll has control, it may cause the computer to restart. If your installation process requires other code to run after your code makes the RUNDLL or RUNDLL32 call, use the RunOnce list in your .inf file.
  • Do not use the RunOnce list to run the Optional Component that you are installing.

Using the reboot mode parameter

There are five reboot modes:

define HOW_NEVER_REBOOT 0
define HOW_ALWAYS_SILENT_REBOOT 1
define HOW_ALWAYS_PROMPT_REBOOT 2
define HOW_SILENT_REBOOT 3
define HOW_PROMPT_REBOOT 4

If <inf-name> specifies your .inf file instead of a Windows .inf file, add 128 to the values shown above. In the example above that installs the Games optional component, <reboot-mode> is set to 4. This is because Applets.inf is a Windows .inf file. If you were installing an optional component that has its own .inf file, you would set <reboot-mode> to 132. If you add 128 to the <reboot-mode> parameter, then all the files you are installing must be in the same folder location as your .inf file on the installation disk.

Note

  • The only recommended values for <reboot-mode> are 4, if the .inf file is a Windows 95 .inf file, or 132 if the .inf file is provided by you. Using any of the other values shown above may cause the computer to be restarted unnecessarily or cause the computer not to be restarted when it should be.

The following list describes each reboot mode:

NeverReboot
Set <reboot-mode> to 0 or 128. Whatever happens, the computer is not restarted. It's up to the client to determine whether the computer should be restarted. For Setup, this means there is a file C:\Windows\Wininit.ini that is not zero bytes in size.

AlwaysSilentReboot
Set <reboot-mode> to 1 or 129. The user is not prompted to restart the computer, and the computer will always restart.

AlwaysPromptReboot
Set <reboot-mode> to 2 or 130. The user will always be prompted about whether or not they want to restart the computer. Setup does not attempt to determine if restarting the computer is necessary.

SilentReboot
Set <reboot-mode> to 3 or 131. If Setup determines that the computer needs to be restarted, there is no user interaction.

PromptReboot
Set <reboot-mode> to 4 or 132. If Setup determines that the computer needs to be restarted, it prompts the user with a dialog box.

Return to top of file

Installing optional components from 32-bit application code

After Windows is installed on a computer, it may be necessary to add one or more of the Windows optional components (for example, Games). This type of installation, which occurs after Setup initially installs Windows, is called maintenance-mode setup. Typically, maintenance-mode setup is initiated from Windows by clicking the Add or Remove Programs icon in Control Panel. However, an alternative is available to vendors and suppliers of the optional software component: they can install the optional component using a CreateProcess call in a 32-bit application.

Note

  • The CreateProcess method of installing an optional component described below must be used only in 32-bit applications.

To install an optional component from a 32-bit application, use a combination of the methods described below.

Checking the registry

First, check the registry to see whether the optional component is currently installed (or look for the files). The registry key location of information about all the currently installed optional components is as follows:

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\SETUP\OptionalComponents]

There are values under this key that point to subkeys, and each subkey contains information about the optional components installed, as well as information needed to install a new optional component. For example, suppose you want to install Games as an optional component. To see whether Games are installed, look for the following subkey value under the OptionalComponents key:

"Games"="Games"

Then open the "Games" key under the optional components key to find the following:

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\SETUP\OptionalComponents\Games]
"INF"="applets.inf"
"Section"="games"
"Installed"="0"

This shows that the Games optional component is not installed on this Windows computer, because the "Installed" flag is set to 0.

Coding a CreateProcess function call

To install an optional component such as Games, use the "INF" and "Section" values in the above key in a CreateProcess call that runs Setupx.dll via RUNDLL. This does exactly what Add or Remove Programs in Control Panel does when it installs a component. The syntax of the lpCommandLine parameter in the CreateProcess call is as follows:

RunDll setupx.dll,InstallHinfSection <section> <reboot-mode> <inf-name>

The values of the <section> and <inf-name> parameters are those found in the registry key described above. For example, the following CreateProcess call installs the Games optional component and, if Windows Setup determines that restarting the computer is necessary, asks the user whether they want the computer to restart immediately after the installation is complete. (The meaning of the <reboot-mode> parameter values is described in the section "Using the reboot mode parameter," below.)

RunDll setupx.dll,InstallHinfSection games 4 applets.inf

Note

  • It is recommended that available disk space be checked before installing the component. When checking for available disk space, consider that there must be disk space for system swap files.

Your installation application must not have any code to execute after the CreateProcess call is made, because once Setupx.dll has control, the additional code may cause the user's computer to restart. If your installation process requires other code to run after your code makes the CreateProcess call, use the RunOnce list in your .inf file.

Note

  • Do not use the RunOnce list to run the Optional Component that you are installing.

Running an .inf file by right-clicking it

Setup recognizes a particular install section name, DefaultInstall, in .inf files that install Optional Components. If you use a [DefaultInstall] section in your .inf file, the user can right-click a file icon for the .inf file in the user interface of 32-bit Windows versions to run the [DefaultInstall] section. (After the user right-clicks on the .inf file icon, a pop-up menu is displayed from which the user must select the Install option in order to actually run the [DefaultInstall] section.

Using an install section named [DefaultInstall] in your .inf file provides a convenient method of installing your Optional Component. This is particularly useful during development of your application. If you are going to write an installation application, you have a method for installing your optional component before you develop the installation application code.

The following is an example DefaultInstall section that contains typical entries:

[DefaultInstall]
CopyFiles=QCD.copy.prog, QCD.copy.hlp, QCD.copy.win, QCD.copy.sys, QCD.copy.inf
UpdateInis=QCD.Links
AddReg=QCD.reg, QCD.run
Uninstall=FlexiCD_remove


Manipulating Folders and Files by Using Setup Information (.inf) Files

You can use .inf files to manipulate files and folders in several ways. Some key ways are:

  • Creating folders and links in folders
  • Creating and deleting long file names
  • Setting attributes for files and folders
  • Copying files to the Program Files folder

Creating folders and links in folders

Creating a folder in the Program Files folder or creating links in a folder is done by the shell after a component is installed. Setup looks in the Setup.ini file for a [progman.groups] section and then parses it to create folders and links in those folders.

If you are installing a component that will require a folder or links in the Program Files folder, create an UpdateInis section that will create the proper entries in the Setup.ini file. The Setup.ini file uses the following syntax to create folders and links. Note that folders are relative to the Start menu.

[progman.groups]
folder_1=Folder_1_Name
folder_2=Folder_2_Name
:
folder_n=Folder_n_Name

[folder_1]
Link-Name, .exe-name, Icon-file-name, Icon-index, profile

If the profile field is left NULL, the link will always be added to the folder.

Notes

  • If .exe-name is a NULL item, it is deleted from the group if it exists there.
  • If a folder or link has a space in its description, you must use double quotation marks to get this to show up in the Setup.ini file. See the examples below.

Example: Games

[Optional Components]
games
[games]
OptionDesc= %GAMES_DESC%
CopyFiles= wingames.files
UpdateInis= wingames.links
[wingames.files]
cards.dll
freecell.exe
freecell.hlp
mshearts.exe
mshearts.hlp
sol.exe
sol.hlp
winmine.exe
winmine.hlp
[wingames.links]
setup.ini, progman.groups,, "gamesfolder=%GAMES_DESC%" ;creates folder
setup.ini, gamesfolder,, """Solitaire Game"",SOL.EXE,,," ;creates link
setup.ini, gamesfolder,, "Minesweeper,WINMINE.EXE,,," ;creates link
setup.ini, gamesfolder,, ""Hearts Card Game"",MSHEARTS.EXE,,,";creates link
setup.ini, gamesfolder,, "FreeCell,FREECELL.EXE,,," ;creates link

Result: The entry for "Games" appears in the Optional Components dialog box in Setup, and if selected, a Games folder is created in the Program Files folder with links to Solitaire, Minesweeper, Hearts, and FreeCell.

Creating and deleting long file names

The root branch of the registry for rename operations is the following:

HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RenameFiles

The root branch of the registry for delete operations is the following:

HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\DeleteFiles

Each group of rename and delete operations is added to a subkey under each branch. Each group of operations is limited to renaming or deleting files in a single folder. You must include a minimum of two entries in each subkey to effect a rename or delete: the folder path for the files to be renamed or deleted, and the actual rename or delete operation.

The first key in each group of operations is the folder entry. Each entry for a rename operation in the related folder is an entry of the form "old_short_name"="new_long_name,[attrib_flag]".

The optional attrib_flag is used to set file attributes during the rename operation. The flag is composed of the following values.

1 | READONLY
2 | HIDDEN
3 | SYSTEM

To set multiple attributes on a file or folder, the flags are added together; for example, to set the READONLY and HIDDEN attributes, attrib_flag would be 3.

The following example is an AddReg section that sets the SYSTEM and HIDDEN attributes for the \Windows\system32\Sample folder:

HKLM,Software\Microsoft\Windows\CurrentVersion\RenameFiles\Sys,,,%11%
HKLM,Software\Microsoft\Windows\CurrentVersion\RenameFiles\Sys,SAMPLE,,"SAMPLE,6"

Note

  • You should use all capital letters to ensure that the file name remains a short file name.

Each entry for a delete operation in the related folder is an entry of the form "arbitrary_key_name"="long_name_to_delete".

The following example is an AddReg section that:

  • Renames Oldname.txt file to New Long Name.txt in the C:\Samples folder.
  • Renames Myreadme.txt file to My Application Readme.txt in the Windows folder.
[MyAppShort2Long]
HKLM,Software\Microsoft\Windows\CurrentVersion\RenameFiles\Samples,,,C:\Samples
HKLM,Software\Microsoft\Windows\CurrentVersion\RenameFiles\Samples,oldname.txt,,"New
Long Name.txt"
HKLM,Software\Microsoft\Windows\CurrentVersion\RenameFiles\Win,,,%25%
HKLM,Software\Microsoft\Windows\CurrentVersion\RenameFiles\Win,myreadme.txt,,"My App Readme.txt"

The following example is an AddReg section that:

  • Deletes New Long Name.txt from the C:\Samples folder.
  • Deletes My Application Readme.txt from the Windows folder.
[MyAppDelLong]
HKLM,Software\Microsoft\Windows\CurrentVersion\DeleteFiles\Samples,,,C:\Samples
HKLM,Software\Microsoft\Windows\CurrentVersion\DeleteFiles\Samples,oldname.txt,,"New
Long Name.txt"
HKLM,Software\Microsoft\Windows\CurrentVersion\DeleteFiles\Win,,,%25%
HKLM,Software\Microsoft\Windows\CurrentVersion\DeleteFiles\Win,myreadme.txt,,"My App Readme.txt"

After these entries are renamed or deleted and processed, they are removed from the registry.

Note

  • During the rename operation, the destination file is deleted before any files are renamed. If the same rename operation is queued twice, it could result in a loss of the file. For example, suppose there is a bitmap that needs to be renamed from Picture.bmp to "Really Cool 3D Picture.bmp." The second time such a rename operation is performed, "Really Cool 3D Picture.bmp" already exists, so it is deleted before the rename operation is performed. The exception to this rule is when the existing destination file name is a folder.

Setting attributes for files and folders

To set the attributes for a file or folder, you use the same convention to create long file names using an optional flag.

For details, see the section on "Creating and deleting long file names."

Copying files to the Program Files folder

The following example copies three files to the Program Files\Accessories folder and creates links to one of the files:

[WordPadInstall
CopyFiles = WordPadCopyFiles
UpdateInis = WordPadInis
[DestinationDirs]
WordPadCopyFiles = 24,%PROGRAMF%\%ACCESSOR%
[WordPadCopyFiles]
mswd6_32.wpc
wordpad.exe
write32.wpc
[WordPadInis]
setup.ini, progman.groups,, "group4=%APPS_DESC%" ;creates Accessories folder (if not already there)
setup.ini, group4,, """%WORDPAD_LINK%"",
""%24%\%PROGRAMF%\%ACCESSOR%\WORDPAD.EXE""" ;creates link in Accessories folder
[Strings]
APPS_DESC = "Accessories"
WORDPAD_LINK = "WordPad"
; Folder names - note that the short versions must match the truncated
; 8-character names for the long versions, or else there are problems.
PROGRAMF = "Progra~1" ; first 6 chars of Program_Files, + "~1"
ACCESSOR = "Access~1" ; first 6 chars of Accessories, + "~1"

Limitations of .inf files

  • Directories cannot be deleted.
  • Files cannot be moved to a different location when using RenFiles. (The RenFiles command only renames a file in place.)
  • Copies of a file cannot be made. (The CopyFiles command only copies files from the source disk to the destination directory.)


Providing Uninstall Functionality in an .inf Script

You can provide uninstall functionality in your .inf files by adding an Install section that removes the files, registry entries, and shortcuts, then adds your component to the list of programs that can be uninstalled from the Add or Remove Programs dialog box in Control Panel. An example is included in the IEAK Toolkit in the \<IEAK program folder>\Toolkit\inf\ folder.

To add your component to the Add or Remove Programs dialog box, add a new key and values under the following registry key:

HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\app-name,"DisplayName",,"description"
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\app-name,"UninstallString",,"command-line"

description
This string is displayed in the list box in the Add or Remove Programs dialog box.

command-line
This is the command that is executed when the component is selected from the list box in the Add or Remove Programs dialog box. To execute a section in an .inf file, you can use the Setupx.dll InstallHinfSection entry point (described below).

The following sample AddReg entries add "My Test Application" to the list box in the Add or Remove Programs dialog box and executes the Remove_TestApp Install section in Test.inf:

HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Test,"DisplayName",,"My
Test Application"
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Test,"UninstallString",,"RunDll
setupx.dll,InstallHinfSection Remove_TestApp 4 test.inf"

Notes

  • Your installation script must copy the .inf file to the Windows\Inf folder when your component is installed. This is the default location that is searched when the Setupx.dll InstallHinfSection entry point is called.
  • Your uninstall script should remove the key you created under the Uninstall registry key so that your program will no longer show up in the Add or Remove Programs list box after it was uninstalled.


Sample .inf File for Component Download Service

;The sample .inf file below performs the following actions:
; - Copies files to the Windows, System, Inf, and Help folders.
; - Makes a number of registry entries (including entries that
; will rename the copied files to long file names).
; - Creates a link on the Help menu.
; - Has an uninstall section that registers the uninstall
; action in the Add or Remove Programs dialog box in Control Panel.
; - Uses replaceable strings to make localization easy.
[Version]
Signature=$CHICAGO$
[DestinationDirs]
SampleCopy = 24,%PROGRAMF%\Sample
SampleDel = 24,%PROGRAMF%\Sample
SampleWinCopy = 25
SampleSysCopy = 11
SampleINFCopy = 17
SampleHLPCopy = 18
[DefaultInstall]
CopyFiles = SampleCopy, SampleWinCopy, SampleSysCopy, SampleINFCopy,
SampleHLPCopy AddReg = SampleRegisterApp, SampleRegUninstall,
SampleRenameFiles UpdateInis = SampleAddLinks
[RemoveSample]
DelFiles = SampleWinCopy, SampleSysCopy, SampleINFCopy, SampleHLPCopy
DelReg = SampleUnRegisterApp, SampleRegUninstall
AddReg = SampleRemoveLFNs
UpdateInis = SampleRemoveLinks
[SampleCopy]
sample.bmp
[SampleWinCopy]
sample.exe
[SampleSysCopy]
sample.dll
[SampleINFCopy]
sample.inf
[SampleHLPCopy]
sample.hlp
[SampleRegisterApp]
;Makes an arbitrary registry entry (for private use of Sample.exe):
HKLM,Software\Sample,Installed,,"1"
[SampleUnRegisterApp]
;Deletes the registry entry (note that this deletes the entire key):
HKLM,Software\Sample
[SampleRegUninstall]
;Adds entry to the Add or Remove Programs dialog box in Control Panel to uninstall the program:
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Sample,"DisplayName",,"Sample
Application"
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Sample,"UninstallString",,"RunDll
setupx.dll,InstallHinfSection RemoveSample 4 sample.inf"
[SampleRenameFiles]
;Renames 8.3 file names to long file names:
HKLM,Software\Microsoft\Windows\CurrentVersion\RenameFiles\Sample,,,"%24%\%PROGRAMF%\Sample"
HKLM,Software\Microsoft\Windows\CurrentVersion\RenameFiles\Sample,sample.bmp,,"Sample
Bitmap.bmp"
[SampleRemoveLFNs]
;Deletes files with long file names during uninstall:
HKLM,Software\Microsoft\Windows\CurrentVersion\DeleteFiles\Sample,,,"%24%\%PROGRAMF%\Sample"
HKLM,Software\Microsoft\Windows\CurrentVersion\DeleteFiles\Sample,sample.bmp,,"Sample
Bitmap.bmp"
[SampleAddLinks]
;Adds shortcut to Sample.exe on the Start menu:
setup.ini, progman.groups,, "Sample=%SampleFolder%" ;creates folder
setup.ini, Sample,, """%SampleDesc%"", %25%\SAMPLE.EXE" ;creates link
[SampleRemoveLinks]
;Removes shortcut to Sample.exe on the Start menu during uninstall:
setup.ini, progman.groups,, "Sample=%SampleFolder%" ;creates folder
setup.ini, Sample,, """%SampleDesc%""" ;deletes link
[SourceDisksNames]
99 = %DiskName%,Sample,0
[SourceDisksFiles]
sample.exe = 1,,13456
sample.dll = 1,,20987
sample.bmp = 1,,64098
sample.hlp = 1,,55441
sample.inf = 1,,5687
[Strings]
PROGRAMF = "PROGRA~1"
SampleFolder = "Samples"
SampleDesc = "Sample Application"
DiskName = "Sample Application Installation Disk"


Setup Information File (.inf) Definition

A basic .inf file contains the following sections (more complex .inf files may have additional sections). Bold section names are reserved keywords. Italicized section names are arbitrary names created by the .inf author:

  • Version section
  • Install sections
    • Copy File sections (CopyFiles)
    • Rename Files sections (RenFiles)
    • Delete Files sections (DelFiles)
    • Update .ini File sections (UpdateInis)
    • Update .ini Fields sections (UpdateIniFields)
    • Add Registry sections (AddReg)
    • Delete Registry sections (DelReg)
    • Add Ini File to Registry sections (Ini2Reg)
    • Update Config.sys sections (UpdateCfgSys)
    • Update Autoexec.bat sections (UpdateAutoBat)
  • DestinationDirs section
  • SourceDisksNames section
  • SourceDisksFiles section
  • Strings section
  • Optional Components section
[Version] | Basic version information for validating the .inf file.
[DefaultInstall] | Installation section that is executed by default. Contains pointers to other sections specifying files to copy and delete, registry updates, .ini file updates, and so on.
[OtherInstall] | Uses same format as [DefaultInstall] section, but must explicitly be called. Useful for defining how a component should be uninstalled.
[DestinationDirs] | Specifies the location on the hard disk where a section's files are copied, deleted, or renamed (for example, \Windows or Windows\System).
[FileCopy/Delete/RenameSection(s)] | Lists files to be copied, deleted, or renamed.
[RegistryUpdateSection(s)] | Specifies registry additions or deletions.
[IniFileUpdateSection(s)] | Specifies updates to .ini files. Links are created in this section.
[SourceDisksNames] | Lists disks that contain the files.
[SourceDisksFiles] | Lists the specific disk that each file is on.
[Strings] | Lists localizable strings used above.
Return to top of file

Version section

[Version]
Signature="$Chicago$"
LayoutFile=filename.inf
Defines the standard header for all Windows .inf files. Note that if the signature is not $Chicago$, then Windows does not accept the .inf file as an .inf file for any of the classes of devices recognized by Windows.

Note that the signature string recognition is not case sensitive. So, for example, you can use either $Chicago$ or $CHICAGO$.

file name .inf
Names the .inf file that contains the layout information (source disks and files) required to install this component. This line is optional. If not given elsewhere, the SourceDisksNames and SourceDisksFiles sections must be given in this .inf file.

The following example shows a typical Version section:

[Version]
Signature="$CHICAGO$"
Return to top of file

Install sections

[install-section-name]

Copyfiles = file-list-section[,<file-list-section>]...
Renfiles = file-list-section[,file-list-section]...
Delfiles = file-list-section[,file-list-section]...
UpdateInis = update-ini-section[,update-ini-section]...
UpdateIniFields = update-inifields-section[,update-inifields-section]...
AddReg = add-registry-section[,add-registry-section]...
DelReg = del-registry-section[,del-registry-section]...
Ini2Reg = ini-to-registry-section[,ini-to-registry-section]...
UpdateCfgSys = update-config-section
UpdateAutoBat =update-autoexec-section

Identifies the additional sections in the .inf file that contain installation information for the component.

Not all of the item types shown in the syntax above are needed or required in an Install section. If an item type is used, it must specify the name of a section in the .inf file. (An exception to this is the CopyFiles item, which may use the "@" character along with a file name to copy a single file without specifying a section name.) The section name must consist of printable characters.

Only one of each type of item can be used in any one Install section. More than one section name can be listed in an item, but each additional name must be preceded by a comma.

install-section-name
If you name the install section [DefaultInstall], it will run when you right-click the .inf file, and then click Install. This is also the section that is executed when selecting an .inf file as the setup option using the Cabpack wizard.

The following example shows a typical Install section. It contains Copyfiles and AddReg items that identify the sections containing information about which files to install.

[MyApplication]
Copyfiles=MyAppWinFiles, MyAppSysFiles, @SRSutil.exe
AddReg=MyAppRegEntries

In this example, note that by renaming the [MyApplication] section to [DefaultInstall], the install section will run when you right-click the .inf file, and then click Install.

The CopyFiles item provides a special notation that allows a single file to be copied directly from the copy line. You can copy an individual file by prefixing the file name with an @ symbol. The destination for any file copied using this notation is the DefaultDestDir, as defined in the DestinationDirs section. The following example shows how to copy individual files:

CopyFiles=FileSection1,@myfile.txt,@anotherfile.txt,LastSectionName

Return to top of file

Copy Files sections (CopyFiles)

[CopyFiles-section-name]
destination-file-name[, source-file-name][,temporary-file-name][,flag]
[destination-file-name[,source-file-name][, temporary-file-name]][,flag]

Lists the names of files to be copied from a source disk to a destination directory. The source disk and destination directory associated with each file are specified in other sections of the .inf file. The file-list-section name must appear in the CopyFiles item of an Install section.

Note that you can specify the copying of a single file in the CopyFiles item of the Install section itself, without building a CopyFiles section. To do this, use the special character "@" to force a single file copy. An example of using the "@" character in a CopyFiles-type item is in the Install section reference topic. Copying a single file in this way is somewhat limited because the source and destination file names must be the same in this case, and you cannot use a temporary file.

destination-file-name
Name of the destination file. If no source file name is given, this is also the name of the source file.

source-file-name
Name of the source file. If the source and destination file names for the file copy operation are the same, this is not required.

temporary-file-name
Name of a temporary file for the file copy operation. The installer copies the source file but gives it the temporary file name. The next time the operating system starts, it renames the temporary file to the destination file name. This is useful for copying files to a destination that is currently open or in use by Windows.

flag
Optional parameter used to perform special actions during the installation process. Multiple flags can be used by adding the values to create the combined flag. The following valid flags can be used:

1 | On CopyFiles: Warn if user tries to skip file.
1 | On DelFiles: If the file is in use, queue up delayed delete in Wininit.ini. Otherwise, a file that is currently in use is not deleted.
2 | Setup-critical: Don't allow user to skip the file.
4 | Ignore version check and always copy the file. This will overwrite a newer file.
8 | Force rename. Setup treats this file as if it's in use. This happens only if the file already exists on the user's computer.
16 | If the file already exists on target, don't copy.
32 | Suppress version conflict dialog box and don't overwrite newer files.

The following example copies three files:

[CopyTheseFilesSec]
file11 ; copies file11
file21, file22, file23 ; copies file22, temporarily naming it file23
file31, file32 ; copies file32 to file31

All the source file names used in this example must be defined in a SourceDisksFiles section, and the logical disk numbers that appear in the SourceDisksFiles section must be defined in a SourceDisksNames section. As an alternative, you can use a Layout.inf file to supply this information.

Return to top of file

Rename Files sections (RenFiles)

[rename-files-section-name]
new-file-name, old-file-name
.
.
Lists the names of files to be renamed. The name of the section must appear in a Renfiles item in an Install section of the .inf file.

new-file-name
New name of the file.

old-file-name
Old name of the file.

The following example renames file42 to file41, file52 to file51, and file62 to file61:

[RenameOldFilesSec]
file41, file42
file51, file52
file61, file62

All the old file names used in this example (file42, file52, and file62) must be defined in a SourceDisksFiles section, and the logical disk numbers that appear in the SourceDisksFiles section must be defined in a SourceDisksNames section.

Return to top of file

Delete Files sections (DelFiles)

[ file-list-section]
file-name[,,,flag]
.
.
A DelFiles section lists the names of files to be deleted. The file-list-section name must appear in the Delfiles item of an Install section.

file-name
Identifies a file to be deleted.

flag
Optional parameter used to force Windows to delete the file named in the item if it is in use during the installation process. To instruct Windows to queue the file deletion operation until the computer has restarted, set the flag parameter value to 1. If a file marked with the flag=1 parameter setting cannot be deleted because it is in use, a system restart will occur after the device installation is complete.

If you do not use the flag parameter value equal to 1 along with a file-name parameter, then the file is not deleted from the computer if it is in use when the DelFiles section is executed.

The following example deletes three files:

[DeleteOldFilesSec]
file1
file2
file3

Return to top of file

Update .ini File sections (UpdateInis)

[ update-ini-section-name]
ini-file, ini-section, [old-ini-entry], [new-ini-entry], [flags]
.
.
Replaces, deletes, or adds complete entries in the given .ini file. The section name, update-ini-section-name, must appear in the UpdateInis item in an Install section of the .inf file.

ini-file
Name of the .ini file containing the entry to change. For more information about specifying the .ini file name, see the comments below.

ini-section
Name of the section containing the entry to change.

old-ini-entry
Optional. Usually in the form Key=Value.

new-ini-entry
Optional. Usually in the form Key=Value. Either the key or value may specify replaceable strings. For example, either the key or value specified in the new-ini-entry parameter may be %String1%, where the string that replaces %String1% is defined in the Strings section of the .inf file.

flags
Optional action flags. Can be one of the following values:

0 Default. If old-ini-entry key is present in an .ini file entry, that entry is replaced with new-ini-entry. Note that only the keys of the old-ini-entry parameter and the .inf file entry must match; the value of each entry is ignored.

To add new-ini-entry to the .ini file unconditionally, set old-ini-entry to NULL. To delete old-ini-entry from the .ini file unconditionally, set new-ini-entry to NULL.

1 | If both key and value of old-ini-entry exist in an .ini file entry, that entry is replaced with new-ini-entry. Note that the old-ini-entry parameter and the .inf file entry must match on both key and value for the replacement to be made. This is in contrast to using an action flag value of 0, where only the keys must match for the replacement to be made.
2 If the key in the old-ini-entry parameter does not exist in the .ini file, then no operation is performed on the .ini file.

If the key in the old-ini-entry parameter exists in an .ini file entry and the key in the new-ini-entry parameter exists in an .ini file entry, then the .ini file entry that matches the key in the new-ini-entry parameter is deleted and the .ini file entry that matches the old-ini-entry parameter is operated on in the following way: the key of the .ini file entry is replaced with the key in the new-ini-entry parameter.

If the key in the old-ini-entry parameter exists in an .ini file entry and the key in the new-ini-entry parameter does not exist in an .ini file entry, then an entry is added to the .ini file made up of the key in the new-ini-entry parameter and the old value.

Note that the match of the old-ini-entry parameter and an .ini file entry is based on the key alone, not the key and the value.

3 | Same as flag parameter value of 2 described above, except match of the old-ini-entry parameter and an entry in the .inf file is based on matching both the key and the value, not just the key.

You can use the asterisk (*) wildcard character when specifying the key and value and it is interpreted correctly.

The ini-file name can be a string or a strings key. A strings key has the form %strkey%, where strkey is defined in the Strings section in the .inf file. In either case, the name must be a valid file name.

The name should include the name of the folder containing the file, but the folder name should be given as a logical directory identifier (LDID) rather than an actual name. The installer replaces an LDID with an actual name during installation.

An LDID has the form %ldid%, where ldid is one of the predefined identifiers or an identifier defined in the DestinationDirs section. Note that when the constants LDID_BOOT and LDID_BOOTHOST are replaced, the backslash is included in the path. For example, LDID_BOOT may be replaced with C:\. However, in your .inf file you can either use the backslash character or not. For example, either "%30%boot.ini" and "%30%\boot.ini" can be used to reference BOOT..ini in the root of the boot drive.

The following examples illustrate individual items in an Update .ini File section of an .inf file:

%11%\sample.ini, Section1,, Value1=2 ; adds new entry
%11%\sample.ini, Section2, Value3=*, ; deletes old entry
%11%\sample.ini, Section4, Value5=1, Value5=4 ; replaces old entry

The following set of items in an Update .ini File-type section of an .inf file work together to operate on the Boot section of SYSTEM..ini. The conditionality built into the flags parameter of the .inf file items is used to add the entry "comm.drv=comm.drv" to the Boot section unless the entries "comm.drv=*vcoscomm.drv" or "comm.drv=*r0dmdcom.drv" exist in the Boot section, in which case the existing entry is preserved and the entry "comm.drv=comm.drv" is not added to the .ini file. In other words, after the four .inf file entries shown below are executed, there is one "comm.drv=" entry in the Boot section of the .ini file: "comm.drv=*vcoscomm.drv" or "comm.drv=*r0dmdcom.drv" or "comm.drv=comm.drv."

system.ini, boot, "comm.drv=*vcoscomm.drv","~CommDrvTemp~=*", 3
system.ini, boot, "comm.drv=*r0dmdcom.drv","~CommDrvTemp~=*", 3
system.ini, boot,,"comm.drv=comm.drv"
system.ini, boot, "~CommDrvTemp~=*","comm.drv=*", 3

Return to top of file

Update .ini Fields sections (UpdateIniFields)

[ update-inifields-section-name ]
ini-file, ini-section, profile-name, [old-field], [new-field],[flags]
.
.
Replaces, adds, and deletes fields in the value of a given .ini entry. Unlike the Update .ini File section type, this type of section replaces, adds, or deletes portions of a value in an .ini file entry rather than the whole value. The section name, update-inifields-section-name, must appear in the UpdateIniFields item in an Install section of the .inf file.

ini-file
Name of the .ini file containing the entry to change. For more information about specifying the .ini file name, see the topic that describes the Update .ini File section type.

ini-section
Name of the .ini file section containing the entry to change.

profile-name
Name of the entry to change.

old-field
Field value to delete.

new-field
Field value to add, if not already there.

flags
Specifies whether to treat the old-field and new-field parameters as if they have a wildcard character or not and/or what separator character to use when appending a new field to an .ini file entry. Can be any of these values:

Value | Meaning
0 | (Default) Treat the "*" character literally when matching fields and not as a wildcard character. Use a blank (" ") as a separator when adding a new field to an entry.
1 | Treat the "*" character as a wildcard character when matching fields. Use a blank (" ") as a separator when adding a new field to an entry.
2 | Treat the "*" character literally when matching fields and not as a wildcard character. Use a comma (",") as a separator when adding a new field to an entry.
3 | Treat the "*" character as a wildcard character when matching fields. Use a comma (",") as a separator when adding a new field to an entry.

Any comments in the .ini file line are removed, because they might not be applicable after changes. When fields in this line of the .ini file are processed, spaces, tabs, and commas are used as field delimiters. However, a space is used as the separator when the new field is appended to the line.

Return to top of file

Add Registry sections (AddReg)

[ add-registry-section]
reg-root-string, [subkey], [value-name], [flag], [value]
[reg-root-string, [subkey], [value-name], [flag], [value]]
.
.
Adds subkeys or value names to the registry, optionally setting the value. The add-registry-section name must appear in an AddReg-type item in an Install section.

reg-root-string
Registry root name. Can be one of the following values:

HKCR Same as HKEY_CLASSES_ROOT
HKCU Same as HKEY_CURRENT_USER
HKLM Same as HKEY_LOCAL_MACHINE
HKU Same as HKEY_USERS.
HKR Means relative from the key passed into GenInstallEx

subkey
Optional. Identifies the subkey to set. Has the form key1\key2\key3.... This parameter can be expressed as a replaceable string. For example, you could use %Subkey1%, where the string to replace %Subkey1% is defined in the Strings section of the .inf file.

value-name
Optional. Identifies the value name for the subkey. For string type, if the value-name parameter is left empty, the value of the subkey specified in the subkey parameter is set to a NULL string. Note that the value-name parameter can be expressed as a replaceable string. For example, you could use %Valname1%, where the string to replace %Valname1% is defined in the Strings section of the .inf file.

flag
Optional. Determines both the value type and whether the registry key is replaced if it already exists.

Value | Meaning
0 | (Default) Value is an ANSI string. Replace key if it exists.
1 | Value is a hexadecimal number. Replace key if it exists.
2 | Value is an ANSI string. Do not replace key if it exists.
3 | Value is a hexadecimal number. Do not replace key if it exists.

value
Optional. Value to set. Can be either an ANSI string or a number in hexadecimal notation and Intel format. Any item containing a binary value can be extended beyond the 128-byte line maximum by using a backslash (\) character. A string key of the form %strkey% can also be given. The strkey must be defined in the Strings section of the .inf file. To use a % character in the line, use %%.

At least two fields are required; however, one can be null. Thus, at least one comma is required when using this form.

The two items in the following AddReg-type section example add two value names to the registry. Note that %25% is expanded to the computer's Windows folder.

[MyAppRegEntries]
HKLM,Software\MyApp,ProgramName,,"My Application"
HKLM,Software\MyApp,"Program Location",,"%25%\MyApp.exe"

Return to top of file

Delete Registry sections (DelReg)

[ del-registry-section]
reg-root-string, subkey, [value-name]
[reg-root-string, subkey, [value-name]]
.
.
Deletes a subkey or value name from the registry. The del-registry-section name must appear in a DelReg item in an Install section.

reg-root-string
Registry root name. Can be one of the following values:

HKCR Same as HKEY_CLASSES_ROOT
HKCU Same as HKEY_CURRENT_USER
HKLM Same as HKEY_LOCAL_MACHINE
HKU Same as HKEY_USERS.
HKR Means relative from the key passed into GenInstallEx

subkey
Identifies the subkey to delete. Has the form key1\key2\key3... This parameter can be expressed as a replaceable string. For example, you could use %Subkey1%, where the string to replace %Subkey1% is defined in the Strings section of the .inf file.

value-name
Optional. Identifies the value name for the subkey. Note that the value-name parameter can be expressed as a replaceable string. For example, you could use %Valname1%, where the string to replace %Valname1% is defined in the Strings section of the .inf file.

This type of section can contain any number of items. Each item deletes one subkey or value name from the registry.

Ini File to Registry sections (Ini2Reg)

[ ini-to-registry-section]
ini-file, ini-section, [ini-key], reg-root-string, subkey[,flags]
.
.
Moves lines or sections from an .ini file to the registry, creating or replacing a registry entry under the given key in the registry. The section name ini-to-registry-section must appear in an Ini2Reg item in an Install section of the .inf file.

ini-file
Name of the .ini file containing the key to copy. For more information about specifying the .ini file name, see the comments in the Reference topic about the Update .ini File section.

ini-section
Name of the section in the .ini file containing the key to copy.

ini-key
Name of the key in the .ini file to copy to the registry. If ini-key is empty, the whole section is transferred to the specified registry key.

reg-root-string
Registry root name. Can be one of the following values:

HKCR Same as HKEY_CLASSES_ROOT
HKCU Same as HKEY_CURRENT_USER
HKLM Same as HKEY_LOCAL_MACHINE
HKU Same as HKEY_USERS.
HKR Means relative from the key passed into GenInstallEx

subkey
Identifies the subkey to receive the value. Has the form key1\key2\key3...

flags
Indicates whether to delete the .ini key after transfer to the registry and whether to overwrite the value in the registry if the registry key already exists. Can be one of the following values:

Value | Meaning
0 | (Default) Do not delete the .ini entry from the .ini file after moving the information in the entry to the registry. If the registry subkey already exists, do not replace its current value.
1 | Delete the .ini entry from the .ini file after moving the information in the entry to the registry. If the registry subkey already exists, do not replace its current value.
2 | Do not delete the .ini entry from the .ini file after moving the information in the entry to the registry. If the registry subkey already exists, replace its current value with the value from the .ini file entry.
3 | Delete the .ini entry from the .ini file after moving the information in the entry to the registry. If the registry subkey already exists, replace its current value with the value from the .ini file entry.
For example, suppose the following entry exists in the Win.ini file:
[Windows]
CursorBlinkRate=15

If a CursorBlinkRate subkey does not exist under Control Panel\Desktop, then the following item in an Ini File to Registry section creates the subkey, sets the value of the subkey to 15, and leaves the original line in WIN..ini unchanged:

win.ini,Windows,CursorBlinkRate,HKCU,"Control Panel\Desktop"

If the subkey already exists, the .inf file item sets the value of the subkey to 15, and leaves the original line in WIN..ini unchanged.

Update Config.sys Sections (UpdateCfgSys)

[ update-config-section]
Buffers=legal-dos-buffer-value
DelKey=key
DevAddDev=driver-name,configkeyword[,flag][,param-string]
DevDelete=device-driver-name
DevRename=current-dev-name,new-dev-name
Files=legal-dos-files-value
PrefixPath=ldid[,ldid]
RemKey=key
Stacks=dos-stacks-values

Provides commands to add, delete, or rename commands in the Config.sys file. The section name, update-config-section-name, must appear in the UpdateConfigSys item in an Install section of the .inf file.

Not all item types shown in the preceding syntax are needed or required. An Update Config.sys section may contain as many DevRename, DevDelete, DevAddDev, DelKey, and RemKey items as needed, but the Buffers, Files, and Stacks items may be used only once in a section. When processing an Update Config.sys section, the Installer processes all DevRenames items first, all DevDelete items second, and all DevAddDev items last. The syntax and meaning of each of the types of items that can be used in an Update Config.sys section are provided later in this topic.

Buffers item

Buffers=legal-dos-buffer-value
Sets the number of file buffers. As it does with the Stacks item, the Installer compares the existing value with the proposed value and always sets the file buffers to the larger of the two values.

legal-dos-buffers-value
A legal MS-DOS buffers value.

DelKey item

DelKey=key
Causes the Config.sys command with the specified key to be remarked out in the Config.sys file. For example, the following .inf file item:

DelKey=Break

would cause a Break=on command to be remarked out in the Config.sys file.

The DelKey item has the same effect as the RemKey item. There can be multiple DelKey and/or RemKey items in a section of the .inf file.

key
The key of the Config.sys command to be remarked out.

DevAddDev Item

DevAddDev=driver-name,configkeyword[,flag][,param-string]
Adds a device or install command to the CONFIG.SYS file.

driver-name
Name of the driver or executable file to add. The installer validates the file name extension, ensuring that it is .sys or .exe.

configkeyword
Command name. Can be device or install.

flag
Optional placement flag. If 0, the command is placed at the bottom of the file. If 1, it is placed at the top. If flag is not given, 0 is used by default.

param-string
Optional command parameters. Must be valid for the given device driver or executable file.

DevDelete Item

DevDelete=device-driver-name
Deletes any line containing the specified file name from the Config.sys file.

device-driver-name
Name of a file or device driver. The Installer searches the Config.sys file for the name and deletes any line containing it. Because MS-DOS does not permit implicit file name extensions in Config.sys, each device-driver-name must explicitly specify the file name extension.

The following example DevDelete item in an Update Config.sys section deletes lines 1 and 3 but not line 2 of the example Config.sys file:

DevDelete=filename.sys
;; lines in Config.sys
Device=Filename.sys ;; line #1
Install=Filename.exe ;; line #2
Device=Filename.sys /d:b800 /I:3 ;; line #3

DevRename item

DevRename=current-dev-name,new-dev-name
Renames a device driver in the Config.sys file.

current-dev-name
Name of the device driver or executable file to rename. The installer looks for the name on the right side of a device or install command in the Config.sys file.

new-dev-name
New name for driver or executable file.

Files item

Files=legal-dos-files-value
Sets the maximum number of open files in the Config.sys file. As it does with the Stacks item, the Installer compares the existing value with the proposed value and always sets the maximum number of open files to the larger of the two values.

legal-dos-files-value
A legal MS-DOS files value.

PrefixPath item

PrefixPath=ldid[,ldid]...
Appends the path associated with the given LDID to the path command.

ldid
Can be any of the predefined LDID values or a new value defined in the .inf file. For a definition of all the predefined LDID values, see the "Reference" topic about the DestinationDirs section.

RemKey item

RemKey=key
Causes the Config.sys command with the specified key to be remarked out in the Config.sys file. For example, the following .inf file item:

RemKey=Break

would cause a Break=on command to be remarked out in the Config.sys file.

The RemKey item has the same effect as the DelKey item. There can be multiple RemKey and/or DelKey items in a section of the .inf file.

key
The key of the Config.sys command to be remarked out.

Stacks item

Stacks=dos-stacks-values
Sets the number and size of stacks in the Config.sys file. The Installer compares the existing value with the proposed value and always sets the stacks to the larger of the two values. For example, if Config.sys contains stacks=9,218 and an .inf file contains stacks=5,256, the installer sets the new value to stacks=9,256.

legal-dos-stacks-value
A legal MS-DOS stacks value.

Return to top of file

Update Autoexec.bat sections (UpdateAutoBat)

[ update-autoexec-section]
CmdAdd=command-name[,command-parameters]
CmdDelete=command-name
PrefixPath=ldid[,ldid]
RemOldPath=ldid[,ldid]
TmpDir=ldid[,subdir]
UnSet=env-var-name

Provides commands to manipulate lines in the Autoexec.bat file. The section name, update-autoexec-section-name, must appear in the UpdateAutoBat item in an Install section of the .inf file.

Not all item types shown in the syntax above are needed or required in an Update Autoexec.bat section. The section can contain as many CmdAdd, CmdDelete and UnSet items as needed, but only one PrefixPath, RemOldPath and TmpDir item can be used in an .inf file. The syntax and meaning of each of the item types is described later in this topic.

The installer processes all CmdDelete items before any CmdAdd items.

CmdAdd Item

CmdAdd =command-name[,"command-parameters"]
Adds the given command and optional command parameters to the Autoexec.bat file, at the end of the file.

command-name
Name of an executable file, with or without an extension. If the file name is also defined in the SourceDisksFiles and DestinationDirs sections of the .inf file, the installer adds the appropriate path to the file name before writing it to the Autoexec.bat file.

command-parameters
A string enclosed in double quotation marks or a replaceable string like %String1% or %Myparam%, where the strings that replace %String1% and %Myparam% are defined in the Strings section of the .inf file. The installer appends the string to the command-name before appending the line to the end of the Autoexec.bat file. The format of this line is dependent on the command line requirements of the given executable file.

CmdDelete item

CmdDelete=command-name
Deletes any lines from Autoexec.bat that include the given command name. The installer searches for and deletes any occurrence of the given name that has a file name extension of .exe, .com, and .bat.

command-name
Name of an executable file without an extension.

PrefixPath item

PrefixPath=ldid[,ldid]...
Appends the path associated with the given LDID to the path command.

ldid
Can be any of the predefined LDID values or a new value defined in the .inf file. For a definition of all the predefined LDID values, see the "Reference" topic about the DestinationDirs section.

RemOldPath item

RemOldPath=ldid[,ldid]
Removes the path associated with the given LDID from the path command. For example, if the user installs the new version of Windows into C:\Newwin and has an old copy of Windows in C:\Windows, the following .inf file item removes C:\Windows from the path environmental variable:

RemOldPath=10
ldid
Can be any of the predefined LDID values or a new value defined in the .inf file. For a definition of all the predefined LDID values, see the "Reference" topic about the DestinationDirs section.

TmpDir item

TmpDir=ldid[,subdir]
Creates a temporary folder within the folder given by the LDID, if it does not already exist.

ldid
Can be any of the predefined LDID values or a new value defined in the .inf file. For a definition of all the predefined LDID values, see the "Reference" topic about the DestinationDirs section.

subdir
A path name. If ldid\subdir does not already exist, it is created.

UnSet item

UnSet=env-var-name
Removes any set command from the Autoexec.bat file that includes the given environment variable name.

env-var-name
Name of an environment variable.

Return to top of file

DestinationDirs section

[DestinationDirs]
file-list-section =ldid[, subdir ]
.
.
[DefaultDestDir=ldid[, subdir ]]

The DestinationDirs section defines the destination directories for the operations specified in file-list sections, which are either CopyFiles, RenFiles, or DelFiles sections. Optionally, a default destination folder may be specified for any CopyFiles, RenFiles, or DelFiles sections in the .inf file that are not explicitly named in the DestinationDirs section.

file-list-section
Name of a CopyFiles, RenFiles, or DelFiles section. This name must be referred to in a Copyfiles, RenFiles, or DelFiles item in an Install section.

ldid
A logical disk identifier (LDID). Can be one of the following values:

00 | Null LDID - can be used to create a new LDID
01 | Source Drive:\pathname
10 | Machine folder (maps to the Windows folder on a server-based setup.)
11 | System folder
12 | IOSubsys folder
13 | Command folder
17 | Inffolder
18 | Help folder
20 | Fonts
21 | Viewers
22 | VMM32
23 | Color folder
24 | Root of drive containing the Windows folder
25 | Windows folder
26 | Guaranteed boot device for Windows (Winboot)
28 | Host Winboot
30 | Root folder of the boot drive
31 | Root folder for host drive of a virtual boot drive

subdir
Name of the folder within the folder named by LDID to be the destination folder.

The optional DefaultDestDir item provides a default destination for any CopyFiles items that use the direct copy (@file name) notation or any CopyFiles, RenFiles, or DelFiles sections not specified in the DestinationDirs section. If a DefaultDestDir is not used in a DestinationDirs section, then the default folder is set to LDID_WIN.

Th following example sets the destination folder for the MoveMiniPort section to Windows\Iosybsys and sets the default folder for other sections to be the Bin folder on the boot drive:

[DestinationDirs]
MoveMiniPort=12 ; Destination for MoveMiniPort section is
; windows\iosubsys
DefaultDestDirs=30,bin ; Direct copies go to boot:\bin

Return to top of file

SourceDisksNames section

[SourceDisksNames]
disk-ordinal="disk-description",disk-label,disk-serial-number
.
.
Identifies and names the disk(s) that contain the source files for file copying and renaming operations.

disk-ordinal
A unique number that identifies a source disk. If there is more than one source disk, each must have a unique ordinal.

disk-description
A string or a strings key describing the contents or purpose of the disk. The installer displays this string to the user to identify the disk. The description is enclosed in double quotation marks.

disk-label
Volume label of the source disk that is set when the source disk is formatted.

disk-serial-number
Unused. Value must be 0.

This example identifies one source disk. The disk description is given as a strings key:

[SourceDisksNames]
55 = %ID1%, Instd1, 0
[Strings]
ID1="My Application Installation Disk 1"

Return to top of file

SourceDisksFiles section

[SourceDisksFiles]
file name=disk-number[,subdir] [,file-size]
.
.
color=#000000Names the source files used during installation and identifies the source disks that contain the files.

color=#000000file name
color=#000000Name of the file on the source disk.

disk-number
color=#000000Ordinal of the source disk that contains the file. This ordinal must be defined in the SourceDisksNames section, and must have a value greater than or equal to 1 (zero is not a valid disk-number parameter value).

subdir
Optional parameter that specifies the subfolder on the source disk where the file resides. If this parameter is not used, the source disk root folder is the default.

file-size Optional parameter that specifies the size of the file, in bytes.

color=#000000The following SourceDisksFiles example section identifies a single source file, SRS01.386, on the disk having ordinal 1:

[SourceDisksFiles]
SRS01.386 = 1

Return to top of file

Strings section

[Strings]
strings-key=value
.
.
Defines one or more strings keys. A strings key is a name that represents a string of printable characters. Although the Strings section is generally the last section in the .inf file, a strings key defined in this section may be used anywhere in the .inf file that the corresponding string would be used. The Installer expands the strings key to the given string and uses it for further processing. You must enclose a strings key in percent signs (%).

strings-key
A unique name consisting of letters and digits.

value
A string consisting of letters, digits, or other printable characters. It should be enclosed in double quotation marks if the corresponding strings key is used in a type of item that requires double quotation marks.

The Strings section makes translation of strings for international markets easier by placing all strings that can be displayed at the user interface when the .inf file is used in a single section of the .inf file. Strings keys should be used whenever possible.

The following example shows the strings section for a sample .inf file.

[Strings]
String0="My Application"
String1="My Application Readme File"
String2="CX2590 SCSI Adapter"

Return to top of file

Optional Components section

[Optional Components]
install-section-name
[install-section-name]
.
.
Lists Install sections that are displayed when the user clicks the Add or Remove Programs icon in Control Panel, clicks the Windows Setup tab, and then clicks the Have Disk button. The Install sections show up as check boxes in the list.

Note that the Optional Components section is ignored when executing an .inf file by right-clicking on the .inf file and selecting the "install" verb. When executing an .inf file in this way, the [DefaultInstall] section is executed. The Optional Components section is also ignored if the .inf file is being executed via the Setupx.dll InstallHinfSection entry point. When executing an .inf file via the SETUPX entry point, the Install section specified in parameter to the entry point is executed.

The Install sections follow the same format as described previously, and the following additional keys can be added to the Install section to drive the interface in the "Have Disk" dialog box:

OptionDesc=option-description
Tip=tip-description
InstallDefault=0 | 1 ;
Whether to install this component by default. 1=Yes, 0=No.
IconIndex=icon-index
Parent= install-section-name
Needs=install-section-name, [install-section-name]
Include=inf-file, [inf-file]

option-description
String value that is used as the component name in the list box. The option-description parameter may be %String1%, where the string that replaces %String1% is defined in the Strings section of the .inf file.

tip-description
String value that is displayed in the "description" box when the component is selected in the list box. The tip-description parameter has a 255 character limit, and may be %String1%, where the string that replaces %String1% is defined in the Strings section of the .inf file.

icon-index
Numeric value that determines the mini-icon that is displayed next to the component name. Valid values are:
0 Machine (base and display)
1 Integrated circuit chip
2 Display
3 Network wires
4 Windows flag
5 Mouse
6 Keyboard (3 keys)
7 Phone
8 Speaker
9 Hard disks
10 Comm connector
11 Diamond (default value)
12 Checked box
13 Un-checked box
14 Printer
15 Net card
16 Same as 0
17 Same as 0 w/ a sharing hand underneath
18 Unknown (question mark)
19 Atwork
20 Greyed check box
21 Dial-up networking
22 Direct cable connection
23 Briefcase
24 Exchange
25 Partial check
26 Accessories group
27 Multimedia group
28 Quick View
29 MSN
30 Calculator
31 Defrag
32 Generic document
33 DriveSpace
34 Solitaire
35 HyperTerminal
36 Object Packager
37 Paint
38 Screen saver
39 WordPad
40 Clipboard Viewer
41 Accessibility
42 Backup
43 Bitmap document
44 Character map
45 Mouse pointers
46 Net Watcher
47 Phone Dialer
48 System Monitor
49 Help book
50 Globe (international settings)
51 Audio compression
52 CD player
53 Media Player
54 Sound scheme
55 Video clip
56 Video compression
57 Volume control
58 Musica sound scheme
59 Jungle sound scheme
60 Robotz sound scheme
61 Utopia sound scheme

Parent
The list box displayed in the optional components interface can contain sub-levels. If the optional component is a child, the Parent= keyword defines the Install section that is the parent.

Needs
If this component has dependencies on other components, this defines Install sections that are required by this component. If the component is selected, the user is warned that the component requires the component(s) desribed in the Install section(s) listed on the Needs= line.

Note that the Install sections listed on the Needs= line must be in the same .inf file. However, if dependent components from other .inf files are listed in the Needs= line, the .inf files must be specified on the Include= line.

Include
The Include item enables you to specify .inf files that Setup must also load into memory when it loads your .inf file, because these .inf files contain sections that must be run in addition to the install sections in your .inf file. The Needs item specifies the names of the sections you intend to run in the included .inf file(s).

The following example defines two optional component install sections; each install section uses the additional entries to specify interface elements and dependencies:

[Optional Components]
InstallMyToys
InstallGames
[InstallMyToys]
OptionDesc=%Toys_DESC%
Tip=%Tomytoysys_TIP%
IconIndex=35 ;Phone mini-icon for dialogs
Parent=MailApps
Needs=MSMAIL, MAPI, MicrosoftNetwork
Include=mos.inf, msmail.inf
CopyFiles=MyToysFiles
UpdateInis=MyToysLinks
AddReg=MyToysRegItems
[InstallOtherApps]
OptionDesc=%Other_DESC%
Tip=%Other_TIP%
IconIndex=4 ;windows mini icon for dialogs
CopyFiles=OtherFiles
UpdateInis=OtherLinks
AddReg=OtherRegItems
[Strings]
Toys_DESC="Mail Utilities"
Toys_TIP="Additional utilities for sending and organizing mail"
Other_DESC="Other Helpful Utilities"
Other_TIP="Calculator, disk checker and performance monitor"

Return to top of file


Using RunOnce Technology

You can run any programs after an .inf file is executed by adding entries to the RunOnce registry key. The RunOnce entries are executed the next time the computer is restarted and a user logs on to the system (if system logon is applicable).

The RunOnce registry key enables you to launch programs one time in Windows and to specify whether they should run "silently" (without prompts to the user) or as part of a list of programs or actions that the user sees. The reference to the program is then deleted so that the program is not run again.

To run programs silently, add description-string=command-line entries under the following registry key:

HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnce

To run programs that synchronously run under the Windows Runonce manager, add description-string=command-line entries under the following registry key:

HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnce\Setup

The following example shows an AddReg section that causes the following to happen:

  • Launch Myapp.exe (located in the Windows folder) with no user interface.
    HKLM,Software\Microsoft\Windows\CurrentVersion\RunOnce,"SilentApp",,"%25%\myapp.exe"
  • Launch Test.exe (located in the System folder) and display the message "Windows Setup is now setting up the following items":
    HKLM,Software\Microsoft\Windows\CurrentVersion\RunOnce\Setup,"Test Utility",,"%11%\test.exe"

Note

  • The description string under the Setup registry key appears in the user interface.


Internet Settings Files

The Internet settings (.ins) file is the mechanism used to configure computers for broadband or dial-up Internet access during Windows Welcome. At the end of Internet sign-up, the ISP sign-up server creates an .ins file that contains the specified Internet settings and returns the file to the computer. Windows Welcome then processes the .ins file and applies the settings to the computer.

The .ins file is used to configure dial-up networking, Connection Manager, Microsoft Internet Explorer, and Microsoft Outlook Express. For broadband Internet connections, the .ins file can also contain TCP/IP and other connection-related settings.

For more information, see Internet Settings File Entries for Broadband Connections.

The following sections appear in .ins files:

Section | Description
[Animation] | Specify the location of your custom animated bitmap files that appear in the Setup Wizard.
[ActiveSetup] | Specify the location of your custom bitmap files that appear in the Internet Explorer 6 Customization Wizard.
[ActiveSetupSites] | Specify the names and locations of the custom packages that you make available to your users as a download.
[Batch] | Specify the types of installation media available for your custom package.
[Big_Logo] | Specify the name and path of your 38-by-38 pixel bitmap file that appears in the top right corner of the browser.
[Branding] | Specify information about the custom branding and setup information included in your browser package.
[BrowserToolbars] | Customize the appearance of the Microsoft Internet Explorer toolbar.
[CabSigning] | Specify the information that is used to sign your programs.
[ConnectionSettings] | Specify information about the dial-up networking (DUN) connection settings used to install your custom Internet Explorer package. This creates a common DUN on all users' workstations.
[CustomBranding] | Specify the URL for your branding cabinet file.
[CustomWallpaper] | Specify the HTML and supporting files for your custom wallpaper.
[Device] | Specify the type of connection used for setup.
[Entry] | Specify whether the information in this .ins file overrides the name of the dial-up networking in your custom package.
[ExtRegInf] | Specify the names of your information (.inf) files and the installation mode for components.
[FavoritesEx] | Specify the path to your icon file for Favorites and whether Favorites are available offline. You can also specify the URL to each Favorite site.
[HideCustom] | Specify whether the globally unique identifier (GUID) is hidden. Each custom component has a GUID that is based on system information and other parameters, such as the time of day it is created.
[ICW_IEAK] | Specify the path to your custom bitmaps that appear in the Internet Connection Wizard.
[Internet_Mail] | Specify your custom Outlook Express information.
[Internet_News] | Specify your custom news information and whether Outlook Express is the default news client.
[ISP_Security] | Specify the root certificate you are adding to your custom package.
[LDAP] | Specify information for your Lightweight Directory Access Protocol (LDAP) server. Also specify whether Outlook Express always checks names and e-mail addresses against the LDAP server.
[Mail_Signature] | Specify an e-mail signature for news and whether to use the signature.
[Media] | Specify the types of media your installation package is available in, such as CD, download, and floppy disk.
[Outlook_Express_Global] | Specify your branding for the Outlook Express service.
[Outlook_Express] | Specify which pieces of Outlook Express you are branding or customizing in your package.
[Phone] | Specify the telephone information that is used for your dial-up connection.
[Proxy] | Specify whether to use a proxy server and the host names for the proxy server.
[Scripting] | Specify the names and paths of your dial-up networking script files.
[Script_File] | Specify the text of the script file that is associated with dial-up networking.
[Security Imports] | Specify whether to import security information from your computer to your custom package.
[Server] | Specify information about your network server.
[Signature] | Specify whether to use an Outlook Express signature and the text of that signature.
[SignupFiles] | Specify the name of the files that appear during sign-up, such as sign-up.htm.
[Small_Logo] | Specify the name and path of your 22-by-22 pixel bitmap file that appears in the top right corner of the browser.
[TCP/IP] | Specify the IP number of the DNS server to use. You can also specify whether to use a remote gateway, an IP address, and a server address.
[URL] | Specify whether to use an auto-configured proxy server and the URLs for the pages that appear when users connect to that server.
[User] | Specify the logon information required by your users.


Internet Settings File Entries for Broadband Connections

In Windows Millennium Edition, Windows Welcome is enhanced so you can configure a new broadband Internet account. The following settings are extensions to the existing .ini file format that enables this broadband configuration. These settings replace any similar settings described in .ins entries for dial-up connections.

[Device]
Type = {modem, isdn, atm, ethernet, ethernet_1483, cable(?)}
Modem, ISDN and ATM will bind entries to RAS
Modem, ISDN and Ethernet (& cable) look only for [TCP/IP] header
ATM looks for [TCP/IP] and [ATM] headers
Ethernet_1483 looks for [TCP/IP] and [Ethernet_1483] headers
PPPOE looks for [TCP/IP] and [PPPOE] headers
Name = {friendly name of the device}
Pnpid = {Plug and Play ID of the device, or for multi-function
adapters, only the configured-network device Plug and Play required}

Note

  • The OEM places the device name and Plug and Play ID of the broadband device on the computer before shipping it. This information is transmitted to the Internet service provider (ISP) during user sign-up. The ISP then adds these entries to the .ins file so that the correct device is configured during sign-up.
[TCP/IP]
Specify_IP_Address = {yes for static, no for DHCP}
IP_Address = {static IP address if used}
Subnet_Mask = {ip address}
Specify_DNS_Address = {yes if use, else no}
DNS List = {ip address},{ip address}, …
IP_Header_Compress = {yes if used, else no}
Gateway_On_Remote = {yes if used, else no}
Default_Gateway_List = {ip address},{ip address}, …
Domain_Name = {string},{string}, …
Host_Name = {string if used}
Domain_Suffix_Search_List = {ip address},{ip address}, …
Specify_WINS_Address = {yes,no}
WINS_List = {ip address},{ip address}, …
[PPPoverATM] or [Ethernet_1483]
Circuit_Speed = {flag}
0 = Line Rate
1 = User Specified
Or actual value of rate in kilobytes (512, 1536, 25000, 155000)
Circuit_QOS = {flag}
0 = UBR
1 = VBR
2 = CBR
3 = ABR
Circuit_Type = {0 if SVC, 1 if PVC}
Speed_Adjust = {yes or no}
QOS_Adjust = {yes or no}
Encapsulation = {flag}
0 – PPP over ATM (null encapsulation)
1 – PPP over ATM (LLC)
2 – Bridged Ethernet/802.3 (LLC/SNAP) Not defined for PPPOA
3 – Routed IPv4 (LLC/SNAP) Not defined for PPPOA
4 – Bridged Ethernet/802.3 (null encapsulation) Not defined for
PPPOA
5 – Routed IPv4 (null encapsulation) Not defined for PPPOA
VPI = {numeric value} Only for PVC
VCI = {numeric value}
Vendor_Config = {yes or no}
Show_Status = {yes or no}
Enable_Log = {yes or no}
[Phone]
PhoneNumber = NSAP address if ATM, else phone number

Note

  • These are extensions to the existing .ins file format that work only in the out-of-box experience (Windows Welcome) for Windows Me.


IEAK Examples

This section contains automatic proxy configuration scripts, setup batch files, and a sample .inf file. The section also contains illustrations, which may help you understand some Internet Explorer and IEAK concepts.

  • JavaScript or JScript Auto-Proxy Example Files
  • Sample .inf File for Component Download Service
  • Sample Setup Batch File
  • Illustrations of IEAK Concepts

You can also find additional examples, such as sample files for creating a server-based sign-up package and sample pages for downloading and installing add-on components, in the IEAK Toolkit.


Contents of the IEAK Toolkit

The IEAK Toolkit contains helpful tools, programs, and sample files. The Toolkit contents are located in the \<IEAK program folder>\Toolkit folder and its subfolders.

In the Toolkit folder, you will find a reference for .isp and .ins files named Insref.xls.

Addons folder

This folder contains sample pages for downloading add-on components.

Corp folder

This folder contains sample .ins files for automatic configuration and customizable Active Server Page (.asp) scripts. The .asp files are designed for Web servers running Internet Information Services 3.0 (and later), but they can be viewed by any standard Web browser.

Graphics folder

This folder contains sample art and tools.

Inf folder

This folder contains a sample .inf file for creating an uninstall program.

ISP folder

This folder contains various tools and samples for Internet service providers (ISPs):

  • A tool (ISP File Wizard) that configures dial-up information.
  • A tool (Inetlogn.exe) that can help you cache each user's password, so the user doesn't have to type it at each logon.
  • Sample scripts, tools, and customizable solutions for server-based, Internet Connection Wizard, and non-server-based sign-up packages.


Illustrations of IEAK Concepts

The following diagrams illustrate key features and concepts in the IEAK.

User Experience when installing Internet Explorer from an IEAK-generated Package

Windows Update Setup for Internet Explorer and Other Internet Tools

How Customization Works

How Automatic Configuration Works

Building a Package Using the IEAK

How the IEAK Generates Custom Packages

Automatic Version Synchronization

How to Set Up Files for Distribution

Internet Sign-up

ISP Sign-up Process

Corporate Administrators

System Policies and Settings


JavaScript or JScript Auto-Proxy Example Files

The following scripts provide examples of how a .pac file could be used to specify an auto-proxy URL. To use these functions, you must change the proxy names, port numbers, and IP addresses.

Notes

  • The isInNet, isResolvable, and dnsResolve functions query a DNS server.
  • References to Object Model objects, properties, or methods cause the proxy auto-configuration file to fail silently. For example, the references window.open(...), alert(...), and password(...) all cause the proxy auto-configuration file to fail on Internet Explorer.

Example 1: Local hosts connect direct, all others connect via proxy

The following function checks to see whether the hostname is a local host, and if it is, whether the connection is direct. If the hostname is not a local host, the connection is through the proxy (proxy).

function FindProxyForURL(url, host)
 {
 if (isPlainHostName(host))
 return "DIRECT";
 else
 return "PROXY proxy:80";
 }

The isPlainHostName function checks to see if there are any dots in the hostname. If so, it returns false; otherwise, the function returns true.

Example 2: Hosts inside the firewall connect direct, outside local servers connect via proxy

The following function checks to see whether the host is either a "plain" hostname (meaning the domain name is not included) or part of a particular domain (.company.com) but the hostname is not either www or home.

function FindProxyForURL(url, host)
 {
 if ((isPlainHostName(host) ||
 dnsDomainIs(host, ".company.com")) &&
 !localHostOrDomainIs(host, "www.company.com") &&
 !localHostOrDoaminIs(host, "home.company.com"))
 return "DIRECT";
 else
 return "PROXY proxy:80";
 }

Notes

  • The localHostOrDomainIs function is executed only for URLs in the local domain.
  • The dnsDomainIs function returns true if the domain of the hostname matches the domain given.

Example 3: If host is resolvable, connect direct. Otherwise connect using a proxy.

The following function asks the DNS server to try to resolve the hostname passed to it. If it can, then a direct connection is made. If it cannot, the connection is made via proxy. This is useful when an internal DNS server is used to resolve all internal hostnames.

function FindProxyForURL(url, host)
 {
 if (isResolvable(host))
 return "DIRECT";
 else
 return "PROXY proxy:80";
 }

See note on the isResolvable function at the top of the page.

Example 4: If host is in specified subnet, connect direct. Otherwise connect using a proxy.

The following function compares a given IP address pattern and mask with the hostname. This is useful if certain hosts in a subnet should be connected directly and others should be connected using a proxy.

function FindProxyForURL(url, host)
 {
 if (isInNet(host, "999.99.9.9", "255.0.255.0"))
 return "DIRECT";
 else
 return "PROXY proxy:80";
 }

See note on the isInNet function at the top of the page.

The isInNet(host, pattern, mask) function returns true if the host IP address matches the specified pattern. The mask indicates which part of the IP address to match (255=match, 0=ignore).

Example 5: Determine connection type based on host domain

The following function specifies a direct connection if the host is local. If the host is not local, this function determines which proxy to use based on the host domain. This is useful if the host domain name is one of the criteria for proxy selection.

function FindProxyForURL(url, host)
 {
 if (isPlainHostName(host))
 return "DIRECT";
 else if (shExpMatch(host, "*.com"))
 return "PROXY comproxy:80";
 else if (shExpMatch(host, "*.edu"))
 return "PROXY eduproxy:80";
 else
 return "PROXY proxy";
 }

The shExpMatch(str, shexp) function returns true if str matches the shexp using shell expression patterns.

Example 6: Determine connection type based on protocol being used

The following function extracts the protocol being used and makes a proxy selection accordingly. If no match is made on the protocol, then a direct connection is made. This is useful if the protocol being used is one of the criteria for proxy selection.

function FindProxyForURL(url, host)
 {
 if (url.substring(0, 5) == "http:") {
 return "PROXY proxy:80";
 }
 else if (url.substring(0, 4) == "ftp:") {
 return "PROXY fproxy:80";
 }
 else if (url.substring(0, 7) == "gopher:") {
 return "PROXY gproxy";
 }
 else if (url.substring(0, 6) == "https:") {
 return "PROXY secproxy:8080";
 }
 else {
 return "DIRECT";
 }
 }

The substring function extracts the specified number of characters from a string.

Example 7: Determine proxy setting by checking to see if hostname matches IP address

The following function makes a proxy selection by translating the hostname into an IP address and comparing it to a specified string.

function FindProxyForURL(url, host)
 {
 if (dnsResolve(host) == "999.99.99.999") { // = http://secproxy
 return "PROXY secproxy:8080";
 }
 else {
 return "PROXY proxy:80";
 }
 }

See note on the dnsResolve function at the top of the page.

Example 8: If host IP matches specified IP, connect via proxy, else connect direct

The following function is another way to make a proxy selection based on specifying an IP address. This example, unlike Example 7, uses the function call to explicitly get the numeric IP address (Example 7 uses the dnsResolve function to translate the hostname into the numeric IP address).

function FindProxyForURL(url, host)
 {
 if (myIpAddress() == "999.99.999.99") {
 return "PROXY proxy:80";
 }
 else {
 return "DIRECT";
 }
 }

The myIpAddress function returns the IP address (in integer-dot format) of the host that the browser is running on.

Example 9: If there are any dots in the hostname, connect using a proxy. Otherwise, connect direct.

The following function checks to see how many dots are in the hostname. If there are any dots in the hostname, make a connection via proxy. If there are no dots in the hostname, make a direct connection. This is another way to determine connection types based on hostname characteristics.

function FindProxyForURL(url, host)
 {
 if (dnsDomainLevels(host) > 0) { // if the number of dots in host > 0
 return "PROXY proxy:80";
 }
 return "DIRECT";
 }

The dnsDomainLevels function returns an integer equal to the number of dots in the hostname.

Example 10: Specify days of the week to connect via proxy, other days connect direct

The following function determines the connection type by specifying days of the week that are appropriate for a proxy. Days that do not fall between these parameters use a direct connection. This function could be useful in situations where you might want to use a proxy when traffic is heavy and allow a direct connection when traffic is light.

function FindProxyForURL(url, host)
 {
 if(weekdayRange("WED", "SAT", "GMT"))
 return "PROXY proxy:80";
 else
 return "DIRECT";
 }

The weekdayRange(day1 [,day2] [,GMT] ) function returns whether the current system time falls within the range specified by the parameters day1, day2, and GMT. Only the first parameter is required. The GMT parameter presumes time values are in Greenwich Mean Time rather than the local time zone.


Sample Setup Batch File

;Example of a simple Iebatch.txt file that shows install folder choice,
;performs the first listed installation option, and automatically restarts the computer.

[Welcome]
Display=0

[SetupChoice]
Display=0

[Custom]
Display=0
Mode=0
InstallDir=c:\Int_exp\en

[Download]
Display=0
DownloadDir=c:\Int_exp\download\

[Finish]
Display=0

[Reboot]
Reboot=1


Troubleshooting Problems with Your Custom Package

If your custom package does not work as expected on your user's machine, check the following scenarios:

Windows Update Setup fails on a user's machine.

If Windows Update Setup fails, you can troubleshoot errors using the Active Setup Log.txt file. The Active Setup Log.txt file is a log of the entire setup process from the moment IE6Setup.exe is executed until the download of the last .cab file is complete.

When IE6Setup.exe is executed, Active Setup Log.txt is created in the folder where Windows is installed (typically, the C:\Windows folder). If an Active Setup Log.txt from a previous Internet Explorer Setup session exists, it is renamed to Active Setup Log.bak.

The log begins with the date and time Setup was launched and ends with the date and time it successfully downloads the last .cab file. As you go through the Setup wizard, logging entries are continually written to this file. It is the most informative log file for determining what caused a download failure and when the failure occurred. Most entries logged in this file are also written to the registry; this data is recorded to assist with safe recovery.

The error codes can help you determine what Setup was doing when it failed and also help you determine the cause of the failure. For information about the error codes, see Error Log Information for Active Setup Log.txt.

Files do not download during Windows Update Setup.

Windows Update Setup has the ability to switch servers during an installation to maintain maximum throughput or recover from a distribution site that is not responding. Switching servers occurs when Windows Update Setup detects no throughput or less than one byte in two minutes.

If a connection times out, Setup will try to connect to the next download site in the list and continue the setup process at the beginning of the partially downloaded .cab file. If a connection times out and Setup does not switch servers, it will attempt to reconnect to the download site and continue the setup process at the point where it left off. If a connection to the download site cannot be established, Setup asks if you want to abort the installation or try again.

If the first site is down (for example, as a result of server problems), Windows Update Setup is unable to locate the remaining sites by default. A workaround involves overwriting the first site with the following command:

<path>\ie6setup.exe /C:"ie6wzd.exe /S:""<path>\ie6setup.exe"" /L:""http://my Web server/my Web site/ie6sites.dat"""

<path> is the folder where IE6setup.exe is located.

Example

The following is an example of the syntax to give to users when the first site is down. The example is a single command-line, displayed using three lines of text to improve readability.

C:\ie6setup.exe /C:"ie6wzd.exe
/S:""D:\Build\1700\package\download\win95_nt\en\ie6setup.exe""
/L:""http://<NewServerAddress>/<YourDownloadDir>/ie6sites.dat """

Installation modes not available to Windows 2000 or Windows XP users.

Regardless of the installation options you configure for your package, Windows Update Setup presents only one installation option to users running the Windows 2000 or Windows XP operating systems. This installation option includes the full set of Microsoft Internet components, along with all custom components included in your package.

Branding changes made through auto-configuration are not applied on a machine running Windows 2000 or Windows XP.

Branding changes distributed to people using auto-configuration are not applied if the No External Branding policy is set in Windows 2000 or Windows XP Group Policy. This policy prevents branding of Internet programs, such as customization of Internet Explorer and Outlook Express logos and title bars, by a third party such as an Internet service provider or Internet content provider. For more information, see Administering Microsoft Internet Explorer on Windows 2000 and Windows XP.

Cannot uninstall components.

When the uninstall process fails, the most important tool for troubleshooting an uninstallation is the uninstall log, IE6 Uninstall Log.txt, which is located in the \Windows folder. This log covers the entire uninstallation process sequentially, including every file addition or removal; every registry addition, change, or removal; and any dialog boxes shown to the user.

The log is divided into Passes, which denote the different phases of an uninstall. Entries in the log also have an Object number that corresponds to the line entry in Setup.stf. Lines without an Object number result from custom actions specific to Internet Explorer and are contained in the IE6.inf file or in an .inf file from an external component uninstallation.

If you cannot use Add or Remove Programs in Control Panel to uninstall Internet Explorer, uninstall information might not be on the computer. The following are the key uninstall files:

  • IE6bak.dat
  • IE6bak.ini
  • Integrated Browser.dat
  • Integrated Browser.ini

The Internet Explorer Advanced Uninstall dialog box offers the option of uninstalling this backup information, but doing so prevents you from uninstalling Internet Explorer in the future.

For information about uninstalling custom components, see Providing Uninstall Functionality in an .inf Script and Uninstalling a Custom Component.

ICW Internet Sign-up does not work with single-disk branding.

If you are using single-disk branding, do not use Internet Connection Wizard mode sign-up if you anticipate that some of your users are using Internet Explorer 4.01 Service Pack 1 (or earlier versions); instead, create a separate package using Kiosk-mode sign-up for these customers.


Troubleshooting Problems Using the Internet Explorer 6 Customization Wizard

If you are not able to locate specific screens in the Internet Explorer 6 Customization Wizard, check the following:

  • Make sure you selected the correct role (Internet content provider (ICP), independent software vendor (ISV), Internet service provider (ISP), or corporate administrator).
  • Make sure you selected the correct operating system.
  • On the Feature Selection screen, make sure that all the features you want to customize are selected. Screens for a feature are not displayed if the check box for it is not selected.
  • For Outlook Express customization, verify that you downloaded Outlook Express files and added Outlook Express to at least one of your installation modes.

Note

  • If you are setting up a silent installation or running the Internet Explorer 6 Customization Wizard from the Office Installation Wizard, some customization options are not available.


Error Log Information for Active Setup Log.txt

The Active Setup Log.txt file can help you troubleshoot Windows Update Setup errors and the status of Setup when the error occurred. You can find the following entries in the log:

Log Entry | Meaning
0 | Initializing, by making a temporary folder, checking disk space.
1 | Checking for all dependencies.
2 | Downloading files from the server.
3 | Copying files from download location to temporary installation folder.
4 | Restarting download and retrying Setup because of a time-out error or other download error.
5 | Checking trust and checking permissions.
6 | Extracting files.
7 | Running Setup program (an .inf or .exe file).
8 | Installation is finished.
9 | Download finished, and all files are downloaded.

Some common error codes:

Error Code | Meaning
80100003 | Files are missing from the download folder during installation.
800bxxxx | An error code starting with 800b is a trust failure.
800Cxxxx | An error code starting with 800C is a urlmon failure.

Examples

Some common examples are:

800C005: File or server not found.

800C00B: The connection timed out.

8004004: The user canceled Setup.


Glossary

Symbols A B C D E F G H I J K L M N O P Q R S T U V W XYZ

Symbols

.adm file

A system policy template file that defines the system policies and restrictions that you can set for the desktop, shell, and/or system security.

See also: System Policy

.bat file

Batch file. An ASCII text file containing a sequence of operating-system commands, possibly including parameters and operators supported by the batch command language. When the user types the name of the batch file at the command prompt, the computer processes the commands sequentially.

.cab file

Cabinet file. A single cabinet file that stores multiple compressed files. These files are commonly used in software installation and to reduce the file size and the associated download time for Web content.

.inf file

Information file. A file created for a particular adapter that provides the operating system with information required to set up a device, such as a list of valid logical configurations for the device, the names of driver files associated with the device, and so on. An .inf file is provided typically on a disk by the device manufacturer or may be included in the operating system.

.ins file

Internet settings file. A file that provides Windows Update Setup with Internet settings that configure the browser and associated components. You can create multiple versions of your browser package by changing the .ins file used by each package. Use the Profile Manager to create, save, and load .ins files.

A

add-on component

A component that is not included in your package, but is one that your users can install after they complete Windows Update Setup.

Authenticode

A technology that makes it possible to identify the company or individual that published a piece of software and verify that it has not changed since publication. Corporate administrators can configure security zones, preset ratings, and customize certification authorities so that their users do not download unsigned software. The administrator can also set system policies and restrictions to control whether users can modify their security settings.

auto-config URL

The location of the Internet settings (.ins) file used to configure the browser in this package. Using the .ins file, you can control the settings of several users from a central location.

auto-proxy script

In the IEAK, files in JScript (.js), JavaScript (.jvs), or proxy auto-configuration (.pac) format that enable you to configure and maintain advanced proxy settings. When an auto-proxy script file is specified, Internet Explorer uses the script to determine dynamically whether to connect directly to a host or to use a proxy server.

auto-proxy URL

The location of the auto-proxy script file. By changing this file, you can control the proxy settings of several users from a central location.

automatic configuration

A process that let corporate administrators manage and update user settings, system policies, and restrictions for Microsoft Internet Explorer from a central location. A pointer to an automatic-configuration file can be manually set within the browser or by configuring the browser installation using the IEAK.

automatic installation

See definition for: install on demand

automatic proxy

A feature that allows an administrator to configure Internet Explorer so that the browser determines dynamically whether to connect directly to a host or to use a proxy server.

automatic search

A feature of Internet Explorer which enables users to type a conversational word into the Address bar to search for frequently used pages. Users do not need to remember the exact URLs for these pages.

Automatic Version Synchronization (AVS)

A technology that automatically checks for updated versions of each Internet Explorer component every time the Internet Explorer Administration Kit (IEAK) is run. Updated components can be downloaded from Microsoft and included in subsequent IEAK packages.

B

bandwidth

In analog communications, the difference between the highest and lowest frequencies in a given range. For example, an analog telephone line accommodates a bandwidth of 3,000 hertz (Hz), the difference between the lowest (300 Hz) and highest (3,300 Hz) frequencies it can carry. In digital communications, bandwidth is expressed in bits per second (bps).

batch-mode setup

Running the setup program from a command in a batch file or directly from a command prompt.

See also: .bat file

bitmap

A file format for images used to customize the graphics in an Internet Explorer Administration Kit (IEAK) package.

C

cache

An area on the hard disk reserved for storing images, text, and other files the user previously viewed on the Internet.

CD Autorun screen

The first screen that appears when users install the CD-ROM version of your custom Internet Explorer package. You can customize the title bar, background, and text color that appears on this screen.

certificate

See definition for: digital certificate

channels

A channel is a Web site enabled for information-receiving programs. The mechanism that makes this possible is the Channel Definition Format (.cdf) file. Channels can be organized into categories and placed on the user's desktop.

code signing

The process of signing a completed Internet Explorer package with a digital certificate. Signing the package requires two steps: obtaining a digital certificate and signing the code.

See also: digital certificate

component

The administrator can include many Internet components from Microsoft and other companies with the Internet Explorer browser. The administrator can include many Internet components from Microsoft and other companies with the Internet Explorer browser. Examples of components are Outlook Express and Microsoft NetMeeting.

Connection Manager

A client dialer used to obtain Internet access.

Connection Manager Administration Kit (CMAK)

A tool for creating, editing, and managing Connection Manager profiles. The Connection Manager is a client dialer. CMAK is available in Windows 2000 server and in the Windows 2000 Administration Kit.

See also: Connection Manager; Connection Manager profile

Connection Manager profile

One way to automate a dial-up connection, similar to dial-up networking entries.

connection settings

Settings that Internet Explorer uses to connect to the Internet. Connection settings are typically collections of settings for dial-up networking entries, such as proxy settings, account and passwords, and modem configurations.

content ratings

Microsoft Internet Explorer provides a way to help administrators control the types of content that the computer can access on the Internet. The administrator can adjust the settings to reflect appropriate content in the areas of language, nudity, sex, and violence.

See also: Parental Internet Content Selection (PICS)

corporate administrator

An individual who is responsible for setting up and maintaining computers and applications across a corporation. Administrators also manage user and group accounts, assign passwords and permissions, and help users with networking issues.

custom component

A component that you include in your package, in addition to the Internet components downloaded from Microsoft using Automatic Version Synchronization (AVS).

custom package

Contains customized versions of all of the installation tools, browser code, and additional components necessary to quickly and easily deploy Internet Explorer to the organization.

customization code

A license code issued to an organization when it downloads the Internet Explorer Administration Kit (IEAK). A customization code is not required to install the IEAK, but it is required to generate IEAK packages.

Customization wizard

See definition for: Internet Explorer Customization Wizard

D

deployment

The process of distributing and installing a software program throughout an entire organization. A deployment is not the same as a "pilot," which is where you provide the software application to a smaller group of users to identify and evaluate problems that might occur during the actual deployment.

Dial-Up Networking (DUN)

A connection to a data communications network using a public-switch telecommunications network rather than a dedicated circuit or other private network.

digital certificate

An electronic certification issued by certification authorities that shows where a program comes from and proves that the installation package has not been altered. Administrators should sign their code with a digital certificate if planning to distribute an Internet Explorer package over the Internet.

digital signature

A personal authentication method based on encryption and secret authorization codes used for "signing" electronic documents.

DNS server

A computer maintained by an ISP that matches IP addresses to host names. Some ISPs provide a specific DNS address.

domain name

Name of the network connection used by DNS that defines the owner of that organization in a hierarchical format: server.organization.type. For example, www.whitehouse.gov identifies the Web server at the White House, which is part of the U.S. government. In an e-mail address, the domain name is located after the "@" sign.

Domain Name System (DNS)

A set of guidelines and rules developed by the Internet community at large, which allows the use of both domain name addresses (such as bluestem.prairienet.org) and IP addresses (such as 192.12.3.4) to navigate the Internet. The domain name address is used by human users and is automatically translated into the numerical IP address, which is used by packet-routing software.

download site

An HTTP or FTP server where users can download your package. If a connection times out, Windows Update Setup attempts to connect to the next download site specified in IE5Sites.dat to continue the setup process at the beginning of the .cab file.

See also: .cab file

Dynamic HTML

A collection of features that extends the capabilities of traditional HTML, giving Web authors more flexibility, design options, and creative control over the appearance and behavior of Web pages.

See also: HTML

E

electronic software distribution (ESD)

A secure communications system that customers use to download and pay for software. This can operate over the Internet or on a direct modem-to-modem connection. ESD systems can let users use software for a trial period before purchasing.

encryption

The process of disguising a message or data in such a way as to hide its substance.

F

Favorites

Predefined links to Web sites. Favorites are also known as "bookmarks." Favorites in Internet Explorer can be configured to automatically notify the user when content changes.

file path

The physical location of the distribution files on a Web server. For example, "C:\inetpub\wwwroot\ie5\download."

folder Webviews

Administrators can customize how My Computer and Control Panel appear on a company's computers by customizing the HTTP files that serve as templates for them. Folder Webviews require Windows Desktop Update to be installed.

G

gateway

A device connected to multiple physical TCP/IP networks capable of routing or delivering IP packets between them. A gateway translates between different transport protocols or data formats (for example, IPX and IP) and is generally added to a network primarily for its translation ability.

In the context of interoperating with Novell NetWare networks, a gateway acts as a bridge between the server message block (SMB) protocol used by Windows networks and the NetWare core protocol (NCP) used by NetWare networks. A gateway is also called an IP router.

H

hands-free installation

Configuring Windows Update Setup so that users aren't prompted to make decisions and are informed of the installation progress and errors. This option is only available to corporate administrators.

See also: silent installation

home page

In the context of Internet Explorer, the home page is the first page users see when they start the browser. "Home page" is also a more general term for the main page of a Web site, which usually contains a main menu or table of contents with links to other pages within the site.

HTML

The language used to create and design Web pages. HTML is a set of tags that Web authors use to create page layout, format text, insert graphics and multimedia, and more.

HTTP

See definition for: Hypertext Transfer Protocol (HTTP)

Hypertext Markup Language (HTML)

A simple markup language used to create hypertext documents that are portable from one platform to another. HTML files are simple ASCII text files with codes embedded (indicated by markup tags) to denote formatting and hypertext links.

Hypertext Transfer Protocol (HTTP)

A protocol that makes hypertext information, such as Web pages, available over the Internet when a browser is connected to an appropriate server.

I

IEAK

See definition for: Internet Explorer Administration Kit (IEAK)

IMAP

Internet Message Access Protocol. A popular protocol for receiving e-mail messages. It allows an e-mail client to access and manipulate a remote e-mail file without downloading it to the local computer. It is used mainly by corporate users who want to read their e-mail from a remote location.

See also: POP3 (Post Office Protocol 3)

IMAP server

A server that uses IMAP to provide access to multiple server-side folders.

See also: IMAP; POP3 server

independent software vendor (ISV)

A third-party software developer; an individual or an organization that independently creates computer software.

install on demand

A feature that prompts a user to install components not already installed on their machine, when the user views a Web page requiring that component. The IEAK lets you restrict the availability of this feature to your users.

Integrated Services Digital Networking (ISDN)

A worldwide digital-communication networking system, which is available from most telephone companies. ISDN is used for high-speed communication with the Internet, commercial online services, or corporate networks.

Internet Component Download service

A system service for downloading and installing software from Web sites on the Internet and intranets. This service also provides certificate checking. Internet Component Download is supported by Microsoft Internet Explorer version 3.0 and later.

Internet Content Provider (ICP)

An organization that prepares content for posting to the Web.

Internet Explorer Administration Kit (IEAK)

A set of tools that enables corporate administrators, ISPs, and ICPs to create, distribute, and manage customized Internet Explorer packages across an organization. The IEAK contains the Internet Explorer Customization Wizard, the IEAK Profile Manager and the IEAK Toolkit.

Internet Explorer Customization Wizard

The primary component of the Internet Explorer Administration Kit (IEAK), used to generate a customized version of Internet Explorer for installation in a specific organization.

Internet sign-up server (ISS)

An HTTP server that automates the task of adding new customers to an ISP's customer database. The Internet sign-up server collects information from each customer, adds the information to the ISP's customer database, and then passes a configuration packet back to the customer's desktop computer. The configuration packet contains information that is used to configure the customer's Internet browser for subsequent connection to the ISP's services.

ISDN

See definition for: Integrated Services Digital Networking (ISDN)

ISV

See definition for: independent software vendor (ISV)

J

There are no glossary terms that begin with this letter.

K

kiosk mode start page

A page in kiosk (full-screen) mode, in which the browser toolbar and menu bar are not displayed, that appears after the user has installed Internet Explorer.

L

lab

A collection of non-production machines used to test an Internet Explorer package. The lab is not the same as a pilot group.

LDAP

See definition for: Lightweight Directory Access Protocol (LDAP)

legacy

Any feature in the computer system based on older technology for which compatibility continues to be maintained in other system components.

Lightweight Directory Access Protocol (LDAP)

An open standard for storing and retrieving people's names, e-mail addresses, phone numbers, and other information. The Windows Address Book supports LDAP for accessing directory services, and it comes with built-in access to several popular directory services. Administrators can specify an additional service for their users.

M

media

Physical material used for storing computer-based information. Typical media choices for IEAK package distribution are CD-ROM, Web download, or floppy disk.

MIME

See definition for: Multipurpose Internet Mail Extensions (MIME)

Multipurpose Internet Mail Extensions (MIME)

A standard that extends SMTP to allow the transmission of such data as video, sound, and binary files across the Internet without translating the data into ASCII format.

See also: SMTP

N

name resolution

The process used on the network for resolving a computer address as a computer name. Name resolution enables computers to find and connect to other computers on the network.

O

There are no glossary terms that begin with this letter.

P

Parental Internet Content Selection (PICS)

Rules that enable Web content providers to use meta tags to voluntarily rate their content according to agreed-upon PICS criteria. A browser can then block user access to Web sites based on the values of the tags.

See also: content ratings

passport

A single sign-in service that lets you use a single name and password on multiple participating Web sites.

PICS

See definition for: Parental Internet Content Selection (PICS)

pilot group

A representative sample of production machines that are used to test an Internet Explorer package before a full deployment to the entire organization. Unlike a test lab, a pilot group uses production machines and users.

See also: deployment

platform

A type of client, such as Windows 2000, Windows NT4.0, Windows Millennium Edition, Windows 98, Windows 3.x, Macintosh, or UNIX.

POP3 (Post Office Protocol 3)

A popular protocol used for receiving e-mail messages. This protocol is often used by ISPs. POP3 servers allow access to a single Inbox in contrast to IMAP servers, which provide access to multiple server-side folders.

See also: SMTP; IMAP

POP3 server

A server that provides access to a single Inbox.

See also: IMAP server

Profile Manager

A tool in the Internet Explorer Administration Kit (IEAK) used by corporate administrators to create and dynamically manage browser and desktop automatic configuration settings.

proxy

A firewall and content cache server that provides Internet security and improves network performance.

Q

Quick Launch bar

A special toolbar area located next to the Start button, designed to provide users with easy access to the Web, e-mail, the desktop, and other basic system services, and to programs or other icons they use most frequently. This toolbar is generally reserved for the user to customize.

R

RAS

See definition for: Remote Access Service (RAS)

realms

A feature of the Connection Manager Administration Kit (CMAK) that provide a prefix (such as company) or suffix (such as @company.com) to a user name when connecting to a Connection Manager service.

See also: Connection Manager Administration Kit (CMAK); Connection Manager

registry

A database repository for information about a computer's configuration. The registry contains information that Windows continually references during operation, such as:

  • Profiles for each user.
  • The programs installed on the computer and the types of documents each can create.
  • Property settings for folders and program icons.
  • What hardware exists on the system.
  • Which ports are being used.

The registry is organized hierarchically as a tree and is made up of keys and their subkeys, hives, and value entries.

registry key

An identifier for a record or group of records in the registry.

Remote Access Service (RAS)

A Windows NT 4.0 service that provides remote networking for telecommuters, mobile workers, and system administrators who monitor and manage servers at multiple offices.

S

Secure Password Authentication (SPA)

A protocol where the server uses an encrypted password to confirm the identity of the user.

Secure Sockets Layer (SSL)

A protocol that supplies secure data communication through data encryption and decryption. This protocol enables communications privacy over networks through a combination of public-key cryptography and bulk data encryption.

security

On a network, protection of a computer system and its data from harm or loss, implemented especially so that only authorized users can gain access to shared files.

security zone

In Internet Explorer, a segment of the Internet or intranet assigned a particular level of security, depending on how much the administrator trusts the content of the Web site. Security zones allow an administrator to restrict user access to certain Web sites.

server-based sign-up

See definition for: sign-up package

Shell Integration

One of the two components installed with Windows Desktop Update. Shell Integration enables users to browse their computers in the same way they browse the Web. Users will find the Go and Favorites menus everywhere.

sign-up package

A set of HTML pages that collect sign-up information from the customer and transfers that information, on demand, to the ISP's sign-up server. The sequence of pages guides the customer through the sign-up process, much like a wizard in a Windows-based program.

See also: Hypertext Markup Language (HTML)

silent installation

Configuring Windows Update Setup so that users are not prompted to make decisions about installation options and are not informed of the installation progress or errors. This option is only available to corporate administrators.

See also: hands-free installation

Simple Mail Transfer Protocol (SMTP)

A member of the TCP/IP suite of protocols that governs the exchange of electronic mail between message transfer agents.

single-disk branding

Customizing an existing installation of Internet Explorer, including Internet sign-up for ISPs, without reinstalling Internet Explorer. This option does not enable you to package and install custom components.

SMTP

See definition for: Simple Mail Transfer Protocol (SMTP)

System Policy

A Windows NT 4.0-style policy based on registry settings made using Poledit.exe, the System Policy Editor.

See also: registry

System Policy Editor

The utility Poledit.exe, used by administrators to set system policy on Windows NT 4.0-based and Windows 95-based computers.

T

title bar text

The text at the top of a program window. Title bar text can be branded for several parts of an Internet Explorer package, including the browser itself, the CD Autorun screen, and Outlook Express.

When you customize the title bar text for Internet Explorer, the text is also added to Outlook Express. The Outlook Express title bar is updated if you distribute Outlook Express as part of your package, or if it is already installed on your user's computer.

U

URL (Uniform Resource Locator)

A Web address, such as "http://www.microsoft.com".

Usenet

Usenet groups are also called newsgroups. They are text-based newsgroups that serve as bulletin boards that any user can post to.

user agent string

Text that identifies the specific version and origin of the browser.

V

versioning

There are two types of Internet Explorer versioning: Each Internet Explorer package is assigned a version number, and versioning can be enforced so that older packages are not allowed to overwrite newer versions of the same package. Individual components in Internet Explorer are also versioned, and the component does not download or install if a compatible version of the component already exists on the client machine. The version number contains a two-letter code denoting the mode you used when building the IEAK package (IC for Internet content providers, IS for Internet service providers, and CO for corporate administrators).

virtual machine

A program that provides an independent operating system environment within another operating system. A virtual machine permits the user to run programs that are native to a different operating system.

W

watermark

A bitmap that is displayed behind the Internet Explorer toolbar. Color the watermark so that it does not obscure the text or graphics of toolbar buttons.

Web path

In the context of the Internet Explorer Administration Kit (IEAK), the Web path is the path used to connect a browser to the Internet Explorer installation files. For example, "www.mycompany.com/ie5."

Web Proxy AutoDiscovery (WPAD)

A standard networking protocol used to help Internet client software automatically locate and interface with cache services within a network.

Welcome page

The page displayed the first time the user runs Internet Explorer. Subsequently, Internet Explorer displays the user's home page each time the user starts the browser.

wildcard character

A keyboard character that can be used to represent one or many characters when conducting a query. The question mark (?) represents a single character, and the asterisk (*) represents one or more characters.

Windows Desktop Update

Windows Desktop Update consists of two components: Active Desktop and Shell Integration. Windows Desktop Update is included in Windows 98, Windows 98 Second Edition, Windows Millennium Edition, Windows 2000, and Windows XP. This component is not reinstalled on machines using any of these operating systems.

Windows Internet Name Service (WINS)

A software service that dynamically maps IP addresses to computer names (NetBIOS names). This allows users to access resources by name instead of requiring them to use IP addresses that are difficult to recognize and remember. WINS servers support clients running Windows NT 4.0 and earlier versions of Microsoft operating systems.

Windows Update Setup

The setup program that installs Internet Explorer and other Internet components. The IEAK allows you to customize Windows Update Setup to provide a better experience for your users.

WINS

See definition for: Windows Internet Name Service (WINS)

X

There are no glossary terms that begin with this letter.

Y

There are no glossary terms that begin with this letter.

Z

There are no glossary terms that begin with this letter.


Downloading and Distributing Your Custom Browser Package

After you click Finish, the wizard builds your custom browser package. In most cases, your next steps are preparing your files for downloading from the Web, and then preparing other media (such as compact discs) for distribution. For more information about media formats, see Media Selection.

Programs and cabinet files distributed via the Internet, or an intranet that is not specially configured, must be digitally signed. Digital signatures show where programs come from and verify that programs haven't been altered. For more information, see Signing Your Programs. If you specified that the Internet Explorer 6 Customization Wizard sign your programs and custom files, then the wizard signs your programs as it builds your package. If you did not specify that the wizard sign your programs and files, then you need to sign these files before users download them.

The steps you will now take to distribute your customized browser will vary based on your role and the media you are using to distribute your package. For more information, click the applicable link below:

  • Internet Content Provider (ICP) or Developer
  • Internet Service Provider (ISP)
  • Corporate Administrator


What Is a Cabinet File?

A cabinet (.cab) file is a library of compressed files stored as a single file. Cabinet files are used to organize installation files that are copied to the user's system. A large compressed file can be spread over several .cab files.

For a number of years, Microsoft has used .cab files to compress software that was distributed on disks. Originally, these files were used to minimize the number of floppy disks shipped with a product. Today, .cab files are used to reduce the file size and the associated download time for Web content that is found on the Internet or on corporate intranet servers.

One file in the cabinet is typically an information (.inf) file, which provides further installation information. The .inf file may refer to files in the .cab as well as to files at other URLs.

The IEAK contains a set of tools that help you build cabinet files and work with IExpress technology.

The cabinet format

Each file compressed in a .cab file is stored completely within a single folder. A .cab file may contain one or more folders or portions of a folder. So, even if a compressed file does not fit in one .cab file, it is placed in one folder that spans multiple .cab files. Such a series of .cab files form a set. Each .cab file contains name information for the logically adjacent .cab files.

The .cab format used for downloading Internet Explorer components from the Internet is a non-proprietary format based on Lempel-Ziv compression.

Digital signatures

A .cab file can be digitally signed like an ActiveX control. A digital signature provides accountability for software developers. The signature associates a software vendor's name with a given file. A signature can be applied to a .cab file using Authenticode technology.

You can use .cab files to create a better end-user experience, because multiple files are downloaded and then a single certificate is presented to the user. Information about this technology is available from the MSDN Online Web Workshop.

When you mark your control "safe for scripting," users know that a script on an HTML page cannot use your control to cause harm to their computers or to obtain information they have not supplied willingly.

When you mark your control "safe for initialization," users know that there is no way an HTML author can harm their computers by feeding your control invalid data when the page initializes it.

Note

  • It is possible to use the code-signing tools to sign entire .cab files using a digital certificate.


Copyright Information

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, email addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, places or events is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 1999-2001 Microsoft Corporation. All rights reserved.

Active Directory, ActiveX, Authenticode, Developer Studio, DirectAnimation, DriveSpace, Hotmail, JScript, Microsoft, Microsoft Internet Explorer logo, MS-DOS, MSDN, MSN, NetMeeting, Outlook, Visual Basic, Visual C++, Windows, Windows logo, Windows Media, Windows NT, and Windows Start logo are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

Macintosh is a registered trademark of Apple Computer, Inc. Intel is a registered trademark of Intel Corporation.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


@@Title@@

banner

@@ConceptualTopicHead@@

@@TextHere@@


System Policies and Settings diagram

 System Policies and Settings


Windows Update Setup diagram

 Internet Explorer Setup


ISP Sign-up Process diagram

 ISP Sign-up Process


How Customization Works diagram

 How Customization Works


Automatic Version Synchronization diagram

 Automatic Version Synchronization


How Automatic Configuration Works diagram

 How Automatic Configuration Works


How to Set Up Files for Distribution diagram

 How to Set Up Files for Distribution


How the IEAK Generates Custom Packages diagram

 How the IEAK Generates Custom Packages


Creating the Internet Connection Wizard Sign-Up Screens

Each of the screens in the Intenet Connection Wizard (ICW) must meet the standards described in Coding Requirements for Internet Connection Wizard Screens.

Creating the Name and Address screen for ICW Sign-up

When the user connects to your sign-up server, the first page the user sees on the sign-up server is the name and address page.

The name and address HTML section is displayed in a frame within the wizard. The frame is 444 pixels wide by 273 pixels high. Scroll bars do not appear if the HTML page exceeds these dimensions.

Creating the Billing Options screen for ICW Sign-up

On the Billing Options page, you present the service billing options that the user chooses from. To do so, you use an HTML form within a frame in the ICW window.

The user should be able to select an option using an HTML radio button, and one of the radio button options must be selected by default. If the user needs to make multiple selections, you can also include HTML check boxes in the frame.

The billing options HTML file that you supply is displayed in a floating frame within the wizard. The frame is 444 pixels wide by 273 pixels high. Scroll bars do not appear if the HTML page exceeds these dimensions.

Creating the Method of Payment screen for ICW Sign-up

On the Payment Methods page, users specify how they want to pay for the Internet service. Each ISP controls which payment methods are available in the payment method list. The information is collected in the form that appears in a frame below the selection, which changes depending on the payment option selected in the list.

You can choose to offer any type of payment method:

  • Credit card (you can specify the type of card, such as Visa or American Express)
  • Debit card
  • Invoice
  • Phone bill charges

Creating the ISP Account Login/E-mail screen for ICW Sign-up

The fourth page on the sign-up server is the Account Login/E-mail page, which enables the user to select an account login and/or e-mail ID and password.

The Account Login/E-mail HTML page that is sent by your sign-up server is displayed in a floating frame within the wizard. The frame is 444 pixels wide by 273 pixels high. Scroll bars do not appear if the HTML page exceeds these dimensions.

Creating the ISP POP Selection screen for ICW Sign-up

The POP selection page is where the user selects a local phone number for Internet access.

The POP Selection HTML page that is sent by the ISP's sign-up server is displayed in a floating frame within the wizard. The frame is 444 pixels wide by 273 pixels high. Scroll bars do not appear if the HTML page exceeds these dimensions.

The user should not be asked to enter an area code or phone number a second time. Any area code or phone number fields in the frame should be pre-populated using the information already sent to the ISP's sign-up server from the Name/Address form.

Creating the ISP Terms and Conditions screen for ICW Sign-up

On the ISP Terms and Conditions page, the ISP shows the legal agreement the user must read to subscribe to the service. To ensure that the user accepts the agreement, the Next button of the ICW is not available until the user clicks I accept the agreement.

The user can save the terms HTML for viewing later by clicking on the Save Copy button. When the user clicks the button, the user is prompted to enter a file name and path for saving the file.

The Terms and Conditions HTML page sent by the ISP's sign-up server is displayed in a floating frame with a 2-pixel border within the wizard. The frame's width is 426 pixels (without the 2-pixel border and vertical scroll bar). A horizontal scroll bar does not appear if the HTML page exceeds the width dimension.

The Terms and Conditions page should begin with the document's title and instructions explaining how the user can find a copy of the legal document on the ISP's Web site to print it or view it again.

Note

  • There are no accessibility requirements for this page because no HTML form elements are allowed on the page.


Creating Icwsign.htm, Error Pages, and the Finish Page for ICW Sign-up

For ICW sign-up, you should design the initial screen the user sees (Icwsign.htm), error pages, and the finish page.

The first screen: Icwsign.htm

The first screen the user sees after installing Internet Explorer and restarting the computer is the branded Icwsign.htm page. On the Icwsign.htm page, the user sees a welcome from the ISP and is asked to either: (a) click Next to begin the sign-up process if there is only one ISP file needed for sign-up; or (b) select the city and state being dialed from, so that the ICW can select the appropriate sign-up server ISP file to use.

When the user clicks Next, the ICW dials and connects the user to the ISP sign-up server. This page is specified in the IEAK and is included in your build of Internet Explorer. It is not hosted on your sign-up server.

Error pages for ICW sign-up

If the data submitted to the sign-up server is invalid at any time during the sign-up process, the server can display an HTML page with a friendly error message. For example, if the customer requests an e-mail name that is already in use, you can suggest alternatives and ask the customer to request a different e-mail address.

The error HTML page that is sent by the ISP's sign-up server is displayed in a floating frame within the wizard. The frame is 444 pixels wide by 273 pixels high. Scroll bars do not appear if the HTML page exceeds these dimensions.

The frame should contain text that lets the user know the data entered was invalid and provides the form elements required for the user to enter new data.

For information about HTML design and required form elements, see Coding Requirements for Internet Connection Wizard Screens.

Finish page for ICW sign-up

When the user clicks Next on the ISP finish page, the .ins file is processed and the computer is configured for the new Internet account. After this is done, the ICW displays its final page, which informs the user that the Internet connection is ready and tells the user how to begin browsing the Internet. There is no ISP-configurable interface on this page.

The finish page also provides the option of beginning browsing immediately when the user selects the Begin browsing immediately check box.

You can use the [URL] value in the .ins file to specify the page the browser displays when it first opens.

Using the .ins file to configure a referral user's computer

After the user finishes the sign-up process, your sign-up server must return information about how to configure the user's computer for Internet access. The .ins file, downloaded at the end of your sign-up process, contains this information.


Find More Information on the Internet

You can find additional information and manage your IEAK account on the Internet.

For more information, see the IEAK Web site. This Web site is updated frequently, so you should check back often for the latest information.


Working with Setup Information (.inf) Files

An information (.inf) file is a text file that specifies the files that need to be present or downloaded for your component to run on 32-bit versions of Windows. The Internet Component Download service uses these instructions to install and register software components downloaded from the Internet and any files required by the components. The Internet Component Download service has been part of Internet Explorer since version 3.0.

An Internet software distribution unit is a "package" consisting of a cabinet file (.cab) that contains an .inf file. A distribution unit can also contain a software component, such as an ActiveX control (.ocx), a .dll file, an .exe file, a Java class file, or a small program. When a cabinet file that contains an .inf file is referenced by the CODEBASE attribute of an OBJECT element on a Web page, Internet Explorer 3.0 or later automatically treats the cabinet file as a software distribution unit.

With .inf files, you can create customized software installation instructions that include registry entries and destination directories. An .inf file can provide limited platform independence and specify limited software dependencies.

The following topics provide you with more information about working with .inf files:

  • Setup Information File (.inf) Definition
  • Manipulating Folders and Files by Using Setup Information (.inf) Files
  • Extensions to Windows Setup
  • Providing Uninstall Functionality in an .inf Script
  • Using RunOnce Technology
  • Sample .inf File for Component Download Service

Note

  • For more information about the Internet Component Download service, see the MSDN Online Web Workshop.


[ActiveSetup]

WizardBitmap

Value: file path

Full path to the bitmap file that appears in the left pane of the Setup Wizard.

WizardBitmap Top

Value: file path

Full path to the bitmap file that appears across the top of the Setup Wizard.

WizardTitle

Value: string

Text that appears in the Setup Wizard title bar.


[ActiveSetupSites]

SiteName0

Value: string

Friendly name of the site from which users download files.

SiteRegion0

Value: string

Geographical region where the first download site is located.

SiteURL0

Value: URL

URL of the first download site.

SiteName1

Value: string

Friendly name of the second site from which users download files.

SiteRegion1

Value: string

Geographical region where the second download site is located.

SiteURL1

Value: URL

URL of the second download site.

SiteNameX

Value: string

Friendly name of the third or subsequent site users download files from.

SiteRegionX

Value: string

Geographical region where the third or subsequent download site is located.

SiteURLX

Value: URL

URL of the third or subsequent download site.

TestCertsOK

Value: 0 | 1

Specifies whether to use test certs. Set to 1 to use test certs.


[Animation]

Big_Name

Value: file name

Name of the bitmap file that contains the frames for the 38x38-pixel animation.

Big_Path

Value: file path

Full path to the 38x38-pixel animated bitmap file.

DoAnimation

Value: 0 | 1

Specifies whether to customize the animation. Set to 1 to customize the animation.

Small_Name

Value: file name

Name of the bitmap file that contains the frames for the 22x22-pixel animation.

Small_Path

Value: file path

Full path to the 22x22-pixel animated bitmap file.


[Batch]

Build_CD

Value: 0 | 1

Specifies whether you are building a custom package for CD distribution. Set to 1 to build a package for CD distribution.

Build_Floppy

Value: 0 | 1

Specifies whether you are building a custom package for distribution on a single floppy disk. Set to 1 to build a package for distribution on a single floppy disk.

Build_MultiFloppy

Value: 0 | 1

Specifies whether you are building a custom package for distribution on multiple floppy disks. Set to 1 to build a package for distribution on multiple floppy disks.

Build_W31

Value: 0 | 1

Specifies whether to build a package for distribution to Windows 3.1 users. Set to 1 to build a package for distribution to Windows 3.1 users.


[Big_Logo]

Name

Value: file name

The name of the 38x38-pixel bitmap file that appears in the top right corner of the browser.

Path

Value: file path

The path to the 38x38-pixel bitmap file that appears in the top right corner of the browser.


[Branding]

Add on URL

Value: http://server/addons/addon.htm

Add-on URL for Product Updates command in the browser.

BrowserDefault

Value: 0 | 1 | 2

In corporate administrator mode, set to 0 to lock down Internet Explorer as the default browser; set to 1 to preserve the existing default browser; or set to 2 to let user decide.

CMBitmapName

Value: file_name

File name of the Connection Manager custom bitmap.

CMBitmapPath

Value: path

Full path to the Connection Manager custom bitmap file.

CMProfileName

Value: file_name

Name of the Connection Manager profile.

CMProfilePath

Value: path

Full path to the Connection Manager profile.

CMUseCustom

Value: 0 | 1

Specifies whether to use a custom Connection Manager profile. Set to 1 to use a custom profile.

CompanyName

Value: name

Name of the company with a valid IEAK license that is building this .ins file.

EncodeFavs

Value: 0 | 1

Set to 1 to correctly encode the [Favorites] section generated by the IEAK, for versions of Internet Explorer earlier than 5.0.

FavoritesDelete

Value: hexadecimal

Set this value to 0x89 to remove all existing Favorites and Quick Links. This feature is used by corporate administrators only.

FavoritesOnTop

Value: 0 | 1

Set to 1 to put new favorite items at the top of the Favorites menu.

IE4 Welcome Msg

Value: 0 | 1

Set to 1 to go to a welcome page the first time the browser is opened.

Language ID

Value: number

Code page of the language used.

Language Locale

Value: locale

Locale of the version of Internet Explorer being customized, as denoted by a two-letter string, for example, EN for English.

NoDial

Value: 0 | 1

For ISPs: Set to 1 if not using any kind of an IEAK-based sign-up process.

NoIELite

Value: 0 | 1

Set to 1 if you want the Active Setup Wizard to optimize for download, using existing files if possible.

Silent Install

Value: 0 | 1

For corporate adminstrators: set to 1 if you want Windows Update Setup to run non-interactively, but show progress and error messages.

StealthInstall

Value: 0 | 1

For corporate administrators: Set to 1 if you want Windows Update Setup to run without any visual feedback.

Toolbar Bitmap

Value: path_and_file_name

Full path to the bitmap that appears on the browser toolbar.

Type

Value: 0 | 1 | 2

Specifies the type of customization being used: 2 = Corporate Administrator, 1 = Internet service provider, 0 = Internet content provider.

User Agent

Value: string

String to be appended to default User Agent string.

Version

Value: string

Version of the browser, for example, 6, 0, 0, 1.

WebIntegrated

Value: 0 | 1

Specifies whether the Internet Explorer 4.x integrated shell is included in this package. Set to 1 if it is included.

Win32DownloadSite

Value: url

URL from which the Windows Update Setup file (IEsetup.exe) is downloaded.

Window_Title

Value: string

Customized window title for Internet Explorer.

Window_Title_CN

Value: string

The company name to be appended to the window title.

WizardVersion

Value: string

Version of the IEAK wizard that created the .ins file. for example, 6.00.0707.2800.


[BrowserToolbars]

Action0

Value: path_and_file_name

Path and file name for the executable file associated with a custom toolbar button.

Caption0

Value: caption

Caption for the custom toolbar button.

DeleteButtons

Value: 0 | 1

Specifies whether to delete existing custom toolbar buttons on installation. Set to 1 to delete the buttons.

HotIcon0

Value: path_and_file_name

The highlighted icon (an .ico file) to appear on the button when moused over.

Icon0

Value: path_and_file_name

The dimmed icon (an .ico file) to appear on the button when not moused over.

Show0

Value: 0 | 1

Specifies whether to display the new button on the toolbar by default. Set to 1 to display the button.

ToolTipText0

Value: text

ToolTip text for the custom button.


[CabSigning]

InfoURL

Value: URL

The URL that appears on the certificate dialog box.

Name

Value: string

The company name that is associated with the certificate.

pvkFile

Value: file path

The path to the privacy key file.

spcFile

Value: file path

The path to the certificate file.


[CDCustomFiles]

DisableStart

Value: 0 | 1

Specifies whether you want to use a CD Autorun program. Set to 0 to use a CD Autorun program.

MoreInfo

Value: file path

The file that opens when users click More Info on the CD Autorun screen.

StartHtm

Value: file path

An HTML page that is accessed from the CD Autorun screen.


[ConnectionSettings]

ConnectName0

Value: string

Name for the connection.

ConnectName1

Value: string

DeleteConnectionSettings

Value: 0 | 1

Specifies whether to remove the existing connection settings at install time. Corporate Administrator Mode Only: Set to 1 to remove the settings.

Option

Value: 0 | 1

Set to 1 if a user chooses to import connection settings in the IEAK Wizard.


[CustomBranding]

Branding

Value: url

URL for the branding .cab file, for example, http://www.yourserver.net/cabs/branding.cab.


[CustomWallpaper]

File0

Value: file_name

HTML file to use for your custom wallpaper.

File1

Value: file_name

Supporting files for custom wallpaper.

NumFiles

Value: 2

Total number of files for custom wallpaper.


[Device]

Type

Value: string

The type of connection being used for Windows Update Setup, for example, modem.


[Entry]

Cancel

Value: Yes | No

Specifies whether to cancel the sign-up process. Used by the Internet Connection Wizard. Set to Yes to cancel the sign-up process.

Entry_Name

Value: string

The name of the Dial-Up Networking connection.


[ExtRegInf]

Chat

Value: string

Information (.inf) file and install mode for components, for example: *,chat.inf,DefaultInstall.

Conf

Value: string

Information (.inf) file and install mode for components, for example: *,conf.inf,DefaultInstall.

Inetres

Value: string

Information (.inf) file and install mode for components, for example: *,inetres.inf,DefaultInstall.

Inetset

Value: string

Information (.inf) file and install mode for components, for example: *,inetset.inf,DefaultInstall.

Oe

Value: string

Information (.inf) file and install mode for components, for example: *,oe.inf,DefaultInstall.

Shell

Value: string

Information (.inf) file and install mode for components, for example: *,shell.inf,DefaultInstall.

Sp1shell

Value: string

Information (.inf) file and install mode for components, for example: *,sp1shell.inf,DefaultInstall.

Subs

Value: string

Information (.inf) file and install mode for components, for example: *,subs.inf,DefaultInstall.

ConnectionSettings

Value: string

Information (.inf) file and install mode for components, for example: *,connect.inf,DefaultInstall.


[FavoritesEx]

IconFile1

Value: path_and_file_name

Icon for the favorite item to be added.

Offline1

Value: 0 | 1

Specifies whether the favorite item is made available for offline browsing. Set to 1 to make it available.

Title1

Value: string

Title of the favorite.

Url1

Value: url

URL for the favorite item.


[HideCustom]

GUID

Value: 0 | 1

Specifies whether this is a hidden component. Set to 1 if this is a hidden component.


[ICW_IEAK]

Header_Bitmap

Value: file path

Specifies the path to the custom header bitmap file that appears in the Internet Connection Wizard (ICW).

Watermark_Bitmap

Value: file path

Specifies the path to the custom watermark bitmap that appears in the ICW.


[Internet_Mail]

Default_Client

Value: Yes | No

Specifies whether Internet Mail is the default client (for Internet Explorer 4.x Custom).

Infopane

Value: path_and_file_name

HTML file for the branded InfoPane in the customized Outlook Express.

Infopane_Bitmap

Value: path_and_file_name

Branded .gif file for the customized Outlook Express.

Junk_Mail_Filtering

Value: 0 | 1

Specifies whether to activate the junk-mail filtering feature by default. Set to 1 to activate the feature.

Logon_Using_SPA

Value: Yes | No

Specifies whether to log on using Secure Password Authentication.

POP_Server

Value: string

Host name of POP3 Server to be set by default, for example, pop.yourserver.net.

SMTP_Logon_Required

Value: 0 | 1

Specifies whether to require logging on to SMTP Server by default. Set to 1 to require logging on.

SMTP_Logon_Using_SPA

Value: Yes | No

Specifies whether to log on to SMTP Server using Secure Password Authentication.

SMTP_Server

Value: string

Host name of SMTP server to be set by default, for example, smtp.yourserver.net.

Use_IMAP

Value: Yes | No

Specifies whether to use IMAP protocol for e-mail.

Welcome_Address

Value: string

The "From Address" for the Welcome message in Outlook Express, for example, welcome@yourserver.net.

Welcome_Message

Value: path_and_file_name

Location of the HTML file containing the Welcome message.

Welcome_Name

Value: string

Friendly name of the "From Address" for the welcome message, for example, "Welcome To Custom Internet Mail!"

Window_Title

Value: string

Custom window title for Outlook Express.


[Internet_News]

Default_Client

Value: Yes | No

Specifies whether to use Outlook Express as the default news client.

Logon_Required

Value: 0 | 1

Specifies whether NNTP server requires that users log on to it. Set to 1 if users must log on.

Logon_Using_SPA

Value: Yes | No

Specifies whether NNTP server uses Secure Password Authentication.

NNTP_Server

Value: string

Host name of your NNTP Server, for example, news.yourserver.net.


[ISP_Security]

RootCertPath

Value: path_and_file_name

A root certificate to add to the system.


[LDAP]

AuthType

Value: 0 | 2

Specifies how the Windows Address Book accesses directory services. Set to 0 to authenticate through the built-in access to popular directories. Set to 2 to authenticate through SPA. For more information, see Address Book Directory Service.

Bitmap

Value: path_and_file_name

C:\My Documents\Branding\LDAP.bmp.

Checknames

Value: 0 | 1

Specifies whether to have Outlook Express always check names and e-mail addresses against the LDAP server. Set to 1 to have Outlook Express always check.

FriendlyName

Value: string

Friendly name for the LDAP server account.

HomePage

Value: url

Location of the home page for the browser.

SearchBase

Value: url

Location of the search page for the browser.

Server

Value: string

Host name of the LDAP server, for example, LDAP-SRV-1.


[Mail_Signature]

Signature_Text

Value: string

Boilerplate text that is automatically added to the end of e-mail messages or newsgroup postings. Ends with the characters "\n".

Use_Mail_For_News

Value: 0 | 1

Specifies whether to add the value of Signature_Text to the end of postings to newsgroups. Set to 1 to include the signature.

Use_Signature

Value: 0 | 1

Specifies whether to add the value of Signature_Text to the end of e-mail messages. Set to 1 to include the signature.


[Media]

Build_CD

Value: 0 | 1

Specifies whether you are creating a CD installation package. Set to 1 to create the package.

Build_Download

Value: 0 | 1

Specifies whether you are creating an installation package that your users can download. Set to 1 to create the package.

Build_Floppy

Value: 0 | 1

Specifies whether you are creating a branding-only installation package that fits on a single floppy disk. Set to 1 to create the package.

Build_LAN

Value: 0 | 1

Specifies whether you are creating a LAN-based installation package. Set to 1 to create the package.

Build_MultiFloppy

Value: 0 | 1

Specifies whether you are creating an installation package that fits on multiple floppy disks. Set to 1 to create the package.


[Outlook_Express]

Contacts

Value: 0 | 1

Specifies whether to display contacts by default.

Folder_Bar

Value: 0 | 1

Specifies whether to display the folder bar by default.

Folder_List

Value: 0 | 1

Specifies whether to display the folder list by default.

Outlook_Bar

Value: 0 | 1

Specifies whether to display the Outlook bar by default.

Preview_Pane

Value: 0 | 1

Specifies whether to display the preview pane by default.

Safe_Attachments

Value: 0 | 1

Specifies whether attachments can be saved or opened if they are believed to contain a virus. Set to 0 to allow attachments to be saved or opened.

Show_Preview_Beside_Msgs

Value: 0 | 1

Specifies whether to display the message preview by default. Set to 1 to display the message preview.

Show_Preview_Header

Value: 0 | 1

Specifies whether to display the preview pane header bar by default.

Show_Toolbar_Text

Value: 0 | 1

Specifies whether to display the toolbar text by default.

Status_Bar

Value: 0 | 1

Specifies whether to display the status bar by default.

Tip_Day

Value: 0 | 1

Specifies whether to display the tip of the day by default.

Toolbar

Value: 0 | 1

Specifies whether to display the toolbar by default.

Warn_on_Mapi_Send

Value: 0 | 1

Specifies whether you want a warning message to appear when other applications send mail as you. Set to 1 to receive a warning message.


[Outlook_Express_Global]

Read_Only

Value: 0 | 1

Specifies whether to make server names read-only in the Outlook Express settings. Set to 1 to make the server names read-only.

Service_Name

Value: name

Company name.

Service_URL

Value: url

Location of the mail service.


[Phone]

Area_Code

Value: number

Area code for dial-up connection.

Country_Code

Value: number

Country/region code for dial-up connection.

Country_ID

Value: number

Country/region ID for dial-up connection.

Dial_As_Is

Value: Yes | No

Dial the phone number as is, without adding area code or any other numbers.

Phone_Number

Value: number

Phone number to dial.


[Proxy]

FTP_Proxy_Server

Value: proxy

Host name for proxy server.

Gopher_Proxy_Server

Value: proxy

Host name for proxy server.

HTTP_Proxy_Server

Value: proxy

Host name for proxy server.

Proxy_Enable

Value: 0 | 1

Specifies whether to use a proxy server. Set to 1 to use a proxy server.

Proxy_Override

Value: string

Host name for a proxy server, for example, <LOCAL>.

Secure_Proxy_Server

Value: proxy

Host name for proxy server.

Socks_Proxy_Server

Value: proxy

Host name for proxy server.

Use_Same_Proxy

Value: 0 | 1

Specifies whether to use one proxy server for all services. Set to 1 to use the same proxy server.


[Script_File]

1

Value: text

First line of the script file.

2

Value: text

Second line of the script file.

3

Value: text

Third line of the script file.

n

Value: text

Text of line n in the script file.


[Scripting]

Name

Value: file_name

File name of Dial-Up Networking script, for example, dialup.scp.

Name16

Value: file_name

File name of Dial-Up Networking script (16-bit).

Name32

Value: file_name

File name of Dial-Up Networking script (32-bit).

Path16

Value: path_and_file_name

Full path to 16-bit script.

Path32

Value: path_and_file_name

Full path to 32-bit script.


[Security Imports]

ImportAuthCode

Value: 0 | 1

Specifies whether to import the existing Authenticode settings.

ImportRatings

Value: 0 | 1

Specifies whether to import the existing Content Ratings settings.

ImportSecZones

Value: 0 | 1

Specifies whether to import the existing Security Zones settings.

ImportSiteCert

Value: 0 | 1

Specifies whether to import existing site Certificate Authorities.

Win16SiteCerts

Value: 0 | 1

Specifies whether to use site certificates for 16-bit Windows computers.


[Server]

Disable_LCP

Value: Yes | No

Specifies whether to use information about how to configure users' computers for Internet access. This information is used at the end of the Internet Connection Wizard sign-up process.

Negotiate_IPX/SPX

Value: Yes | No

Specifies whether to use the IPX protocol.

Negotiate_NetBEUI

Value: Yes | No

Specifies whether to use the NetBEUI protocol.

Negotiate_TCP/IP

Value: Yes | No

Specifies whether to use the TCP/IP protocol.

Network_Logon

Value: Yes | No

Specifies whether to log on to the network.

PW_Encrypt

Value: Yes | No

Specifies whether to use an encrypted password.

SW_Compress

Value: Yes | No

Specifies whether to use software compression.

SW_Encrypt

Value: Yes | No

Specifies whether to require data encryption.

Type

Value: string

Server type, for example, "ppp."


[Signature]

Signature_Text

Value: string

Text of an e-mail signature. Ends with the characters "\n".

Use_Signature

Value: 0 | 1

Specifies whether to use a signature.


[SignupFiles]

File0

Value: file name

Name of the first file used in your sign-up process, for example, cancel.ins.

File1

Value: file name

Name of the second file used in your sign-up process, for example, sign-up.htm.

File2

Value: file name

Name of the third file used in your sign-up process, for example, sign-up.isp.

File3

Value: file name

Name of the fourth file used in your sign-up process.


[Small_Logo]

Name

Value: file name

The name of the 22x22-pixel bitmap file that appears in the top right corner of the browser.

Path

Value: file path

The path to the 22x22-pixel bitmap file that appears in the top right corner of the browser.


[TCP/IP]

DNS_Address

Value: string

IP number of the DNS server to use, for example, 127.0.0.1 .

DNS_Alt_Address

Value: string

IP number of the alternate DNS server to use, for example, 127.0.0.1 .

Gateway_On_Remote

Value: Yes | No

Specifies whether to use a remote gateway.

IP_Header_Compress

Value: Yes | No

Specifies whether to use IP header compression.

Specify_IP_Address

Value: Yes | No

Specifies whether to use an IP address.

Specify_Server_Address

Value: Yes | No

Specifies whether to use a server address.


[URL]

AutoConfig

Value: 0 | 1

Specifies whether to automatically configure the customized browser. Set to 1 to automatically configure the browser.

AutoConfigJSURL

Value: url

URL for the automatic proxy file, which is written in either JavaScript or Microsoft JScript.

AutoConfigTime

Value: integer

Automatically configures the browser after it has run this number of minutes.

AutoConfigURL

Value: url

URL for the autoproxy file.

FirstHomePage

Value: url

Page to browse to the first time the customized browser is run.

Help_Page

Value: url

URL of a Web page offering technical support.

Home_Page

Value: url

URL for the default home page.

NoWelcome

Value: 0 | 1

Specifies whether to not display a welcome page the first time the browser is used. Set to 1 to not display the welcome page.

Quick_Link_1

Value: url

A Quick Links URL.

Quick_Link_1_Name

Value: string

Name associated with Quick_Link_1.

Quick_Link_2

Value: url

The second Quick Links URL.

Quick_Link_2_Name

Value: string

Name associated with Quick_Link_2.

Quick_Link_X

Value: url

A Quick Links URL.

Quick_Link_X_Icon

Value: path_and_file_name

A Quick Links icon.

Quick_Link_X_Name

Value: string

Name associated with Quick_Link_X.

Quick_Link_X_Offline

Value: 0 | 1

Specifies whether to make the quick link available for offline browsing.

Search_Page

Value: url

Default Search page.

Signup

Value: path_and_file_name

Path to the page containing a link to the .ins file for the sign-up server.

UseLocalIns

Value: 0 | 1

Specifies whether to use a local .ins file.


[User]

Display_Password

Value: Yes | No

Specifies whether to display the password.

Name

Value: string

User name.

Password

Value: string

Password.

Requires_Logon

Value: Yes | No

Specifies whether a user logon is required.


Internet Settings File Entries

The following sections appear in the Internet settings (.ins) file:

  • [Animation]
  • [ActiveSetup]
  • [ActiveSetupSites]
  • [Batch]
  • [Big_Logo]
  • [Branding]
  • [BrowserToolbars]
  • [CabSigning]
  • [CDCustomFiles]
  • [ConnectionSettings]
  • [Custom Branding]
  • [Custom Wallpaper]
  • [Device]
  • [Entry]
  • [ExtRegInf]
  • [FavoritesEx]
  • [HideCustom]
  • [ICW_IEAK]
  • [Internet_Mail]
  • [Internet_News]
  • [ISP_Security]
  • [LDAP]
  • [Mail_Signature]
  • [Media]
  • [Outlook_Express_Global]
  • [Outlook_Express]
  • [Phone]
  • [Proxy]
  • [Scripting]
  • [Script_File]
  • [Security Imports]
  • [Server]
  • [Signature]
  • [SignupFiles]
  • [Small_Logo]
  • [TCP/IP]
  • [URL]
  • [User]


Creating Multiple Versions of the Browser

Use this process to create different versions of the browser (for example, versions with different mail servers) that share many of the same settings.

The Internet Explorer 6 Customization Wizard displays the settings you specified for the original version of your custom browser. These settings are stored in the Install.ins file. By renaming the .ins files, you can quickly make changes to each version of your custom browser.

  1. Create one version of your custom browser using the wizard.
  2. Rename the Install.ins file, which is located in the CIE\Custom folder. For example, if you need a version for users located in Texas, you might want to name the file Texas.ins.
  3. Open the Signup.htm file in the CIE\Custom folder. Create a link in this file to the Texas.ins file.
  4. Run the wizard again and specify the same custom folder as the destination directory for the output files.

    5. Be careful to keep wizard settings the same across all builds, except for the following settings, which you can customize for each build:

    • Logo
    • Title bar text
    • Favorites
    • Links bar
    • Home page and Search bar
    • Mail servers and domain
  5. Repeat steps 2 through 4 until you have created each version of your custom browser.

For an illustration of how branding is applied to your customized browser, see How Customization Works.


Creating an .isp File

If you are implementing a sign-up process with your custom browser package, an Internet sign-up (.isp) file named Signup.isp provides dial-up information for your Internet services. For a server-based sign-up method, this sign-up file also contains a link to the URL of the server script that generates your .ins configuration file. The IEAK Toolkit includes a tool, the ISP File Wizard, that you can use to generate your .isp file automatically.

To install the ISP File Wizard, double-click Filewiz.exe in the \<IEAK program folder>\Toolkit\ISP\Wizard folder.

To start the ISP File Wizard
  • Click Start, point to Programs, and then click ISP File Wizard.
  • Follow the instructions in the wizard to create an .isp file with your custom settings.

Note

  • You can prevent a default area code from being set by setting a flag in the .isp file. The syntax for this flag is:
    Dial_As_Is=Yes

    You might want to set this flag if, for example, some users might be calling from an area code different than the default. If users are not aware that the default area code differs from their current area code, they could unexpectedly incur long-distance charges.


Using Microsoft Product Support Services

Help is available to you from many different sources. Take the time to read the following information so that we may direct you to the most appropriate help source, depending on the type of user you are and how you are using this product.

The services and prices listed here are available in the United States only. Support services and prices may vary outside the United States. Microsoft support services are subject to current prices, terms, and conditions, and are subject to change without notice.

For international support, go to Online Support at http://www.microsoft.com/support/, and then click Support by worldwide location. In addition, international subsidiary phone numbers and contact information are listed below.

Self-help

Whether you are an IT Professional, system administrator, developer, reseller, consultant, or solution provider, the Microsoft Professional Online Support Web site can help you get the most up-to-date answers swiftly and easily. Here you can use self-help tools plus search on a wide variety of technical information. If you need additional help, Professional Online Support provides an easy way to submit support incidents directly to Microsoft via the Web.

Connect to Online Support at http://www.microsoft.com/support/.

Assisted Support

You can access Assisted Support via Professional Online Support or by telephone. Support fees are billed to your VISA, MasterCard, or American Express card.

Note

If your Microsoft product was preinstalled or distributed with your personal computer or dedicated system (Windows CE-based device), or provided by an Internet Service Provider (ISP), and your Product ID (PID) contains the letters "OEM" after the first five digits, you are welcome to use the many online no-charge self-help or paid assisted support offerings provided by Microsoft. No-charge assisted support for OEM licenses is not provided by Microsoft. Contact the personal computer manufacturer, device/system manufacturer, or ISP directly for more information regarding no-charge and paid offerings for support of your product. Check the documentation that came with your personal computer or check our list of manufacturer phone numbers at http://support.microsoft.com/support/webresponse/pid/oem.asp.

Retail versions of Microsoft software are those stand-alone packaged products purchased at retail stores or through mail order resellers. Microsoft products preinstalled or distributed with your personal computer, dedicated system (Windows CE-based device), or provided by an Internet Service Provider (ISP) or purchased through a volume licensing program such as Select, Open, or License Packs receive all Microsoft support privileges, excluding no-charge assisted support.

When you contact Product Support Services, you should be at your computer and have the following information at hand:

  • The version of the Microsoft product you use.
  • The type of hardware you use, including network hardware, if applicable.
  • The operating system you use.
  • The exact wording of any informational or error messages that appeared on your screen.
  • A description of what happened and what you were doing when the problem occurred.
  • A description of how you tried to solve the problem.

To find the Assisted Support option for you, choose from the following job titles that best describes your role:

Administrator in small or medium organization or IT professional

Self-help

Help yourself to Professional Support from the TechNet Web site, a great resource for IT professionals and administrators at http://technet.microsoft.com/.

Assisted Support

To work directly with a Microsoft support professional, you can use Assisted Professional Support on the Web or by telephone.

In the US: $195 US per Web incident & $245 US per phone incident. Assisted Professional Support is available 24 hours a day, 7 days a week, including holidays.

On the Web: Professional Support on the Web is available 24 hours a day, 7 days a week via the TechNet Web site. To submit an incident, go to http://technet.microsoft.com/reg/support/.

By Phone: In the US, IT Professionals call 1 (800) 936-4900, 24 hours a day, 7 days a week, including holidays. Original Equipment Manufacturers call (800) 936-2197

Text telephone (TTY/TDD) available 24 hours a day, 7 days a week, including holidays. In the United States and Canada, call (425) 635-4948.

System administrator or user in a large enterprise

Most large enterprises have an internal support organization that has a formal support arrangement with Microsoft or its partners. Check with this group first for your technical support. In addition, Web-based self-help support is available direct from Microsoft at http://www.microsoft.com/support/. This site also has details about purchasing support contracts from Microsoft or its partners.

Microsoft Certified Solution Provider

Self-help

Help yourself to Professional Support from the MCSP Program Web site, a great resource for Microsoft Certified Solution Providers at http://www.microsoft.com/mcsp/.

Assisted Support

To work directly with a Microsoft Support Professional, you can use Assisted Professional Support on the Web or by telephone.

In the US: $100 US per Web incident & $125 US per phone incident. Professional Support is available 24 hours a day, 7 days a week, including holidays.

On the Web: Professional Support on the Web is available 24 hours a day, 7 days a week via the MCSP Program Web site. To submit an incident, go to http://www.microsoft.com/mcsp/.

By Phone: In the US, call 1-(888)-677-9444 24 hours a day, 7 days a week, including holidays.

Text telephone (TTY/TDD) available 24 hours a day, 7 days a week including holidays. In the United States call (425) 635-4948.

If you are interested in becoming a Microsoft Certified Solution Provider, go to http://www.microsoft.com/mcsp/.

Developer

Self-help

Help yourself to Professional Support from the MSDN Online Web site, a great resource for developers at http://msdn.microsoft.com.

Assisted Support

To work directly with a Microsoft Support Professional, you can use Assisted Professional Support on the Web or by telephone.

In the US: $195 US per Web incident & $245 US per phone incident. Available 24 hours a day, 7 days a week, including holidays.

On the Web: Professional Support on the Web is available 24 hours a day, 7 days a week via the MSDN Web site. To submit an incident, go to http://support.microsoft.com/servicedesks/msdn/.

By Phone: In the US and Canada, call (800) 936-5800, 24 hours a day, 7 days a week, including holidays.

Text telephone (TTY/TDD) available 24 hours a day, 7 days a week, including holidays. In the United States, call (425) 635-4948.

Reseller or consultant

Self-help

Help yourself to Professional Support from the Direct Access Web site, a great web resource for resellers and consultants at http://www.microsoft.com/directaccess/.

Assisted Support

To work directly with a Microsoft Support Professional, you can use Assisted Professional Support on the Web or by telephone.

In the US: $195 US per Web incident & $245 US per phone incident. Available 24 hours a day, 7 days a week, including holidays.

On the Web: Professional Support on the Web is available 24 hours a day, 7 days a week via the Direct Access Web site. To submit an incident, go to http://premium.microsoft.com/da_support/.

By Phone: In the US, call 1 (888) 456-5570, 24 hours a day, 7 days a week, including holidays.

Text telephone (TTY/TDD) available 24 hours a day, 7 days a week including holidays. In the United States and Canada, call (425) 635-4948.

International Subsidiary Information

Argentina

Microsoft de Argentina S.A.
Fax: (54-11) 4316-1922
Customer Service: (54-11) 4316-4600
Technical Support: Phone: (54-11) 4316-4664
See also Argentina

Armenia

See Russia

Australia

Microsoft Pty. Ltd.
Phone: 13 20 58
Fax: 612 9023 5021
Technical Support:
Phone: 13 20 58
See also Australia

Austria

Microsoft Ges.m.b.H.
Phone:(+43) 1 610 64 -0
Fax: (+43) 1 610 64 -200
InfoServices: 08000-123 345, Fax: +43-2236-64595, InfoService@microsoft.at
Direct Services (Updates, etc.): (+43) 1 795 67028, Fax: (+43) 1 795 67029, austria@msdirectservices.com
Technical Support:
Standard support for installation and handling: (+43) 1 50222-2255

Azerbaijan

See Russia

Belarus

See Russia

Belgium

Microsoft NV
Phone: +32 2 704 30 00
Fax: +32 2 704 35 35
TechNet Subscription: +353 1 703 8738
MSDN Subscription: +32 2 513 86 84
Microsoft Information Center: +32 2 513 31 13
Technical Support:
+32 2 513 32 74 (Dutch speaking)
+32 2 502 34 32 (English speaking)
+32 2 513 22 68 (French speaking)
See also Belgium

Bolivia

See Uruguay

Brazil

Microsoft Informatica Ltda.
Phone: (55)(11) 5514-7100
Fax: (55)(11) 5514-7106/5514-7107
Technical Support:
Phone: (55)(11) 5504-2155
Fax: (55)(11) 5504-2227
Automatic Fax: (55)(11) 5506-8506
Bulletin Board Service: (55)(11) 5506-1234
Customer Services: (55)(11) 822-5764
Customer Services Fax: (55)(11) 822-6227
See also Brazil

Canada

Microsoft Canada Co. Head Office
Phone: 1-(905)-568-0434
Customer Information Centre: 1-(800)-563-9048
Technical Support:
Desktop Systems including Microsoft Windows 95: (905) 568-4494
Microsoft Office and Office Components: (905) 568-2294
Other Standard Technical Support: (905) 568-3503
Priority Support Information: 1-(800)-668-7975
Text Telephone (TTY/TDD): (905) 568-9641

Caribbean

Microsoft Caribbean, Inc.
Phone: (809) 273-3600
Fax: (809) 273-3636 Technical
Support/Soporte Tecnico: (408) 953-8086
Support E-mail/Correo Electronico para Soporte Tecnico: mscasup
Customer Service/Centro de Servicios: (800) 297-5982 for area codes 787 & 809 only
Customer Service E-mail/Correo Electronico para Atencion a Usarios: msccatus
See also Caribbean Online

Central America

Technical Support/Soporte Tecnico: (506) 298-2020
Support E-mail/Correo Electronico para Soporte Tecnico: mscasup
Customer Service/Centro de Servicios: (506) 298-2000
Customer Service E-mail/Correo Electronico para Atencion a Usarios: msccatus

Chile

Microsoft Chile S.A.
Phone: 56-2-330-6000
Fax: 56-2-330-6190
Customer Service: 56-2-800-330600
Personal Operating Systems and Applications:
Phone: 56-2-330-6222
Fax: 56-2-341-1439
See also Chile Online

China

Microsoft (China) Co. Ltd
6/F, Beijing Sigma Center
No. 49, Zhichun Road, Haidian District
Beijing, 100080, PRC
Phone: 011-86-10-6261 7711
Fax: 011-86-10-6253 6630

Microsoft Asia Regional Engineering Center
19th - 20th Floor, Metro Tower
No. 30 Tian Yao Qiao Road
Shanghai, 200030, P.R.C.
Phone: 011-86-21-6469 1188/011-86-21-6469 8899
Fax: 011-86-21-6469 1166/011-86-21-6469 9900

Colombia

Microsoft Colombia
Carrera 7a. # 71-21 Torre B Piso 7
Santa Fé de Bogotá
Phone: (571) 3173838
Fax: (571) 3173494
Technical Support: Línea de Respuesta Bogota
Phone: 524-0404
Other cities: 9800-10595
Fax: (091) 524-0405

Croatia

Microsoft Hrvatska d.o.o.
Trg D. Petrovica 3
10 000 Zagreb
Croatia
Phone: 385 1 4802 500
Fax: 385 1 4843 688
Technical Support:
Phone: 385 1 393539, E-mail: hot-line@microsoft.hr
Customer Service: Phone: + 385 0800 300 300, E-mail: info-line@microsoft.hr

Czech Republic

Microsoft s.r.o.
Phone (+420)(2) 611 97 111
Fax: (+420)(2) 611 97 100
Technical Support: (+420)(2) 2150 3222

Denmark

Microsoft Denmark
Phone: (45) 44 89 01 00
Fax: (45) 44 68 55 10
Technical Support:
Phone: (45) 44 89 01 11
Microsoft Sales Support: (45) 44 89 01 90
Microsoft FastTips: (45) 44 89 01 44 (Document 303030 in FastTips contains detailed instructions)
Microsoft MSDL (BBS): (45) 44 66 90 46
See also Denmark

Dominican Republic

See Central America

Ecuador

Corporation Microsoft del Ecuador S.A.
Phone/PBX: (593 2) 460453
Fax: (593 2) 463093
Customer Service/Technical Support: (593 2) 258025
See also Ecuador Online

Egypt

Technical Support:
Personal Operating Systems, Desktop Applications, and Development Tools installation only:
Phone: 202 338 8724, 202 338 9794
Fax: (202) 360 4976
E-mail: mssupport@gbrands.com

England

See United Kingdom

Estonia

Technical Support: (+372) 650 49 99
See also Germany Online

Finland

Microsoft OY
Phone: +358-(0)9-525 501
Fax: +358-(0)9-878 8770
Technical Support:
Phone: +358 (0) 9-525 502 5026
Standard +358 (0) 9-525-502-500
Priority: +358 (0) 9-525-502-20
See also Finland

France

Phone: (011)(33) 825 827 829 (*)
Fax: (33) 01 64-46-06-60
Telex: MSPARIS 604322
Customer Service:
Phone: (011)(33) 0 825 827 829 (*)
Technical Support:
Phone: (011)(33) 825 827 829 (*) access code 1020
Fax: (011)(33) 1 69 28 00 28
(*) indigo number 0,99 F TTC per minute

French Polynesia

See France

Georgia

See Russia

Germany

Microsoft GmbH
Phone: 089/3176-0
Fax: 089/3176-1000
Telex: (17) 89/83 28 MS GMBH D
Information: 089/3176 11 99
Prices, updates, etc.: 01805/25 11 99
Technical Support:
Standard support for installation and handling only: 01805/67 22 55
General information about Microsoft Support in Central Europe: Fax: 1805-25-1191
See also Germany

Greece

Microsoft Hellas, S.A.
Phone: (30)(1) 6806-775 through (30)(1) 6806-779
Fax: (30)(1) 6806-780
Technical Support:
Phone: (30)(1) 6806-111
Fax: (30)(1) 6809-528

Gulf & Eastern Mediterranean

PO Box 52244 Dubai UAE
Phone: 971 4 397 3888
Fax: 971 4 397 2244
Personal Technical Support:
Personal Operating Systems & Desktop Applications only:

Gulf (Bahrain, Malta, Qatar and United Arab Emirates):
Phone: 971 4 3975443
Fax: 971 4 3972304
E-mail: mswsgulf@microsoft.com

Lebanon (Cyprus and Lebanon):
Phone: 961 1 983348
Fax: 961 1 983349
E-mail: mts@lebanon-online.com.lb

Kuwait:
Phone: 965 2431071
Fax: 965 2430249
E-mail: mspsskuw@microsoft.com

Oman:
Phone: 968 691191
Fax: 968 698568
E-mail: mspss@gto.net.om

Pakistan:
Phone: 92 21 111 674357
Fax: 92 21 4533370
E-mail: mssupport@nets.net.pk

Customer Service Center (Version upgrade/TechNet and MSDN subscription):
Phone: (971)(4) 3975752
Fax: (971)(4) 3972304

Hong Kong SAR

Microsoft Hong Kong SAR, Limited
Fax: (852) 2560-2217
Microsoft Information Hotline: (852) 2804-4234
Personal Technical Support: (852) 2804-4222
Professional Technical Support: (852) 2804-4288

Hungary

Microsoft Hungary
Phone: (+36)(1) 437-2800
Fax: (+36)(1) 437-2899
Customer Services: (+36)(1) 267-4636 (2MSINFO)
Technical Support: (+36)(1) 267-7846 (2MSSUGO)

Iceland

See Denmark

India

Microsoft India
Phone: (91)(80) 559-5733, (91)(11) 629-4600/629-4601, (91)(22) 285-0193
Fax: (91)(80) 559-7133, (91)(11) 629-2650

Indonesia (SP)

Microsoft Indonesia - Jakarta
Technical Support:
Phone: 62 21 570 42 54
Fax: 62 21 520 81 22

Ireland

See United Kingdom

Israel

Microsoft Israel Ltd.
Reception:
Phone: +972-9-952-5353
Fax: +972-9-952-5333
Customer Service & Information Center:
Phone: +972-9-952-5400
Fax: +972-9-952-5411
Technical Support:
Free for Windows, Office and Microsoft Fun:
Phone: +972-9-9525400
Fax: +972-9-9525403

Italy

Microsoft Srl
Phone: (39)(2) 70-398-398
Fax: (39)(2) 70-392-020
Microsoft Rome Office: (39)(6) 5095-01
Fax: (39)(6) 5095-0600
Customer Service (New product info, product literature): (39)(2) 70-398-398
Operatori del Settore IT (Customer Service for IT): (39)(2) 70-398-398
Technical Support: (39)(2) 70-398-398
Microsoft Consulting Service: (39)(2) 70-398-398

Japan

Microsoft Company Ltd.
Technical Support (Standard Support): (81)(3) 5354-4500
Technical Support Options/Support Contract: (81)(3) 5354-4700
Channel Marketing Information Center (Pre-sales Product Support):
Tokyo Phone: (81)(3) 5454-2300
Osaka Phone: (81)(6) 6245-6995
Customer Service (Version upgrade/Registration):
Phone: (81)(48) 226-5500
Fax: (81)(48) 226-5511

Kazakhstan

See Russia

Kingdom of Saudi Arabia

Phone: +966-1-488-1165
Fax: +966-1-488-1576
Technical Support:
Personal Operating Systems and Desktop Applications only:
Phone: 800 124 0500 (Toll free within Saudi Arabia)
Fax: +966-1-474-0576

Kyrgyzstan

See Russia

Korea

Microsoft CH
Phone: (82)(2) 531-4500
Fax: (82)(2) 531-1724
Customer Satisfaction Center: 080-985-2000 (Toll free domestic only), (82)(2) 558-8161
Technical Support Center: (82)(2) 508-0040
Microsoft FastTips: (82)(2) 3453-7555
Support Sales: (82)(2) 531-4544
See also Korea

Kuwait

PO Box 5244
13053 Safat
Kuwait
Phone: +965-243-0248
Fax: +965-243-0249
Technical Support:
Personal Operating Systems, Desktop Applications and Developer Tools only:
Phone: +965-243-1071

Latin America

Microsoft Latin American Headquarters (U.S.A.)
Phone: (305) 489-4800
Fax: (305) 491-1616
Customer Service: (425) 936-8661
Technical Support: (214) 714-9100
See also Latin America Online

Liechtenstein

See Switzerland

Luxembourg

Microsoft NV
Phone: +32 2 730 39 11
Microsoft Support Network Info. Center +31-800-9977-57
TechNet Subscription: +353-1-703-8738
MSDN Subscription: +353-1-708-8690
Microsoft Information Center: +32 2 481 52 52
Bulletin Board: +32 2 726 85 45 (1200/2400/9600/14400 bd, 8N1, ANSI)
Technical Support:
+32 2 513 32 74 (Dutch speaking)
+32 2 502 34 32 (English speaking)
+32 2 513 22 68 (French speaking)
See also Luxembourg

Malaysia (SP)

Microsoft (Malaysia) Sdn Bhd:
Phone: +6 (03) 757-2266
Fax: +6 (03) 757-2265
Customer Services: Phone: Toll-free 1-800-88-3249
Fax: +6 (03) 758-5011
Technical Support:
Phone: +6 (03) 793-9595
Fax: +6 (03) 295-2065
See also Malaysia (SP)

México

Microsoft México, S.A. de C.V.
267-2110 Atencion a Distribuidores
265-3380 Atencion a Clientes
265-3399 Soporte Sistemas Operativos y Applicaciones de Escritorio
267-2190 Soporte de Servidores y Herramientas de Desarrollo
Fast Tips: (52)(5) 261-2199
Microsoft BBS 628-6200/02 MSMEXICO sin password
See also México

Middle East

Microsoft Middle East
Phone: (971) 4 397 3888
Fax: (971) 4 397 2244
Technical Support:
Personal Operating Systems & Desktop Applications only:
Phone: (971) (4) 397 5443
Fax: (971) (4) 397 2304
E-mail: mswsgulf@microsoft.com
Customer Service Center (Version upgrade/TechNet and MSDN subscription):
Phone: (971) (4) 299 5082
Fax: (971) (4) 299 5097

Morocco

Microsoft Afrique du Nord et de l'Ouest
Phone: (212) 2 95 80 80
Fax: (212) 2 95 85 85

Netherlands

Jaar 2000 informatie centrum
Netherlands: (020) 5001033
Belgium: +32-2-7043000
Luxemburg: +32-2-5139979
Technical Support: Netherlands (Dutch): (020) 5001005
Netherlands (English): (020) 5001053
Belgium (Dutch): +32 2 513 31 13
Belgium (French): +32 2 513 22 68
Belgium (English): +32 2 502 34 32
Luxemburg (French): +32 2 513 22 68
Luxemburg (English): +32 2 502 34 32

Microsoft Consulting Services Benelux
Netherlands, Belgium and Luxemburg: +31 (020) 5001005

Information Services and Subscriptions:
TechNet:
Netherlands: (020) 5001035
Belgium: +32 2 5022176
Luxemburg: +32 2 5022176
Microsoft Developer Network:
Netherlands: (020) 5001037
Belgium: +32 2 5138684
Luxemburg: +32 2 5138684
See also Benelux Online

New Zealand

Microsoft New Zealand Ltd
Phone: 64 (9) 357-5800
Fax: 64 (9) 357-0868
Technical Support:
Phone: 64 (9) 357-5575
Fax: 64 (9) 357-5577

Northern Ireland

See United Kingdom

Norway

Microsoft Norway AS
Phone: +(47) 22 02 25 00
Fax: +(47) 22 95 06 64
Technical Support:
Standard: + (47) 22 02 25 50
Priority: + (47) 22 02 25 45
Premier: + (47) 22 02 25 46
Microsoft Sales Support: +(47) 22 02 25 80
Microsoft MSDL: +( 47) 22 18 22 09
Microsoft FastTips: +(47) 22 02 25 70 (Document 404040 in FastTips contains detailed instructions)
See also Norway

Panama

Technical Support/Soporte Tecnico: (506) 298 2020
Support E-mail/Correo Electronico Para soporte tecnico: mscasup
Customer Service/Centro de Servicios: (506) 298 2000
Customer Service E-mail/Correo Electronico para Atencion a Usuarios: msccatus

Papua New Guinea

See Australia

Paraguay

See Uruguay

Perú

Phone: (511) 421-1200
Fax (511) 421-7307
Technical Support:
(511) 215-5002, (511) 215-5005

Philippines (SP)

Phone: (632) 811-0062
Technical Support:
Phone: (632) 892-2295/2495
Fax: (632) 813-2493

Poland

Microsoft Sp. z o.o.
Phone: +(48-22) 661-54-00
Fax: +(48-22) 661-54-34
Information Service: +(48-22) 865-99-33
Technical Support: +(48-22) 865-99-66

Portugal

Microsoft Portugal MSFT, Lda.
Phone: (351) 1 4409200
Fax: (351) 1 4412101
Technical Support:
Standard Support: +(351) 1 4409280
Fax : +(351) 1 4411655

Puerto Rico

Soporte Tecnico: (408) 953 8086
Support E-mail/Correo Electronico Para soporte tecnico: mscarsup
Customer Service/Centro de Servicios: (800) 297 5982 for area codes 787 & 809 only
Customer Service E-mail/Correo Electronico para Atencion a Usuarios: msccatus

Republic of Ireland

See United Kingdom

Romania

Microsoft s.r.l.
Phone: (+40) (1) 222 90 16
Fax: (+40) (1) 222 90 12
Technical Support: (+40) (1) 312 09 48

Russia

Microsoft Z.A.O.
Microsoft Information Center Phone:
Moscow: +7 (095) 916-7171
St. Peterburg: +7 (812) 118-3636
Novosibirsk: +7 (383) 211-9019
Kiev +380 (044) 230-5101
Fax: Moscow: +7 (095) 916-7112
Technical Support Phone:
Moscow: +7 (095) 745-5445
St. Peterburg: +7 (812) 118-3636
Novosibirsk: +7 (383) 211-9019
Kiev +380 (044) 230-5102
Fax: Moscow: +7 (095) 916-7112
See also Russia

Saudi Arabia

Phone: +966 (1) 218-0808
Fax: +966 (1) 218-0809
Technical Support:
Personal Operating System and Desktop Applications only:
Phone: 800 124-2255 (Toll free within Saudi Arabia)
Fax: 800 124-2255 (Press 2 to send a fax)

Scotland

See United Kingdom

Singapore

Microsoft Singapore Pte Ltd
Phone: (65) 337-6088
Fax: (65) 337-6788
Customer Services Phone: (65) 324-5255
Customer Services Fax: (65) 324-6181
Technical Support Services:
Phone: (65) 378-3600
Fax: (65) 378-3662

Slovakia

Microsoft Slovakia s.r.o.
Bratislava Business Center IV
Prievozska 6/A
821 09 Bratislava
SLOVAKIA

Phone: +421-7-5341 9841
Fax: +421-7-5341 9840
Hotline: +421-7-67 296 296
Infoservice: +421-7-67 296 297
Y2K Infoservice: +421-7-67 296 200

Slovenia/Slovenija

Microsoft d.o.o.
Phone: (+386) (61) 1 800 800
Fax: (+386) (61) 1 800 822
Technical Support: (+386) (61) 1 853 449

South Africa

Microsoft South Africa
All Services:
Phone: (+27) 11 257 0000 or 0860225567 (inside South Africa)
Fax: (+27) 11 257 0257
Technical Support Fax: (+27) 11 257 0424

South East Africa and Indian Ocean Islands

See South Africa

Spain

Microsoft Iberica SRL
Inside Spain: Phone: 902 197 198
Fax: 91 803 8310
Technical Support: 902 197 198
Customer Service: 902 197 198
Fax Back telephone: 902 197 198

Outside Spain:
Phone: (34) 91 353 69 60
Fax: (34) 91 803 83 10
Technical Support: (34) 91 353 69 60
Customer Service: (34) 91 353 69 60
Fax Back telephone: (34) 91 353 69 60
See also Spain

Sweden

Microsoft AB
Phone: +46-(0)8-752 56 00
Fax: +46-(0)8-750 51 58
Technical Support:
Standard: +46 (0)8 752 09 29
Priority: +46 (0)8 751 09 80
Premier: +46 (0)8 632 57 01
Sales Support: +46 (0)8 752 56 30
See also Sweden

Switzerland

Microsoft AG
Phone: 01-839 61 11
Fax: 01-831 08 69
Customer Service Phone: 0848-858-868
Microsoft InfoService, Postfach, 8001 Zürich, Fax: 01 311-72-27
Technical Support:
Standard Support (German speaking) for installation and handling:
Phone: 0848-80-2255
Standard Support (French speaking):
Phone: 022-738 96 88
General information about Microsoft Support in Central Europe:
Phone: 0848-80-2330
See also Switzerland Online

Tajikistan

See Russia

Taiwan

Microsoft Taiwan Corp.
Phone: (886) (2) 2504-3122
Fax: (886) (2) 2504-3121
Technical Support:
Phone: (886) (2) 2508-9501
Fax: (886) (2) 2508-9575

Thailand

Microsoft (Thailand) Limited
Phone: (662) 266-3300
Fax: (662) 266-3310
Technical Support:
Phone: (662) 613-7208 through 11
Fax: (662) 613-7198

Turkey

Microsoft Turkey
Phone: 90 (212) 258 59 98
Fax: 90 (212) 258 59 54
Technical Support Hotline:
Phone: 90 (212) 275 2466
Fax: 90 (212) 272 7755

Turkmenistan

See Russia

United Arab Emirates

Microsoft Middle East
Phone: (971) (4) 3973888
Fax: (971) (4) 3972244
Technical Support:
Personal Operating Systems & Desktop Applications only:
Phone: (971) (4) 3975443
Fax: (971) (4) 3972304
E-mail: mswsgulf@microsoft.com
Customer Service Center (Version upgrade/TechNet and MSDN subscription):
Phone: (971) (4) 3975752
Fax: (971) (4) 3972304

United Kingdom

Microsoft Limited
Phone: (0870) 60 10 100
Fax: (0870) 60 20 100
Technical Support:
Desktop Applications, Home Products, Personal Operating Systems and Hardware 0870 50 10 100
Developer Products 0870 50 10 200
Business Systems 0870 50 10 300
Customers phoning from Ireland should dial 706 5353 for technical support.
Pre-Sales Information:
Microsoft Connection (0345) 00 2000

Uruguay

Technical Support:
Phone: (598) (2) 774934
Fax: (598) (2) 774935
See also Uruguay Online

Uzbekistan

See Russia

Venezuela

Corporation MS 90 de Venezuela S.A.
Other information:
(582) 265-9922
Fax: (582) 265-0863
Technical Support: (582) 993-6755
See also Venezuela Online

Wales

See United Kingdom


Company Name and Customization Code

To streamline the process of installing and using the IEAK, you no longer need to type your name and 10-digit customization code during installation and setup. Beginning with IEAK 6, you only accept the license agreement and select your role during installation.

Role
Choose the role that matches what you want to accomplish using the IEAK:
  • Content provider/developer if you provide custom content, links, and functionality to users
  • Service provider if you provide Internet service to users
  • Corporate administrator if you manage Internet software and services for a company or organization

Important

  • The role you choose must match the role stated in your license agreement.


Language Selection

Choose the language that you want from the Target language list. If that language is not listed, quit the Internet Explorer 6 Customization Wizard, insert the IEAK CD that contains the language that you want to use, and then restart the wizard.

You must run the Internet Explorer 6 Customization Wizard once for each localized Internet Explorer custom package that you want to create. To retain settings across multiple versions, specify the same destination folder for all versions. The localized versions are saved in different subfolders within that destination folder.

Example

For example, EN is the abbreviation for English, and DE is the abbreviation for German.

If you specify C:\Cie\Build1\ as your destination folder, your customized package containing a downloadable English-language version of Internet Explorer is created in the folder C:\Cie\Build1\Download\Win32\EN\

Your customized package containing a downloadable German-language version of Internet Explorer is created in the folder C:\Cie\Build1\Download\Win32\DE\

Notes

  • Your users can install a version of Internet Explorer that uses a language different from the language used by their operating system.
  • The only platform designation in the IEAK 6 is "Win32." For UNIX and 16-bit Windows clients, use the IEAK 5.x.


Media Selection

On this screen you determine which type of media you are using to distribute your package.

Download
Select this option to build a package for downloading over an intranet or the Internet. You can build your custom packages on your hard disk, and then move them to an Internet server or, if you're a corporate administrator, to an intranet server. You can also build your packages directly on the server by specifying the server path as the target folder. For more information, see File Locations.
CD-ROM
When you create a version on CD-ROM, you can also specify AutoRun information. This option groups your custom package into a set of folders and provides support for Autorun, which is a screen users see when they insert the CD-ROM into their computers.
Flat (all files in one directory)
If you build your packages on a local area network, or if you plan to move your packages to one, select this option to place all of the necessary files in one folder under the target destination (for example, C:\Cie\Lan\).
Single disk branding
Select this option to customize an existing installation of Internet Explorer versions 4.01 Service Pack 1 (which came with Windows 98) or later. This option creates a Setup.exe file in the BrndOnly folder of your build location. You can distribute this file on any media or server. When this file is run, it customizes Internet Explorer features, including Internet sign-up for ISPs, without installing Internet Explorer. You cannot include custom components or Connection Manager profiles in a single-disk branding package, because the size of the package would be greater than the capacity of a floppy disk.

Important

  • If you are using single-disk branding and some of your users have Internet Explorer 4.01 Service Pack 1 or earlier, do not use the Internet Connection Wizard server-based sign-up mode on the Sign-up Method page. Instead, create a separate package using server-based sign-up in Kiosk mode for these users.


File Locations

You can change the destination folder (where your IEAK package is created) and the folder where your components are downloaded.

Destination folder
The destination folder is where the customized packages are placed when the wizard is finished. You can create the package on your hard disk and move it to an Internet or intranet server, or you can create it on a Web server.

Subfolders for each localized version are created in the destination folder that you specify for each operating system and media type.

If you are creating the package on your hard disk or network drive, the recommended destination is C:\Cie\Dist\. If you are creating the package on a Web server that is running from your hard disk, use the path to the Web server as the destination.

Note

  • For an illustration, see How to Set Up Files for Distribution.

Example: Location of the Destination folder

For example, if you specify your destination folder as C:\Inetpub\Wwwroot\Cie\Dist, the English language version for the Windows platforms is then created as C:\Inetpub\Wwwroot\Cie\Dist\Download\Win32\En\.

Advanced Options
To customize the location and process for downloading files, or to import settings from an existing .ins file, click Advanced Options.
Check for latest components via Automatic Version Synchronization
As you create your Internet Explorer package, the Internet Explorer 6 Customization Wizard can connect to Microsoft servers to detect whether new components, security updates, or updated versions of existing components have become available since the last time you ran the Internet Explorer 6 Customization Wizard.

If you downloaded the IEAK from the Internet, you must run the Internet Explorer 6 Customization Wizard with Automatic Version Synchronization (AVS) at least once, so that the wizard can check for updated versions of components.

Note

  • If you clear this checkbox and continue using the wizard, then decide you want to go back and select this AVS feature, you'll notice that the checkbox is grayed out. You need to close the Internet Explorer 6 Customization Wizard and start again to make this checkbox available.
Path of .INS file to import settings from
To import settings from an existing .ins file as a starting point for a new IEAK package, enter the full path. Importing settings can save time if your new package will have similar settings. You can, however, change any settings you want.
Component Download folder
The components and setup files that you download are placed in the folder you specify. The AVS feature automatically checks this folder to determine whether you have the latest components available. With AVS, you download only the components that have changed since the last time you downloaded them. It is recommended that you do not change this folder, so that you can keep the components synchronized.

Change this folder only if you plan to retain the files you downloaded the last time you ran the wizard, and you want to download a new set of components to a different location.


Feature Selection

Select the features that you want to customize. They determine which remaining wizard screens appear. For example, if you plan to customize only links and URLs, you can clear the other check boxes, so that you focus only on that customization. Making these choices helps you quickly and easily build your custom package, because the Internet Explorer 6 Customization Wizard displays only the screens that you need.

Note

  • Click Select All to quickly indicate that you are customizing all features. Click Clear All to quickly indicate that you are not customizing any of the listed features.

To use the configuration of a previously built IEAK package as the baseline for this package, return to the File Locations screen and click the Advanced Options button to import an .ins file. As you create the new package, you can change any of the imported settings.


Stage 1 Overview: Gathering Information

banner

Stage 1: Gathering Information

In this stage of the Internet Explorer 6 Customization Wizard, you are prompted for basic information, such as the language of the package that you are creating and what features you want to customize within that package.

The options available depend on whether you are a/an

  • Internet content provider
  • Internet service provider
  • Corporate administrator

Note

  • The Internet Explorer 6 Customization Wizard does not work correctly if Internet Explorer 6 is not installed. For more information, see Hardware and System Requirements.


Automatic Version Synchronization

banner

Automatic Version Synchronization (AVS)

In this stage of the Internet Explorer 6 Customization Wizard, the setup files for Internet Explorer and other components are downloaded to your computer from the download location you specified.

If the version of a component on your computer matches the version that is included in the Internet Explorer product release, you are prompted to keep the version that is already present on your computer. You might need to temporarily disable virus-checking programs to download components; a message appears if this is necessary.

It is recommended that you keep a copy of these files on your hard disk to make it easier to rebuild your package later. When you rebuild your package, click the Updates button to check whether newer versions of these programs are available.

Microsoft Components
Download the released version of one or more Microsoft component listed in the box. The status of each component on your computer is indicated as follows:
Symbol | Meaning
red dot | This component is not present in the download folder on your computer.
yellow exclamation point | The version of this component in the download folder on your computer is older than the version in the Internet Explorer product release, or (in Stage 1 of the wizard) you disabled AVS.
green check mark | The version of this component matches the version in the Internet Explorer product release.
blue arrow | Microsoft updated this component since the Internet Explorer product release, and the updated version is present in the download folder on your computer.
purple star | This component is new; it was not originally included in the Internet Explorer product release.
Updates
Click Updates to check whether Microsoft has updated any Internet components since Internet Explorer was released, or if any new Internet components are now available.

For example, a single component containing all Internet Explorer security patches released to date is available from the Updates dialog box.

Any components that you select in the Updates dialog box are downloaded to your computer and included in the list on this page of the wizard.

This button is unavailable if you previously disabled AVS.

For more information, see Automatic Version Synchronization (AVS) Updates.

Important

  • After you update a component to a newer version of that component, you cannot easily revert to the older version.
Synchronize
To download one or more components, select each component that you want, and then click Synchronize.

Notes

  • To select consecutive items, press and hold down the SHIFT key, and then click the last item.
  • To select items that are not consecutive, press and hold down the CTRL key, and then click each item.
Synchronize All
To download all available components, click Synchronize All.

When you click Synchronize or Synchronize All, the most recent Internet Explorer product release is downloaded. This synchronization does not affect any new or updated components that you previously downloaded from the Updates dialog box.

Disk Space
Specifies the amount of disk space required for the selected components. If no components are selected, specifies the amount of disk space required by all components in this list.

To revert to the version of a component included in the product release

  1. Click Cancel to exit the Internet Explorer 6 Customization Wizard.
  2. Restart the wizard.
  3. On the File Locations page in the wizard, click Advanced Options.
  4. In the Advanced Options dialog box, change the Component download folder to a different location.
  5. Continue through the wizard.

Obtaining Files from Windows Update

Sometimes, more recent versions of some components and software patches may be available from the Windows Update Web site. However, if you want to include any components from Windows Update in your package, you must bundle the associated files into a custom component. In contrast, any components that you download through AVS and include in your package are automatically installed through Windows Update Setup. For more information, see Packaging Microsoft Updates into Custom Components.

For information about the latest product updates, visit the Corporate Windows Update Web site.

Notes

  • If you cleared the Check for latest components via Automatic version synchronization check box in the Advanced Options dialog box in Stage 1 of this wizard (see File Locations), the Internet Explorer 6 Customization Wizard cannot verify whether you have the latest version of the components. The icons are not green, even if you have the latest version. For those components that you have already downloaded, the icons are yellow. For components you have not downloaded, the icons are red. Also, if you disable version synchronization, you cannot download specific components in this stage of the wizard.
  • IESetup.cif automatically includes any new or updated components that you download using Automatic Version Synchronization Updates.
  • For more information about components and their associated ComponentID strings, see the IEAK Web site.
  • For an illustration of AVS, see Automatic Version Synchronization.


Microsoft Download Site

You must select a location from which to download the latest Microsoft programs and tools.

Microsoft Download Site
Choose the site from which you download the latest Internet Explorer and Internet Tools, and then click Next to see the Automatic Version Synchronization page in the Internet Explorer 6 Customization Wizard.


Automatic Version Synchronization Updates

You can check whether Microsoft has updated any Internet components since Internet Explorer was released, or whether any new Internet components are now available. For example, a single component containing all Internet Explorer security patches released to date is available from this location.

To reach this dialog box, click Updates on the Automatic Version Synchronization page in the wizard. This dialog box is unavailable if there are no new or updated components available for you to download.

Microsoft Components
Download the latest version of any Microsoft component shown in the box. The status of each component on the server is indicated as follows:
Symbol | Meaning
red X | Microsoft updated this component since the Internet Explorer product release.
red X | This component is new; it was not originally included in the Internet Explorer product release.
Select All
To select all items in the list, click Select All. You can select a single component by using the mouse.

Notes

  • To select consecutive items, press and hold down the SHIFT key, and then click the last item.
  • To select items that are not consecutive, press and hold down the CTRL key, and then click each item.
Disk Space
Specifies the amount of disk space required for all components in this list.
Synchronize
Select the components you want to download to your computer, and then click Synchronize. This action closes this dialog box, downloads the selected components to your computer, and adds these components to the list on the Automatic Version Synchronization (AVS) page of the wizard.

This button is unavailable if you have not selected any components in the list.

Obtaining Files from Windows Update

Sometimes, more recent versions of some components and software patches may be available from the Windows Update Web site. However, if you want to include any components from Windows Update in your package, you must bundle the associated files into a custom component. In contrast, any components that you download through AVS and include in your package are automatically installed through Windows Update Setup. For more information, see Packaging Microsoft Updates into Custom Components.

For information about the latest product updates, visit the Corporate Windows Update Web site.

Notes

  • IESetup.cif automatically includes any new or updated components that you download by using Automatic Version Synchronization Updates.
  • For more information about components and their associated ComponentID strings, see the IEAK Web site.
  • For an illustration of AVS, see Automatic Version Synchronization.


Add Custom Components

You can add up to 16 custom components that your users can install at the same time that they install the browser. These components can be compressed cabinet (.cab) files or self-extracting executable (.exe) files. You can specify the version of a Microsoft component that your users install, and you can install the latest version available using Automatic Version Synchronization (AVS).

It is recommended that you sign any custom code that is downloaded over the Internet. Code-signing lets users know that they can trust your code before downloading it to their computers. The default settings in Internet Explorer reject unsigned code.

Some of the following options are not available on all operating systems.

Identifying Details

Component
Type the name of your component in this box. This name appears on the setup screen when users install your software.
Location
Type the path to your program, or click Browse to search for it.
Command
If you specify a .cab file, you must also specify a command to run that extracts the cabinet file.
GUID
A globally unique identifier (GUID) establishes a unique identity for programs, objects, and other items. If your program already has a GUID, type it in this box. If your program does not have a GUID, one is generated for you.
Description
Type up to 511 characters to describe your component. This text appears in Setup when users point to the component.
Parameter
You can specify any switches to run with your custom program. For example, you might want to install your program "silently," with few or no prompts, so that users do not see prompts for your program as well as prompts for Internet Explorer. To specifically exclude setup prompts, use the /Q:A switch.
Uninstall Key
Windows Update Setup compares this value to HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Uninstall\ApplicationName to double-check that the component installed correctly.

For more information, see Uninstalling a Custom Component.

Version
Type the serial number you want to assign to the customized Internet Explorer package you are creating. The correct format for this version number is xxxx,xxxx,xxxx,xxxx. The version is a number and does not include alphabetical characters.
Add
Click Add to clear the fields and add a new custom component.
Remove
Click Remove to delete the current component from your custom package.
Browse
Click Browse to find the location of your custom component.
Verify
Programs installed over the Internet typically need a digital signature that identifies their source and guarantee that the code has not changed since it was signed. Depending on browser safety settings, users can be warned before the program is downloaded. Certification authorities can supply public and private keys needed to sign code. To determine whether the program was digitally signed, click Verify. If you sign the rest of your files when you run the Internet Explorer 6 Customization Wizard, this component will also be signed with that certificate.

For more about code signing, see the Microsoft Security Advisor Web site.

Install Conditions

Install before Internet Explorer
Use this option if you need to install a custom component before Internet Explorer is installed (for example, to run a batch file to configure user settings).
Install after Internet Explorer
Use this option if you want to install one or more Internet Explorer software patches (QFEs), or a different version of a component included in the base Internet Explorer package downloaded using AVS.

Note

  • If you take a different version of a base Internet Explorer component (such as DirectAnimation or NetMeeting) and package those files into a custom component, the download time for your users will increase, because they are, in effect, downloading the same subset of files twice.
Install after system restarts
Use this option if your custom component contains system service packs or Microsoft Java Virtual Machine (VM) updates.
Only install if Internet Explorer is installed successfully
Do not install this component unless Internet Explorer is installed on your users' machines.

Notes

  • Tools for creating IExpress scripts are included in the IEAK. Additional tools are available from the MSDN Online Web Workshop.
  • For an illustration of how branding and custom component installation are applied to your customized browser, see How Customization Works.


Stage 2 Overview: Specifying Setup Parameters

banner

Stage 2: Specifying Setup Parameters

In this stage of the Internet Explorer 6 Customization Wizard, you specify which components you want to include in your custom package.

The options available will depend on whether you are a/an:

  • Internet content provider
  • Internet service provider
  • Corporate administrator


Customize Setup

You can customize how Windows Update Setup appears to your users. You can change the title bar and the graphic that appears when users install your custom package. If you provide a group of customized components, you can assign a name to them.

Setup wizard title bar text
This text appears in the title bar of the Setup Wizard your users run. This text does not appear in the title bar of the customized browser. You can customize the browser title later in the Internet Explorer 6 Customization Wizard.
Left Setup wizard bitmap path (first page)
This is the 162-by-312 pixel graphic your organization created for the first Setup Wizard page. This graphic customizes the appearance of the Setup Wizard for your custom package. You should avoid using graphics with complex lines and patterns.
Top Banner Setup wizard bitmap path (all pages except first)
This is the 496-by-56 pixel graphic that appears behind some Setup instructions. You should use a bitmap that will not interfere with readability.
Custom Components Installation Title
You can install custom components when you install the customized browser. If you have specified more than one custom component, you can name them as a group; for example, you might have a group of components named Volcano Coffee Company Inventory Programs. This name appears in the Windows Update Setup wizard when your users install the custom package. Enter the title you want to appear.

Note

  • For an illustration of how branding and installing customized components is applied to your customized browser, see How Customization Works.


Connection Manager Customization

The Connection Manager Administration Kit (CMAK) is a tool used to configure and manage how users connect to the Internet or to a corporate private network. With the CMAK, you can change the appearance and settings of the Microsoft Connection Manager dialer using your own custom icons, tailored help files, and animated graphics.

CMAK is not included in the IEAK 6. CMAK is available in Windows 2000 Server and in the Windows 2000 and Windows XP Administration Pack; an older version of CMAK is available in version 5.0 of the IEAK.

If you have already created a custom profile using the CMAK, you can import it into your installation package using the Internet Explorer 6 Customization Wizard.

Use specified custom profile
If you've already created a custom CMAK profile, type the path of the profile you want to use for this browser package. The profile specifies customized content and connection methods. CMAK files include .cmp and .cms files. Service provider customizations are contained in the .cms file.

Notes

  • The CMAK creates a self-extracting executable (*.exe) file that installs itself on your user's computer. When your user clicks the custom icon to connect to the Internet, the custom dialer dialog box that you created appears.
  • You do not need to digitally sign the .exe file created by the CMAK before you include it in the IEAK. When you sign the IEAK files, the CMAK file is also signed.

For more information, see online Help in the Connection Manager Administration Kit.


User Experience

banner

User Experience During Installation

You can fine-tune your user's experience during Windows Update Setup.

Interactive Installation
Your users can choose the kind of installation, download site, and installation folder when they install your custom Internet Explorer Package. All of the progress dialogs and error messages appear during the installation.
Hands-free Installation
If you want to make all installation decisions for your users but still keep them informed of the installation progress and errors, click Hands-free Installation.
Completely Silent Installation
If you want users to install your customized browser without any dialog boxes or progress indicators appearing on the screen, click Completely Silent Installation. This option is equivalent to installing Internet Explorer using the /Q:A switch.

Notes

  • In a silent install, you can specify only one installation option and one download site for your users.
  • To further fine-tune the installation, you can use additional Internet Explorer batch setup and IExpress batch setup switches.

What is the user experience during a completely silent or hands-free installation?

A silent installation (Hands-free or Completely Silent) does the following:

  • Answers prompts that enable Setup to continue.
  • Accepts the license agreement.
  • Specifies that Internet Explorer is installed and not just downloaded.
  • Carries out the type of installation (such as Standard or Custom) you specified for this installation package.
  • Installs Internet Explorer in the location you specify, unless Internet Explorer is already installed. In that case, the new version of the browser is installed in the same location as the previous version.
  • Connects to the first download site you specified for this package.

Neither of these modes are interactive, and users do not have control over the progress of Windows Update Setup. In a completely silent installation, if installation does not finish successfully, users do not see an error message. You might consider using this feature for installations deployed when the user is not present.

User Rights

The security model in Windows NT, Windows 2000, and Windows XP can prevent users from installing software on their systems. To register important system files, administrator privileges are required both during software installation and after the computer restarts. This requirement complicates the deployment of new versions of Internet Explorer to systems where a user without administrator privileges logs on to the system after the package is installed.

Enable logon after restart with user-level access
Select this check box to customize your package to retain administrator-level access after the computer restarts. After the computer restarts and a user logs on, the Windows Installer component completes the registration of the Internet Explorer system files. You can then distribute this package to users manually or as part of an automated deployment method such as Systems Management Server (SMS). In either case, users are not required to have administrator rights the next time they log on to the system.

You do not need administrator rights to install an IEAK package on computers running Windows 95, Windows 98, or Windows Millennium Edition, because the operating system does not manage file registration on these systems.

When this package is installed on any SMS client, the component generates a .mif status file. SMS uses this file to detect whether the package is successfully installed.

Important

  • If you select this option, verify that that the media format for your package is flat, with all files in one folder.
  • Before using this option, you must verify that no other Windows Installer installation will run when the user installs the package.
  • Do not use this method when Internet Explorer is a component of another Windows Installer installation, such as Microsoft Office.
  • If you select this option, test thoroughly for potential interactions before distributing this package to your users.
  • User Rights only appears if you selected the Flat distribution method on the Media Selection page in Stage 1 of the wizard.


Installation Options

You can specify up to 10 installation options, such as Standard and Custom, and determine which browser and custom components are installed with each mode. If you are a corporate administrator and you have specified a silent installation for this package, you can only specify a single installation option (mode).

Important

  • Regardless of the installation options you configure for your package, Windows Update Setup presents only one installation option to users running the Windows 2000 and Windows XP operating systems. This installation option includes the full set of Microsoft Internet Explorer components, along with all custom components included in your package.
Option
Select the default installation option you want, or click New to create a new setup option. Type the description for the option, and then add or remove the components you want by clicking the arrows.

If you are an ISP, you might want to create a setup option for a specific set of customers. If you're a corporate administrator, you might want to specify setup options for different branches of your company.

Description
Type a description of the installation option, such as a list of components and programs that are installed. This text appears in the Windows Update Setup Wizard that users see.

Note

  • To produce an underscore character in the description text, type an ampersand (&). To produce an ampersand character, type two ampersands (&&).
Components available
The list of available components includes the Internet Explorer components you downloaded and any custom components you defined. To add components to this list, return to Stage 2 of the Internet Explorer 6 Customization Wizard.
Components to install
This list shows the components that are installed with the option that appears in the Option box. Click the single arrows to add or remove a single component or the double arrows to add or remove all available components.

Notes

  • For an illustration of how branding and installing specific components is applied to your customized browser, see How Customization Works.


Component Download Sites

You must specify at least one but not more than 10 download sites from which your users can download your package. Each site must use an HTTP or FTP server. Also, you must place all the Microsoft components and custom components at each site.

Site Name
Type the name of your site. You can specify a friendly name that helps to identify the site. Do not use commas in the name.
Site URL
Type the URL for your site. The file IE6Sites.dat is added or updated, and a subfolder for the language of the package, such as EN for English, is appended to the URL.
Site Region
Type the region where your site is located, such as the city, state, section of the country, or country.
Custom download sites
The sites you add on this page of the Internet Explorer 6 Customization Wizard are listed in this column.

Notes

  • If you are a corporate administrator and you have specified a silent installation for this package, you can specify only one download site.
  • For illustrations, see How to Set Up Files for Distribution and Windows Update Setup Wizard for Internet Explorer and Other Internet Tools.

What to do when the URL for the first site does not work

If the first site is down (for example, as a result of server problems), Setup is unable to locate the remaining sites by default. A workaround involves overwriting the first site with the following command:

<path>\IE6Setup.exe /C:"ie6wzd.exe /S:""<path>\IE6Setup.exe"" /L:""http://my Web server/my Web site/IE6sites.dat"""

<path> is the folder where IE6Setup.exe is located.

Example

The following is an example of the syntax to give to users when the first site is down. It is a single command-line (displayed over several lines to improve readability).

C:\IE6Setup.exe /C:"IE6wzd.exe
/S:""D:\Build\1700\package\download\win95_nt\en\IE6Setup.exe""
/L:""http://<NewServerAddress>/<YourDownloadDir>/IE6sites.dat """


Component Download

When a new version of Internet Explorer is available, your users can update Internet Explorer by clicking the Tools menu and then clicking Windows Update. They can also see this page in Control Panel after clicking Add or Remove Programs, clicking Internet Explorer and Internet Tools, and then clicking Add/Remove.

Remove the Windows Update option from the Tools menu
If you clicked this option, after your users install your custom package the Windows Update option is not included on the Tools menu. To update Internet Explorer, you must create a new custom package and deploy it to your users.
Use the default URL for the Windows Update
If you clicked this option, your users click Windows Update on the Tools menu to install new versions of Internet Explorer.

The default location for obtaining product updates is the site where users downloaded their customized browsers, but you can specify a custom add-on component location.

Use a custom addon URL and menu text
You can customize the name of the option on the Tools menu that downloads new versions of Internet Explorer. If you customize the name of the option, you also specify the URL of Add-0n Component page.
Menu text for Add-on Component URL
Type the text that should appear on the Tools menu in place of Windows Update. You users click this menu option to install new versions of your custom package.
URL of Add-on Component page
If you want your users to obtain software updates (add-on components) from another location, specify a different URL. This is the location of the custom components that your users download when clicking your custom menu option on the Tools menu.
Download components from Microsoft after install
Selecting this check box specifies that all components are downloaded from Microsoft sites after the browser installation, where users can download additional add-on components.

Note

  • The configuration ID and version number that appeared on this screen in previous versions of the IEAK are no longer necessary. These values are now generated automatically. The customizations, or branding, that you generate with the IEAK are always installed, regardless of version number or configuration ID.


Installation Directory

If you are a corporate administrator, you can specify the location where your users install Internet Explorer and the other Internet components. You can also determine whether users can choose a different installation folder.

To allow users to change the location, click Allow the user to choose the installation directory. If you select this option, the folder or path that you specify appears as the default location.

If you click Install in the specified folder within the Windows folder or Install in the specified folder within the Program Files folder, Internet Explorer is installed in the subfolder shown in the box.

If you click Specify the full path of a custom folder, you can enter the path you want. If this path does not exist on the user's hard disk, it is created.

Note

  • If Internet Explorer is already installed on the user's computer, the new version is installed over the existing version. The customized browser is not then installed in the custom location that you specify.


Corporate Install Options

You can determine to what extent, if at all, your users can customize Windows Update Setup.

Prohibit users from selecting the Custom installation option
Your Internet Explorer users install your custom package in its entirety. They cannot use Custom installation to install individual components.
Disable saving uninstall information
Windows Update Setup automatically saves uninstall information. To save disk space, you can disable the feature by selecting this check box. However, users can no longer remove Internet Explorer by clicking Add or Remove Programs in Control Panel.
Prohibit users from installing Internet Explorer Compatibility Mode
With the Internet Explorer compatibility option, users can test Internet Explorer 4 Web page features on the same computer as Internet Explorer 5 and later. To disable the feature, select this check box.
Default browser options
Choose one of the following options:
  • Set Internet Explorer as the default browser
  • Do not set Internet Explorer as the default browser
  • Allow user to choose

Notes

  • The Default browser option also determines whether Windows Media Player is the default program for playing multimedia files.
  • If you are using a silent installation or customizing Internet Explorer for Microsoft Office deployment with the Office Custom Installation Wizard, user options for Internet Explorer do not appear during Setup.


Windows Desktop Update

The Windows Desktop Update makes the desktop and folders look and work more like Web features. Although the Windows Desktop Update is not a part of Internet Explorer 5 and later, you can include it with your IEAK package. If your users are running Windows 98 or later, they already have the desktop features.

If you choose to install the Windows Desktop Update, you can customize its settings later in the Internet Explorer 6 Customization Wizard if your build computer is running one of the following configurations:

  • Windows 98
  • Windows 98 Second Edition
  • Windows Millennium Edition
  • Windows 2000
  • With other versions of Windows, you must be using Internet Explorer 6, with the Windows Desktop Update installed

The Windows Desktop Update can be helpful in setting a standardized corporate desktop.

Do you want to integrate the Windows Desktop Update in your custom package?
To install the Windows Desktop Update, click Yes. If you do not want to install it, click No.


Advanced Installation Options

You can further customize Windows Update Setup by having Setup detect whether a component exists and by fine-tuning which components users can add if they customize Setup.

Optimize for Web Download (if a comparable version exists, do not download it)
Setup can detect whether the same version of a component is already installed on your user's computer. If that version is already installed and will work with Internet Explorer, Setup does not download the component. This can reduce download time for the user.

Note

  • Do not optimize for Web download if you want to install a particular version of a component other than the one included in the Internet Explorer .cab files that you downloaded earlier using Automatic Version Synchronization.
Prevent users from customizing Setup for specific components
If your users can customize their installations, but you do not want them to customize specific components, clear the check boxes for the components that you do not want them to customize. In Windows Update Setup, Force Install appears in the right column beside the components that are automatically installed with the browser.


Components on Media

The components in this list were downloaded to your computer but are not included in one of the modes specified for Windows Update Setup. If users attempt to use a feature that requires these components, they can be made available for installation through Install on Demand.


Digital Signatures

If you have a publisher certificate from a certification authority or from Microsoft Certificate Services, you can sign your custom package in this step of the wizard.

To prepare certificates for use by the IEAK, you can import them onto your computer by using the Certificate Manager Import Wizard. If you have received a file with an .spc extension, you can start this wizard by double-clicking the .spc file in Windows Explorer or My Computer.

You can also open the Certificate Manager from Internet Explorer by clicking the Tools menu, clicking Internet Options, clicking the Content tab, and then clicking Certificates. Click Import to start the Certificate Manager Import Wizard, and then follow the steps in the wizard.

Company Name on certificate
If a publisher certificate is on your computer, its company name appears in this list.
Software Publishing Certificates (.spc) file
Type the name of the .spc file associated with the certificate, or click Browse to locate it.
Private Key (.pvk) file
Type the name of the .pvk file associated with the certificate, or click Browse to locate it
Description text
Type the text that appears in the dialog box that is displayed when users download programs that are signed with this certificate.
More information URL
Type the URL that users can click to obtain more information about the certificate and your company.
Time Stamp URL
Type the URL that users can click to confirm the validity of the certificate using the date and time that the certificate was issued.


Customize the CD Autorun Screen

If you are creating a CD-ROM version of your custom package, you can create a CD Autorun screen that displays when the user inserts the compact disc into the drive. The image should be a 256-color bitmap that is 540-by-357 pixels.

If you include a CD Autorun screen, you can provide a background bitmap and labels for two buttons: one for installing Internet Explorer and one for displaying more information. You can also customize the title bar and the text color.

Title bar text
This text appears in the title bar of the Autorun screen.
Custom background bitmap location
You can provide a bitmap that appears behind the text. Make sure that the background color does not conflict with the text color.
Standard text color
This setting determines the color of any text that is not part of a link.
Highlight text color
This setting determines the color of the links on the page.
Button style
You can determine the appearance of the buttons that users click to install Internet Explorer and to get more information.
  • Standard beveled buttons are similar to the ones that appear in standard Microsoft software programs. They are gray, rectangular buttons.
  • 3-D bitmap buttons have a three-dimensional appearance.
  • A custom button bitmap is based on a bitmap that you supply. To locate the path for the image, click Browse.


More CD Options

You can further customize the CD installation by adding an information (.inf) file, sometimes known as a readme file, and having a special Web page appear after installation.

More information text file
Specify the path and name of the file that you want users to see after installation. By default, the CD Autorun screen provides a link to this file. If you change the name of this file, you then need to update the path in the Autorun screen.
Use Kiosk mode start page
Select this check box to use the Internet Explorer browser window in Kiosk mode.
Kiosk mode start page HTML file
Specify the path and file name of the .htm file that you want to appear after the user has installed Internet Explorer. This page appears in Kiosk mode. You should place any graphics associated with this page in the same location as the .htm file.


Stage 3 Overview: Customizing Setup

banner

Stage 3: Customizing Setup

In this stage of the Internet Explorer 6 Customization Wizard, you specify how you will customize Windows Update Setup.

The options available depend on whether you are a/an:

  • Internet content provider
  • Internet service provider
  • Corporate administrator


Browser Title

You can customize the text that appears in the title bars of Internet Explorer and Outlook Express. The Outlook Express title bar is updated whether you include Outlook Express in your package or it is already installed on your users' computers. Type the text that you want to display. It is added after the phrase "Microsoft Internet Explorer provided by" or "Outlook Express provided by."

Notes

  • When you select a bitmap, make sure that the colors contrast with the text. This ensures a high level of readability for your users.
  • For an illustration showing how branding is applied to your customized browser, see How Customization Works.

To customize title bars

  1. Select the Customize Title Bars check box.
  2. Type the text you want in the Title Bar Text box.


Toolbar Customizations

You can personalize the toolbar that appears in your users' browser, giving you flexibility and design opportunities. The elements you can work with include the toolbar background and the appearance of the icons for the standard toolbar buttons, such as Search and History.

To customize the toolbar further, you can change the appearance and number of additional buttons. Your ability to specify the script or program that the buttons launch gives you an additional level of control over the toolbar included in your custom package. For more information about designing custom programs, see the MSDN Online Web Workshop.

Background
Click Use Windows default toolbar background bitmap when you are not customizing the background. To customize the background, click Customize toolbar background bitmap, and then specify the name and location of the bitmap file.
Buttons
When you work with custom toolbar buttons, you can add your own button icons, the script file or executable associated with each button, and the location of the toolbar icon files. After adding buttons, you can return to the Toolbar Customizations page of the wizard to edit or remove them whenever you want.
Delete existing toolbar buttons, if present
To delete all of the toolbar buttons in the users' browser, except the standard buttons that are installed with Internet Explorer, select this check box. This option is available only to corporate administrators.

Notes

  • The toolbar background should be the size of the toolbar and light enough to show black text.
  • If you enable themes in Windows, your custom toolbar background is ignored. To use a custom toolbar background, switch to the Windows Classic theme.
  • Selecting the Delete existing toolbar buttons, if present check box deletes only the buttons that were added manually. The standard buttons installed with Internet Explorer remain.

To add a custom toolbar button

  1. Click Add.
  2. In the Toolbar caption (required) box, type the text that should appear when users hover over the toolbar button. You must specify a caption or label for the button. The recommended maximum length is 10 characters.
  3. In the Toolbar Action, as script file or executable (required) box, type the name of the script file or executable file, or click Browse to find it. You must specify the script or executable file that runs when users click the toolbar button.
  4. In the Toolbar color icon (required) box, Type the name of the file that represents the button in its active state, or click Browse to find the file. You must specify a color icon for the button that appears on the toolbar. The icon consists of 20-by-20 pixel images for active and inactive states. For more information, see the MSDN Online Web Workshop.
  5. In the Toolbar grayscale icon (required) box, type the file name and location of the grayscale icon for the toolbar that appears on black-and-white monitors, or click Browse to find the file. You must specify a grayscale icon for the button that appears on the toolbar.
  6. Select the This button should be shown on the toolbar by default check box to display the toolbar button in the users' browser by default.

Notes

  • When you indicate the location of bitmaps, scripts, and applications, you specify the address as well as the file name.
  • For an illustration showing how branding is applied to your customized browser, see How Customization Works.

To edit a custom toolbar button

  1. In the list of custom toolbar buttons, click the button that you want to work with. Then click Edit.
  2. Edit the information you want to change.

To delete a custom toolbar button

  1. In the list of toolbar buttons, click the item that you want to delete.
  2. Click Remove. The toolbar button is immediately removed from the list. When your users install your custom Internet Explorer package, the button is not available.


Custom Logo and Animated Bitmaps

The Internet Explorer logo in the upper right corner of the browser appears in two states: static when no action is taking place and animated when the browser is in use. You can replace the logo bitmaps with your own animated or static bitmaps.

Customizing static logos

If you use a static bitmap, it appears without animation whether or not any action is taking place in the browser.

To use your own static logo, you first create two bitmaps. One should be 22-by-22 pixels and the other 38-by-38 pixels. Then you specify the path to the logos in the Small (22x22) bitmap and Large (38x38) bitmap text boxes.

Customizing animated logos

If you use an animated bitmap, the first frame appears static when no action is taking place in the browser. The remaining frames appear animated when the browser is in use.

To use your own animated logo, you first create two animated bitmaps. One should be 22-by-22 pixels and the other 38-by-38 pixels. Then you specify the path to the logos in the Small (22x22) bitmap and Large (38x38) bitmap text boxes.

You can find sample animated bitmaps in the \<IEAK program folder>\Toolkit\ folder of the IEAK Toolkit.

Notes

  • Two tools are included with the IEAK to help you create customized animated bitmaps for your browser. One tool is used to stack bitmaps in the formats described above, while the other tool previews the animation.
  • For an illustration showing how branding is applied to your customized browser, see How Customization Works.


Important URLs

You can specify the URLs for your home, search, and online support pages.

Home page URL
The home page, sometimes known as the start page, appears when the user clicks the Home button. Internet Explorer can show a default home page, or you can specify a URL for your own page.

If you want to customize the home page, select the Customize Home page URL check box. Type the URL for the home page that you want to use in the Home page URL box.

Search bar URL
The Search bar appears on the left side of the screen. The Search bar allows your users to see the search query and search results at the same time. It comes with a choice of search engines. If you want to customize the Search bar URL, select the Customize Search bar URL check box. Then type the URL in the Search bar URL box.
Online support page URL
In Internet Explorer, support information is available when users click Help and then click Online Support. It is recommended that you develop a support page and then make it available to your users.

If you want to customize the support page, select the Customize Online support page URL check box. Then type the URL of your custom support page in the Online support page URL box.


Favorites and Links

You can customize the Favorites folder and the Links bar by adding links to sites related to your company or services. For example, if you are an ICP specializing in entertainment, you can provide links for entertainment-related sites.

The Links bar appears by default at the top of the user's screen and provides a set of default links. You can add links to the default folders or add new folders. When a user clicks Favorites, the Favorites list appears on the left side of the window.

Place Favorites and links at the top of the list in the order specified below
Select this check box to specify that the Favorites and links you choose should be moved to the top of the users' Favorites list, making them easier for users to find. When you select this option, the Up and Down buttons become available.
Delete existing Favorites and Links, if present
If you are a corporate administrator, you can select this check box to delete the items on the users' Favorites and Links lists. It is recommended that you use this setting with caution, because it removes the links and favorites that your users set up.
Only delete the favorites created by the administrator
If you are a corporate administrator, you can select this check box to delete only the items on your users' Favorites and Links lists that you set up for them.
Delete existing channels, if present
If you are a corporate administrator, you can delete existing channels on your users' computers by selecting this check box.

Notes

  • To test a link, click the URL in the list, and then click Test URL.
  • You can add up to 200 links to the Favorites folder.
  • To remove an item from the Favorites list or Links bar, click the item, and then click Remove.
  • For an illustration showing how branding and customized links are applied to your customized browser, see How Customization Works.

To manually add a folder to the Favorites list or Links bar

  1. Click Favorites, Links, or a folder within Favorites or Links, and then click Add Folder.
  2. Type the name of your folder in the Name box. This can be a friendly name that helps the user recognize what types of links are in the folder.

To import a folder of links from your machine to the Favorites list or Links bar

  1. Click Favorites or Links, and then click Import.
  2. In the Browse for Folder dialog box, locate and click the folder of desired links on your machine. These links are most likely located in the \Windows\Favorites folder.

To add a Web page to the Favorites list or Links bar

  1. Click Favorites, Links, or a folder within Favorites or Links, and then click Add URL.
  2. In the Details dialog box, type a name for this Web page in the Name box. This can be a friendly name that helps the user recognize what the link refers to.
  3. Type the destination of your link in the URL box.
  4. To specify a 16-by-16 pixels custom icon for this link, type the name of the bitmap file in the Icon box, or click Browse to locate it.
  5. If you are a corporate administrator, you can make this page available to users who are not connected to the Internet by selecting the Make available offline check box. This option is often helpful for users with laptop computers.
  6. Click OK to close the Details dialog box.


Welcome Page

Internet Explorer displays a welcome page when a user first starts the browser. You can display the default Internet Explorer 6 welcome page, or you can specify your own custom welcome page.

Display default Microsoft Internet Explorer 6 welcome page
Select this option to display the default Internet Explorer welcome page.
Do not display a welcome page
Select this option if you do not want to display a welcome page. The first page that is displayed is the user's home page.
Use a custom welcome page (specify URL below)
Select this option if you want to use a custom welcome page, and then type the URL in the box below.

Note

  • Users do not see the welcome page unless they are connected to the Internet or an intranet.


User Agent String

Some companies track site statistics, such as how many times their content is accessed and by which type of Web browser. User agent strings help identify the browser type.

Customize string to be appended to user agent string
Select this check box to customize the user agent string.
Custom string to be appended to user agent string
The string you type in this box is appended to the user agent string for the customized browser. You do not need to customize the user agent string unless you want to track the usage of your custom browser and you gather browser statistics from other Internet sites. Be aware that other companies that track site statistics will see the customized string.


Automatic Configuration

You can assign URLs to files that will automatically configure the customized browser. This feature is helpful if you want to control the settings of several users from one central location.

You can configure options by using .ins files, also known as IEAK profiles. Using .ins files, you can include standard proxy settings. You can also specify script files in .js, .jvs, or .pac format that you can use to configure and maintain advanced proxy settings.

Network servers using Domain Name System (DNS) and Dynamic Host Configuration Protocol (DHCP) can automatically detect and configure a browser's settings when the user first starts the browser on a network. For more information, see Automatic Detection and Configuration of Browser Settings.

If you specify URLs for both automatic configuration and automatic proxy (autoproxy), the autoproxy URL is incorporated into the .ins file. The correct form for the URL is http://share/test.ins.

To enable automatic configuration, select the Enable Automatic Configuration check box. In the Auto-config URL (.INS file) box, type the URL for the .ins file you want. In the Auto-proxy URL (.JS, .JVS, or .PAC file) box, type the URL for the autoproxy script.

To detect browser settings automatically, select the Automatically detect configuration settings check box.

Automatically configure every n minutes
You can specify the automatic configuration interval in minutes. If you enter 0 (zero) or do not enter a value, automatic configuration happens only when the user's computer is restarted.


Connection Settings

You can preset connection settings for your users by importing the connection settings from your computer.

To see which settings you are importing, click the Tools menu in the browser, click Internet Options, and then click the Connections tab. Click Settings to view dial-up settings, and click LAN Settings to view network settings. The address for automatic configuration is not imported, however.

Do not customize Connection Settings
Click this option if you do not want to preset your users' customization settings.
Import the current Connection Settings from this machine
Click this option if you want to preset your users' customization settings to use the values imported from your computer. If the settings from your computer are not the settings you want to use, click Modify Settings to change them here.
Delete existing Dial-up Connection Settings
If you are a corporate administrator, select this check box to clear the existing settings on your users' computers.

Note

  • If you are a corporate administrator, you can also use system policies and restrictions to determine whether users can change their connection settings. You can set policies and restrictions in Stage 5 of the Internet Explorer 6 Customization Wizard or through automatic configuration.


Proxy Settings

You can specify which proxy servers your users connect to. A proxy server acts as an intermediary between a workstation user and the Internet, and it helps you maintain administrative control and caching services.

If you want to use proxy servers for any of the listed services, select the Enable proxy settings check box.

Type the address of the proxy server to the right of any of the listed services. Type the port number, which in many cases is 80, in the appropriate boxes under Port.

To use the same settings for all services, select Use the same proxy server for all addresses.

For certain addresses, such as those on your corporate intranet, you might not want to use a proxy server. In the Exceptions area, under the Do not use proxy server for addresses beginning with box, you can enter specific addresses. Use a semicolon to separate entries. To bypass proxy servers for all addresses on your intranet, select the Do not use proxy server for local (intranet) addresses check box.


Add a Root Certificate

You can add a root certificate to your customized IEAK package by typing the URL into the New root certificate path box. This provides a level of trust that certificates lower in the hierarchy can inherit. Each certificate is inspected for a parent certificate until the search reaches the root certificate.


Sign-up Method

If you are an ISP, you can specify how users sign up with your service and connect to the Internet.

Server-based sign-up using the Internet Connection Wizard (recommended)
The Internet sign-up server method provides full flexibility and dynamically adapts to various sign-up options. You create server solutions that exchange information with the screens of the Internet Connection Wizard (ICW). For more information, see Internet Sign-up for the Internet Connection Wizard.
Server-based sign-up using full-screen kiosk mode
The Internet sign-up server method provides full flexibility and dynamically adapts to various sign-up options. You create server solutions that exchange information with the browser in kiosk (full-screen) mode, without toolbar buttons showing. For more information, see Setting Up a Sign-up Server for Full-Screen Kiosk Mode.
Serverless sign-up
The serverless sign-up method does not require a sign-up server. If you select the serverless method, the Internet Explorer 6 Customization Wizard prompts you to provide the necessary information to control the sign-up process. If you choose this option, you are prompted for dialing, gateway, and password information. You can also test your sign-up page from the Internet Explorer 6 Customization Wizard. You cannot use the serverless sign-up method to customize the ICW.
No sign-up
Specify this method if you do not want users to go through a sign-up procedure when they install their custom browser. This option may be helpful if they are using cable modems.

For an illustration showing the sign-up process, see ISP Sign-up Process.


Sign-up Files

To enable users to configure their computers to connect to your servers, you must create custom sign-up files. For more information, see Setting Up a Sign-up Server for Full-Screen Kiosk Mode and Internet Sign-up with the Internet Connection Wizard.

The first file must be an HTML page that contains information about your service. For Internet sign-up in kiosk mode, it must be named Signup.htm, and it must include a link to an appropriate HTML page on your sign-up server. For Internet sign-up with the Internet Connection Wizard, it must be named Icwsign.htm.

The Sign-up Files screen shows the working directory for the sign-up files. If you have already modified your sign-up files, click Copy Files to copy them to this working directory. If you want to verify or specify settings in .isp files and .ins files by using wizard screens that appear later in Stage 4 of the wizard, select the Verify/modify the .isp file entries and Verify/modify the .ins file entries check boxes.

All sign-up files, including graphic files, must be saved in the same folder. You must have full read-write access to this folder, because the wizard needs to change the attributes of all files to read-write.

Specify custom sign-up files
Type the path of the folder that contains your sign-up files, or click Browse to locate the folder.

Note

  • For more information about .isp files, see Creating an .isp File.


Sign-up Server Information

In the Sign-up Server Information screen, you can configure your users' dial-up connections so that they can connect to your Internet server.

Connection name
Type the name of your sign-up server. This can be a friendly name.
File name
Type the file name for your file. The file for Sign-up parameters should have an .isp extension. The file for Internet Settings should have an .ins extension.
Area code/Phone number
Type the area code and telephone number for this connection.
Country code/ID
Type the country or regional code and the country ID for this connection.
Username
Type the default user name for this connection.
Password
Type the default password for this connection.
Support phone number
Type the telephone number that users can dial for support.
URL of first online sign-up page
Type the URL of the first page in the sign-up process.
Advanced Options
To set the following dialing and gateway settings, click Advanced Options.
Use static DNS address
The Domain Name System (DNS) is a set of protocols and services for Transmission Control Protocol/Internet Protocol (TCP/IP) networks. DNS enables you to use friendly names, such as www.microsoft.com, instead of numeric addresses. To ensure that all DNS servers are searched in an attempt to map name and IP addresses, select this check box and type a primary address and an alternate address.
Requires Logon
Select this check box if you need to ensure that the client computer has Windows logon authentication turned on. Providing a Windows password enables access to the Windows password cache, where the ISP password is stored. This option is particularly useful if you assign long random strings as passwords. This option is valid only for Windows 95 and Windows 98 clients.
Negotiate TCP/IP
Select this check box to enable TCP/IP negotiation when the user is establishing an Internet connection.
Disable LCP
Select check box to disable the use of Link Control Protocol (LCP) extensions in establishing a Point-to-Point protocol link. If the sign-up server cannot handle LCP extensions, you should disable LCP on the client computer that is connecting to your server. This value is valid only for Windows NT 4.0 clients.
Dial number as shown
Select this check box to prevent a default area code from being set. You might want to set this flag if, for example, users might call from an area code different from the default. If users are not aware that the default area code differs from their current area code, they could unexpectedly incur long-distance charges.
Encrypt passwords
Select this check box to specify that only encrypted passwords can be sent to or accepted by your computer. This is useful if you need additional security for this connection. The computer that you are connecting to must support encrypted passwords.
Use software compression
Select this check box to specify that incoming and outgoing information is compressed before it is sent, speeding up the transfer of information. Compression occurs only if both computers are using compatible compression methods.
Use IP header compression
Select this check box to use TCP/IP header compression, which is designed to improve the efficiency of bandwidth use over low-speed serial links. It typically optimizes data transfer between computers.

When a smaller header that identifies the connection and indicates the fields that have changed is constructed, fewer bytes have to be transmitted. For compression to work, however, packets must arrive in order.

Compression may not always be desirable. For example, if you are using older equipment, you might not be able to use compression. For the sake of interoperability, Serial Line Internet protocol (SLIP) drivers that allow header compression should include some sort of user-configurable flag to disable compression.

Use default remote gateway
Select this check box to specify that Internet Protocol (IP) traffic is routed to the wide area network (WAN) connection by default. A gateway is a connection or interchange point that connects two networks that otherwise would be incompatible.

Note

  • You can prevent the setting of a default area code by setting a flag in the .isp file. The syntax for this flag is:
    Dial_As_Is=Yes


Internet Connection Wizard

You can specify the Internet Connection Wizard (ICW) as the tool that customers use to sign up for Internet services. You can create server solutions that exchange information with the screens of the ICW. This feature is not available for the serverless sign-up method.

Customize Title bar
Select this check box to specify that customers use the Internet Connection Wizard to sign up for your services.
Title bar text
Type the text that appears in the title bar of your customized Internet Connection Wizard.
Top image
Type the path to the 49x49-pixel .bmp file that appears in the upper-right corner of the Internet Connection Wizard screen.
Left image
Type the path to the 164x458-pixel .bmp file that appears on the left side of the Internet Connection Wizard screen.

Notes

  • You must include the Dynamic HTML Data Binding component with your browser package to ensure that the Internet Connection Wizard can interact with your server. Data binding allows the wizard page to display the list of ISP files in Signup.txt. You can specify that this option does not appear as a custom installation choice, which users can choose not to install. To do this, on the Advanced Installation Options page, clear the Dynamic HTML Data Binding check box. Then, in Windows Update Setup, Force Install appears in the correct column for this component.
  • For an illustration showing the sign-up process, see ISP Sign-up Process.


Internet Settings Files

In the Internet Settings Files screen, you provide settings that the Internet Explorer 6 Customization Wizard uses to generate an .ins file. The .ins file can be posted on your server or incorporated into the custom package that you are creating for serverless sign-up.

Connection name
Type the name of your sign-up server. This can be a friendly name.
File name
Type the file name for your file. The file for Sign-up parameters should have an .isp extension. The file for Internet Settings should have an .ins extension.
Area code/Phone number
Type the area code and telephone number for this connection.
Country code/ID
Type the country or regional code and the country ID for this connection.
Username
Type the default user name for this connection.
Password
Type the default password for this connection.
Advanced Options
To set the following dialing and gateway settings, click Advanced Options.
Use static DNS address
The Domain Name System (DNS) is a set of protocols and services for Transmission Control Protocol/Internet Protocol (TCP/IP) networks. DNS enables you to use friendly names, such as www.microsoft.com, instead of numeric addresses. To ensure that all DNS servers are searched in an attempt to map name and IP addresses, select this check box and type a primary address and an alternate address.
Requires Logon
Select this check box if you need to ensure that the client computer has Windows logon authentication turned on. Providing a Windows password enables access to the Windows password cache, where the ISP password is stored. This option is particularly useful if you assign long random strings as passwords. This option is valid only for Windows 95 and Windows 98 clients.
Negotiate TCP/IP
Select this check box to enable TCP/IP negotiation when the user is establishing an Internet connection.
Disable LCP
Select check box to disable the use of Link Control Protocol (LCP) extensions in establishing a Point-to-Point protocol link. If the sign-up server cannot handle LCP extensions, you should disable LCP on the client computer that is connecting to your server. This value is valid only for Windows NT 4.0 clients.
Dial number as shown
Select this check box to prevent a default area code from being set. You might want to set this flag if, for example, users might call from an area code different from the default. If users are not aware that the default area code differs from their current area code, they could unexpectedly incur long-distance charges.
Encrypt passwords
Select this check box to specify that only encrypted passwords can be sent to or accepted by your computer. This is useful if you need additional security for this connection. The computer that you are connecting to must support encrypted passwords.
Use software compression
Select this check box to specify that incoming and outgoing information is compressed before it is sent, speeding up the transfer of information. Compression occurs only if both computers are using compatible compression methods.
Use IP header compression
Select this check box to use TCP/IP header compression, which is designed to improve the efficiency of bandwidth use over low-speed serial links. It typically optimizes data transfer between computers.

When a smaller header that identifies the connection and indicates the fields that have changed is constructed, fewer bytes have to be transmitted. For compression to work, however, packets must arrive in order.

Compression may not always be desirable. For example, if you are using older equipment, you might not be able to use compression. For the sake of interoperability, Serial Line Internet protocol (SLIP) drivers that allow header compression should include some sort of user-configurable flag to disable compression.

Use default remote gateway
Select this check box to specify that Internet Protocol (IP) traffic is routed to the wide area network (WAN) connection by default. A gateway is a connection or interchange point that connects two networks that otherwise would be incompatible.
Don't apply any branding information to this file
Specifies that you are not adding branding information to the .ins file.
Don't modify the branding information in this file
Specifies that you are not changing branding information in the .ins file.
Apply current branding information to this file
Specifies that you are including branding information in the .ins file.
Branding cabinet (.CAB) file name
Specify the name of the file that contains your branding information. This information is added to the .ins file. If you are using a serverless sign-up, or users are connecting to your server to sign up, your brand appears on the sign-up screens.
URL to the Branding cabinet (.CAB) file
Type the URL to the file that contains your branding information. This information is added to the .ins file. If you are using a serverless sign-up, or users are connecting to your server to sign up, your brand appears on the sign-up screens.

Note

  • You can prevent the setting of a default area code by setting a flag in the .isp file. The syntax for this flag is:
    Dial_As_Is=Yes


Security

You can use certification authorities and Authenticode to help manage security.

You can use certification authorities to control the sites where users can download certain content, such as ActiveX controls and Java applets. A site authority is a form of digital certificate for an Internet site. Based on Authenticode technology, it shows where programs come from and verifies that they were not altered.

Do not customize certification authorities
Click this option if you do not want to customize certification authorities. You can still customize Authenticode security information.

You can import certification authorities settings from your computer. If you want to modify the settings that you will apply to your users' computers, click Import current certification authorities, and then click Modify Settings.

You can then use Certificate Manager to view and manage your certification authorities information. Certificates can apply to network server authentication, network client authentication, secure e-mail authentication, and software publishing.

Do not customize Authenticode Security
Click this option if you do not want to customize Authenticode security information.

You can use Authenticode to designate software publishers and credentials agencies as trustworthy. You can also import these settings from your computer. If you want to modify the settings that you will apply to your users' computers, click Import current Authenticode Security information, and then click Modify Settings.


Security and Privacy Settings

As a corporate administrator, you can manage security zones, privacy settings, and content ratings for your company. You can customize the settings for each security zone. You can set the level of privacy regarding cookies for all of your browser users. Through content ratings, you can prevent users from viewing content that may be considered offensive or otherwise inappropriate within your corporate setting.

Security zones and Privacy
If you want to modify the settings that are installed on your users' computers, click Import the current security zones and privacy settings, and then click Modify Settings. In Stage 5, you can also specify whether users can change their security and privacy settings.

Notes

  • The security settings include Internet, Local intranet, Trusted sites, and Restricted sites.
  • The three levels of privacy are high, medium, and low. When you set the high privacy level, Internet sites cannot set cookies on your users computers. The medium privacy level verifies that the Internet site has a privacy policy, compares that policy to the users' computers, allows Internet sites to use existing cookies, and does not allow unsatisfactory third parties to use cookies. The low setting allows Internet sites to set cookies on your users' computers.
Do not customize security zones and privacy
If you do not want to modify the security zone and privacy settings, click this option.
Content ratings
Microsoft Internet Explorer provides a way to help you control the types of content that your computers can access on the Internet. You can adjust the settings to reflect what you think is appropriate content in four areas: language, nudity, sex, and violence.

If you want to modify the ratings that you are applying on your users' computers, click Import the current Content Ratings settings, and then click Modify Settings. You can then modify your settings by using Content Advisor.

Do not customize Content Ratings
If you do not want to modify the Content Rating information, click this option.

Notes

  • Content Advisor uses very cautious rating standards when you first enable it. You can adjust these settings to match your preferences.
  • Not all Internet content is rated. If you choose to allow users to view unrated sites, some of those sites could contain inappropriate material.


Stage 4 Overview: Customizing the Browser

banner

Stage 4: Customizing the Browser

In this stage of the Internet Explorer 6 Customization Wizard, you can customize the appearance and behavior of Internet Explorer.

The options available depend on your role:

  • Internet content provider
  • Internet service provider
  • Corporate administrator

Note

  • The availability of some options, such as logo customization, also depends on your license agreement. For more information, consult your contract.


Targeting Policies and Restrictions

Central management of system policies and restrictions can help you maintain a consistent desktop environment throughout your organization and reduce your subsequent suppport costs.

All the system policies and restrictions that you can set in the Internet Explorer 6 Customization Wizard and later manage in the IEAK Profile Manager can be configured for users running Windows 95, Windows 98, and Windows Millennium Edition operating systems.

However, you can only configure a subset of these system policies and restrictions for users without Administrator privileges on the Windows NT, Windows 2000, or Windows XP platforms. Instead, it is recommended that you use the Windows NT Policy Editor, Windows 2000, or Windows XP Group Policy to configure the remaining policies and restrictions for those users. For more information, see Administering Microsoft Internet Explorer on Windows 2000 and Windows XP.

Display all IEAK policies
The full set of system policies and restrictions can be configured for all users of the Windows 95, Windows 98, and Windows Millennium Edition operating systems, and for users with Administrator privileges on Windows NT, Windows 2000 and Windows XP.
Display the Subset of IEAK policies for Non-Admin users
Choose this option to view and configure the subset of policies and restrictions that apply to non-administrator users of the Windows NT, Windows 2000, and Windows XP operating systems.


Programs

Use these settings to configure users' programs such as the default e-mail client, and the default HTML editor.
Do not customize Program Settings
Click this option button if you do not want to configure your users' program settings.
Import the current Program Settings
Click this option button if you want to import the program settings from your computer, such as the specific programs to use for electronic mail and for editing HTML. These settings are located on the Programs tab of the Internet Options dialog box.

To change your settings and then import them, click Import the current Program Settings, and then click Modify Settings.


Outlook Express Accounts

Servers

You can specify the mail and news servers for Outlook Express and require users to log on using Secure Password Authentication (SPA) to access a server.

Incoming mail
Select the protocol that your mail servers are running. You can choose POP3, used by most Internet subscribers for e-mail, or IMAP, used mainly by corporate users who want to read their e-mail from a remote location. POP3 servers allow access to a single Inbox, while IMAP servers provide access to multiple server-side folders.
Server
Type the fully qualified incoming mail server address in the text box (for example, pop01.microsoft.com). Then, click Logon using SPA (Secure Password Authentication) if your POP3 or IMAP server requires authentication from an SSPI provider such as NTLM.
Outgoing mail (SMTP) server
An SMTP server is the outgoing mail server. In some cases, the SMTP server may have the same name as your POP3 server (for example, smtp.microsoft.com). Type the fully qualified SMTP server address in the text box. Then, click Logon using SPA (Secure Password Authentication) if your SMTP server requires authentication from an SSPI provider such as NTLM.
Internet news (NNTP) server
The Network News Transfer Protocol (NNTP) is the protocol used to distribute network news messages to NNTP servers and to NNTP clients (news readers) on the Internet. Type the NNTP address in the text box (for example, nntp.microsoft.com). Then, click Logon using SPA (Secure Password Authentication) if your NNTP server requires authentication from an SSPI provider such as NTLM.
Make server names read-only
Click this check box to lock down the server account settings. This prevents users from changing the settings.
Disable access to accounts (accounts cannot be added, removed, or modified)
Click this check box to lock down the account settings. This prevents users from deleting or modifying configured accounts, or creating additional accounts. This option is recommended for corporate administrators only.

Notes

  • Users accounts, such as mail and news, are configured according to the restrictions you specify.
  • When you lock down server and account settings, the settings can be viewed, but not modified, by users.


Outlook Express IMAP Settings

Use this screen to create default IMAP settings for your users. These settings are preconfigured for users when they create their IMAP accounts.

Root folder path
The root folder path is the mailbox that contains all of the users' folders on the IMAP server. For Cyrus servers, all users' folders must be contained in the Inbox folder. For UNIX-based IMAP servers, mail is usually stored in its own folder in the user's home folder (for example, ~username/Mail). Do not end the root folder path with a hierarchy character. For example, ~username/Mail is a valid root folder path, but ~username/Mail/ is not. Some IMAP servers, such as Microsoft Exchange Server, do not require a root folder path.
Store special folders on IMAP server
To specify that folders for users' sent messages and in-progress messages are created on the IMAP server, select Store special folders on IMAP server.
Sent items path
Type the path name for the Sent Items folder. This path is used by all users who create IMAP accounts.
Drafts folder path
Type the path name for the Drafts folder. This path is used by all users for whom you configure IMAP accounts.
Check for new messages in all folders
To automatically poll an IMAP user's subscribed folders for changes in the number of messages when the user starts Outlook Express, and at the user's regular mail polling interval, select Check for new messages in all folders. If this option is not selected, Outlook Express checks for new messages only in the Inbox.


Outlook Express Custom Content

You can give Outlook Express a customized appearance and welcome new users with an e-mail message.

InfoPane

The Outlook Express InfoPane is an area for content providers to place helpful information and links. You can customize this pane with support numbers, frequently asked questions (FAQs), and information about your company.

The InfoPane appears as a 50-pixel high panel at the bottom of the Outlook Express main window. You can customize the InfoPane with an HTML file that is either a local file or an Internet address (URL). If you specify a local file, that file is copied into your IEAK distribution package and subsequently copied onto the user's computer during installation.

Note

  • The InfoPane does not appear as part of the Outlook Express user interface unless a URL or file is specified in the IEAK.
URL
Type the URL of the HTML file you want to use for the InfoPane.
Local file
If you did not type a URL in the previous text box, you can type the path to the local HTML file you want to use for the InfoPane, in the HTML path box. Otherwise, click Browse to locate the file. If you specify a local file, you can also specify an image to be copied in the Image path box.

Welcome message

You can also provide a welcome message as the first item in each user's Inbox. The welcome message is an HTML file. You must also provide the sender's friendly name (for example, your company or organization name) and the recipient's e-mail address.

Note

  • The IEAK does not provide a way to add an image to the Welcome message. However, if you edit the Welcome message outside of the IEAK, you can add a link to an image on the Web.
HTML path
Type the path of the HTML file you want to send, or click Browse to locate the file.
Sender
Type the name of the company or person sending the Welcome message (for example, Volcano Administration). This name appears in the From line of the Welcome message.
Reply-to
Type the e-mail address of the company or person sending the Welcome message. The user can send mail to this address if they have questions or concerns.


Outlook Express Custom Settings

Use this screen to create settings that will apply to all of your users. These defaults include setting a default mail and news client. Also, you can provide information that users need to obtain additional e-mail accounts. Finally, you can provide a default message rules file for your users.

Default messaging programs

Make Outlook Express the default program for
If you want Outlook Express to start whenever a user clicks an e-mail link in Internet Explorer, select the Mail check box. The default mail client setting is also used by many programs when a user sends documents by e-mail. Note that this replaces any current default mail client that the user has specified.

If you want Outlook Express to start whenever a user clicks a news link in Internet Explorer, select the News check box.

Newsgroups

You can make it easy for your users to subscribe to newsgroups. Use the blank text box to type the names of one or more newsgroups that you want your users to subscribe to automatically. For example, your ISP or organization may have several newsgroups that provide assistance and information to users.

Service Name
You can add a menu item that users can use to get an additional mail account from your ISP. This entry is added to the New Account From menu in Outlook Express. Type the name of your ISP in the Service Name box (for example, Acme ISP).
Service URL
Type a URL in the Service URL box that correlates to the additional mail accounts your users can set up. When the user chooses this Service Name from the menu, the Web page is opened. An account number, which can be specified in the .ins file, and a unique identifier for the user is sent to the ISP when the Web page is opened.
Delete all Outlook Express links
If you select this check box, no links to the Outlook Express program appear on your user's desktop or Start menu.


Outlook Express View Settings

You can customize certain views that determine whether specific elements of Outlook Express are displayed and how they are displayed.

Basic
Use these settings to determine which elements of the Outlook Express interface are included in the default view for new users.
  • To include the Folder bar as a default for users, select the Folder bar check box.
  • To display the Outlook Bar, a horizontal bar that displays certain folders, such as the Inbox, select Outlook Bar.
  • To include a list of e-mail and news folders in the left column, select the Folder list check box.
  • To display the status bar, which appears at the bottom of the Outlook Express window, select Status Bar.
  • To list the users' MSN Messenger contacts (if MSN Messenger is installed and configured) as well as addresses of e-mail correspondents, select the Contacts check box.
  • To display a tip every time Outlook Express is started, select the Tip of the day check box.
Toolbar
Use these settings to specify whether the toolbar appears, and if it does, whether it has text on it.
  • Select the Show Toolbar check box to include the toolbar. It appears at the top of the Outlook Express window and contains buttons that correspond to common commands. Your users can configure the toolbar.
  • Select the Show text on toolbar buttons check box to include text on the toolbar buttons.
Preview pane
Use these settings to set the preview pane options.
  • Select the Show preview pane check box to include a message preview pane for your users' default view of mail and news messages.
  • Click Below messages if you want the preview pane to appear as a horizontal pane located below the list of messages.
  • Click Beside messages if you want the preview pane to appear as a vertical pane located beside and to the right of the list of messages.
  • Select the Show preview pane header check box to include a preview pane header area that can be used to display message header information, including the From, To, Cc, and Subject lines of the message.


Outlook Express Compose Settings

You can include a default signature, such as a corporate disclaimer, that appears in Outlook Express newsgroup or e-mail messages. A disclaimer is often used to show that messages submitted by employees over the Internet do not represent official company policies. The maximum size of the signature is 1 KB.

Append a signature to each message
You can append signatures only to e-mail messages, or to both e-mail and news messages. Select the Append a signature to each message check box to add text to a signature for e-mail messages.
Use a different signature for news messages
Select this check box to add or modify text in a signature for news messages. You can use the same text as that used for e-mail messages or type different text for news messages.
For mail messages, make HTML message composition the default
By default, e-mail messages are composed in HTML, and news postings are composed in plain text. You can override these settings. For example, in an environment where bandwidth is limited or many users have simple mail programs that cannot understand HTML, changing the default to plain text may make sense. On the other hand, in a corporate environment where all users use an HTML-aware newsreader, changing the news posting default to HTML may be desirable.
For news messages, make HTML message composition the default
Select this check box to use HTML formatting by default for news messages.


Address Book Directory Service

Directory services are powerful search tools that help your users find people and businesses around the world. The Windows Address Book supports Lightweight Directory Access Protocol (LDAP) for accessing directory services, and it comes with built-in access to several popular directory services. You can specify an additional service for your users.

Service Name
Type the friendly name of your LDAP service. This is the name that is displayed to your users.
Server Name
Type the name of the directory service you want to add, such as ldap.contoso.com or ldap.lucernepublishing.com. If you require authentication via an SSPI package such as NTLM for users who access these services, click the Logon using SPA check box. Basic authentication using a user name and password combination can be configured using .ins files.
Service Web Site
Type the URL of the directory service home page.

How users view the directory service home page on Windows 95, Windows 98, or Windows NT

  1. In Windows, click Start, point to Find, and click People.
  2. In the Find People dialog box, select the directory service home page in the Look in list, then click Web Site.

    Select the directory service home page, then click Web Site.

How users view the directory service home page on Windows 2000, Windows XP, or Windows Millennium Edition

  1. In Windows, click Start, point to Search, and click For People.
  2. In the Find People dialog box, select the directory service home page in the Look in list, then click Web Site.
Search Base
Sometimes known as the root or scope, the Search Base is the hierarchical level at which to search a specific LDAP server. The search base can be a country, organization, or other type of grouping. The Outlook Express default for search base when none is specified is "c=us." To specify no search base, type NULL.
Service Bitmap
You can specify a custom 134-by-38 pixel, 16-color .bmp file. To ensure consistent color mapping, it is highly recommended that you use only the Windows 16-bit color palette when composing the bitmap. To locate the .bmp file on your computer, click Browse.
Search Timeout
You can specify how long your users will wait before you time out a search request. Use the slider to set a time value between 30 seconds and 5 minutes.
Maximum number of matches to return
You can control the maximum number of results that can be returned to your users. Type the number in this box.
Check names against this server when sending mail
To have Outlook Express resolve names against the server when a user sends a message, select this check box. This setting instructs Outlook Express to look up e-mail addresses for names typed on the To, Cc, and Bcc lines of a mail message.


Policies and Restrictions

Depending on your role, you can specify settings across your organization for various aspects of your user's machines, including their desktop, Internet components, operating system, and security.

Internet content providers, Internet service providers, and corporate administrators can specify default settings for their users. In addition, corporate administrators can customize and restrict numerous settings, ranging from whether users can delete printers to whether they can add items to their desktops.

All the system policies and restrictions that you can set in the Internet Explorer 6 Customization Wizard and later manage in the IEAK Profile Manager can be configured for users running Windows 95, Windows 98, and Windows Millennium Edition operating systems.

However, you can only configure a subset of these system policies and restrictions for users without Administrator privileges on the Windows NT, Windows 2000, or Windows XP platforms. Instead, it is recommended that you use the Windows NT Policy Editor, Windows 2000, or Windows XP Group Policy to configure the remaining policies and restrictions for those users.

You should understand the impact of the security settings on your users, especially if you have roaming users who share computers with other users.

Notes

  • Settings for the new Internet Explorer 6 Image Toolbar feature include enabling image toolbar hovering, shrinking an image to the size of the screen, and automatically playing media files in the media bar. You can set these options in the Internet settings section of Policies and Restrictions.
  • The settings displayed in the wizard are contained in administration (.adm) files that come with the IEAK. If you are familiar with .adm files, you can use the Internet Explorer 6 Customization Wizard to set the policies and restrictions you have set up in your own .adm files by clicking Import.

    The choices you make for these settings and restrictions are stored as .ins files. The .ins files are used to build the .inf files for your custom package. For an illustration on the relationship between .adm files and .inf files, see System Policies and Settings.

  • To ensure that the Trusted Publishers setting is effective for the Security section of Internet Restrictions, you should verify that security zones and policies are correctly set up.

User settings can be stored in a central location and be made available to people as they log on from computer to computer. This could be useful, for example, for a person who needs low security settings but who uses a computer that is typically operated by someone whose security settings are more restrictive.

Customizing security settings

You can allow three typical levels of customization for security settings:

  • Control, or "lock down," all settings.
  • Control user settings while allowing profiles for roaming users to be downloaded.

    You can specify that settings cannot be changed, without locking out roaming users who have different profiles. The Windows roaming user feature allows users to download their settings from a server.

  • Customize initial settings, but allow user to modify them.

    In this stage of the wizard, you can customize many user settings, including security levels and ratings. Customizing the settings in this stage does not determine whether the user can control the settings.

To set system policies and restrictions

  1. Double-click each category to display the options.
  2. Click the policy or restriction you want to work with.
  3. Select or clear the check boxes you want.

To lock down all settings

  1. Double-click Corporate Restrictions, and then click Security Page.
  2. Select the Use only machine settings for security zones check box.

To restrict a user from changing policies for a zone

  1. Double-click Corporate Restrictions, and then click Security Page.
  2. Select the Do not allow users to change policies for any security zone check box.

To restrict a user from adding or deleting sites

  1. Double-click Corporate Restrictions, and then click Security Page.
  2. Select the Do not allow users to add/delete sites from a security zone check box.


Stage 5 Overview: Customizing Components

banner

Stage 5: Customizing Components

In this stage of the Internet Explorer Customization Wizard, you can specify the settings, policies, and restrictions for the components in your custom package.

The options available depend on whether you are a/an:

  • Internet content provider
  • Internet service provider
  • Corporate administrator